@Override
	public String replacePlaceholders(final String input)
	{
		if (input == null)
		{
			return null;
		}

		return PROPERTY_PLACEHOLDER_HELPER.replacePlaceholders(input, placeholderName -> {
			assert placeholderName != null;

			final String userDefinedPropVal = props.getProperty(placeholderName);
			if (userDefinedPropVal != null)
			{
				return userDefinedPropVal;
			}

			final String sysPropVal = System.getProperty(placeholderName);
			if (sysPropVal != null)
			{
				return sysPropVal;
			}
			// Fall back to searching the system environment.
			return System.getenv(placeholderName);
		});
	}
