@Override
	public FunctionExpression getFunction(final String functionId, final Datatype<? extends AttributeValue> subFunctionReturnType) throws IllegalArgumentException
	{
		if (subFunctionReturnType == null)
		{
			return getFunction(functionId);
		}

		final Function<?> f = this.functionRegistry.getFunction(functionId, subFunctionReturnType);
		if (f == null)
		{
			return null;
		}

		return new FunctionExpression(f);
	}
