private static <ADAPTER_INPUT, ADAPTEE_INPUT_DECISION_REQUEST extends DecisionRequest, ADAPTER_OUTPUT> PdpEngineInoutAdapter<ADAPTER_INPUT, ADAPTER_OUTPUT> newInoutAdapter(
			final CloseablePdpEngine adaptee, final DecisionRequestPreprocessor<ADAPTER_INPUT, ?> rawReqPreproc, final DecisionResultPostprocessor<?, ADAPTER_OUTPUT> rawResultPostproc)
			throws IllegalArgumentException
	{
		assert adaptee != null && rawReqPreproc != null && rawResultPostproc != null;
		return new BasePdpEngineAdapter<>(adaptee, (DecisionRequestPreprocessor<ADAPTER_INPUT, ADAPTEE_INPUT_DECISION_REQUEST>) rawReqPreproc,
				(DecisionResultPostprocessor<ADAPTEE_INPUT_DECISION_REQUEST, ADAPTER_OUTPUT>) rawResultPostproc);
	}
