private static <AV extends AttributeValue> Collection<Object[]> newBagOfFunctionTestParams(final String bagOfFunctionId, final PrimitiveDatatype<AV> bagElementType, final AV primitiveValue1,
			final AV primitiveValue2)
	{
		final Collection<Object[]> params = new ArrayList<>();

		// bag(primitiveValue1, primitiveValue2) -> {primitiveValue1, primitiveValue2}
		final Bag<AV> twoValBag = Bags.newBag(bagElementType, Arrays.asList(primitiveValue1, primitiveValue2));
		params.add(new Object[] { bagOfFunctionId, Arrays.asList(primitiveValue1, primitiveValue2), twoValBag });
		return params;
	}
