public static String printResponse(final Response response)
	{
		final StringWriter writer = new StringWriter();
		try
		{
			final Marshaller marshaller = Xacml3JaxbHelper.createXacml3Marshaller();
			marshaller.setProperty(Marshaller.JAXB_FRAGMENT, Boolean.TRUE);
			marshaller.marshal(response, writer);
		}
		catch (final Exception e)
		{
			LOGGER.error("Error marshalling Response", e);
		}

		return writer.toString();
	}
