@Test
	public void testGetPolicyWithValidIdWithoutVersionPattern() throws IllegalArgumentException, IndeterminateEvaluationException
	{
		// Valid ID, no version pattern
		final TopLevelPolicyElementEvaluator policyEvaluator = POLICY_PROVIDER_MODULE.get(TopLevelPolicyElementType.POLICY, "permit-all", Optional.empty(), null, null);
		assertNotNull(policyEvaluator);
		assertEquals(TopLevelPolicyElementType.POLICY, policyEvaluator.getPolicyElementType());
		assertEquals("permit-all", policyEvaluator.getPolicyId());
	}
