@Override
  public void run() {
    try {
      // Collects the current CPU time.
      cpuTime[idx%nb] = ManagementFactory.getThreadMXBean().getThreadCpuTime(id);
      // Computes the CPU time used during last minute
      average = (int) ((cpuTime[idx%nb] - cpuTime[(idx+1)%nb]) / ((60L *1000000000L) / 100L));
      logger.log(BasicLevel.INFO,
                 "AverageCPUTask: " + name + " CPU Time: " + cpuTime[idx%nb] + "ns -> " + average);
      idx += 1;
    } catch (Throwable t) {
      logger.log(BasicLevel.WARN, "AverageCPUTask.run", t);
    }
  }
