public static final void toString(StringBuffer output,
                                    List<?> list,
                                    int listMax,
                                    int listBorder) {
    if (list == null) {
      output.append("null");
      return;
    }

    output.append("(");
    int size = list.size();
    output.append(size);
    if (listMax == -1 || size <= listMax || size <= (listBorder*2)) {
      for (Iterator<?> it = list.iterator(); it.hasNext();) {
        output.append(",");
        toString(output, it.next());
      }
    } else {
      int border = size / 2;
      if (listBorder < border)
        border = listBorder;
      for (int i = 0; i < border; i ++) {
        output.append(",");
        toString(output, list.get(i));
      }
      output.append(",..");
      for (int i = border; i > 0; i --) {
        output.append(",");
        toString(output, list.get(size - i));
      }
    }
    output.append(")");
  }
