protected int getLevel(String levelName) {
		int level = DEFAULT_MONITORING_RESULT_LEVEL;

		try {
		  if (levelName != null)
		    level = Integer.parseInt(levelName);
		} catch (Exception e) {
			if (levelName.equals("BasicLevel.DEBUG"))
				level = BasicLevel.DEBUG;
			else if (levelName.equals("BasicLevel.ERROR"))
				level = BasicLevel.ERROR;
			else if (levelName.equals("BasicLevel.FATAL"))
				level = BasicLevel.FATAL;
			else if (levelName.equals("BasicLevel.INFO"))
				level = BasicLevel.INFO;
			else if (levelName.equals("BasicLevel.INHERIT"))
				level = BasicLevel.INHERIT;
			else if (levelName.equals("BasicLevel.WARN"))
				level = BasicLevel.WARN;
			else
				logger.log(BasicLevel.ERROR,
						"LogMonitoringTimerTask getLevel: bad levelName " + levelName);
	  }
	  return level;
  }
