public static SocketFactory getSocketFactory() throws Exception {
    if (factory == null) {
      // Tries to load the more recent version
      Class<?> clazz = null;
      for (int i = 0; i < factoryClasses.length; i++) {
        try {
          clazz = Class.forName(factoryClasses[i]);
        } catch (ClassNotFoundException exc) {
          // continue
        }
      }
      if (clazz != null) {
        Method method = clazz.getMethod("getFactory", (Class[]) null);
        factory = (SocketFactory) method.invoke(null, (Object[]) null);
      } else {
        throw new Exception("Socket factory class not found");
      }
    }
    return factory;
  }
