public static String readShortStringFrom(InputStream is) throws IOException {
    int length = readUnsignedByteFrom(is);
    if (length == -1) {
      return null;
    } else if (length == 0) {
      return EMPTY_STRING;
    } else if (length > 0) {
      byte[] tab = readFully(length, is);
      return new String(tab, 0, length);
    } else {
      throw new IOException("bad short string length");
    }
  }
