public static final int parseInt(String str,
                                   int idx,
                                   int end) throws NumberFormatException {
    int result = 0;
    int digit;
    int limit = Integer.MAX_VALUE / 10;
    int digitzero = '0';
        
    while (idx < end) {
      digit = str.charAt(idx++) - digitzero;
      if ((digit < 0) || (digit > 9))
        throw new NumberFormatException("bad digit");

      if (result >= limit)
        throw new NumberFormatException("limit");

      result *= 10;
      result += digit;
    }

    return result;
  }
