private static void initServices(A3CMLServer server, ServerDesc desc) throws Exception {
    if (server.services != null) {
      ServiceDesc services[]  = new ServiceDesc[server.services.size()];
      int idx = 0;
      for (Enumeration<A3CMLService> x = server.services.elements(); x.hasMoreElements();) {
        A3CMLService service = x.nextElement();
        services[idx++] = new ServiceDesc(service.classname, service.args);
        
        // Need to load the service classes in order to register the Encodable factories
        Class.forName(service.classname);
      }
      desc.services = services;
    }
  }
