private void removeExpired(MessageSoftRef msgRef) {
    if (msgRef.getDeadNotAgentId() != null) {
      Message msg = msgRef.loadMessage();
      removeExpired(msg);
    } else {
      try {
        AgentServer.getTransaction().begin();
        msgRef.delete();
        AgentServer.getTransaction().commit(true);
      } catch (Exception exc) {
        logmon.log(BasicLevel.ERROR, "exception when deleting expired msg#" + msgRef.getStamp(), exc);
      }
    }
  }
