public synchronized void reset() {
    msgToSendlist.addAll(msgSentlist);
    msgSentlist.clear();
    
    long currentTime = System.currentTimeMillis();
    if (persistent) {
      for (Iterator iterator = msgToSendlist.iterator(); iterator.hasNext();) {
        MessageSoftRef msgRef = (MessageSoftRef) iterator.next();
        if (msgRef.isExpired(currentTime)) {
          iterator.remove();
          if (msgRef.getDeadNotAgentId() != null) {
            Message msg = msgRef.loadMessage();
            removeExpired(msg);
          } else {
            msgRef.delete();
          }
        }
      }
    } else {
      for (Iterator iterator = msgToSendlist.iterator(); iterator.hasNext();) {
        Message msg = (Message) iterator.next();
        if (msg.not.expiration > 0 && msg.not.expiration < currentTime) {
          iterator.remove();
          removeExpired(msg);
        }
      }
    }

  }
