public synchronized void setSent(Message msg) {
    if (persistent) {
      MessageSoftRef msgRef = (MessageSoftRef) msgToSendlist.first();
      if (msgRef.getStamp() != msg.getStamp()) {
        throw new IllegalArgumentException("Send order not respected !");
      }
      msgToSendlist.remove(msgRef);
      msgSentlist.add(msgRef);
    } else {
      Message first = (Message) msgToSendlist.first();
      if (first.stamp != msg.stamp) {
        throw new IllegalArgumentException("Send order not respected !");
      }
      msgToSendlist.remove(first);
      msgSentlist.add(first);
    }
  }
