protected void prepareMessage(Message msg) throws Exception {
    short to = AgentServer.getServerDesc(msg.getTo().getTo()).getGateway();
    // Allocates a new timestamp. Be careful, if the message needs to be
    // routed we have to use the next destination in timestamp generation.

    msg.source = AgentServer.getServerId();
    msg.dest = to;
    msg.stamp = getSendUpdate(to);

    // Saves the message.
    msg.save();
  }
