public void crashAgentServer(short sid, String host, int port) throws Exception {
    Socket socket = null;

    logmon.log(BasicLevel.DEBUG, "SCAdmin: crash AgentServer#" + sid);

    try {
      socket = new Socket(host, port);
      socket.getOutputStream().write(AdminProxy.CRASH_SERVER.getBytes());
      socket.getOutputStream().write('\n');
      socket.getOutputStream().flush();
      try {
        socket.getInputStream().read();
      } catch (SocketException exc) {
        // Nothing to do: connection reset by peer:
      }
    } catch (Throwable exc) {
      if (logmon.isLoggable(BasicLevel.DEBUG))
        logmon.log(BasicLevel.DEBUG,
                   "SCAdmin: Can't crash server#" + sid, exc);
      throw new Exception("Can't crash server#" + sid + ": " + exc.getMessage());
    } finally {
      close(socket);
      socket = null;
    }
  }
