protected void rehash() {
    int oldCapacity = table.length;
    ServerDescEntry oldMap[] = table;

    int newCapacity = oldCapacity * 2 + 1;
    ServerDescEntry newMap[] = new ServerDescEntry[newCapacity];

    threshold = (int)(newCapacity * loadFactor);
    table = newMap;

    for (int i = oldCapacity ; i-- > 0 ;) {
      for (ServerDescEntry old = oldMap[i] ; old != null ; ) {
        ServerDescEntry e = old;
        old = old.next;

        int index = (e.desc.sid & 0x7FFFFFFF) % newCapacity;
        e.next = newMap[index];
        newMap[index] = e;
      }
    }
  }
