public synchronized ServerDesc remove(short sid) {
    ServerDescEntry tab[] = table;
    int index = (sid & 0x7FFF) % tab.length;
    for (ServerDescEntry e = tab[index], prev = null ; e != null ; prev = e, e = e.next) {
      if (e.desc.sid == sid) {
        if (prev != null) {
          prev.next = e.next;
        } else {
          tab[index] = e.next;
        }
        count--;
        ServerDesc oldDesc = e.desc;
        e.desc = null;
        return oldDesc;
      }
    }
    return null;
  }
