public static void loadServiceClasses() throws Exception {
    for (Enumeration<ServiceDesc> e = manager.registry.elements(); e.hasMoreElements() ;) {
      ServiceDesc desc = e.nextElement();
      try {
        loadServiceClass(desc);
      } catch (Exception exc) {
        xlogmon.log(BasicLevel.ERROR,
                   getName() + ", cannot start service:" + desc.getClassName(), exc);
      }
    }
  }
