public static void register(String scname, String args) {
  	synchronized (manager) {
  		ServiceDesc desc = (ServiceDesc) manager.registry.get(scname);
  		if (xlogmon.isLoggable(BasicLevel.DEBUG))
  			xlogmon.log(BasicLevel.DEBUG, getName() + ", register " + scname + " -> " + desc);
  		if (desc == null) {
  			desc =  new ServiceDesc(scname, args);
  			manager.registry.put(scname, desc);
  		} else {
  			desc.args = args;
  		}
  		try {
  			save();
  		} catch (IOException e) {
  			if (xlogmon.isLoggable(BasicLevel.ERROR))
  				xlogmon.log(BasicLevel.ERROR, getName() + ", register save service manager." + scname, e);
  		}
  	}
  }
