public void saveProperties(File dir) throws IOException {
    // Saves default Transaction properties if needed
    File tpf = new File(dir, "TPF");
    if (! tpf.exists()) {
      FileOutputStream fos = null;
      try {
        fos = new FileOutputStream(tpf);
        props.storeToXML(fos, "Transaction properties");
      } catch (Exception exc) {
        logmon.log(BasicLevel.ERROR,
                   "Transaction, Cannot save Transaction properties", exc);
      } finally {
        fos.close();
      }
    }
  }
