public String[] list(String prefix) throws IOException {
    try {
      // Creating a statement lets us issue commands against the connection.
      Statement s = conn.createStatement();
      ResultSet rs = s.executeQuery("SELECT name FROM JoramDB WHERE name LIKE '" + prefix + "%'");

      Vector v = new Vector();
      while (rs.next()) {
        v.add(rs.getString(1));
      }
      rs.close();
      s.close();

      String[] result = new String[v.size()];
      result = (String[]) v.toArray(result);

      return result;
    } catch (SQLException sqle) {
      if (sqle instanceof com.mysql.jdbc.CommunicationsException && !reconnectLoop) {
        logger.log(BasicLevel.WARN, "Database reconnection problem at list, Reconnecting");
        reconnection();
        reconnectLoop = true;
        String[] result = list(prefix);
        reconnectLoop = false;
        return result;
      }

      if (reconnectLoop)
        logger.log(BasicLevel.WARN, "Database reconnection problem at list");

      logger.log(BasicLevel.WARN, "list, problem list " + prefix);
      sqle.printStackTrace();
      throw new IOException(sqle.getMessage());
    } catch (Exception e) {
      logger.log(BasicLevel.WARN, "list, problem list " + prefix + " in e with " + e.getMessage());
      e.printStackTrace();
      throw new IOException(e.getMessage());
    }
  }
