public void start(BundleContext context) throws Exception {
    if (logmon.isLoggable(BasicLevel.DEBUG))
      logmon.log(BasicLevel.DEBUG, "start(" + context + ')');
    Activator.context = context;

    // The JNDI_URLSCHEME is defined in the org.osgi.enterprise bundle
    // (org.osgi.service.jndi.JNDIConstants.JNDI_URLSCHEME = "osgi.jndi.url.scheme")
    // and we just need the JNDI_URLSCHEME constant in this bundle.
    String JNDI_URLSCHEME = "osgi.jndi.url.scheme";
    Properties props = new Properties();
    props.setProperty(JNDI_URLSCHEME, "scn");
    registration = context.registerService(
        javax.naming.spi.ObjectFactory.class.getName(),
        new scnURLContextFactory(),
        (Dictionary)props);
  }
