private void onUpdateEvent(AgentId from, CreateSubcontextEvent evt) 
  throws NamingException {
    if(!looseCoupling){
      getServerImpl().createSubcontext(
                                       getServerImpl().getNamingContext(	
                                                                        evt.getUpdatedContextId()),
                                                                        evt.getName(),
                                                                        evt.getPath(),
                                                                        evt.getContextId(),
                                                                        evt.getOwnerId(),
                                                                        from);
    }else{
      CompositeName parentPath = (CompositeName) evt.getPath().clone();    
      parentPath.remove(parentPath.size() - 1);
      NamingContext  nc= getServerImpl().getNamingContext(parentPath);
      getServerImpl().createSubcontext(nc,
                                       evt.getName(),
                                       evt.getPath(),
                                       evt.getContextId(),
                                       getId(),
                                       from);
    }
  }
