private void onUpdateEvent(AgentId from, DestroySubcontextEvent evt) 
  throws NamingException {
    if(!looseCoupling){
      getServerImpl().destroySubcontext(
                                        getServerImpl().getNamingContext(
                                                                         evt.getUpdatedContextId()),
                                                                         evt.getName(), 
                                                                         evt.getPath(),
                                                                         from);
    }else{
      CompositeName parentPath = (CompositeName) evt.getPath().clone();    
      parentPath.remove(parentPath.size() - 1);
      NamingContext  nc= getServerImpl().getNamingContext(parentPath);
      getServerImpl().destroySubcontext(
                                        nc,
                                        evt.getName(), 
                                        evt.getPath(),
                                        from);

    }
  }
