public Properties getProperties(String name) throws NamingException {
    Properties prop = new Properties();
    Record rec = getRecord(name);
    if(rec instanceof ObjectRecord) {
      Reference ref = (Reference) ((ObjectRecord) rec).getObject();
      String className = ref.getClassName();
      prop.setProperty("className", className);
      if(className.equals("org.objectweb.joram.client.jms.Topic")
          || className.equals("org.objectweb.joram.client.jms.Queue")) {
        prop.setProperty("agentId", (String) ref.get("dest.agentId").getContent());        
        prop.setProperty("name", (String) ref.get("dest.adminName").getContent());
      } else if(className.equals("org.objectweb.joram.client.jms.tcp.QueueTcpConnectionFactory")
          ||className.equals("org.objectweb.joram.client.jms.tcp.TopicTcpConnectionFactory")
          || className.equals("org.objectweb.joram.client.jms.tcp.TcpConnectionFactory")) {
        prop.setProperty("host", (String) ref.get("cf.host").getContent());        
        prop.setProperty("port", (String) ref.get("cf.port").getContent());        
      }
    }
    return prop;
  }
