public NamingContext newNamingContext(Object ownerId,
                                        NamingContextId ncid,
                                        CompositeName name) 
    throws NamingException {
    if (Trace.logger.isLoggable(BasicLevel.DEBUG))
      Trace.logger.log(BasicLevel.DEBUG, 
                       "StorageManager.newNamingContext(" + 
                       ownerId + ',' + name + ')');
    if (ncid == null) {
      ncid = newNamingContextId();
    }
    NamingContext nc = new NamingContext(
      ncid, ownerId, name);
    addNamingContext(
      nc, 
      name);
    return nc;
  }
