public final static Object resolveObject(Object obj) throws NamingException {
    if (! (obj instanceof Reference))
      return obj;

    try {
      return javax.naming.spi.NamingManager.getObjectInstance(
        obj, null, null, null);
    } catch (Exception e) {
      if (logger.isLoggable(BasicLevel.DEBUG))
        logger.log(BasicLevel.DEBUG, "", e);
      NamingException ne = new NamingException(e.getMessage());
      ne.setRootCause(e);
      throw ne;
    }
  }
