public Object getObjectInstance(Object obj, Name name, Context ctx,
                                  java.util.Hashtable env) throws Exception {
    if (obj instanceof Reference) {
      Reference ref = (Reference)obj;
      RefAddr addr = ref.get(ADDRESS_TYPE);
      if (addr instanceof BinaryRefAddr) {
        BinaryRefAddr binRefAddr = (BinaryRefAddr)addr;
        byte[] bytes = (byte[])binRefAddr.getContent();
        ByteArrayInputStream bais = new ByteArrayInputStream(bytes);
        ObjectInputStream ois = new ObjectInputStream(bais);
        return ois.readObject();
      }
      throw new Exception("Binary address expected");
    }
    throw new Exception("Reference expected");
  }
