public void createTopicCF(String name, ManagedConnectionFactoryImpl mcf) {
    try {
    	mcf.setName(name);
    	mcf.setResourceAdapter(this);
//      mcf.setCollocated(new Boolean(false));

      Object factory = mcf.createConnectionFactory();
      bind(name, factory);
      if (logger.isLoggable(BasicLevel.INFO))
        logger.log(BasicLevel.INFO,
                   "  - TopicConnectionFactory [" + name
                   + "] has been created and bound.");
    } catch (Exception exc) {}
  }
