public void setManagedConnectionFactoryConfig(Properties props) {
  	name = props.getProperty("name");
  	hostName = props.getProperty("HostName", "localhost");
  	serverPort = new Integer(props.getProperty("ServerPort", "-1")).intValue();

  	userName = props.getProperty("UserName", "anonymous");
  	password = props.getProperty("Password", "anonymous");
  	identityClass = props.getProperty("IdentityClass", "org.objectweb.joram.shared.security.SimpleIdentity");
  	collocated = new Boolean(props.getProperty("Collocated", "true")).booleanValue();
  	outInterceptors = props.getProperty("OutInterceptors");
  	inInterceptors = props.getProperty("InInterceptors");

  	// Empty value corresponds to INADDRANY (wildcard address)
  	outLocalAddress = props.getProperty("outLocalAddress");
  	outLocalPort = new Integer(props.getProperty("outLocalPort", "0")).intValue();

  	connectingTimer = new Integer(props.getProperty("ConnectingTimer", "0")).intValue();
  	cnxPendingTimer = new Integer(props.getProperty("CnxPendingTimer", "0")).intValue();
  	txPendingTimer = new Integer(props.getProperty("TxPendingTimer", "0")).intValue();
  	multiThreadSync = new Boolean(props.getProperty("multiThreadSync", "false")).booleanValue();
  	multiThreadSyncDelay = new Integer(props.getProperty("multiThreadSyncDelay", "1")).intValue();

  	mode = props.getProperty("mode", MODE_UNIFIED); //"Unified | PTP | PubSub"
  	// TODO: unused by JOnAS
// <!--Unified-->
// <!--ConnectionFactoryInterface = javax.jms.ConnectionFactory-->
// <!--ConnectionFactoryImpl = org.objectweb.joram.client.connector.OutboundConnectionFactory-->
// <!--ConnectionInterface = javax.jms.Connection-->
// <!--ConnectionImpl = org.objectweb.joram.client.connector.OutboundConnection-->
// <!--PTP-->
// <!--ConnectionFactoryInterface = javax.jms.QueueConnectionFactory-->
// <!--ConnectionFactoryImpl = org.objectweb.joram.client.connector.OutboundQueueConnectionFactory-->
// <!--ConnectionInterface = javax.jms.QueueConnection-->
// <!--ConnectionImpl = org.objectweb.joram.client.connector.OutboundQueueConnection-->
// <!--PubSub-->
// <!--ConnectionFactoryInterface = javax.jms.TopicConnectionFactory-->
// <!--ConnectionFactoryImpl = org.objectweb.joram.client.connector.OutboundTopicConnectionFactory-->
// <!--ConnectionInterface = javax.jms.TopicConnection-->
// <!--ConnectionImpl = org.objectweb.joram.client.connector.OutboundTopicConnection-->
  }
