protected XAConnectionFactory createFactory(ConnectionRequestInfo cxRequest) throws ResourceException {
  	XAConnectionFactory factory = null;

  	String hostName = getHostName();
  	int serverPort = getServerPort();
//  	if (isCollocated()) {
//  		hostName = "localhost";
//  		serverPort = -1;
//  	}
  	if (logger.isLoggable(BasicLevel.DEBUG))
  	  logger.log(BasicLevel.DEBUG, this + " createFactory hostName = " + hostName + ", serverPort = " + serverPort);

  	if (isCollocated()) {
  	  factory = XALocalConnectionFactory.create();
  	} else {
  	  factory = XATcpConnectionFactory.create(hostName, serverPort);
  	}

  	if (ra == null) {
  	  setResourceAdapter(new JoramAdapter());
  	}
  	((AbstractConnectionFactory) factory).setCnxJMXBeanBaseName(ra.jmxRootName+"#"+ra.getName());

  	return factory;
  }
