void reconnect() {
  	if (logger.isLoggable(BasicLevel.DEBUG))
  		logger.log(BasicLevel.DEBUG, this + " reconnect(), ra.isActive() = " + ((JoramAdapter) ra).isActive());
  	try {
  		valid = true;
  		synchronized (lock) {
  			lock.notifyAll();
  		}
  	}	catch (Exception e) {
  		if (logger.isLoggable(BasicLevel.DEBUG))
  			logger.log(BasicLevel.DEBUG, this + " reconnect exception ", e);
  	}
  }
