public synchronized void close() throws JMSException {
    valid = false;

    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, this + " close()");

    for (int i = 0; i < sessions.size(); i++) {
      OutboundSession session = (OutboundSession) sessions.get(i);
      if (logger.isLoggable(BasicLevel.DEBUG))
        logger.log(BasicLevel.DEBUG, this + " close() session = " + session);

      session.close();
      // TODO (AF): Should remove session from vector or set sessions to null
    }

    managedCx.closeHandle(this);
    
    unregisterMBean();
  }
