public void setExceptionListener(ExceptionListener listener) throws JMSException {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, this + " setExceptionListener(" + listener + ")");

    if (! valid)
      throw new javax.jms.IllegalStateException("Invalid connection handle.");

    throw new IllegalStateException("Forbidden call on a component's connection.");
  }
