public void send(Destination destination, Message message,
		  CompletionListener completionListener) throws JMSException {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, this + " send(" + destination + ", " + message + ", " + ", " + completionListener + ")");
    checkValidity();
    producer.send(destination, message, completionListener);
  }
