public void send(Message message,
                   int deliveryMode,
                   int priority,
                   long timeToLive)
    throws JMSException {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, this + " send(" + message + 
                                    ", " + deliveryMode + 
                                    ", " + priority + 
                                    ", " + timeToLive + ")");

    checkValidity();
    producer.send(message, deliveryMode, priority, timeToLive);
  }
