public void publish(Message message,
                      int deliveryMode, 
                      int priority,
                      long timeToLive)
    throws JMSException {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, this + " publish(" + message +
                                    ", " + deliveryMode +
                                    ", " + priority +
                                    ", " + timeToLive + ")");

    checkValidity();
    producer.send(message, deliveryMode, priority, timeToLive);
  }
