public void publish(Topic topic,
                      Message message,
                      int deliveryMode, 
                      int priority,
                      long timeToLive)
    throws JMSException {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, this + " publish(" + topic +
                                    ", " + message +
                                    ", " + deliveryMode +
                                    ", " + priority +
                                    ", " + timeToLive + ")");

    checkValidity();
    producer.send(topic, message, deliveryMode, priority, timeToLive);
  }
