public MessageConsumer createDurableConsumer(Topic topic, String name,
		  String messageSelector, boolean noLocal) throws JMSException {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, this + " createDurableConsumer(" + topic + ", " + name + ", " + messageSelector + ", " + noLocal + ")");
    checkValidity();
    return new OutboundConsumer(sess.createDurableConsumer(topic, name, messageSelector, noLocal), this);
  }
