private void updateRootName(String rarName,
                              String rootName,
                              String rootPasswd,
                              String identityClass) throws Exception {
    if (debug)
      System.out.println("RAConfig.updateRootName(" + rarName +
                         "," + rootName +
                         "," + rootPasswd +
                         "," + identityClass + ")");
    else if (verbose)
      System.out.println("update (ra.xml) in \"" + rarName +
                         "\" with RootName=" + rootName +
                         " RootPasswd=" + rootPasswd +
                         " IdentityClass=" + identityClass);

    // update ra.xml file
    File file = new File(rarName);
    StringBuffer buff = new StringBuffer();
    buff.append("RAR_NAME  ");
    buff.append(file.getAbsolutePath());
    buff.append("\n[org.objectweb.joram.client.connector.JoramAdapter]");
    buff.append("\nRootName  ");
    buff.append(rootName);
    buff.append("\nRootPasswd  ");
    buff.append(rootPasswd);
    buff.append("\nIdentityClass  ");
    buff.append(identityClass);
    // create temporary raProperty file
    String tempFile = "ra.properties_tmp";
    createFile(tempFile,buff.toString());
    updateRAR(tmpDir + tempFile, false);
    new File(tmpDir + tempFile).delete();
  }
