public void cleanup(boolean close) {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, stringImage +".cleanup(" + close + ")");
    
    if (close) {
      // Closing the sessions:
      // Session session;
      Vector sessionsToClose = (Vector)sessions.clone();
      sessions.clear();

      for (int i = 0; i < sessionsToClose.size(); i++) {
        Session session = (Session) sessionsToClose.elementAt(i);
        try {
          session.close();
        } catch (JMSException exc) {
          if (logger.isLoggable(BasicLevel.DEBUG))
            logger.log(BasicLevel.DEBUG, "", exc);
        }
      }
    }
    
    mtpx.cleanup();
  }
