synchronized boolean closeMessageConsumer(String targetName) {
    boolean ret = true;
    if (messageConsumers.containsKey(targetName)) {
      int count = messageConsumers.get(targetName);
      if (count > 1) {
        messageConsumers.put(targetName, count-1);
        ret = false;
      } else {
        messageConsumers.remove(targetName);
      }
    }
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "Connection.closeMessageConsumer(" + targetName + ") = " + ret);
    return ret;
  }
