public synchronized javax.jms.ConnectionConsumer createConnectionConsumer(javax.jms.Destination dest, 
                                                                            String selector,
                                                                            javax.jms.ServerSessionPool sessionPool,
                                                                            int maxMessages) throws JMSException {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, 
                 stringImage + ".createConnectionConsumer(" + dest + ',' + selector + ',' +
                 sessionPool + ',' + maxMessages + ')');
    lockClientId();
    checkClosed();
    return createConnectionConsumer(dest, null, selector, sessionPool, maxMessages);
  }
