synchronized void openMessageConsumer(String targetName) {
    if (messageConsumers.containsKey(targetName)) {
      int count = messageConsumers.get(targetName);
      messageConsumers.put(targetName, count+1);
    } else {
      messageConsumers.put(targetName, 1);
    }
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "Connection.openMessageConsumer(" + targetName + ") count = " + messageConsumers.get(targetName));
  }
