public Hashtable code(Hashtable h, String prefix) {
    if (getHost() != null)
      h.put(prefix + ".host", getHost());
    h.put(prefix + ".port", new Integer(getPort()));

    if (getUrl() != null)
      h.put(prefix + ".url", getUrl());

    h.put(prefix + ".clientID", clientID);
    h.put(prefix + ".TcpNoDelay", new Boolean(TcpNoDelay));
    h.put(prefix + ".SoLinger", new Integer(SoLinger));
    h.put(prefix + ".SoTimeout", new Integer(SoTimeout));

    h.put(prefix + ".connectingTimer", new Integer(connectingTimer));
    h.put(prefix + ".txPendingTimer", new Integer(txPendingTimer));
    h.put(prefix + ".cnxPendingTimer", new Integer(cnxPendingTimer));

    h.put(prefix + ".socketFactory", socketFactory);

    h.put(prefix + ".implicitAck", new Boolean(implicitAck));
    h.put(prefix + ".asyncSend", new Boolean(asyncSend));
    h.put(prefix + ".queueMessageReadMax", new Integer(queueMessageReadMax));
    h.put(prefix + ".topicAckBufferMax", new Integer(topicAckBufferMax));
    h.put(prefix + ".multiThreadSync", new Boolean(multiThreadSync));
    h.put(prefix + ".multiThreadSyncDelay", new Integer(multiThreadSyncDelay));
    h.put(prefix + ".multiThreadSyncThreshold", new Integer(multiThreadSyncThreshold));
    h.put(prefix + ".topicPassivationThreshold", new Integer(topicPassivationThreshold));
    h.put(prefix + ".topicActivationThreshold", new Integer(topicActivationThreshold));
    h.put(prefix + ".compressedMinSize", new Integer(compressedMinSize));
    h.put(prefix + ".compressionLevel", new Integer(compressionLevel));
    h.put(prefix + ".noAckedQueue", new Boolean(noAckedQueue));
    h.put(prefix + ".outLocalPort", new Integer(outLocalPort));
    if (outLocalAddress != null)
      h.put(prefix + ".outLocalAddress", outLocalAddress);
    if ((inInterceptors != null) && (!inInterceptors.isEmpty()))
      h.put(prefix + ".inInterceptors", getListInInterceptorClassName());
    if ((outInterceptors!=null) && (!outInterceptors.isEmpty()))
      h.put(prefix + ".outInterceptors", getListOutInterceptorClassName());
    if (messageIdPrefix != null)
      h.put(prefix + ".messageIdPrefix", messageIdPrefix);

    return h;
  }
