public void decode(Hashtable h, String prefix) {
    host = (String) h.get(prefix + ".host");
    port = ((Integer) h.get(prefix + ".port")).intValue();

    url = (String) h.get(prefix + ".url");

    clientID = (String) h.get(prefix + ".clientID");
    TcpNoDelay = ((Boolean) h.get(prefix + ".TcpNoDelay")).booleanValue();
    SoLinger = ((Integer) h.get(prefix + ".SoLinger")).intValue();
    SoTimeout = ((Integer) h.get(prefix + ".SoTimeout")).intValue();

    connectingTimer = ((Integer) h.get(prefix + ".connectingTimer")).intValue();
    txPendingTimer = ((Integer) h.get(prefix + ".txPendingTimer")).intValue();
    cnxPendingTimer = ((Integer) h.get(prefix + ".cnxPendingTimer")).intValue();

    socketFactory = (String) h.get(prefix + ".socketFactory");
    
    implicitAck = ((Boolean) h.get(prefix + ".implicitAck")).booleanValue();
    asyncSend = ((Boolean) h.get(prefix + ".asyncSend")).booleanValue();
    queueMessageReadMax = ((Integer) h.get(prefix + ".queueMessageReadMax")).intValue();
    topicAckBufferMax = ((Integer) h.get(prefix + ".topicAckBufferMax")).intValue();
    multiThreadSync = ((Boolean) h.get(prefix + ".multiThreadSync")).booleanValue();
    multiThreadSyncDelay = ((Integer) h.get(prefix + ".multiThreadSyncDelay")).intValue();
    multiThreadSyncThreshold = ((Integer) h.get(prefix + ".multiThreadSyncThreshold")).intValue();
    topicPassivationThreshold = ((Integer) h.get(prefix + ".topicPassivationThreshold")).intValue();
    topicActivationThreshold = ((Integer) h.get(prefix + ".topicActivationThreshold")).intValue();
    compressedMinSize = ((Integer) h.get(prefix + ".compressedMinSize")).intValue();
    compressionLevel = ((Integer) h.get(prefix + ".compressionLevel")).intValue();
    noAckedQueue = ((Boolean) h.get(prefix + ".noAckedQueue")).booleanValue();
    outLocalPort = ((Integer) h.get(prefix + ".outLocalPort")).intValue();
    outLocalAddress = (String) h.get(prefix + ".outLocalAddress");
    String listInterceptorClassNames = (String) h.get(prefix + ".inInterceptors");
    if(listInterceptorClassNames!=null){
    	setListInInterceptorClassName(listInterceptorClassNames);
    }
    listInterceptorClassNames = (String) h.get(prefix + ".outInterceptors");
    if(listInterceptorClassNames!=null){
    	setListOutInterceptorClassName(listInterceptorClassNames);
    }
    messageIdPrefix = (String) h.get(prefix + ".messageIdPrefix");
  }
