private Session getCopyOfSession() {
    try {
      return (Session) connection.createSession(getSessionMode());
    } catch (JMSException e) {
      if (logger.isLoggable(BasicLevel.ERROR))
        logger.log(BasicLevel.ERROR,
            "Unable to create a session " + e.getMessage());
      throw new JMRuntimeException("Unable to create a session " + e.getMessage());
    }
  }
