public void setExceptionListener(ExceptionListener listener) {
    try {
      if (connection == null) throw new JMSException("Underlying connection is closed");

      connection.setExceptionListener(listener);
    } catch (JMSException e) {
      throw new JMSRuntimeException(e.getMessage(), e.getErrorCode(), e);
    }
  }
