public void unsubscribe(String name) {
    connection.lockClientID();
    try {
      session.unsubscribe(name);
    } catch (InvalidDestinationException exc) {
      throw new InvalidDestinationRuntimeException("Unable to unsubcribe to: " + name, exc.getMessage(), exc);
    } catch (JMSException exc) {
      throw new JMSRuntimeException("Unable to unsubcribe to: " + name, exc.getMessage(), exc);
    }
  }
