public boolean getBooleanProperty(String name) {
    if (name == null || name.equals(""))
      throw new JMSRuntimeException("Invalid property name: " + name);
    
//    if (!propertyExists(name)) return false;
    
    try {
      return ConversionHelper.toBoolean(properties.get(name));
    } catch (MessageValueException mE) {
      throw new MessageFormatRuntimeException(mE.getMessage());
    }

//    if (properties.get(name) instanceof Boolean) {
//      return ((Boolean) properties.get(name)).booleanValue();
//    } else {
//      if (!propertyExists(name)) {
//        throw new JMSRuntimeException("Unable to get property associated to: " + name);
//      } else {
//        throw new MessageFormatRuntimeException("Unable to convert property associated to: " + name);
//      }
//    }
  }
