public void setObject(String name, Object value) throws JMSException {
    if (RObody)
      throw new MessageNotWriteableException("Can't set a value as the message body is read-only.");

    if (name == null || name.equals(""))
      throw new IllegalArgumentException("Invalid null or empty value name.");

    if (value instanceof Boolean || value instanceof Character ||
        value instanceof Number || value instanceof String ||
        value instanceof byte[] || value == null)
      map.put(name, value);
    else
      throw new MessageFormatException("Can't set non Java primitive type as a map value.");
  }
