public synchronized void send(javax.jms.Destination dest,
                                javax.jms.Message message) throws JMSException {
    if (dest == null)
      throw new InvalidDestinationException("Can't send message to an unidentified destination.");
    if (identified)
      throw new UnsupportedOperationException("An identified message producer can't use this method.");

    doSend((Destination) dest, message, deliveryMode, priority, timeToLive);
  }
