public void send(javax.jms.Message message,
      javax.jms.CompletionListener completionListener) throws JMSException {
    if (! identified)
      throw new UnsupportedOperationException("Can't send message to an unidentified destination.");
    if (completionListener == null)
      throw new IllegalArgumentException("Completion listener is null");
    doSend(dest, message, deliveryMode, priority, timeToLive, completionListener);
  }
