public synchronized void close() throws JMSException {
    // Ignoring the call if the browser is already closed:
    if (closed)
      return;

    sess.closeBrowser(this);
    closed = true;

    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, this + " closed.");
  }
