public synchronized javax.jms.QueueSession createQueueSession(boolean transacted,
                                                                int acknowledgeMode) throws JMSException {
    checkClosed();
    QueueSession qs = new QueueSession(this, 
                                       transacted, acknowledgeMode,
                                       getRequestMultiplexer());
    addSession(qs);
    return qs;
  }
