public Properties getMessageHeader(String msgId)
			throws AdminException, ConnectException, JMSException {
		GetQueueMessageRep reply = 
				(GetQueueMessageRep)doRequest(new GetQueueMessage(agentId, msgId, false));
		Message msg =  Message.wrapMomMessage(null, reply.getMessage());

		Properties prop = new Properties();
		prop.setProperty("JMSMessageID", msg.getJMSMessageID());
		prop.setProperty("JMSDestination", msg.getJMSDestination().toString());
		if (msg.getJMSCorrelationID() != null)
			prop.setProperty("JMSCorrelationID", msg.getJMSCorrelationID());
		prop.setProperty("JMSDeliveryMode",
				new Integer(msg.getJMSDeliveryMode()).toString());
		prop.setProperty("JMSExpiration",
				new Long(msg.getJMSExpiration()).toString());
		prop.setProperty("JMSPriority",
				new Integer(msg.getJMSPriority()).toString());
		prop.setProperty("JMSRedelivered",
				new Boolean(msg.getJMSRedelivered()).toString());
		if (msg.getJMSReplyTo() != null)
			prop.setProperty("JMSReplyTo", msg.getJMSReplyTo().toString());
		prop.setProperty("JMSTimestamp",
				new Long(msg.getJMSTimestamp()).toString());
		if (msg.getJMSType() != null)
			prop.setProperty("JMSType", msg.getJMSType());

		return prop;
	}
