synchronized MessageConsumerListener addMessageListener(MessageConsumerListener mcl, boolean check) throws JMSException {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "Session.addMessageListener(" + mcl + ')');
    
    if (check) {
      checkClosed();
      checkThreadOfControl();
    }

    checkSessionMode(SessionMode.LISTENER);

    mcl.start();

    if (status == Status.START && listenerCount == 0) {
      doStart();
    }

    listenerCount++;
    return mcl;
  }
