public synchronized javax.jms.TemporaryTopic createTemporaryTopic() throws JMSException {
    checkClosed();
    checkThreadOfControl();

    SessCreateDestReply reply = (SessCreateDestReply) requestor.request(new SessCreateDestRequest(DestinationConstants.getTemporaryTopicType()));
    String tempDest = reply.getAgentId();
    return new TemporaryTopic(tempDest, cnx);
  }
