private void denyMessage(String targetName, String msgId, boolean queueMode, boolean redelivered) throws JMSException {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "Session.denyMessage(" + targetName + ',' + msgId + ',' + queueMode + ',' + redelivered + ')');
    ConsumerDenyRequest cdr = new ConsumerDenyRequest(targetName, msgId, queueMode);
    cdr.setRedelivered(redelivered);
    if (queueMode) {
      requestor.request(cdr);
    } else {
      mtpx.sendRequest(cdr);
    }
  }
