public void setTransacted(boolean t) {
    if (status != Status.CLOSE) {
      transacted = t;
//      if (!t)  autoAck = true;
      if (logger.isLoggable(BasicLevel.DEBUG))
        logger.log(BasicLevel.DEBUG,
                   "Session.setTransacted transacted = " + transacted + ", autoAck = " + autoAck);
    } else {
      // Should throw an exception but not expected in the connector.
      if (logger.isLoggable(BasicLevel.DEBUG))
        logger.log(BasicLevel.WARN,
                   "Session.setTransacted: session " + ident + " closed.");
    }
  }
