public void reset() throws JMSException {
    try {
      if (! RObody) {
        outputStream.flush();
        momMsg.setBody(outputBuffer.toByteArray());
      } else {
        inputStream.close();
      }

      inputStream = new DataInputStream(new ByteArrayInputStream(momMsg.getBody()));
      if (inputStream != null) inputStream.reset();

      RObody = true;
      firstTimeBytesRead = true;
    } catch (IOException iE) {
      JMSException jE =
        new JMSException("Error while manipulating the stream facilities.");
      jE.setLinkedException(iE);
      throw jE;
    }
  }
