public void end(Xid xid, int flag) throws XAException {
    if (! enlisted || ! xid.equals(currentXid))
      throw new XAException("Resource is not enlisted in specified transaction.");

    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG,
                 this + ": end(" + xid + ", " + flag + ")");

    rm.end(xid, flag, sess);

    enlisted = false;
    currentXid = null;
  }
