public static Topic create(int serverId,
                             String name,
                             String dest,
                             Properties props) throws ConnectException, AdminException {
    if (props == null)
      props = new Properties();
    props.setProperty("distribution.className", AMQPDistribution);
    props.setProperty("amqp.QueueName", dest);
    Topic topic = Topic.create(serverId, name, Topic.DISTRIBUTION_TOPIC, props);
    return topic;
  }
