public javax.jms.XAJMSContext createXAContext(String userName, String password) {
    try {
      return new XAJMSContext((XAConnection) createXAConnection(userName, password));
    } catch (JMSSecurityException e) {
      logger.log(BasicLevel.ERROR, "Unable to create XAJMSContext", e);
      throw new JMSSecurityRuntimeException("Unable to create XAJMSContext", e.getMessage(), e);
    } catch (JMSException e) {
      logger.log(BasicLevel.ERROR, "Unable to create XAJMSContext", e);
      throw new JMSRuntimeException ("Unable to create XAJMSContext", e.getMessage(), e);
    }
  }
