private static void doConnect(String host,
                                int port,
                                String name,
                                String password,
                                int cnxTimer,
                                String reliableClass,
                                String identityClass) throws UnknownHostException, ConnectException, AdminException {
    ConnectionFactory cf = TcpConnectionFactory.create(host, port, reliableClass);
    cf.getParameters().connectingTimer = cnxTimer;
    doConnect(cf, name, password, identityClass);
  }
