public void abort() throws ConnectException {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "AdminRequestor.abort()");

    try {
      consumer.close();
      consumer = session.createConsumer(tmpTopic);
    } catch (JMSException exc) {
      if (logger.isLoggable(BasicLevel.DEBUG))
        logger.log(BasicLevel.DEBUG,
                   "AdminRequestor.abort() connection failed.", exc);
      throw new ConnectException("Connection failed: " + exc.getMessage());
    }
  }
