public void close() {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "AdminRequestor.close()");

    try {
      consumer.close();
    } catch (JMSException exc) {
      logger.log(BasicLevel.ERROR, "AdminRequestor.close()", exc);
    }
    try {
      producer.close();
    } catch (JMSException exc) {
      logger.log(BasicLevel.ERROR, "AdminRequestor.close()", exc);
    }
    try {
      tmpTopic.delete();
    } catch (JMSException exc) {
      logger.log(BasicLevel.ERROR, "AdminRequestor.close()", exc);
    }
    try {
      session.close();
    } catch (JMSException exc) {
      logger.log(BasicLevel.ERROR, "AdminRequestor.close()", exc);
    }
  }
