public final Server[] getServers(String domain) throws ConnectException, AdminException {
    GetServersIdsRequest request = new GetServersIdsRequest(getLocalServerId(), domain);
    GetServersIdsReply reply = (GetServersIdsReply) doRequest(request);

    int[] serverIds = reply.getIds();
    String[] serverNames = reply.getNames();
    String[] serverHostNames = reply.getHostNames();
    Server[] servers = new Server[serverIds.length];
    for (int i = 0; i < serverIds.length; i++) {
      servers[i] = new Server(serverIds[i], serverNames[i], serverHostNames[i]);
    }
    return servers;
  }
