protected Destination getDestination() {
    if ((cluster != null) && ! cluster.isEmpty()) {
      Destination dest = null;
      String location = System.getProperty("location");
      if (location == null || location.equals("")) {
        int idx = new Random().nextInt(cluster.size());

        Object key[] = cluster.keySet().toArray();
        location = (String) key[idx];
        System.setProperty("location", location);
      }

      dest = (Destination) cluster.get(location);
      if (dest == null) {
        Enumeration e = cluster.elements();
        dest = (Destination) e.nextElement();
      }
      return dest;
    }

    return null;
  }
