public static Queue create(int serverId,
                             String name,
                             String url,
                             Properties props) throws ConnectException, AdminException {
    if (props == null)
      props = new Properties();
    props.setProperty("acquisition.className", URLAcquisition);
    props.setProperty("collector.url", url);
    Queue queue = Queue.create(serverId, name, Queue.ACQUISITION_QUEUE, props);
    return queue;
  }
