public static Topic create(int serverId,
                             String name,
                             String url,
                             Properties props) throws ConnectException, AdminException {
    if (props == null)
      props = new Properties();
    props.setProperty("acquisition.className", URLAcquisition);
    props.setProperty("collector.url", url);
    Topic topic = Topic.create(serverId, name, Topic.ACQUISITION_TOPIC, props);
    return topic;
  }
