public static Queue create(int serverId,
                             String name,
                             Properties props) throws ConnectException, AdminException {
    if (props == null)
      props = new Properties();
    if (!props.containsKey("ftpImplName"))
      props.setProperty("ftpImplName", DefaultFTPImpl);
    Queue queue = Queue.create(serverId, name, Queue.FTP_QUEUE, props);
    return queue;
  }
