public void exit() {
    try {
      Iterator<String> mbeans = MXWrapper.queryNames(JMXBaseName + ":type=User,location=*,name=*").iterator();
      while (mbeans.hasNext()) {
        String name = mbeans.next();
        try {
          MXWrapper.unregisterMBean(name);
        } catch (Exception exc) {
          if (logger.isLoggable(BasicLevel.DEBUG))
            logger.log(BasicLevel.DEBUG, "JoramAdmin.unregisterMBean: " + name,exc);
        }
      }

      mbeans = MXWrapper.queryNames(JMXBaseName + ":type=Queue,location=*,name=*").iterator();
      while (mbeans.hasNext()) {
        String name = mbeans.next();
        try {
          MXWrapper.unregisterMBean(name);
        } catch (Exception exc) {
          if (logger.isLoggable(BasicLevel.DEBUG))
            logger.log(BasicLevel.DEBUG, "JoramAdmin.unregisterMBean: " + name,exc);
        }
      }

      mbeans = MXWrapper.queryNames(JMXBaseName + ":type=Topic,location=*,name=*").iterator();
      while (mbeans.hasNext()) {
        String name = mbeans.next();
        try {
          MXWrapper.unregisterMBean(name);
        } catch (Exception exc) {
          if (logger.isLoggable(BasicLevel.DEBUG))
            logger.log(BasicLevel.DEBUG, "JoramAdmin.unregisterMBean: " + name,exc);
        }
      }
    } catch (Exception exc) {
      if (logger.isLoggable(BasicLevel.DEBUG))
        logger.log(BasicLevel.DEBUG, "JoramAdmin.unregisterMBean",exc);
    }
    unregisterMBean();
    wrapper.close();
  }
