public void denyRequest(ConsumerReceiveRequest request) {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "RequestMultiplexer.denyRequest(" + request.getRequestId() + ')');

    ConsumerUnsetListRequest unsetLR = new ConsumerUnsetListRequest(request.getQueueMode());
    unsetLR.setTarget(request.getTarget());
    unsetLR.setCancelledRequestId(request.getRequestId());

    try {
      sendRequest(unsetLR);
    } catch (JMSException exc) {
      if (logger.isLoggable(BasicLevel.DEBUG))
        logger.log(BasicLevel.DEBUG, "Connection is closed", exc);
      // Connection failure
      // Nothing to do
    }
  }
