public synchronized boolean replyReceived(AbstractJmsReply reply) throws AbortedRequestException {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "Requestor.replyReceived(" + reply + ')');

    if (status == Status.RUN && reply.getCorrelationId() == requestId) {      
      this.reply = reply;
      setStatus(Status.DONE);
      notify();
      return true;
    }
    
    // The request has been aborted.
    throw new AbortedRequestException();
  }
