private Destination createDestination(AdminItf wrapper,
  		int serverId, 
  		String name, 
  		String className, 
  		Properties props) throws ConnectException, AdminException {
  	if (logmon.isLoggable(BasicLevel.DEBUG))
  		logmon.log(BasicLevel.DEBUG,
  				"createDestination(" + wrapper + ", "+ serverId + "," + name + "," + className + "," + props + ")");
  	if ("org.objectweb.joram.mom.dest.Queue".equals(className)) {
  		return wrapper.createQueue(serverId, name, className, props);
  	} else if ("org.objectweb.joram.mom.dest.Topic".equals(className)) {
  		return wrapper.createTopic(serverId, name, className, props);
  	} else
  		throw new AdminException("Unknown className : " + className);
  }
