private Destination createDestination(AdminItf wrapper,
  		int serverId, 
  		String name, 
  		String className, 
  		Properties props,
  		boolean isQueue) throws ConnectException, AdminException {
  	if (logmon.isLoggable(BasicLevel.DEBUG))
  		logmon.log(BasicLevel.DEBUG,
  				"createDestination(" + wrapper + ", "+ serverId + "," + name + "," + className + "," + props + "," + isQueue + ")");
  	if (isQueue) {
  		return wrapper.createQueue(serverId, name, className, props);
  	} else {
  		return wrapper.createTopic(serverId, name, className, props);
  	}
  }
