public void init() {
      if (logmon.isLoggable(BasicLevel.DEBUG))
        logmon.log(BasicLevel.DEBUG, "JoramNamespaceHandler.init()");
      
        registerBeanDefinitionParser("joramserver", new JoramServerBeanDefinitionParser()); 
        registerBeanDefinitionParser("admin", new JoramAdminBeanDefinitionParser()); 
        registerBeanDefinitionParser("queue", new JoramQueueBeanDefinitionParser()); 
        registerBeanDefinitionParser("topic", new JoramTopicBeanDefinitionParser());
        registerBeanDefinitionParser("user", new JoramUserBeanDefinitionParser()); 
        registerBeanDefinitionParser("tcpConnectionFactory", new JoramTcpConnectionFactoryBeanDefinitionParser()); 
        registerBeanDefinitionParser("localConnectionFactory", new JoramLocalConnectionFactoryBeanDefinitionParser());
        
        registerBeanDefinitionParser("testserver", new JoramTestServerBeanDefinitionParser()); 
    }
