protected void agentInitialize(boolean firstTime) throws Exception {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "AMQPAgent.agentInitialize(" + firstTime + ')');

    super.agentInitialize(firstTime);
    // create lockers map
    lockers = new HashMap<Long, Long>();
    // create response map
    responses = new HashMap<Long, Object>();
    
    // create stub agent in
    stubAgentIn = new StubAgentIn();

    // create stub agent out
    stubAgentOut = new StubAgentOut(60000);

    if (!firstTime) {
      sendRestart();
    }
    
//    try {
//      MXWrapper.registerMBean(amqp, "AMQP#"+AgentServer.getServerId(), getMBeanName());
//    } catch (Exception exc) {
//      logger.log(BasicLevel.ERROR, this + " jmx failed", exc);
//    }
  }
