private void doProcessHeader(MarshallingHeader header, PublishRequest publishRequest, int channelNumber) {

    publishRequest.setHeader(header.getBasicProperties(), header.getBodySize());
    publishRequest.channel = channelNumber;

    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "=== Header = " + header.getBasicProperties());

    if (header.getBodySize() == 0) {
      sendToProxy(publishRequest);
      removePublishRequest(channelNumber);
    }
  }
