private static void loads() throws TransactionException, IOException, ClassNotFoundException {
    String[] list = null;
    Transaction transaction = AgentServer.getTransaction();
    
    // load queue names
    list = transaction.getList(Queue.PREFIX_QUEUE);
    // load queues...
    if (list != null) {
      for (int i = 0; i < list.length; i++) {
        Queue.loadQueue(list[i]);
      }
    }
    
    // load exchanges
    list = transaction.getList(IExchange.PREFIX_EXCHANGE);
    // load exchanges...
    if (list != null) {
      for (int i = 0; i < list.length; i++) {
        IExchange.loadExchange(list[i]);
      }
    }
  }
