public synchronized void bind(String queueName, String routingKey, Map<String, Object> arguments) {
    if (logger.isLoggable(BasicLevel.DEBUG)) {
      logger.log(BasicLevel.DEBUG, "DirectExchange.Bind(" + queueName + "," + routingKey + ") with " + name);
    }

    Set<String> boundQueues = bindings.get(routingKey);
    if (boundQueues == null) {
      boundQueues = new HashSet<String>();
      bindings.put(routingKey, boundQueues);
    }
    boundQueues.add(queueName);
    if (durable)
      saveExchange();
  }
