public synchronized void bind(String queueName, String routingKey, Map<String, Object> arguments) {
    Set<String> boundQueues = bindings.get(arguments);

    if (boundQueues == null) {
      boundQueues = new HashSet<String>();
      bindings.put(arguments, boundQueues);
    }
    boundQueues.add(queueName);
    if (durable)
      saveExchange();
  }
