public static IExchange loadExchange(String name) throws IOException, ClassNotFoundException, TransactionException {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "IExchange.loadExchange(" + name + ')');

    // load IExchange
    IExchange exchange = (IExchange) AgentServer.getTransaction().load(name);
    try {
      Naming.bindExchange(exchange.name, exchange);
    } catch (AlreadyBoundException exc) {
      // TODO 
      exc.printStackTrace();
    }
    return exchange;
  }
