private static void getVersionInResource() {
  	String implVersion = null;
  	String implJoramVersion = null;
  	// Read version from joramAMQP.version file in bundle. 
  	try {
  		InputStream in = MetaData.class.getResourceAsStream("/joramAMQP.version");
  		BufferedReader reader = new BufferedReader(new InputStreamReader(in));
  		String v = reader.readLine();
  		while (v != null) {
  			if (v.contains("amqp.version"))
  				implVersion = (v.substring(v.indexOf('=')+1, v.length())).trim();
  			else if (v.contains("joram.version"))
  				implJoramVersion = (v.substring(v.indexOf('=')+1, v.length())).trim();
  			v = reader.readLine();
  		}

  	} catch (Exception e) {
  		if (logger.isLoggable(BasicLevel.DEBUG))
  			logger.log(BasicLevel.DEBUG, "MetaData.getVersionInResource:: EXCEPTION", e);
  	}
  	if (implVersion != null) {
  		version = implVersion.trim();
  	}
  	if (implJoramVersion != null) {
  		joram_version = implJoramVersion.trim();
  	}
  }
