public static void clearAll() {
    for (Iterator<String> iterator = exchanges.keySet().iterator(); iterator.hasNext();) {
      try {
        MXWrapper.unregisterMBean("AMQP", "type=Exchange,name=" + iterator.next());
      } catch (Exception exc) {
        logger.log(BasicLevel.DEBUG, "Error unregistering MBean.", exc);
      }
    }
    exchanges.clear();

    for (Iterator<String> iterator = queues.keySet().iterator(); iterator.hasNext();) {
      try {
        MXWrapper.unregisterMBean("AMQP", "type=Queue,name=" + iterator.next());
      } catch (Exception exc) {
        logger.log(BasicLevel.DEBUG, "Error unregistering MBean.", exc);
      }
    }
    queues.clear();

    proxies.clear();
  }
