public void basicQoS(Qos qos) throws NotImplementedException {
    if (qos.global) {
      throw new NotImplementedException("Global Qos prefetch not implemented.");
    }
    if (qos.prefetchSize != 0) {
      throw new NotImplementedException("Qos prefetch size currently not implemented.");
    }
    ChannelContext channelContext = getContext(qos.channelNumber);
    if (qos.prefetchCount > channelContext.prefetchCount || qos.prefetchCount == 0) {
      queueIn.push(new GetDeliveries(null, qos.channelNumber));
    }
    channelContext.prefetchCount = qos.prefetchCount;
  }
