public boolean deliver(String consumerTag, int channelNumber, Queue queue, short serverId, long proxyId) {
    ChannelContext channelContext = getContext(channelNumber);
    if (channelContext.prefetchCount > 0
        && channelContext.deliveriesToAck.size() == channelContext.prefetchCount) {
      return false;
    }

    // Push a getDeliveries method instead of sending deliveries by the current thread
    // which leads to synchronization issues and therefore synchronizing proxy structures.
    queueIn.push(new GetDeliveries(consumerTag, channelNumber));
    return true;
  }
