private int doGetDeliveries(String consumerTag, int channelId, int maxMessage, Queue queue) {
    List<Deliver> deliveries = queue.getDeliveries(consumerTag, channelId, maxMessage, name.serverId,
        name.proxyId);
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "Proxy.doGetDeliveries(" + deliveries + ')');
    if (deliveries != null) {
      for (Iterator iterator = deliveries.iterator(); iterator.hasNext();) {
        Deliver deliver = (Deliver) iterator.next();
        send(deliver, new QueueShell(queue));
      }
      return deliveries.size();
    }
    return 0;
  }
