public void exchangeDeclare(AMQP.Exchange.Declare exchangeDeclare) throws CommandInvalidException,
      NotAllowedException, NotFoundException, AMQPException {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "Proxy.exchangeDeclare(" + exchangeDeclare + ')');

    if (Naming.isLocal(exchangeDeclare.exchange)) {
      StubLocal.exchangeDeclare(exchangeDeclare.exchange, exchangeDeclare.type, exchangeDeclare.durable,
          exchangeDeclare.passive);
    } else {
      StubAgentOut.syncSend(exchangeDeclare, Naming.resolveServerId(exchangeDeclare.exchange));
    }
  }
