public void exchangeDelete(AMQP.Exchange.Delete exchangeDelete) throws NotFoundException,
      PreconditionFailedException, AMQPException {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "Proxy.exchangeDelete(" + exchangeDelete + ')');

    if (Naming.isLocal(exchangeDelete.exchange)) {
      StubLocal.exchangeDelete(exchangeDelete.exchange, exchangeDelete.ifUnused);
    } else {
      StubAgentOut.syncSend(exchangeDelete, Naming.resolveServerId(exchangeDelete.exchange));
    }
  }
