private void throwException(AMQPException amqe, int channelNumber, int classId, int methodId)
      throws AMQPException {
    if (amqe instanceof ChannelException) {
      channelClose(channelNumber);
      AMQP.Channel.Close close = new AMQP.Channel.Close(amqe.getCode(), amqe.getMessage(), classId, methodId);
      close.channelNumber = channelNumber;
      send(close);
    } else {
      connectionClose();
      AMQP.Connection.Close close = new AMQP.Connection.Close(amqe.getCode(), amqe.getMessage(), classId, methodId);
      send(close);
    }
  }
