public synchronized void ackMessages(List<Long> idsToAck) {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "Queue.ackMessages(" + idsToAck + ')');

    // Both lists must be sorted
    Iterator<Long> iterIds = idsToAck.iterator();
    Iterator<Message> iterMsgs = toAck.iterator();
    while (iterIds.hasNext()) {
      long id = iterIds.next().longValue();
      while (iterMsgs.hasNext()) {
        Message msg = iterMsgs.next();
        if (msg.queueMsgId == id) {
          iterMsgs.remove();
          if (durable)
            deleteMessage(msg.queueMsgId);
          break;
        }
      }
    }
  }
