public synchronized void addBoundExchange(String exchange, short serverId, long proxyId)
      throws TransactionException, ResourceLockedException {
    if (exclusive && (this.serverId != serverId || this.proxyId != proxyId)) {
      throw new ResourceLockedException("Can't bind the non-owned exclusive queue '" + name + "'.");
    }
    boundExchanges.add(exchange);
    if (durable) {
      saveBoundExchange(exchange);
    }
  }
