private void deleteAllMessage(Set<Message> messages) {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "Queue.deleteAllMessage(" + messages + ')');
    if (!durable)
      return;
    Iterator<Message> msgs = messages.iterator();
    while (msgs.hasNext()) {
      Message message = msgs.next();
      deleteMessage(message.queueMsgId);
    }
  }
