private void saveBoundExchange(String exchange) throws TransactionException {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "Queue.saveBoundExchange(" + exchange + ')');
    try {
      // replace / to . for transaction need.
      AgentServer.getTransaction().create(exchange, prefixBE + exchange.replace('/', '.'));
    } catch (IOException e) {
      if (logger.isLoggable(BasicLevel.ERROR))
        logger.log(BasicLevel.ERROR, "Queue.saveBoundExchange ERROR::", e);
      throw new TransactionException(e.getMessage());  
    }
  }
