private void saveQueue(Queue queue) throws TransactionException {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "Queue.saveQueue(" + queue + ')');
    try {
      AgentServer.getTransaction().create(queue, PREFIX_QUEUE + Naming.getLocalName(queue.name));
    } catch (IOException e) {
      if (logger.isLoggable(BasicLevel.ERROR))
        logger.log(BasicLevel.ERROR, "Queue.saveQueue ERROR::", e);
      throw new TransactionException(e.getMessage());  
    }
  }
