public static Boolean basicCancel(String consumerTag, String queueName, int channelNumber, short serverId,
      long proxyId) throws NotFoundException, ResourceLockedException, PreconditionFailedException, TransactionException {
    Queue queue = Naming.lookupQueue(queueName);
    if (queue != null) {
      queue.cancel(consumerTag, channelNumber, serverId, proxyId);
      if (queue.getConsumerCount() == 0 && queue.isAutodelete()) {
        if (logger.isLoggable(BasicLevel.DEBUG))
          logger.log(BasicLevel.DEBUG, "StubAgentIn: no more consumers -> autodelete");
        StubLocal.queueDelete(queueName, true, true, serverId, proxyId);
        return Boolean.TRUE;
      }
    }
    return Boolean.FALSE;
  }
