public static Message basicGet(String queueName, boolean noAck, short serverId, long proxyId)
      throws NotFoundException, ResourceLockedException, TransactionException {
    Queue queue = Naming.lookupQueue(queueName);
    if (queue == null) {
      throw new NotFoundException("Can't get message on an unknown queue: '" + queueName + "'.");
    }
    Message msg = queue.receive(noAck, serverId, proxyId);
    return msg;
  }
