public static void basicPublish(PublishRequest publishRequest, short serverId, long proxyId)
      throws NotFoundException, NoConsumersException, TransactionException {
    IExchange exchange = Naming.lookupExchange(publishRequest.getPublish().exchange);
    if (exchange == null) {
      throw new NotFoundException("Can't publish on an unknwon exchange: '"
          + publishRequest.getPublish().exchange + "'.");
    }
    exchange.publish(publishRequest.getPublish().routingKey, publishRequest.getPublish().mandatory,
        publishRequest.getPublish().immediate, publishRequest.getHeader(), publishRequest.getBody(),
        publishRequest.channel, serverId, proxyId);
  }
