public static int queuePurge(String queueName, short serverId, long proxyId) throws SyntaxErrorException,
      NotFoundException, ResourceLockedException, TransactionException {
    Queue queue = Naming.lookupQueue(queueName);
    if (queue == null) {
      throw new NotFoundException("Purging non-existent queue: '" + queueName + "'.");
    }
    return queue.clear(serverId, proxyId);
  }
