public final LongString readLongstr() throws IOException {
    clearBits();
    final long contentLength = StreamUtil.readUnsignedIntFrom(in);
    if (contentLength < Integer.MAX_VALUE) {
      return LongStringHelper.asLongString(StreamUtil.readByteArrayFrom(in, (int) contentLength));
    } else {
      throw new UnsupportedOperationException("Very long strings not currently supported");
    }
  }
