public void scheduleEvent(ScheduleEvent event, ScheduleTask task) throws Exception {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "Scheduler.scheduleEvent(" + event + ", " + task + ')');
    
    // inserts event in list
    insertItem(event, task);

    if (items != null && items.event.equals(event)) {
      // checks only if the first item.
      checkItems();
    }
  }
