private void doProcess(AgentId replyTo, String msgId) {
    try {
      A3CMLConfig config = AgentServer.getConfig();
      A3CMLServer a3cmlServer = config.getServer(AgentServer.getServerId());
      distributeReply(replyTo, msgId,
                      new GetLocalServerRep(a3cmlServer.sid,
                                            a3cmlServer.name,
                                            a3cmlServer.hostname));
    } catch (Exception exc) {
      logger.log(BasicLevel.ERROR, this + ".doProcess()", exc);
      distributeReply(replyTo, msgId, new AdminReply(false, exc.toString()));
    }
  }
