private AdminReply doProcess(GetRightsReplyNot not) {
    Vector readers = not.getReaders();
    Vector writers = not.getWriters();

    String name;
    AgentId proxyId;
    GetRightsReply reply = new GetRightsReply(not.getSuccess(), not.getInfo(), not.isFreeReading(), not.isFreeWriting());

    for (Iterator names = proxiesTable.keySet().iterator(); names.hasNext();) {
      name = (String) names.next();
      proxyId = (AgentId) proxiesTable.get(name);

      if (readers.contains(proxyId))
        reply.addReader(name, proxyId.toString());
      if (writers.contains(proxyId))
        reply.addWriter(name, proxyId.toString());
    }
    return reply;
  }
