private void doProcess(GetUsersRequest request,
                         AgentId replyTo,
                         String msgId) throws UnknownServerException {
    if (checkServerId(request.getServerId())) {
      Hashtable users = new Hashtable(proxiesTable.size()*4/3);
      
      String name; 
      for (Iterator names = proxiesTable.keySet().iterator(); names.hasNext();) {
        name = (String) names.next();
        /* Adds the user to the table. */
        users.put(name, ((AgentId) proxiesTable.get(name)).toString());
      }

      GetUsersReply reply = new GetUsersReply(users);
      distributeReply(replyTo, msgId, reply);
    } else {
      // Forward the request to the right AdminTopic agent.
      forward(getDefault((short) request.getServerId()),
              new FwdAdminRequestNot(request, replyTo, msgId));
    }
  }
