public static DestinationDesc lookupDest(String name, byte type) throws RequestException {
    DestinationDesc desc = null;
    
    if (name != null && name.length() > 0) {
      desc = (DestinationDesc) ref.destinationsTable.get(name);
      if ((desc != null) && (! DestinationConstants.compatible(desc.getType(), type))) {
        throw new RequestException("Destination type not compliant");
      }
    }
    return desc;
  }
