private void processAdminRequests(ClientMessages not) {
    if (not == null) return;

    Iterator messages = not.getMessages().iterator();

    while (messages.hasNext()) {
      Message msg = (Message) messages.next();
      nbMsgsReceiveSinceCreation += 1;

      String msgId = msg.id;
      AgentId replyTo = AgentId.fromString(msg.replyToId);
      AdminRequest request = (AdminRequest) msg.getAdminMessage();

      if (logger.isLoggable(BasicLevel.DEBUG))
        logger.log(BasicLevel.DEBUG, "--- " + this + ": got " + request);

      if (request == null) {
        logger.log(BasicLevel.ERROR, "--- " + this + ": got bad AdminRequest.");
        distributeReply(replyTo, msgId, new AdminReply(false, "Unexpected request to AdminTopic"));
      }

      processAdminRequests(replyTo, msgId, request, null);
    }
  }
