protected void handleExpiredNot(AgentId from, ExpiredNot not) {
		if (logger.isLoggable(BasicLevel.DEBUG)) {
			logger.log(BasicLevel.DEBUG, "ExpiredNot received, messages will be queued.");
		}
		
		Notification expiredNot = not.getExpiredNot();
		if (expiredNot instanceof ClientMessages) {
			nbMsgsDeliverSinceCreation -= ((ClientMessages) expiredNot).getMessageCount();
			try {
        addClientMessages(((ClientMessages) expiredNot), false);
      } catch (AccessException e) {/* never happens */}

			ClientMessages cm = new ClientMessages();
			//cm.setExpiration(System.currentTimeMillis() + expiration);
			cm.setDeadNotificationAgentId(getId());

			for (Iterator ite = messages.iterator(); ite.hasNext();) {
				org.objectweb.joram.mom.messages.Message msg = (org.objectweb.joram.mom.messages.Message) ite.next();
				cm.addMessage(msg.getFullMessage());
				ite.remove();
				if ((nbExpirations > 0 ) && msg.hasExpiration())
				  nbExpirations -= 1;
				msg.delete();
			}

			/* sending the notification */
			sendNot(cm);
			nbMsgsDeliverSinceCreation += cm.getMessageCount();
		} else {
			super.handleExpiredNot(from, not);
		}
	}
