public void react(AgentId from, Notification not) throws Exception {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "AliasQueue.react(" + from + ',' + not + ')');

    if (not instanceof PongNot) {
      if (logger.isLoggable(BasicLevel.DEBUG)) {
        logger.log(BasicLevel.DEBUG, "PongNot received, unqueue the waiting messages.");
      }
      ClientMessages cm = new ClientMessages();
      cm.setExpiration(System.currentTimeMillis() + expiration);
      cm.setDeadNotificationAgentId(getId());

      for (Iterator ite = messages.iterator(); ite.hasNext();) {
        org.objectweb.joram.mom.messages.Message msg = (org.objectweb.joram.mom.messages.Message) ite.next();
        cm.addMessage(msg.getFullMessage());
        ite.remove();
        if ((nbExpirations > 0 ) && msg.hasExpiration())
          nbExpirations -= 1;
        msg.delete();
      }

      /* sending the notification */
      Channel.sendTo(remoteDestinationID, cm);
      nbMsgsDeliverSinceCreation += cm.getMessageCount();
    } else {
      super.react(from, not);
    }
  }
