private void clusterJoin(ClusterJoinNot not) {
    for (Iterator e = not.getCluster().iterator(); e.hasNext();) {
      AgentId id = (AgentId) e.next();
      if (!clusters.containsKey(id))
        clusters.put(id, new Float(1));
    }

    sendToCluster(new ClusterJoinAck(new HashSet(clusters.keySet())));
    replyToTopic(new AdminReply(true, null), not.getReplyTo(), not.getRequestMsgId(), not.getReplyMsgId());

    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG,
                 "--- " + this + " ClusterQueue.joinQueueCluster(" + not + "), clusters=" + clusters);
  }
