public void receiveRequest(AgentId from, ReceiveRequest not) throws AccessException {
    super.receiveRequest(from, not);
    
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "--- " + this + " ClusterQueue.receiveRequest(" + not + ")");

    if (getWaitingRequestCount() >= loadingFactor.consumThreshold)
      sentToCluster += loadingFactor.factorCheck(clusters,
                                                 getPendingMessageCount(), getWaitingRequestCount(),
                                                 cload, pload);
  }
