protected Properties processStopHandler(Properties prop) throws Exception { 
  	if (this instanceof AcquisitionQueue) {
  		return ((AcquisitionQueue) this).stopHandler(prop);
  	} else if (this instanceof AcquisitionTopic) {
  		return ((AcquisitionTopic) this).stopHandler(prop);
  	} else {
  		throw new Exception("processStopHandler :: bad destination.");
  	}
  }
