public void processMessage(Message fullMessage) throws Exception {
  	if (logger.isLoggable(BasicLevel.DEBUG)) {
  		logger.log(BasicLevel.DEBUG, "DistributionModule.processMessage(" + fullMessage.id + ") isAsyncDistribution = " + isAsyncDistribution);
  	}
  	if (!isAsyncDistribution) {
  		distributionHandler.distribute(fullMessage);
  	} else {
  		// the message are send by distributionDaemon.
  		throw new Exception("async distribution is on.");
  	}
  }
