private int dispatchAndSendTo(Map clusters,
                                int nbOfPendingMessages,
                                int nbOfPendingRequests,
                                int cload,
                                int pload) {
    int nbMsgHope = -1;
    int nbMsgGive = -1;

    if (nbOfPendingMessages > producThreshold) {
      nbMsgGive = nbOfPendingMessages - producThreshold;
      if (cload <= 0)
        nbMsgGive = nbOfPendingMessages;
    }
    
    if ((consumThreshold < nbOfPendingRequests) || (pload == 0))
      nbMsgHope = producThreshold * nbOfPendingRequests;

    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, 
                 "LoadingFactor.dispatchAndSendTo" + " nbMsgHope=" + nbMsgHope + ", nbMsgGive=" + nbMsgGive);

    if (nbMsgGive > 0)
      return processGive(nbMsgGive,clusters);
    
    if (nbMsgHope > 0)
      processHope(nbMsgHope,clusters);
    
    return 0;
  }
