public void dispatchLifeCycle(Map clusters) {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "LoadingFactor.dispatchLifeCycle");

    for (Iterator e = clusters.keySet().iterator(); e.hasNext();) {
      AgentId id = (AgentId) e.next();
      if (!id.equals(clusterQueue.getId()))
        clusterQueue.forward(id, new LBCycleLife(rateOfFlow));
    }
  }
