public void encode(Encoder encoder) throws Exception {
    super.encode(encoder);
    encoder.encodeUnsignedInt(nbMaxMsg);
    encoder.encodeUnsignedLong(nbMsgsDeniedSinceCreation);
    encoder.encodeUnsignedInt(priority);
    encoder.encodeSignedInt(threshold);
    encoder.encodeBoolean(pause);
    encoder.encodeSignedInt(deliveryDelay);
    encoder.encodeSignedInt(redeliveryDelay);
    encoder.encodeUnsignedInt(requests.size());
    for (ReceiveRequest request : requests) {
      request.encode(encoder);
    }
  }
