void processDeliveryTime(AgentId from, QueueDeliveryTimeNot not) throws AccessException {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "Queue.processDeliveryTime(" + from + ", " + not + ')');


    if (not.msg != null) {
      if (logmsg.isLoggable(BasicLevel.INFO))
        logmsg.log(BasicLevel.INFO, getName() + ": adds new delayed message " + not.msg.getId() + ", " + not.msg.order);
      
      // Adds a message in the list of messages to deliver.
      addMessage(not.msg, not.throwsExceptionOnFullDest);
      delayedMessageCount -= 1;
      
      //msg.order = arrivalState.getAndIncrementArrivalCount(msg.isPersistent());
    }
    
    // Launching a delivery sequence:
    deliverMessages(0);

    if (not.msg != null) {
      ClientMessages clientMsgs = new ClientMessages();
      clientMsgs.addMessage(not.msg.getMsg());
      postProcess(clientMsgs);
    }
  }
