protected final void storeMessageHeader(Message message,  boolean throwsExceptionOnFullDest) throws AccessException {
    if (addMessage(message, throwsExceptionOnFullDest)) {
      // Persisting the message.
      message.saveHeader();
      message.releaseFullMessage();
      if (logger.isLoggable(BasicLevel.DEBUG))
        logger.log(BasicLevel.DEBUG, "Message " + message.getId() + " stored.");
    }
  }
