public void decode(Decoder decoder) throws Exception {
    super.decode(decoder);
   
    boolean flag = decoder.decodeBoolean();
    if (flag) {
      message = new Message();
      message.decode(decoder);
    }
    
    flag = decoder.decodeBoolean();
    if (flag) {
      int size = decoder.decodeUnsignedInt();
      messages = new ArrayList<Message>(size);
      for (int i = 0; i < size; i++) {
        Message msg = new Message();
        msg.decode(decoder);
        messages.add(msg);
      }
    }
    
    asyncSend = decoder.decodeBoolean();
    
    flag = decoder.decodeBoolean();
    if (flag) {
      proxyId = new AgentId((short) 0, (short) 0, 0);
      proxyId.decode(decoder);
    }
  }
