public int getEncodedSize() throws Exception {
    int encodedSize = super.getEncodedSize();
    encodedSize += BOOLEAN_ENCODED_SIZE + LONG_ENCODED_SIZE + INT_ENCODED_SIZE
        + BOOLEAN_ENCODED_SIZE;
    if (msgIds != null) {
      encodedSize += INT_ENCODED_SIZE;
      for (String msgId : msgIds) {
        encodedSize += EncodableHelper.getStringEncodedSize(msgId);
      }
    }
    encodedSize += BOOLEAN_ENCODED_SIZE;
    if (requester != null) {
      encodedSize += requester.getEncodedSize();
    }
    encodedSize += BOOLEAN_ENCODED_SIZE;
    if (selector != null) {
      encodedSize += EncodableHelper.getStringEncodedSize(selector);
    }
    encodedSize += LONG_ENCODED_SIZE;
    return encodedSize;
  }
