public void ack(long ackId) {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "AckedQueue.ack(" + ackId + ')');
    
    synchronized (list) {
      while (list.size() > 0) {
        ProxyMessage m = list.elementAt(0);
        if (ackId < m.getId())  return;

        // acked
        if (logger.isLoggable(BasicLevel.DEBUG))
          logger.log(BasicLevel.DEBUG, "AckedQueue acked " + m.getId());
        
        list.removeElementAt(0);
        if (current > 0) current--;
      }
    }
  }
