public ProxyMessage get() throws InterruptedException {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "AckedQueue.get()");

    synchronized (list) { 
      while ((list.size() - current) == 0) {
        list.wait();
      }      
      ProxyMessage msg = list.elementAt(current);
      current++;
      return msg;
    }
  }
