void deactivate(boolean denies) {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "ClientSubscription.deactivate(" + denies+ ')');

    unsetListener();
    unsetReceiver();
    active = 0;
   
    if (denies) {
      // Denying all delivered messages:
      HashSet h = new HashSet(deliveredIds.keySet());
      deny(h.iterator(), false);
      deliveredIds.clear();
      // deliveredIds is persistent
      setModified();
    }

    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, this + ": deactivated.");
  }
