public void run() {
    try {
      while (true) {
        ProxyMessage msg = queue.poll();
        if (msg == null) {
          synchronized (queue) {
            msg = queue.poll();
            if (msg == null) {
              running = false;
              return;
            }
          }
        }
        handleMessage(msg);
      }
    } catch (Exception e) {
      if (logger.isLoggable(BasicLevel.DEBUG))
        logger.log(BasicLevel.DEBUG, e);
    }
  }
