private void doReact(CloseConnectionNot2 not) {
    if (logger.isLoggable(BasicLevel.INFO))
      logger.log(BasicLevel.INFO, "CloseConnectionNot2: key=" + not.getKey());

    if (connections != null) {
      Integer key = new Integer(not.getKey());
      if (connections.containsKey(key)) {
        reactToClientRequest(not.getKey(), new CnxCloseRequest(), null);
        ConnectionContext ctx = (ConnectionContext) connections.remove(key);

        HeartBeatTask hbt = (HeartBeatTask) heartBeatTasks.remove(key);
        if (hbt != null) hbt.cancel();

        if (ctx != null) {
          MomException exc = new MomException(MomExceptionReply.HBCloseConnection,
                                              "Connection " + getId() + ':' + key + " closed");
          ctx.pushError(exc);
        }
      }
      clientIDs.remove(key);
    }
  }
