private void doReact(OpenConnectionNot not) {
    setSave();

    if (connections == null) {
      connections = new Hashtable();
      heartBeatTasks = new Hashtable();
    }

    Integer objKey = new Integer(keyCounter);
    ConnectionContext ctx;
    try {
      ctx = (ConnectionContext) Class.forName(not.getType().getClassName()).newInstance();
    } catch (Exception e) {
      logger.log(BasicLevel.ERROR,"Error at context instanciation: ", e);
      return;
    }
    ctx.initialize(keyCounter, not);
    connections.put(objKey, ctx);
   
    if (not.getHeartBeat() > 0) {
      HeartBeatTask heartBeatTask = new HeartBeatTask(not.getHeartBeat(), objKey, getId());
      heartBeatTasks.put(objKey, heartBeatTask);
      try {
        heartBeatTask.start();
      } catch (IOException exc) {
        // Cannot schedule task, removes it from the hashtable
        heartBeatTasks.remove(objKey);
      }
    }
    
    sendTo(getId(), new ReturnConnectionNot(not, ctx));
    keyCounter++;
  }
