private void doReact(int key, ActivateConsumerRequest req) {
    String subName = req.getTarget();
    ClientSubscription sub = (ClientSubscription) subsTable.get(subName);
    sub.setActive(req.getActivate());

    if (sub.getActive() > 0) {
      ConsumerMessages consM = sub.deliver();

      if (consM != null) {
        try {
          setCtx(sub.getContextId());
          if (activeCtx.getActivated())
            doReply(consM);
          else
            activeCtx.addPendingDelivery(consM);
        } catch (StateException pE) {
          // The context is lost: nothing to do.
        }
      }
    }

  }
