void persistDeliveryTimeMessage(Message msg) {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "UserAgent.persistDeliveryTimeMessage(" + msg + ')');
    
    // Save message if it is delivered to a durable subscription.
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, " -> save message " + msg);
    if (msg.isPersistent()) {
      // Persisting the message.
      setMsgTxName(msg);
      msg.save();
      msg.releaseFullMessage();
    }
  }
