private void reactToClientRequest(int key, JmsRequestGroup request) {
    AbstractJmsRequest[] requests = request.getRequests();
    RequestBuffer rm = new RequestBuffer(this);
    for (int i = 0; i < requests.length; i++) {
      if (requests[i] instanceof ProducerMessages) {
        // process interceptors
        ProducerMessages pm = processInterceptors(key, (ProducerMessages) requests[i]);
        if (pm != null)
          rm.put(key, pm);
      } else {
        reactToClientRequest(key, requests[i], null);
      }
    }

    rm.flush();
  }
