private void replaceInterceptorOUT(
      String agentId, 
      String agentName,
      final Properties prop) throws Exception {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "UserAgent.replaceInterceptorOUT(" + agentId + ", " + agentName + ", " + prop + ')');

    Boolean ret = InterceptorsHelper.replaceInterceptor(
        agentId, 
        agentName, 
        AdminCommandConstant.INTERCEPTORS_OUT_NEW,
        AdminCommandConstant.INTERCEPTORS_OUT_OLD, 
        interceptorsOUT, 
        prop);

    if (ret) {
      // update the interceptorsPropOUT list
      Iterator<Properties> it = interceptorsPropOUT.iterator();
      while (it.hasNext()) {
        Properties properties = (Properties) it.next();
        if (properties.getProperty(AdminCommandConstant.INTERCEPTORS_OUT).equals(prop.getProperty(AdminCommandConstant.INTERCEPTORS_OUT_OLD))) {
          int index = interceptorsPropOUT.indexOf(properties);
          Properties newProp = new Properties();
          Set<Entry<Object, Object>> entrys = prop.entrySet();
          Iterator<Entry<Object, Object>> iterator = entrys.iterator();
          while (iterator.hasNext()) {
            Entry<Object, Object> entry = (Entry<Object, Object>) iterator.next();
            if (entry.getKey().equals(AdminCommandConstant.INTERCEPTORS_OUT_NEW))
              newProp.put(AdminCommandConstant.INTERCEPTORS_OUT, entry.getValue());
            else
              newProp.put(entry.getKey(), entry.getValue());
          }
          interceptorsPropOUT.remove(index);
          interceptorsPropOUT.add(index, newProp);
          // state change
          setSave();
          break;
        }
      }
    }
  }
