public void setInterceptors(Properties prop) throws Exception {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "--- " + this + " setInterceptors(" + prop + ')');

  	if (prop == null) return;

    if (prop.containsKey(AdminCommandConstant.INTERCEPTORS_IN)) {
      if (interceptorsPropIN == null)
        interceptorsPropIN = new ArrayList<Properties>();
      if (interceptorsIN == null)
        interceptorsIN = new ArrayList<MessageInterceptor>();
      // TODO: clean prop
  	  addInterceptor(getAgentId(), getName(), AdminCommandConstant.INTERCEPTORS_IN, interceptorsIN, prop, interceptorsPropIN);
    }

    if (prop.containsKey(AdminCommandConstant.INTERCEPTORS_OUT)) {
      if (interceptorsPropOUT == null)
        interceptorsPropOUT = new ArrayList<Properties>();
      if (interceptorsOUT == null)
        interceptorsOUT = new ArrayList<MessageInterceptor>();
      // TODO: clean prop
      addInterceptor(getAgentId(), getName(), AdminCommandConstant.INTERCEPTORS_OUT, interceptorsOUT, prop, interceptorsPropOUT);
    }
  }
