void start() throws Exception {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "TcpConnection.start()");
    try {
      // TODO (AF): Cleans this code, a part of the initialization below should be done
      // in the constructor.
      if (ctx.isNoAckedQueue()) {
        ioctrl.setNoAckedQueue(ctx.isNoAckedQueue()); // Always true!!
        // ctx.getQueueWorker().ioctrl = ioctrl;
        // ctx.getQueueWorker().tcpConnection= this;
        ctx.getQueueWorker().sender = this;
      } else {
        tcpWriter = new TcpWriter(ioctrl, ctx.getQueue(), this);
        tcpWriter.start();
      }
      tcpReader = new TcpReader(ioctrl, proxyId, this, closeConnection, ctx);
      proxyService.registerConnection(this);
      tcpReader.start();
      ctx.setActive(true);
    } catch (Exception exc) {
      close();
      throw exc;
    }
  }
