public static void execute(Runnable command) throws Exception {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "TcpProxyService.execute(" + command + ')');
    try {
      executorService.execute(command);
    } catch (Exception e) {
      logger.log(BasicLevel.ERROR, "TcProxyService.execute:: EXCEPTION : " + e.getMessage());
      throw e;
    }
  }
