private static boolean removeInterceptor(String interceptorClassName, List<MessageInterceptor> interceptors) {
  	boolean removed = false;
  	if (interceptorClassName != null) {
  		Iterator<MessageInterceptor> it = interceptors.iterator();
  		while (it.hasNext()) {
  			if (interceptorClassName.equals(it.next().getClass().getName())) {
  				removed=true;
  				it.remove();
  				break;
  			}
  		}
  	}
  	return removed;
  }
