public final static boolean deleteQueueMessage(String queueName, String msgId) {
    DestinationDesc queueDesc;
    try {
      queueDesc = AdminTopic.lookupDest(queueName, DestinationConstants.QUEUE_TYPE);
    } catch (RequestException e) {
      return false;
    }
    if(queueDesc==null) return false;
    DeleteQueueMessage req = new DeleteQueueMessage(queueDesc.getId().toString(), msgId);
    FwdAdminRequestNot not = new FwdAdminRequestNot(req, null, null);
    Channel.sendTo(queueDesc.getId(), not);
    return true;
  }
