public static MessageIdListFactory newFactory() {
    String factoryClassName = AgentServer
        .getProperty(MESSAGE_ID_LIST_FACTORY_CLASS);
    if (factoryClassName == null) {
      return new MessageIdListImplFactory();
    } else {
      try {
        Class factoryClass = null;
        if (factoryClass == null) {
          factoryClass = (Class) Class.forName(factoryClassName);
        }
        return (MessageIdListFactory) factoryClass.newInstance();
      } catch (Exception exc) {
        throw new RuntimeException(exc);
      }
    }
  }
