public synchronized boolean clearSubscription(String userName, String subName) throws InterruptedException {
    AgentId userId = AdminTopic.lookupUser(userName);
    if(userId==null)
      return false;
    String reqId = nextReqMsgId();
    ClearSubscription req =
        new ClearSubscription(userId.toString(), subName);
    FwdAdminRequestNot not =
        new FwdAdminRequestNot(req, getId(), reqId, null);
    sendTo(userId, not);
    while(!requests.containsKey(reqId))
      wait();
    Message msg = requests.remove(reqId);
    AdminReply reply = (AdminReply) msg.getAdminMessage();
    return reply.succeeded();
  }
