public synchronized boolean createDestination(short serverId, String name, String className, Properties props, byte expectedType) throws InterruptedException {
    if(logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "createDestination("+serverId+","+name+","+className+","+props+","+expectedType+")");
    CreateDestinationRequest req = new CreateDestinationRequest(
        serverId, name, className, props, expectedType);
    String reqId = nextReqMsgId();
    FwdAdminRequestNot not = new FwdAdminRequestNot(req,
        getId(),
        reqId,
        null);
    sendTo(AdminTopic.getDefault(), not);
    while(!requests.containsKey(reqId))
      wait();
    Message msg = requests.get(reqId);
    AdminReply reply = (AdminReply) msg.getAdminMessage();
    return reply.succeeded();        
  }
