public void react(AgentId from, Notification not) throws Exception {
    if(not instanceof ClientMessages) {
      ClientMessages clientMsg = (ClientMessages) not;
      if(logger.isLoggable(BasicLevel.DEBUG))
        logger.log(BasicLevel.DEBUG,this.toString() 
            + ".react(" + from + ", " + not + "): Reply received.");
      synchronized (this) {
        try {
          for(Object o : clientMsg.getMessages()) {
            Message msg = (Message) o;
            requests.put(msg.correlationId,msg);
          }
          notifyAll();
          if(logger.isLoggable(BasicLevel.DEBUG))
            logger.log(BasicLevel.DEBUG,this.toString()
                + ".react(" + from + ", " + not + "): Notified.");
        } catch(IllegalMonitorStateException e) {
          if(logger.isLoggable(BasicLevel.DEBUG))
            logger.log(BasicLevel.ERROR,e);          
        }
      }
    } else {
      super.react(from,not);
    }
  }
