public synchronized boolean setFreeWriting(boolean freeWriting, String destId) throws InterruptedException {
    AdminRequest req = null;
    if(freeWriting)
      req = new SetWriter(null, destId);
    else
      req = new UnsetWriter(null, destId);
    String reqId = nextReqMsgId();
    FwdAdminRequestNot not = new FwdAdminRequestNot(req, getId(), reqId);
    sendTo(AdminTopic.getDefault(), not);
    while(!requests.containsKey(reqId))
      wait();
    Message msg = requests.remove(reqId);
    AdminReply reply = (AdminReply) msg.getAdminMessage();
    return reply.succeeded();
  }
