private void checkEncoding(ClientContext cc) throws Exception {
    byte[] bytes = EncodingHelper.encode(cc);

    ClientContext ccDec = (ClientContext) EncodingHelper.decode(
        cc.getEncodableClassId(), bytes);

    Assert.assertEquals(cc.getId(), ccDec.getId());
    Assert.assertEquals(cc.getActiveSubList(), ccDec.getActiveSubList());
    Assert.assertEquals(cc.getDeliveringQueueTable(), ccDec.getDeliveringQueueTable());
    Assert.assertEquals(cc.getTempDestinationList(), ccDec.getTempDestinationList());
    
    // TODO: test XA
    //Assert.assertEquals(cc.getTransactionsTable(), ccDec.getTransactionsTable());
  }
