public static byte[] encode(Encodable encodable) throws Exception {
    ByteBuffer byteBuffer = ByteBuffer.allocate(encodable.getEncodedSize());
    ByteBufferEncoder encoder = new ByteBufferEncoder(byteBuffer);
    encodable.encode(encoder);
    
    // Check the encoded size
    Assert.assertEquals(encodable.getEncodedSize(), byteBuffer.position());
    
    return byteBuffer.array();
  }
