public void retrieve(ReliableTransmitter transmitter) throws Exception {
    if (urlStr == null) {
      throw new Exception("Acquisition URL not defined.");
    }
    Properties prop = new Properties();
    prop.put(URL, urlStr);

    Message msg = new Message();

    msg.body = getResource(urlStr, prop);
    msg.properties = prop;
    msg.type = type;

    transmitter.transmit(msg, null);
  }
