public void closeFolder(List msgs, boolean expunge) {
    try {
      if (expunge && (msgs != null)) {
        for (Iterator elements = msgs.iterator(); elements.hasNext();) {
          javax.mail.Message msg = (javax.mail.Message) elements.next();
          msg.setFlag(Flags.Flag.DELETED, true);
        }
      }
      if (folder != null) {
        folder.close(expunge);
      }
      if (store != null) {
        store.close();
      }
    } catch (Exception exc) {
      logger.log(BasicLevel.ERROR, "JavaMailUtil.closeFolder", exc);
    }
  }
