public void retrieve(ReliableTransmitter transmitter) throws Exception {
    List toExpunge = new ArrayList();
    javax.mail.Message[] msgs = popMail(popServer, popUser, popPassword, expunge);
    List list = null;

    if (msgs != null) {
      list = new ArrayList(msgs.length);
      for (int i = 0; i < msgs.length; i++) {
        if (logger.isLoggable(BasicLevel.DEBUG)) {
          logger.log(BasicLevel.DEBUG, "--- " + this + " doPop : msgs[" + i + "] = " + msgs[i]);
        }
        try {
          Message msg = new Message();
          msg.setText(getBody(msgs[i]));
          msg.type = Message.TEXT;

          if (logger.isLoggable(BasicLevel.DEBUG)) {
            logger.log(BasicLevel.DEBUG, "--- " + this + " doPop : storeMessage m = " + msg);
          }
          if (expunge) {
            toExpunge.add(msgs[i]);
          }
          list.add(msg);
        } catch (Exception exc) {
          if (logger.isLoggable(BasicLevel.ERROR)) {
            logger.log(BasicLevel.ERROR, "--- " + this + " doPop", exc);
          }
          continue;
        }
      }

      transmitter.transmit(list, persistent);
      closeFolder(toExpunge, expunge);
    }
  }
