private Object getPropertyValue(String type, String value) {
    switch (type) {
    case "java.lang.Boolean":
      return Boolean.valueOf(value);
    case "java.lang.Byte":
      return Byte.valueOf(value);
    case "java.lang.Short":
      return Short.valueOf(value);
    case "java.lang.Integer":
      return Integer.valueOf(value);
    case "java.lang.Long":
      return Long.valueOf(value);
    case "java.lang.Float":
      return Float.valueOf(value);
    case "java.lang.Double":
      return Double.valueOf(value);
    case "java.lang.String":
      return value;
    default:
      if (logger.isLoggable(BasicLevel.WARN))
        logger.log(BasicLevel.WARN,
            "RESTAcquisitionAsync.getPropertyValue: unknown property type: " + type);
    }
    return null;
  }
