@Override
  public void start(Properties properties, ReliableTransmitter transmitter) {
    this.properties = properties;
    this.transmitter = transmitter;
    
    initFromProperties();
    
    if (destName == null) {
      logger.log(BasicLevel.ERROR,
          "Missing Destination JNDI name, should fixed property " + DestinationConstants.DESTINATION_NAME_PROP);
      return;
    }

    daemon = new XDaemon("RestAcquisitionAsync.Daemon-" + destName, logger);
    daemon.start();
  }
