public boolean check(Identity identity) throws Exception {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "JonasIdentity.check(" + identity + ')');

    if (! (identity instanceof JonasIdentity)) {
      if (logger.isLoggable(BasicLevel.ERROR))
        logger.log(BasicLevel.ERROR, "check : JonasIdentity is not an instance of " + identity);
      throw new Exception("check : JonasIdentity is not an instance of " + identity);
    }

    return validate((JonasIdentity) identity);
  }
