public void readFrom(InputStream is) throws IOException {
    super.readFrom(is);   
    int size = StreamUtil.readIntFrom(is);
    if (size == -1) {
      stats = null;
    } else {
      stats = new Hashtable(size*4/3);
      for (int i=0; i< size; i++) {
        String key = StreamUtil.readStringFrom(is);
        Object value = StreamUtil.readObjectFrom(is);
        stats.put(key, value);
      }
    }
  }
