public void writeTo(OutputStream os) throws IOException {
    super.writeTo(os);   
    if (stats == null) {
      StreamUtil.writeTo(-1, os);
    } else {
      int size = stats.size();
      StreamUtil.writeTo(size, os);
      for (Enumeration keys = stats.keys(); keys.hasMoreElements(); ) {
        String key = (String) keys.nextElement();
        StreamUtil.writeTo(key, os);
        StreamUtil.writeObjectTo(stats.get(key), os);
      }
    }
  }
