public void readFrom(InputStream is) throws IOException {
    super.readFrom(is);

    // Gets the producerMessages Vector
    int size = StreamUtil.readIntFrom(is);
    if (size == -1) {
      producerMessages = null;
    } else {
      producerMessages = new Vector(size);
      for (int i=0; i<size; i++) {
        ProducerMessages pm = new ProducerMessages();
        pm.readFrom(is);
        producerMessages.addElement(pm);
      }
    }

    //  Gets the ackRequests Vector
    size = StreamUtil.readIntFrom(is);
    if (size == -1) {
      ackRequests = null;
    } else {
      ackRequests = new Vector(size);
      for (int i=0; i<size; i++) {
        SessAckRequest sar = new SessAckRequest();
        sar.readFrom(is);
        ackRequests.addElement(sar);
      }
    }

    asyncSend = StreamUtil.readBooleanFrom(is);
  }
