public void writeTo(OutputStream os) throws IOException {
    super.writeTo(os);

    // Serialize the producerMessages Vector
    if (producerMessages == null) {
      StreamUtil.writeTo(-1, os);
    } else {
      int size = producerMessages.size();
      StreamUtil.writeTo(size, os);
      for (int i=0; i<size; i++) {
        ProducerMessages pm = (ProducerMessages) producerMessages.elementAt(i);
        pm.writeTo(os);
      }
    }

    //  Serialize the ackRequests Vector
    if (ackRequests == null) {
      StreamUtil.writeTo(-1, os);
    } else {
      int size = ackRequests.size();
      StreamUtil.writeTo(size, os);
      for (int i=0; i<size; i++) {
        SessAckRequest sar = (SessAckRequest) ackRequests.elementAt(i);
        sar.writeTo(os);
      }
    }

    StreamUtil.writeTo(asyncSend, os);
  }
