public void encode(Encoder encoder) throws Exception {
    super.encode(encoder);
    
    encoder.encodeByteArray(bq);
    encoder.encodeUnsignedInt(fi);
    encoder.encodeByteArray(gti);

    if (sendings == null) {
      encoder.encodeBoolean(true);
    } else {
      encoder.encodeBoolean(false);
      int size = sendings.size();
      encoder.encodeUnsignedInt(size);
      for (int i=0; i<size; i++) {
        sendings.elementAt(i).encode(encoder);
      }
    }
    
    if (acks == null) {
      encoder.encodeBoolean(true);
    } else {
      encoder.encodeBoolean(false);
      int size = acks.size();
      encoder.encodeUnsignedInt(size);
      for (int i=0; i<size; i++) {
        acks.elementAt(i).encode(encoder);
      }
    }
  }
