public static float toFloat(Object value) throws MessageValueException {
    if (value == null)
      return Float.valueOf(null).floatValue();

    if (value instanceof Float)
      return ((Float) value).floatValue();
    else if (value instanceof String)
      return Float.valueOf((String) value).floatValue();
    else
      throw new MessageValueException("Type " + value.getClass().getName() + " can't be converted to Float.");
  }
