@Override
  public Boolean call() throws Exception {
    ArrayList<String> toClose = new ArrayList<String>();
    for (RestClientContext restClientCtx : restClientCtxs.values()) {
      if (restClientCtx.getIdleTimeout() < 1) {
        // never close
        continue;
      }
      if (logger.isLoggable(BasicLevel.DEBUG))
        logger.log(BasicLevel.DEBUG, "cleanerTask.call : " + restClientCtx.getClientId() + ", idleTimeout = " + restClientCtx.getIdleTimeout());
      if (restClientCtx.getLastActivity() + restClientCtx.getIdleTimeout() < System.currentTimeMillis()) {
        if (logger.isLoggable(BasicLevel.INFO))
          logger.log(BasicLevel.INFO, "cleanerTask.call close : " + restClientCtx.getClientId());
        if (!toClose.contains(restClientCtx.getClientId()))
          toClose.add(restClientCtx.getClientId());
      }
    }

    for (String clientId : toClose) {
      helper.close(clientId);
    }
    return true;
  }
