public Message consume(
      String consName,
      long timeout,
      boolean noLocal,
      boolean durable,
      boolean shared,
      String name,
      long msgId) throws Exception {
    
    ConsumerContext consumerCtx = (ConsumerContext) sessionCtxs.get(consName);
    if (consumerCtx == null)
      throw new Exception(consName + " not found.");
        
    Message message = consumerCtx.getMessage(msgId);
    if (message != null)
      return message;
    
    message = consumerCtx.receive(timeout, msgId);
    return message;
  }
