public static void logLinks(Response.ResponseBuilder builder) {
    if (builder == null)
      return;
    Response response = builder.build();
    if (response != null) {
      Set<Link> links = response.getLinks();
      if (logger.isLoggable(BasicLevel.INFO))
        logger.log(BasicLevel.INFO, "links: ");
      for (Link link : links) {
        if (logger.isLoggable(BasicLevel.INFO))
          logger.log(BasicLevel.INFO, "\t" + link.getRel() + ": " + link.getUri());
      }
      if (logger.isLoggable(BasicLevel.INFO))
        logger.log(BasicLevel.INFO, "");
    }
  }
