@GET
  @Path("/"+ DOMAINS + "/{domain}")
  @Produces(MediaType.TEXT_HTML)
  public String getDomain(
      @PathParam("domain") String domain,
      @Context UriInfo uriInfo) throws MalformedObjectNameException, NullPointerException {
    if (logger.isLoggable(BasicLevel.INFO))
      logger.log(BasicLevel.INFO, "GET: " + uriInfo.getAbsolutePathBuilder());
    
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "getDomain(" + domain + ", " + uriInfo + ")");
    
    StringBuilder buff = new StringBuilder();
    buff.append("<html><body>\n");
    Set<ObjectName> ObjectNames = mbs.queryNames(ObjectName.getInstance(domain + ":*"), null);
    for (ObjectName objectName : ObjectNames) {
      buff.append("<br>  <a href=\"");
      buff.append(uriInfo.getAbsolutePathBuilder()
          .path(objectName.getCanonicalName()));
      buff.append("\">");
      buff.append(objectName.getCanonicalName());
      buff.append("</a>");
    }
    buff.append("</body></html>");
    return buff.toString();
  }
