@GET
  @Path("/" + DOMAINS)
  @Produces(MediaType.TEXT_HTML)
  public String getDomains(@Context UriInfo uriInfo) {
    if (logger.isLoggable(BasicLevel.INFO))
      logger.log(BasicLevel.INFO, "GET: " + uriInfo.getAbsolutePathBuilder());
    
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "getDomains(" + uriInfo + ")");

    StringBuilder buff = new StringBuilder();
    buff.append("<html><body>\n");
    String domains[] = mbs.getDomains();
    for (String domain : domains) {
      buff.append("<br>  <a href=\"");
      buff.append(uriInfo.getAbsolutePathBuilder()
          .path(domain));
      buff.append("\">");
      buff.append(domain);
      buff.append("</a>");
    }
    buff.append("</body></html>");
    return buff.toString();
  }
