public void onMessage(Message msg) {
    try {
      Destination destination = msg.getJMSDestination();
      Destination replyTo = msg.getJMSReplyTo();

      System.out.println(ident + " receives message " + msg.getJMSMessageID() + " from=" + destination + ",replyTo=" + replyTo);
      Enumeration e = msg.getPropertyNames();
      while (e.hasMoreElements()) {
        String key = (String) e.nextElement();
        String value = msg.getStringProperty(key);
        System.out.println("\t" + key + " = " + value);
      }

      if (msg instanceof TextMessage) {
        System.out.println(ident + ": " + ((TextMessage) msg).getText());
      } else if (msg instanceof ObjectMessage) {
        System.out.println(ident + ": " + ((ObjectMessage) msg).getObject());
      }
    } catch (JMSException jE) {
      System.err.println("Exception in listener: " + jE);
    }
  }
