public static void receive() throws Exception {
		System.out.println("Listens to queue");

		InitialContext ictx = new InitialContext();
		Destination dest = (Destination) ictx.lookup("queue");
		ConnectionFactory cf = (ConnectionFactory) ictx.lookup("cf");
		ictx.close();

		Connection cnx = cf.createConnection();
		Session sess = cnx.createSession(false, Session.AUTO_ACKNOWLEDGE);
		MessageConsumer recv = sess.createConsumer(dest);

		recv.setMessageListener(new XXListener("Listener on queue"));

		cnx.start();

		System.in.read();
		cnx.close();

		System.out.println("Consumer closed.");
	}
