public static void send() throws Exception {
		InitialContext ictx = new InitialContext();
		Destination dest = (Destination) ictx.lookup("queue");
		ConnectionFactory cf = (ConnectionFactory) ictx.lookup("cf");
		ictx.close();

		Connection cnx = cf.createConnection();
		Session sess = cnx.createSession(false, Session.AUTO_ACKNOWLEDGE);
		MessageProducer producer = sess.createProducer(dest);

		int i;
		for (i = 0; i < 10; i++) {
			TextMessage msg = sess.createTextMessage("Test number " + i);
			producer.send(msg);
		}

		System.out.println(i + " messages sent.");

		cnx.close();
	}
