public void close() {
    if (actionListener != null) actionListener.close();
    actionListener = null;
    if (requestor != null) requestor.close();
    requestor = null;
    if (parameterListener != null) parameterListener.close();
    parameterListener = null;
    if (parameterPublisher != null) parameterPublisher.close();
    parameterPublisher = null;
    if (cmdbListener != null) cmdbListener.close();
    cmdbListener = null;
    if (cmdbPublisher != null) cmdbPublisher.close();
    cmdbPublisher = null;
    if (vmwareListener != null) vmwareListener.close();
    vmwareListener = null;
    if (vmwarePublisher != null) vmwarePublisher.close();
    vmwarePublisher = null;

    try {
      if (cnx != null)
        cnx.close();
    } catch (JMSException exc) {
      Trace.error("ClientFramework: Cannot close connexion.");
    } finally {
      cnx = null;
    }
  }
