synchronized InventoryPublisher getVMWarePublisher() throws JMSException {
    try {
      if (vmwarePublisher == null)
        vmwarePublisher = new InventoryPublisher(cnx, VMWareTopic);
      return vmwarePublisher;
    } catch (JMSException exc) {
      Trace.error("Cannot initialize a VMWare Inventory publisher.", exc);
      throw exc;
    }
  }
