@Override
  public synchronized void setInventoryVMWareHandler(InventoryHandler handler) throws Exception {
    if (vmwareListener != null) {
      Trace.error("VMWare inventory handler is already set.");
      throw new Exception("VMWare inventory handler is already set.");
    }
    try {
      vmwareListener = new InventoryListener(handler, cnx, VMWareTopic);
    } catch (JMSException exc) {
      Trace.error("Cannot initialize VMWare inventory framework.");
      throw exc;
    }
  }
