@Override
  public synchronized void setParameterHandler(ParameterHandler handler) throws Exception {
    if (parameterListener != null) {
      Trace.error("Parameter handler is already set.");
      throw new Exception("Parameter handler is already set.");
    }
    try {
      parameterListener = new ParameterListener(handler, cnx, parameterQueue);
    } catch (JMSException exc) {
      Trace.error("Cannot initialize parameter framework.");
      throw exc;
    }
  }
