@Override
  public void onMessage(Message msg) {
    if (msg instanceof ObjectMessage) {
      try {
        Parameters parameters = (Parameters) ((ObjectMessage) msg).getObject();
        handler.onParameter(parameters);
      } catch (Exception exc) {
        Trace.error("ParameterListener: Bad parameters.", exc);
      }
    } else {
      Trace.error("ParameterListener: Bad message type.");
    }
  }
