@Override
  public ActionReturn onAction(Action action) {
    System.out.println("SimTalend.onAction: " + action);
    
    if (action.getType() == Action.GetInventoryVMware) {
      try {
        String inventory = "<inventory name=\"Inventory\">\n" +
            "  <vm name=\"vm1\"\\>\n" +
            "  <vm name=\"vm2\"\\>\n" +
            "<\\inventory>\n";
        framework.publishInventoryVMWare(new MyInventory(inventory));
      } catch (JMSException exc) {
        Trace.error("CMDBFramework.onInventory: Cannot publish inventory.", exc);
        return new ActionReturn(ActionReturn.ERROR, "Cannot publish inventory");
      }
    }
    
    return new ActionReturn();
  }
