public void okMethod() {
    try {
      // desctivate the GUI 
      stockGUI.setVisible(false) ;
      
      // creating the OkMessage to be sent 
      OkMessage okMsg = new OkMessage(orderMsg.id, orderMsg.item, true) ;  
      // creating an ObjectMessage and encapsulating the OkMessage 
      ObjectMessage msgSent = qsession.createObjectMessage() ;
      msgSent.setObject(okMsg) ;
      // sending the ObjectMessage to queueItems 
      qs.send(msgSent);
      
      // commiting the sending
      qsession.commit() ;
      
      // unlocking 
      synchronized(lock) {
        lock.notify() ; 
      }
      
    } catch (Exception exc) {
      System.out.println("Exception caught in InventoryServer okMethod: " + exc);
      exc.printStackTrace() ;
    }
  }
