public void quitMethod() {
    try {
      // desactivate the GUI
      webGUI.setVisible(false) ;
      
      // creating a QuitMessage 
      QuitMessage quitMsg = new QuitMessage() ;
      // creating an ObjectMessage encapsulating the QuitMessage
      ObjectMessage msgSent = tsession.createObjectMessage() ;
      msgSent.setObject(quitMsg) ;
      // sending the ObjectMessage to topicOrders
      tp.publish(msgSent);
      
      // commiting the sending
      tsession.commit() ;
      
      // closing session and connection
      tsession.close() ;
      tc.close() ;
      
      System.out.println("Session and connection closed by WebServer.") ;
      System.exit(0) ;
      
    } catch (Exception exc) {
      System.out.println("Exception caught in WebServer quitMethod: " + exc);
      exc.printStackTrace();
    }
  }
