public void sendMethod() {
    try {
      // deactivate the GUI
      webGUI.setVisible(false) ;
      
      // creating the OrderMessage 
      OrderMessage orderMsg = new OrderMessage(orderId, choice) ;
      // creating an ObjectMessage encapsulating the OrderMessage
      ObjectMessage msgSent = tsession.createObjectMessage() ;
      msgSent.setObject(orderMsg) ;
      // sending the ObjectMessage to topicOrders
      tp.publish(msgSent);
      
      // commiting the sending(s) 
      tsession.commit() ;
      
      System.out.println("Message sent by WebServer to topicOrders: ");
      System.out.println("Id: " + orderMsg.id);
      System.out.println("Item: " + orderMsg.item) ;
      System.out.println("Sending(s) commited!") ;
      System.out.println() ;

      // resetting orderId 
      orderId = 1 ;
      
      // reactivating the GUI
      webGUI.updateId(orderId) ;
      webGUI.setVisible(true) ;
     
    } catch (Exception exc) {
      System.out.println("Exception caught in WebServer sendMethod: " + exc);
      exc.printStackTrace();
    }
  }
