public synchronized void onMessage(Message m) {
    try {
      last = System.currentTimeMillis();
      int index = m.getIntProperty("index");
      if (index == 0) start = t1 = last;

      travel += (last - m.getLongProperty("time"));
      counter += 1;
      
      if (transacted && (((counter%10) == 9) || (index == 0)))
        session.commit();
      
      if ((counter%NbMsgPerRound) == (NbMsgPerRound -1)) {
        long x = (NbMsgPerRound * 1000L) / (last - t1);
        t1 = last;
        System.out.println("#" + ((counter+1)/NbMsgPerRound) + " x " + NbMsgPerRound + " msg -> " + x + " msg/s " + (travel/counter));
      }

    } catch (IllegalStateException exc) {
      throw exc;
    } catch (Throwable exc) {
      exc.printStackTrace();
    }
  }
