static void testJSonMessage(RestConsumer cons) {
    for (int i=0; i<10; i++) {
      HashMap<String, Object> msg = cons.receiveJSonMsg();
      System.out.println("Receive message -> " + msg);

      String type = (String) msg.get("type");

      Gson gson = new GsonBuilder().create();
      if (RestConsumer.BytesMessage.equals(type)) {
        byte[] body = null;

        body = gson.fromJson(msg.get("body").toString(), byte[].class);
      } else if ("TextMessage".equals(type)) {
        String body = null;

        body = (String) msg.get("body");
      }

      Map header = (Map) msg.get("header");
      Map props = (Map) msg.get("properties");

      int index = Integer.parseInt((String) ((ArrayList) props.get("index")).get(0));
      long time = Long.parseLong((String) ((ArrayList) props.get("time")).get(0));

      System.out.println("Receive msg#" + index + " at " + time);
    }
  }
