String receiveStringMsg() {
    if (debug) System.out.println("== receive-next-message -> " + uriReceiveNextMsg);
    Response response = client.target(uriReceiveNextMsg)
        .queryParam("timeout", "30000")
        .request()
        .accept(MediaType.TEXT_PLAIN)
        .get();

    String msg = response.readEntity(String.class);
    if (response.getStatus() == Response.Status.OK.getStatusCode() && msg != null) {
      if (debug) System.out.println("== receive-next-message = " + response.getStatus() + ", msg = " + msg);
      uriReceiveNextMsg = response.getLink("receive-next-message").getUri();
      uriAcknowledgeMsg = response.getLink("acknowledge-message").getUri();
    } else {
      System.out.println("ERROR consume msg = " + msg + ", response = " + response);
    }
    
    return msg;
  }
