private Short getShortProperty(String prop, Short defaultVal) {
    String val = bundleContext.getProperty(prop);
    try {
      if(val!=null)
        return Short.parseShort(val);
      else
        return defaultVal;
    } catch(NumberFormatException e) {
      return defaultVal;
    }
  }
