public void createSubcontext(String ctxName) {
    try {
      NamingContextMBean nc = (NamingContextMBean) tracker.waitForService(TIMEOUT);
      if(nc!=null) {
        nc.createSubcontext(ctxName);
      } else {
        System.err.println("Error: No NamingContextMBean service found.");
      }
    } catch (InterruptedException e) {
      System.err.println("Error: Interrupted.");
    } catch (NamingException e) {
      System.err.println("Error: Invalid subcontext name.");
    }
  }
