public void getNamingContext() {
    try {
      NamingContextMBean nc = (NamingContextMBean) tracker.waitForService(TIMEOUT);
      if(nc!=null) {
        String[] names = nc.getNamingContext();
        if(names != null && names.length > 0) {
          System.out.println("Naming context:");
          for(String n : names) {
            System.out.println("\t"+n);
     }
        } else {
          System.out.println("No name in the naming context.");
        }
      } else {
        System.err.println("Error: No NamingContextMBean service found.");
      }
    } catch (InterruptedException e) {
      System.err.println("Error: Interrupted.");
    }
  }
