public void list() {
    try {
      NamingContextMBean nc = (NamingContextMBean) tracker.waitForService(TIMEOUT);
      for(String name : nc.getNamingContext()) {
        try {
          System.out.println(name + ":");
          Properties prop = nc.getProperties(name);
          for(String key : prop.stringPropertyNames()) {
            System.out.println("\t"+key+" : "+prop.getProperty(key));
          }
        } catch (NamingException e) {
          System.err.println("Error: Naming exception.");
        }
      }
    } catch(InterruptedException e) {
      System.err.println("Error: Interrupted.");      
    }
  }
