public void lookup(String name) {
    try {
      NamingContextMBean nc = (NamingContextMBean) tracker.waitForService(TIMEOUT);
      if(nc!=null) {
        System.out.println(nc.lookup(name));
      } else {
        System.err.println("Error: No NamingContextMBean service found.");
      }
    } catch (InterruptedException e) {
      System.err.println("Error: Interrupted.");
    } catch (NamingException e) {
      System.err.println("Error: Invalid record name.");
    }
  }
