private ClientSubscriptionMBean findClientSubscription(String userName, String subName) throws UserNotFoundException, SubscriptionNotFoundException {
    UserAgentMBean user = findUser(userName);
    if(user==null) {
      throw new UserNotFoundException(userName);
    }
    user.getSubscriptionNames();
    
    Object[] objs = clientSubTracker.getServices();
    if(objs==null)
      return null;
    for(Object o : objs) {
      ClientSubscriptionMBean c = (ClientSubscriptionMBean)o;
      
      if(c.getName().equals(subName))
        return c;
    }
    throw new SubscriptionNotFoundException(userName, subName);
  }
