private QueueMBean findQueue(String name) throws QueueNotFoundException {
    Object[] objs = queueTracker.getServices();
    if(objs==null)
      throw new QueueNotFoundException(name);
    for(Object o : objs) {
      QueueMBean q = (QueueMBean) o;
      if(q.getName().equals(name)) {
        return q;
      }
    }
    throw new QueueNotFoundException(name);
  }
