static public void init(BundleContext context) {
    bundleContext = context;
    destinationTracker = new ServiceTracker
                (bundleContext, DestinationMBean.class.getCanonicalName(), null);
    queueTracker = new ServiceTracker
                (bundleContext, QueueMBean.class.getCanonicalName(),       null);
    topicTracker = new ServiceTracker
                (bundleContext, TopicMBean.class.getCanonicalName(),       null);
    userTracker = new ServiceTracker
                (bundleContext, UserAgentMBean.class.getCanonicalName(),   null);
    adminTracker = new ServiceTracker
                (bundleContext, AdminTopicMBean.class.getCanonicalName(),  null);
    clientSubTracker = new ServiceTracker
                (bundleContext, ClientSubscriptionMBean.class.getCanonicalName(),  null);

    destinationTracker.open();
    queueTracker.open();
    topicTracker.open();
    userTracker.open();
    adminTracker.open();
    clientSubTracker.open();
  }
