@Override
    public List<IAdminDashboardComponent> selectAllDashboardComponents( )
    {
        DAOUtil daoUtil = new DAOUtil( SQL_QUERY_SELECT_ALL );

        daoUtil.executeQuery( );

        List<IAdminDashboardComponent> listDashboards = new ArrayList<IAdminDashboardComponent>( );

        while ( daoUtil.next( ) )
        {
            IAdminDashboardComponent dashboardComponent = null;

            String strBeanName = daoUtil.getString( 1 );

            dashboardComponent = findDashboardFromFactory( strBeanName );

            if ( dashboardComponent != null )
            {
                load( dashboardComponent, daoUtil );
                listDashboards.add( dashboardComponent );
            }
            else
            {
                AppLogService.error( "Admindashboard named " + strBeanName + " not found" );
            }
        }

        daoUtil.free( );

        return listDashboards;
    }
