@Override
    public synchronized int insert( File file )
    {
        file.setIdFile( newPrimaryKey( ) );

        DAOUtil daoUtil = new DAOUtil( SQL_QUERY_INSERT );
        daoUtil.setString( 2, file.getTitle( ) );

        if ( file.getPhysicalFile( ) != null )
        {
            daoUtil.setInt( 3, file.getPhysicalFile( ).getIdPhysicalFile( ) );
        }
        else
        {
            daoUtil.setIntNull( 3 );
        }

        daoUtil.setInt( 4, file.getSize( ) );
        daoUtil.setString( 5, file.getMimeType( ) );
        daoUtil.setTimestamp( 6, new Timestamp( new Date( ).getTime( ) ) );
        daoUtil.setInt( 1, file.getIdFile( ) );
        daoUtil.executeUpdate( );

        daoUtil.free( );

        return file.getIdFile( );
    }
