@Override
    public List<IndexerAction> selectList( IndexerActionFilter filter )
    {
        List<IndexerAction> indexerActionList = new ArrayList<IndexerAction>( );
        IndexerAction indexerAction = null;
        List<String> listStrFilter = new ArrayList<String>( );

        if ( filter.containsIdTask( ) )
        {
            listStrFilter.add( SQL_FILTER_ID_TASK );
        }

        String strSQL = buildRequestWithFilter( SQL_QUERY_SELECT, listStrFilter, null );

        DAOUtil daoUtil = new DAOUtil( strSQL );

        int nIndex = 1;

        if ( filter.containsIdTask( ) )
        {
            daoUtil.setInt( nIndex, filter.getIdTask( ) );
        }

        daoUtil.executeQuery( );

        while ( daoUtil.next( ) )
        {
            indexerAction = new IndexerAction( );
            indexerAction.setIdAction( daoUtil.getInt( 1 ) );
            indexerAction.setIdDocument( daoUtil.getString( 2 ) );
            indexerAction.setIdTask( daoUtil.getInt( 3 ) );
            indexerAction.setIndexerName( daoUtil.getString( 4 ) );
            indexerAction.setIdPortlet( daoUtil.getInt( 5 ) );
            indexerActionList.add( indexerAction );
        }

        daoUtil.free( );

        return indexerActionList;
    }
