@Override
    public MailingList load( int nId )
    {
        DAOUtil daoUtil = new DAOUtil( SQL_QUERY_SELECT );
        daoUtil.setInt( 1, nId );
        daoUtil.executeQuery( );

        MailingList mailinglist = null;

        if ( daoUtil.next( ) )
        {
            mailinglist = new MailingList( );

            mailinglist.setId( daoUtil.getInt( 1 ) );
            mailinglist.setName( daoUtil.getString( 2 ) );
            mailinglist.setDescription( daoUtil.getString( 3 ) );
            mailinglist.setWorkgroup( daoUtil.getString( 4 ) );
        }

        daoUtil.free( );

        // load filters
        selectMailingListUsersFilters( mailinglist );

        return mailinglist;
    }
