@Override
    public Collection<MailingList> selectByWorkgroup( String strWorkgroup )
    {
        Collection<MailingList> mailingListList = new ArrayList<MailingList>( );
        DAOUtil daoUtil = new DAOUtil( SQL_QUERY_SELECT_BY_WORKGROUP );
        daoUtil.setString( 1, strWorkgroup );
        daoUtil.executeQuery( );

        while ( daoUtil.next( ) )
        {
            MailingList mailingList = new MailingList( );

            mailingList.setId( daoUtil.getInt( 1 ) );
            mailingList.setName( daoUtil.getString( 2 ) );
            mailingList.setDescription( daoUtil.getString( 3 ) );
            mailingList.setWorkgroup( daoUtil.getString( 4 ) );

            mailingListList.add( mailingList );
        }

        daoUtil.free( );

        return mailingListList;
    }
