public void selectMailingListUsersFilters( MailingList mailinglist )
    {
        if ( mailinglist != null )
        {
            Collection<MailingListUsersFilter> mailingListUsersFilterList = mailinglist.getFilters( );
            DAOUtil daoUtil = new DAOUtil( SQL_QUERY_FILTERS_SELECTALL );
            daoUtil.setInt( 1, mailinglist.getId( ) );
            daoUtil.executeQuery( );

            while ( daoUtil.next( ) )
            {
                MailingListUsersFilter mailingListUsersFilter = new MailingListUsersFilter( );

                mailingListUsersFilter.setWorkgroup( daoUtil.getString( 2 ) );
                mailingListUsersFilter.setRole( daoUtil.getString( 3 ) );

                mailingListUsersFilterList.add( mailingListUsersFilter );
            }

            daoUtil.free( );
        }
    }
