public Page loadLastModifiedPage( )
    {
        DAOUtil daoUtil = new DAOUtil( SQL_QUERY_SELECT_LAST_MODIFIED_PAGE );

        daoUtil.executeQuery( );

        Page page = null;

        if ( daoUtil.next( ) )
        {
            page = new Page( );

            int nIndex = 1;
            page.setId( daoUtil.getInt( nIndex++ ) );
            page.setParentPageId( daoUtil.getInt( nIndex++ ) );
            page.setOrigParentPageId( page.getParentPageId( ) );
            page.setName( daoUtil.getString( nIndex++ ) );
            page.setDescription( daoUtil.getString( nIndex++ ) );
            page.setPageTemplateId( daoUtil.getInt( nIndex++ ) );
            page.setOrder( daoUtil.getInt( nIndex++ ) );
            page.setStatus( daoUtil.getInt( nIndex++ ) );
            page.setRole( daoUtil.getString( nIndex++ ) );
            page.setCodeTheme( daoUtil.getString( nIndex++ ) );
            page.setNodeStatus( daoUtil.getInt( nIndex++ ) );
            page.setMimeType( daoUtil.getString( nIndex++ ) );
            page.setDateUpdate( daoUtil.getTimestamp( nIndex++ ) );
            page.setMetaKeywords( daoUtil.getString( nIndex++ ) );
            page.setMetaDescription( daoUtil.getString( nIndex++ ) );

            if ( daoUtil.getObject( nIndex ) != null )
            {
                page.setIdAuthorizationNode( daoUtil.getInt( nIndex ) );
            }
            nIndex++;
            page.setDisplayDateUpdate( daoUtil.getBoolean( nIndex++ ) );
            page.setIsManualDateUpdate( daoUtil.getBoolean( nIndex++ ) );
        }

        daoUtil.free( );

        return page;
    }
