void loadPortlets( Page page )
    {
        DAOUtil daoUtil = new DAOUtil( SQL_QUERY_SELECT_PORTLET );
        daoUtil.setInt( 1, page.getId( ) );

        daoUtil.executeQuery( );

        // Patch perfs : get query responses and close connection before getting portlet
        ArrayList<Integer> portletIds = new ArrayList<Integer>( );

        while ( daoUtil.next( ) )
        {
            portletIds.add( Integer.valueOf( daoUtil.getInt( 1 ) ) );
        }

        daoUtil.free( );

        ArrayList<Portlet> pageColl = new ArrayList<Portlet>( );

        for ( Integer nPortletId : portletIds )
        {
            Portlet portlet = PortletHome.findByPrimaryKey( nPortletId );
            pageColl.add( portlet );
        }

        page.setPortlets( pageColl );
    }
