public Collection<Page> selectChildPages( int nParentPageId )
    {
        Collection<Page> pageList = new ArrayList<Page>( );
        DAOUtil daoUtil = new DAOUtil( SQL_QUERY_CHILDPAGE );
        daoUtil.setInt( 1, nParentPageId );

        daoUtil.executeQuery( );

        while ( daoUtil.next( ) )
        {
            Page page = new Page( );

            page.setId( daoUtil.getInt( 1 ) );
            page.setParentPageId( daoUtil.getInt( 2 ) );
            page.setOrigParentPageId( daoUtil.getInt( 2 ) );
            page.setName( daoUtil.getString( 3 ) );
            page.setDescription( daoUtil.getString( 4 ) );
            page.setOrder( daoUtil.getInt( 5 ) );
            page.setStatus( daoUtil.getInt( 6 ) );
            page.setRole( daoUtil.getString( 7 ) );
            page.setCodeTheme( daoUtil.getString( 8 ) );
            page.setImageContent( daoUtil.getBytes( 9 ) );
            page.setMimeType( daoUtil.getString( 10 ) );
            page.setMetaKeywords( daoUtil.getString( 11 ) );
            page.setMetaDescription( daoUtil.getString( 12 ) );
            page.setDateUpdate( daoUtil.getTimestamp( 13 ) );

            if ( daoUtil.getObject( 14 ) != null )
            {
                page.setIdAuthorizationNode( daoUtil.getInt( 14 ) );
            }
            page.setDisplayDateUpdate( daoUtil.getBoolean( 15 ) );
            page.setIsManualDateUpdate( daoUtil.getBoolean( 16 ) );

            pageList.add( page );
        }

        daoUtil.free( );

        return pageList;
    }
