public StyleSheet selectXslFile( int nPortalComponentId, int nIdMode )
    {
        DAOUtil daoUtil = new DAOUtil( SQL_QUERY_SELECTXSL );

        daoUtil.setInt( 1, nPortalComponentId );
        daoUtil.setInt( 2, nIdMode );

        daoUtil.executeQuery( );

        StyleSheet stylesheet = new StyleSheet( );

        if ( daoUtil.next( ) )
        {
            stylesheet.setId( daoUtil.getInt( 1 ) );
            stylesheet.setDescription( daoUtil.getString( 2 ) );
            stylesheet.setFile( daoUtil.getString( 3 ) );
            stylesheet.setSource( daoUtil.getBytes( 4 ) );
        }

        daoUtil.free( );

        return stylesheet;
    }
