public Portlet load( int nPortletId )
    {
        DAOUtil daoUtil = new DAOUtil( SQL_QUERY_SELECT );
        daoUtil.setInt( 1, nPortletId );
        daoUtil.executeQuery( );

        PortletImpl portlet = new PortletImpl( );

        if ( daoUtil.next( ) )
        {
            portlet.setId( nPortletId );
            portlet.setPortletTypeId( daoUtil.getString( 1 ) );
            portlet.setPageId( daoUtil.getInt( 2 ) );
            portlet.setStyleId( daoUtil.getInt( 3 ) );
            portlet.setName( daoUtil.getString( 4 ) );
            portlet.setPortletTypeName( daoUtil.getString( 5 ) );
            portlet.setUrlCreation( daoUtil.getString( 6 ) );
            portlet.setUrlUpdate( daoUtil.getString( 7 ) );
            portlet.setDateUpdate( daoUtil.getTimestamp( 8 ) );
            portlet.setColumn( daoUtil.getInt( 9 ) );
            portlet.setOrder( daoUtil.getInt( 10 ) );
            portlet.setHomeClassName( daoUtil.getString( 11 ) );
            portlet.setAcceptAlias( daoUtil.getInt( 12 ) );
            portlet.setRole( daoUtil.getString( 13 ) );
            portlet.setPluginName( daoUtil.getString( 14 ) );
            portlet.setDisplayPortletTitle( daoUtil.getInt( 15 ) );
            portlet.setStatus( daoUtil.getInt( 16 ) );
            portlet.setDeviceDisplayFlags( daoUtil.getInt( 17 ) );
        }

        daoUtil.free( );

        return portlet;
    }
