public Collection<PortletImpl> selectPortletListByStyle( int nStyleId )
    {
        Collection<PortletImpl> portletList = new ArrayList<PortletImpl>( );
        DAOUtil daoUtil = new DAOUtil( SQL_QUERY_SELECT_PORTLET_LIST_BY_STYLE );

        daoUtil.setInt( 1, nStyleId );
        daoUtil.executeQuery( );

        while ( daoUtil.next( ) )
        {
            PortletImpl portlet = new PortletImpl( );

            portlet.setId( daoUtil.getInt( 1 ) );
            portlet.setName( daoUtil.getString( 2 ) );
            portlet.setPageId( daoUtil.getInt( 3 ) );

            portletList.add( portlet );
        }

        daoUtil.free( );

        return portletList;
    }
