public PortletType selectPortletType( String strPortletTypeId )
    {
        DAOUtil daoUtil = new DAOUtil( SQL_QUERY_SELECT_PORTLET_TYPE );

        daoUtil.setString( 1, strPortletTypeId );
        daoUtil.executeQuery( );

        PortletType portletType = new PortletType( );

        if ( daoUtil.next( ) )
        {
            portletType.setId( daoUtil.getString( 1 ) );
            portletType.setNameKey( daoUtil.getString( 2 ) );
            portletType.setUrlCreation( daoUtil.getString( 3 ) );
            portletType.setUrlUpdate( daoUtil.getString( 4 ) );
            portletType.setPluginName( daoUtil.getString( 5 ) );
        }

        daoUtil.free( );

        return portletType;
    }
