public List<Portlet> selectPortletsByType( String strPortletTypeId )
    {
        DAOUtil daoUtil = new DAOUtil( SQL_QUERY_SELECT_PORTLET_LIST_BY_TYPE );
        daoUtil.setString( 1, strPortletTypeId );
        daoUtil.executeQuery( );

        List<Portlet> list = new ArrayList<Portlet>( );

        while ( daoUtil.next( ) )
        {
            PortletImpl portlet = new PortletImpl( );
            portlet.setId( daoUtil.getInt( 1 ) );
            portlet.setPortletTypeId( daoUtil.getString( 2 ) );
            portlet.setPageId( daoUtil.getInt( 3 ) );
            portlet.setName( daoUtil.getString( 4 ) );
            portlet.setDateUpdate( daoUtil.getTimestamp( 5 ) );
            portlet.setStatus( daoUtil.getInt( 6 ) );
            portlet.setOrder( daoUtil.getInt( 7 ) );
            portlet.setColumn( daoUtil.getInt( 8 ) );
            portlet.setStyleId( daoUtil.getInt( 9 ) );
            portlet.setAcceptAlias( daoUtil.getInt( 10 ) );
            portlet.setDateUpdate( daoUtil.getTimestamp( 11 ) );
            portlet.setDisplayPortletTitle( daoUtil.getInt( 12 ) );
            portlet.setRole( daoUtil.getString( 13 ) );
            portlet.setDeviceDisplayFlags( daoUtil.getInt( 14 ) );

            // FIXME Theses attributes concerns PortletType :
            // portlet.setHomeClassName(daoUtil.getString( 1 ));
            // portlet.setPluginName(daoUtil.getString( 1 ));
            // portlet.setPortletTypeName(daoUtil.getString( 1 ));
            // portlet.setUrlCreation(daoUtil.getString( 1 ));
            // portlet.setUrlUpdate(daoUtil.getString( 1 ));
            list.add( portlet );
        }

        daoUtil.free( );

        return list;
    }
