public Collection<PortletImpl> selectPortletsListbyName( String strPortletName )
    {
        DAOUtil daoUtil = new DAOUtil( SQL_QUERY_SELECT_PORTLET_LIST_BY_NAME );
        daoUtil.setString( 1, '%' + strPortletName + '%' );
        daoUtil.executeQuery( );

        List<PortletImpl> list = new ArrayList<PortletImpl>( );

        while ( daoUtil.next( ) )
        {
            PortletImpl portlet = new PortletImpl( );
            portlet.setId( daoUtil.getInt( 1 ) );
            portlet.setPageId( daoUtil.getInt( 2 ) );
            portlet.setName( daoUtil.getString( 3 ) );

            list.add( portlet );
        }

        daoUtil.free( );

        return list;
    }
