public PortletType load( String strPortletTypeId )
    {
        DAOUtil daoUtil = new DAOUtil( SQL_QUERY_SELECT );
        daoUtil.setString( 1, strPortletTypeId );
        daoUtil.executeQuery( );

        PortletType portletType = new PortletType( );

        if ( daoUtil.next( ) )
        {
            portletType.setId( daoUtil.getString( 1 ) );
            portletType.setNameKey( daoUtil.getString( 2 ) );
            portletType.setUrlCreation( daoUtil.getString( 3 ) );
            portletType.setUrlUpdate( daoUtil.getString( 4 ) );
            portletType.setHomeClass( daoUtil.getString( 5 ) );
            portletType.setPluginName( daoUtil.getString( 6 ) );
            portletType.setDoCreateUrl( daoUtil.getString( 7 ) );
            portletType.setCreateScriptTemplate( daoUtil.getString( 8 ) );
            portletType.setCreateSpecificTemplate( daoUtil.getString( 9 ) );
            portletType.setCreateSpecificFormTemplate( daoUtil.getString( 10 ) );
            portletType.setDoModifyUrl( daoUtil.getString( 11 ) );
            portletType.setModifyScriptTemplate( daoUtil.getString( 12 ) );
            portletType.setModifySpecificTemplate( daoUtil.getString( 13 ) );
            portletType.setModifySpecificFormTemplate( daoUtil.getString( 14 ) );
        }

        daoUtil.free( );

        return portletType;
    }
