public ReferenceList selectPortletsTypesList( Locale locale )
    {
        DAOUtil daoUtil = new DAOUtil( SQL_QUERY_SELECT_PORTLETS_TYPE_LIST );
        daoUtil.executeQuery( );

        ReferenceList list = new ReferenceList( );

        while ( daoUtil.next( ) )
        {
            PortletType portletType = new PortletType( );
            portletType.setId( daoUtil.getString( 1 ) );
            portletType.setNameKey( daoUtil.getString( 2 ) );
            // Localize the portlet type
            portletType.setLocale( locale );
            list.addItem( portletType.getId( ), portletType.getName( ) );
        }

        daoUtil.free( );

        return list;
    }
