public String getPermissionLabel( )
    {
        if ( getPermissionKey( ).equals( WILDCARD_PERMISSIONS_KEY ) )
        {
            return WILDCARD_PERMISSIONS_KEY;
        }
        else
        {
            ResourceType resourceType = ResourceTypeManager.getResourceType( getResourceTypeKey( ) );
            if ( resourceType != null )
            {
                Permission permission = resourceType.getPermission( getPermissionKey( ) );
                if ( permission != null )
                {
                    permission.setLocale( _locale );
                    return permission.getPermissionTitle( );
                }
            }
        }
        return StringUtils.EMPTY;
    }
