public static int changeRightOrder( Right right, int nNewOrder )
    {
        if ( right == null )
        {
            return CONSTANT_ERROR_ORDER;
        }

        if ( nNewOrder < right.getOrder( ) )
        {
            for ( Right rightGroup : getRightsList( right.getFeatureGroup( ) ) )
            {
                int nRightToUpdateOrder = rightGroup.getOrder( );

                if ( ( nRightToUpdateOrder >= nNewOrder ) && ( nRightToUpdateOrder < right.getOrder( ) ) )
                {
                    rightGroup.setOrder( nRightToUpdateOrder + CONSTANT_STEP_ORDER );
                    _dao.store( rightGroup );
                }
            }
        }
        else
            if ( nNewOrder > right.getOrder( ) )
            {
                for ( Right rightGroup : getRightsList( right.getFeatureGroup( ) ) )
                {
                    int nRightToUpdateOrder = rightGroup.getOrder( );

                    if ( ( nRightToUpdateOrder <= nNewOrder ) && ( nRightToUpdateOrder > right.getOrder( ) ) )
                    {
                        rightGroup.setOrder( nRightToUpdateOrder - CONSTANT_STEP_ORDER );
                        _dao.store( rightGroup );
                    }
                }
            }

        return nNewOrder;
    }
