public static ReferenceList getRolesList( AdminUser user )
    {
        Collection<Role> listRoles = RoleHome.findAll( );
        listRoles = AdminWorkgroupService.getAuthorizedCollection( listRoles, user );

        ReferenceList roleList = new ReferenceList( );

        for ( Role role : listRoles )
        {
            roleList.addItem( role.getRole( ), role.getRoleDescription( ) );
        }

        return roleList;
    }
