public static Properties getOuputXslProperties( int nKey )
    {
        Mode mode = _dao.load( nKey );
        Properties ouputProperties = new Properties( );

        String strMethod = mode.getOutputXslPropertyMethod( );

        if ( ( strMethod != null ) && ( !strMethod.trim( ).equals( "" ) ) )
        {
            ouputProperties.setProperty( OutputKeys.METHOD, strMethod );
        }

        String strVersion = mode.getOutputXslPropertyVersion( );

        if ( ( strVersion != null ) && ( !strVersion.trim( ).equals( "" ) ) )
        {
            ouputProperties.setProperty( OutputKeys.VERSION, strVersion );
        }

        String strEncoding = mode.getOutputXslPropertyEncoding( );

        if ( ( strEncoding != null ) && ( !strEncoding.trim( ).equals( "" ) ) )
        {
            ouputProperties.setProperty( OutputKeys.ENCODING, strEncoding );
        }

        String strIndent = mode.getOutputXslPropertyIndent( );

        if ( ( strIndent != null ) && ( !strIndent.trim( ).equals( "" ) ) )
        {
            ouputProperties.setProperty( OutputKeys.INDENT, strIndent );
        }

        String strOmitXmlDeclaration = mode.getOutputXslPropertyOmitXmlDeclaration( );

        if ( ( strOmitXmlDeclaration != null ) && ( !strOmitXmlDeclaration.trim( ).equals( "" ) ) )
        {
            ouputProperties.setProperty( OutputKeys.OMIT_XML_DECLARATION, strOmitXmlDeclaration );
        }

        String strMediaType = mode.getOutputXslPropertyMediaType( );

        if ( ( strMediaType != null ) && ( !strMediaType.trim( ).equals( "" ) ) )
        {
            ouputProperties.setProperty( OutputKeys.MEDIA_TYPE, strMediaType );
        }

        String strStandalone = mode.getOutputXslPropertyStandalone( );

        if ( ( strStandalone != null ) && ( !strStandalone.trim( ).equals( "" ) ) )
        {
            ouputProperties.setProperty( OutputKeys.STANDALONE, strStandalone );
        }

        return ouputProperties;
    }
