public Collection<StyleSheet> selectStyleSheetList( int nStyleId )
    {
        Collection<StyleSheet> stylesheetList = new ArrayList<StyleSheet>( );
        DAOUtil daoUtil = new DAOUtil( SQL_QUERY_SELECT_STYLESHEET );

        daoUtil.setInt( 1, nStyleId );
        daoUtil.executeQuery( );

        while ( daoUtil.next( ) )
        {
            StyleSheet stylesheet = new StyleSheet( );

            stylesheet.setId( daoUtil.getInt( 1 ) );
            stylesheet.setDescription( daoUtil.getString( 2 ) );
            stylesheet.setFile( daoUtil.getString( 3 ) );

            stylesheetList.add( stylesheet );
        }

        daoUtil.free( );

        return stylesheetList;
    }
