public StyleSheet load( int nIdStylesheet )
    {
        StyleSheet stylesheet = null;
        DAOUtil daoUtil = new DAOUtil( SQL_QUERY_SELECT );
        daoUtil.setInt( 1, nIdStylesheet );
        daoUtil.executeQuery( );

        if ( daoUtil.next( ) )
        {
            stylesheet = new StyleSheet( );
            stylesheet.setId( nIdStylesheet );
            stylesheet.setDescription( daoUtil.getString( 1 ) );
            stylesheet.setFile( daoUtil.getString( 2 ) );
            stylesheet.setSource( daoUtil.getBytes( 3 ) );
            stylesheet.setStyleId( daoUtil.getInt( 4 ) );
            stylesheet.setModeId( daoUtil.getInt( 5 ) );
        }

        daoUtil.free( );

        return stylesheet;
    }
