@Override
    public List<Integer> getIdUsersToSendOtherAlert( Timestamp alertMaxDate, Timestamp timeBetweenAlerts, int maxNumberAlerts )
    {
        DAOUtil daoUtil = new DAOUtil( SQL_QUERY_SELECT_USER_ID_OTHER_ALERT );
        daoUtil.setInt( 1, maxNumberAlerts );
        daoUtil.setInt( 2, AdminUser.EXPIRED_CODE );
        daoUtil.setLong( 3, timeBetweenAlerts.getTime( ) );
        daoUtil.setLong( 4, alertMaxDate.getTime( ) );

        List<Integer> listIdUserFirstAlert = new ArrayList<Integer>( );
        daoUtil.executeQuery( );

        while ( daoUtil.next( ) )
        {
            listIdUserFirstAlert.add( daoUtil.getInt( 1 ) );
        }

        daoUtil.free( );

        return listIdUserFirstAlert;
    }
