@Override
    public void insert( LuteceDefaultAdminUser user )
    {
        DAOUtil daoUtil = new DAOUtil( SQL_QUERY_INSERT_DEFAULT_USER );

        user.setUserId( newPrimaryKey( ) );
        daoUtil.setInt( 1, user.getUserId( ) );
        daoUtil.setString( 2, user.getAccessCode( ) );
        daoUtil.setString( 3, user.getLastName( ) );
        daoUtil.setString( 4, user.getFirstName( ) );
        daoUtil.setString( 5, user.getEmail( ) );
        daoUtil.setInt( 6, user.getStatus( ) );
        daoUtil.setString( 7, user.getPassword( ).getStorableRepresentation( ) );
        daoUtil.setString( 8, user.getLocale( ).toString( ) );
        daoUtil.setInt( 9, user.getUserLevel( ) );
        daoUtil.setBoolean( 10, user.getAccessibilityMode( ) );
        daoUtil.setBoolean( 11, user.isPasswordReset( ) );
        daoUtil.setTimestamp( 12, user.getPasswordMaxValidDate( ) );

        if ( user.getAccountMaxValidDate( ) == null )
        {
            daoUtil.setLongNull( 13 );
        }
        else
        {
            daoUtil.setLong( 13, user.getAccountMaxValidDate( ).getTime( ) );
        }

        daoUtil.setTimestamp( 14, user.getDateLastLogin( ) );
        daoUtil.setString( 15, user.getWorkgroupKey( ) );
        daoUtil.executeUpdate( );
        daoUtil.free( );
    }
