@Override
    public AttributeField load( int nIdField )
    {
        DAOUtil daoUtil = new DAOUtil( SQL_QUERY_SELECT );
        daoUtil.setInt( 1, nIdField );
        daoUtil.executeQuery( );

        AttributeField attributeField = null;

        if ( daoUtil.next( ) )
        {
            attributeField = new AttributeField( );
            attributeField.setIdField( daoUtil.getInt( 1 ) );

            IAttribute attribute = selectAttributeByIdField( nIdField );
            attributeField.setAttribute( attribute );
            attributeField.setTitle( daoUtil.getString( 3 ) );
            attributeField.setValue( daoUtil.getString( 4 ) );
            attributeField.setDefaultValue( daoUtil.getBoolean( 5 ) );
            attributeField.setHeight( daoUtil.getInt( 6 ) );
            attributeField.setWidth( daoUtil.getInt( 7 ) );
            attributeField.setMaxSizeEnter( daoUtil.getInt( 8 ) );
            attributeField.setMultiple( daoUtil.getBoolean( 9 ) );
            attributeField.setPosition( daoUtil.getInt( 10 ) );
        }

        daoUtil.free( );

        return attributeField;
    }
