@Override
    public List<AttributeField> selectAttributeFieldsByIdAttribute( int nIdAttribute )
    {
        DAOUtil daoUtil = new DAOUtil( SQL_QUERY_SELECT_ATTRIBUTE_FIELDS_BY_ID_ATTRIBUTE );
        daoUtil.setInt( 1, nIdAttribute );
        daoUtil.executeQuery( );

        List<AttributeField> listAttributeFields = new ArrayList<AttributeField>( );

        while ( daoUtil.next( ) )
        {
            AttributeField attributeField = new AttributeField( );
            attributeField.setIdField( daoUtil.getInt( 1 ) );

            IAttribute attribute = selectAttributeByIdField( attributeField.getIdField( ) );
            attributeField.setAttribute( attribute );
            attributeField.setTitle( daoUtil.getString( 3 ) );
            attributeField.setValue( daoUtil.getString( 4 ) );
            attributeField.setDefaultValue( daoUtil.getBoolean( 5 ) );
            attributeField.setHeight( daoUtil.getInt( 6 ) );
            attributeField.setWidth( daoUtil.getInt( 7 ) );
            attributeField.setMaxSizeEnter( daoUtil.getInt( 8 ) );
            attributeField.setMultiple( daoUtil.getBoolean( 9 ) );
            attributeField.setPosition( daoUtil.getInt( 10 ) );
            listAttributeFields.add( attributeField );
        }

        daoUtil.free( );

        return listAttributeFields;
    }
