@Override
    public String setAttributeData( HttpServletRequest request )
    {
        String strTitle = request.getParameter( PARAMETER_TITLE );
        String strHelpMessage = ( request.getParameter( PARAMETER_HELP_MESSAGE ) != null ) ? request.getParameter( PARAMETER_HELP_MESSAGE ).trim( ) : null;
        String strIsShownInSearch = request.getParameter( PARAMETER_IS_SHOWN_IN_SEARCH );
        String strIsShownInResultList = request.getParameter( PARAMETER_IS_SHOWN_IN_RESULT_LIST );
        String strMandatory = request.getParameter( PARAMETER_MANDATORY );
        String strWidth = request.getParameter( PARAMETER_WIDTH );
        String strMaxSizeEnter = request.getParameter( PARAMETER_MAX_SIZE_ENTER );
        String strValue = request.getParameter( PARAMETER_VALUE );

        String strError;

        if ( StringUtils.isNotBlank( strTitle ) && StringUtils.isNotBlank( strWidth ) )
        {
            if ( strWidth.matches( REGEX_ID ) )
            {
                int nWidth = Integer.parseInt( strWidth );

                int nMaxSizeEnter;

                if ( StringUtils.isNotBlank( strMaxSizeEnter ) && !strMaxSizeEnter.matches( REGEX_ID ) )
                {
                    return AdminMessageService.getMessageUrl( request, PROPERTY_MESSAGE_NO_ARITHMETICAL_CHARACTERS, AdminMessage.TYPE_STOP );
                }
                else
                    if ( ( strMaxSizeEnter == null ) || strMaxSizeEnter.equals( EMPTY_STRING ) )
                    {
                        nMaxSizeEnter = -1;
                    }
                    else
                    {
                        nMaxSizeEnter = Integer.parseInt( strMaxSizeEnter );
                    }

                setTitle( strTitle );
                setHelpMessage( strHelpMessage );
                setMandatory( strMandatory != null );
                setShownInSearch( strIsShownInSearch != null );
                setShownInResultList( strIsShownInResultList != null );

                if ( getListAttributeFields( ) == null )
                {
                    List<AttributeField> listAttributeFields = new ArrayList<AttributeField>( );
                    AttributeField attributeField = new AttributeField( );
                    listAttributeFields.add( attributeField );
                    setListAttributeFields( listAttributeFields );
                }

                getListAttributeFields( ).get( 0 ).setValue( strValue );
                getListAttributeFields( ).get( 0 ).setWidth( nWidth );
                getListAttributeFields( ).get( 0 ).setMaxSizeEnter( nMaxSizeEnter );

                return null;
            }
            else
            {
                strError = PROPERTY_MESSAGE_NO_ARITHMETICAL_CHARACTERS;
            }
        }
        else
        {
            strError = Messages.MANDATORY_FIELDS;
        }

        return AdminMessageService.getMessageUrl( request, strError, AdminMessage.TYPE_STOP );
    }
