@Override
    public IPassword loadPassword( String strAccessCode )
    {
        DAOUtil daoUtil = new DAOUtil( SQL_QUERY_LOAD_PASSWORD );
        daoUtil.setString( 1, strAccessCode );
        daoUtil.executeQuery( );

        IPassword storedPassword;
        try
        {
            if ( daoUtil.next( ) )
            {
                storedPassword = _passwordFactory.getPassword( daoUtil.getString( 1 ) );
            }
            else
            {
                // timing resistance
                storedPassword = _passwordFactory.getDummyPassword( );
            }
        }
        finally
        {
            daoUtil.free( );
        }

        return storedPassword;
    }
