public int selectLoginErrors( UserLog userLog, int nIntervalMinutes )
    {
        int nCount = 0;
        java.sql.Timestamp dateEnd = new java.sql.Timestamp( new java.util.Date( ).getTime( ) );
        java.sql.Timestamp dateBegin = new java.sql.Timestamp( dateEnd.getTime( ) - ( nIntervalMinutes * 1000L * 60L ) );

        DAOUtil daoUtil = new DAOUtil( SQL_QUERY_SELECT_LOGIN_ERRORS );

        daoUtil.setString( 1, userLog.getIpAddress( ) );
        daoUtil.setTimestamp( 2, dateBegin );
        daoUtil.setTimestamp( 3, dateEnd );

        daoUtil.executeQuery( );

        if ( daoUtil.next( ) )
        {
            nCount = daoUtil.getInt( 1 );
        }

        daoUtil.free( );

        return nCount;
    }
