public Collection<AdminUser> getUsersListForWorkgroup( String strWorkgroupKey )
    {
        Collection<AdminUser> listUsers = new ArrayList<AdminUser>( );
        DAOUtil daoUtil = new DAOUtil( SQL_QUERY_SELECT_USERS_LIST_FOR_WORKGROUP );
        daoUtil.setString( 1, strWorkgroupKey );
        daoUtil.executeQuery( );

        AdminUser adminUser = null;

        while ( daoUtil.next( ) )
        {
            adminUser = AdminUserHome.findByPrimaryKey( daoUtil.getInt( 1 ) );

            if ( adminUser != null )
            {
                listUsers.add( adminUser );
            }
        }

        daoUtil.free( );

        return listUsers;
    }
