public Collection<AdminWorkgroup> selectWorkgroupsByFilter( AdminWorkgroupFilter awFilter )
    {
        Collection<AdminWorkgroup> listFilteredWorkgroups = new ArrayList<AdminWorkgroup>( );
        DAOUtil daoUtil = new DAOUtil( SQL_QUERY_SELECT_WORKGROUP_FROM_SEARCH );

        daoUtil.setString( 1, CONSTANT_PERCENT + awFilter.getKey( ) + CONSTANT_PERCENT );
        daoUtil.setString( 2, CONSTANT_PERCENT + awFilter.getDescription( ) + CONSTANT_PERCENT );

        daoUtil.executeQuery( );

        while ( daoUtil.next( ) )
        {
            AdminWorkgroup workgroup = new AdminWorkgroup( );
            workgroup.setKey( daoUtil.getString( 1 ) );
            workgroup.setDescription( daoUtil.getString( 2 ) );

            listFilteredWorkgroups.add( workgroup );
        }

        daoUtil.free( );

        return listFilteredWorkgroups;
    }
