@Override
    public synchronized void insert( XslExport xslExport )
    {
        xslExport.setIdXslExport( newPrimaryKey( ) );

        DAOUtil daoUtil = new DAOUtil( SQL_QUERY_INSERT );
        daoUtil.setInt( 1, xslExport.getIdXslExport( ) );
        daoUtil.setString( 2, xslExport.getTitle( ) );
        daoUtil.setString( 3, xslExport.getDescription( ) );
        daoUtil.setString( 4, xslExport.getExtension( ) );

        if ( xslExport.getFile( ) != null )
        {
            daoUtil.setInt( 5, xslExport.getFile( ).getIdFile( ) );
        }
        else
        {
            daoUtil.setIntNull( 5 );
        }

        daoUtil.setString( 6, xslExport.getPlugin( ) );

        daoUtil.executeUpdate( );

        daoUtil.free( );
    }
