public static int getIntegerSecurityParameter( String strParameterkey )
    {
        String defaultUserParameter = DefaultUserParameterHome.findByKey( strParameterkey );

        if ( StringUtils.isBlank( defaultUserParameter ) )
        {
            return 0;
        }

        try
        {
            int nValue = Integer.parseInt( defaultUserParameter );

            return nValue;
        }
        catch( NumberFormatException e )
        {
            return 0;
        }
    }
