public static void notifyUser( String strBaseUrl, AdminUser user, String strPassword, String strPropertyEmailSubject, String strTemplate )
    {
        String strSenderEmail = MailService.getNoReplyEmail( );
        String strSiteName = PortalService.getSiteName( );
        Locale locale = user.getLocale( );
        String strEmailSubject = I18nService.getLocalizedString( strPropertyEmailSubject, new String [ ] {
            strSiteName
        }, locale );
        Map<String, Object> model = new HashMap<String, Object>( );
        model.put( MARK_USER, user );
        model.put( MARK_PASSWORD, strPassword );
        model.put( MARK_SITE_NAME, strSiteName );
        model.put( MARK_LOGIN_URL, strBaseUrl + AdminAuthenticationService.getInstance( ).getLoginPageUrl( ) );
        model.put( MARK_SITE_LINK, MailService.getSiteLink( strBaseUrl, false ) );

        HtmlTemplate template = AppTemplateService.getTemplate( strTemplate, locale, model );

        MailService.sendMailHtml( user.getEmail( ), strSenderEmail, strSenderEmail, strEmailSubject, template.getHtml( ) );
    }
