@Override
    protected void doFilter( HttpServletRequest request, HttpServletResponse response, FilterChain chain ) throws AlreadyGzippedException,
            AlreadyCommittedException, FilterNonReentrantException, LockTimeoutException, Exception
    {
        if ( !_bInit )
        {
            init( );
        }

        if ( _bEnable )
        {
            super.doFilter( request, response, chain );
            _logger.debug( "URI served from cache : " + request.getRequestURI( ) );
        }
        else
        {
            chain.doFilter( request, response );
        }
    }
