@Override
    public String getKey( String strXPageName, int nMode, String strTitlesUrls, HttpServletRequest request )
    {
        if ( !isCacheEnable( ) )
        {
            return null;
        }
        StringBuilder builder = new StringBuilder( );
        builder.append( "[XPageName:" ).append( strXPageName ).append( ']' );
        builder.append( "[mode:" ).append( nMode ).append( ']' );
        if ( strTitlesUrls != null )
        {
            builder.append( "[titleUrls:" ).append( strTitlesUrls ).append( ']' );
        }
        if ( request != null )
        {
            builder.append( "[locale:" ).append( request.getLocale( ) ).append( ']' );
            String strPageId = request.getParameter( Parameters.PAGE_ID );
            if ( StringUtils.isNotBlank( strPageId ) )
            {
                builder.append( '[' ).append( Parameters.PAGE_ID ).append( ':' ).append( strPageId ).append( ']' );
            }
            String strPortletId = request.getParameter( Parameters.PORTLET_ID );
            if ( StringUtils.isNotBlank( strPortletId ) )
            {
                builder.append( '[' ).append( Parameters.PORTLET_ID ).append( ':' ).append( strPortletId ).append( ']' );
            }
        }
        return builder.toString( );
    }
