public List<IDashboardComponent> getDashboards( AdminUser user, HttpServletRequest request )
    {
        List<IDashboardComponent> listDashboards = new ArrayList<IDashboardComponent>( );

        // Attributes associated to the plugins
        for ( DashboardListenerService dashboardListenerService : SpringContextService.getBeansOfType( DashboardListenerService.class ) )
        {
            dashboardListenerService.getDashboardComponents( listDashboards, user, request );
        }

        return listDashboards;
    }
