public static String replaceKeys( String strSource )
    {
        String result = strSource;

        if ( strSource != null )
        {
            Matcher matcher = PATTERN_DATASTORE_KEY.matcher( strSource );

            if ( matcher.find( ) )
            {
                StringBuffer sb = new StringBuffer( );

                do
                {
                    String strKey = matcher.group( 1 );
                    String strValue = DatastoreService.getDataValue( strKey, VALUE_MISSING );

                    if ( VALUE_MISSING.equals( strValue ) )
                    {
                        AppLogService.error( "Datastore Key missing : " + strKey + " - Please fix to avoid performance issues." );
                    }

                    matcher.appendReplacement( sb, strValue );
                }
                while ( matcher.find( ) );

                matcher.appendTail( sb );
                result = sb.toString( );
            }
        }

        return result;
    }
