public void destroy( )
    {
        for ( LuteceFilter filter : FilterService.getInstance( ).getFilters( ) )
        {
            // Catch exception for each filter to execute all chain
            try
            {
                // Checks mapping and plugin status
                if ( filter.getPlugin( ).isInstalled( ) )
                {
                    filter.getFilter( ).destroy( );
                }
            }
            catch( Exception e )
            {
                AppLogService.error( "Error execution destroy() method - Filter " + filter.getName( ), e );
            }
        }
    }
