public static String getDateFormatShortPattern( Locale locale )
    {
        String strAvailableLocales = AppPropertiesService.getProperty( PROPERTY_FORMAT_DATE_SHORT_LIST );

        if ( ( locale != null ) && ( strAvailableLocales != null ) && !strAvailableLocales.equals( "" ) )
        {
            StringTokenizer strTokens = new StringTokenizer( strAvailableLocales, "," );
            String strToken = null;

            for ( Locale adminLocale : getAdminAvailableLocales( ) )
            {
                if ( ( strTokens != null ) && strTokens.hasMoreTokens( ) )
                {
                    strToken = strTokens.nextToken( );
                }

                if ( adminLocale.getLanguage( ).equals( locale.getLanguage( ) ) )
                {
                    return strToken;
                }
            }
        }

        return null;
    }
