public static void init( )
    {
        // Get all beans from the global ApplicationContext
        List<PostStartUpService> listServices = SpringContextService.getBeansOfType( PostStartUpService.class );

        // Process all services
        for ( PostStartUpService service : listServices )
        {
            try
            {
                AppLogService.info( "Processing PostStartUp service : " + service.getName( ) );
                service.process( );
            }
            catch( Exception e )
            {
                AppLogService.error( "Error while processing PostStartUp service : " + service.getName( ), e );
            }
        }
    }
