public static void shutdown( )
    {
        // Get all beans from the global ApplicationContext
        List<ShutdownService> listServices = SpringContextService.getBeansOfType( ShutdownService.class );

        // Process all services
        for ( ShutdownService service : listServices )
        {
            try
            {
                AppLogService.info( "Processing shutdown service : " + service.getName( ) );
                service.process( );
            }
            catch( Exception e )
            {
                AppLogService.error( "Error while processing shutdown service : " + service.getName( ), e );
            }
        }
    }
