public static void init( )
    {
        // Get all beans from the global ApplicationContext
        List<StartUpService> listServices = SpringContextService.getBeansOfType( StartUpService.class );

        // Process all services
        for ( StartUpService service : listServices )
        {
            try
            {
                AppLogService.info( "Processing StartUp service : " + service.getName( ) );
                service.process( );
            }
            catch( Exception e )
            {
                AppLogService.error( "Error while processing StartUp service : " + service.getName( ), e );
            }
        }
    }
