public static String getSiteLink( String strBaseUrl, boolean linkToFrontOffice )
    {
        StringBuilder sb = new StringBuilder( );
        String strSiteName = PortalService.getSiteName( );

        if ( strSiteName != null )
        {
            sb.append( "<a title=\"" );
            sb.append( strSiteName );
            sb.append( "\" href=\"" );
            sb.append( strBaseUrl );

            String strUrl;

            if ( linkToFrontOffice )
            {
                strUrl = AppPathService.getPortalUrl( );
            }
            else
            {
                strUrl = AppPathService.getAdminMenuUrl( );
            }

            if ( strUrl != null )
            {
                sb.append( strUrl );
            }

            sb.append( "\" >" );
            sb.append( strSiteName );
            sb.append( "</a>" );
        }

        return sb.toString( );
    }
