protected static Message prepareMessage( String strRecipientsTo, String strRecipientsCc, String strRecipientsBcc, String strSenderName,
            String strSenderEmail, String strSubject, Session session ) throws MessagingException, AddressException
    {
        // Instantiate and initialize a mime message
        Message msg = new MimeMessage( session );
        msg.setSentDate( new Date( ) );

        try
        {
            msg.setFrom( new InternetAddress( strSenderEmail, strSenderName, AppPropertiesService.getProperty( PROPERTY_CHARSET ) ) );
            msg.setSubject( MimeUtility.encodeText( strSubject, AppPropertiesService.getProperty( PROPERTY_CHARSET ), ENCODING ) );
        }
        catch( UnsupportedEncodingException e )
        {
            throw new AppException( e.toString( ) );
        }

        // Instantiation of the list of address
        if ( strRecipientsTo != null )
        {
            msg.setRecipients( Message.RecipientType.TO, getAllAdressOfRecipients( strRecipientsTo ) );
        }

        if ( strRecipientsCc != null )
        {
            msg.setRecipients( Message.RecipientType.CC, getAllAdressOfRecipients( strRecipientsCc ) );
        }

        if ( strRecipientsBcc != null )
        {
            msg.setRecipients( Message.RecipientType.BCC, getAllAdressOfRecipients( strRecipientsBcc ) );
        }

        return msg;
    }
