public static Collection<MailingList> getUserMailingLists( AdminUser user )
    {
        Collection<MailingList> listMailinglists = new ArrayList<MailingList>( );

        // Add all global mailing lists
        listMailinglists.addAll( MailingListHome.findByWorkgroup( AdminWorkgroupService.ALL_GROUPS ) );

        // Add mailing list of the user's workgroups
        ReferenceList listWorkgroups = AdminWorkgroupHome.getUserWorkgroups( user );

        for ( ReferenceItem workgroup : listWorkgroups )
        {
            listMailinglists.addAll( MailingListHome.findByWorkgroup( workgroup.getCode( ) ) );
        }

        return listMailinglists;
    }
