private static <T> Object [ ] formatConstraintViolations( HttpServletRequest request, Set<ConstraintViolation<T>> constraintViolations )
    {
        Map<String, Object> model = new HashMap<String, Object>( );
        model.put( MARK_ERRORS_LIST, constraintViolations );

        HtmlTemplate template = AppTemplateService.getTemplate( TEMPLATE_ERRORS_LIST, request.getLocale( ), model );
        String [ ] formatedErrors = {
            template.getHtml( )
        };

        return formatedErrors;
    }
