protected void registerContentServices( ) throws LuteceInitException
    {
        for ( ContentServiceEntry entry : _listContentServices )
        {
            try
            {
                ContentService cs = (ContentService) Class.forName( entry.getClassName( ) ).newInstance( );

                cs.setPluginName( getName( ) );

                PortalService.registerContentService( cs.getName( ), cs );
            }
            catch( IllegalAccessException e )
            {
                throw new LuteceInitException( e.getMessage( ), e );
            }
            catch( ClassNotFoundException e )
            {
                throw new LuteceInitException( e.getMessage( ), e );
            }
            catch( InstantiationException e )
            {
                throw new LuteceInitException( e.getMessage( ), e );
            }
        }
    }
