public static String formatPath( String strPath, int nMode, HttpServletRequest request )
    {
        HashMap<String, Object> model = new HashMap<String, Object>( );
        model.put( Markers.PAGE_PATH, strPath );

        List<PageInclude> listIncludes = PageIncludeService.getIncludes( );
        PageData data = new PageData( );

        for ( PageInclude pic : listIncludes )
        {
            pic.fillTemplate( model, data, nMode, request );
        }

        HtmlTemplate template = AppTemplateService.getTemplate( TEMPLATE_PAGE_PATH, ( request == null ) ? null : request.getLocale( ), model );

        return template.getHtml( );
    }
