public static Collection<Page> getPagePath( int nPageId )
    {
        ArrayList<Page> list = new ArrayList<Page>( );
        Page page = PageHome.getPage( nPageId );
        int nParentPageId = page.getParentPageId( );
        list.add( page );

        while ( nParentPageId != 0 )
        {
            Page parentPage = PageHome.getPage( nParentPageId );

            // Insert the page in the begin of the list
            list.add( 0, parentPage );
            nParentPageId = parentPage.getParentPageId( );
        }

        return list;
    }
