public static Theme getGlobalTheme( String strTheme )
    {
        Theme theme = null;

        try
        {
            IThemeService themeService = getThemeService( );

            if ( StringUtils.isBlank( strTheme ) )
            {
                theme = themeService.getGlobalTheme( );
            }
            else
            {
                theme = themeService.getTheme( strTheme );
            }
        }
        catch( ThemeNotAvailableException e )
        {
            theme = getDefaultTheme( );
        }

        return theme;
    }
