public static ReferenceList getPageThemes( Locale locale )
    {
        ReferenceList listThemes = new ReferenceList( );

        try
        {
            IThemeService themeService = getThemeService( );
            listThemes = themeService.getThemes( );
        }
        catch( ThemeNotAvailableException e )
        {
            AppLogService.info( MESSAGE_THEME_NOT_AVAILABLE );
        }

        String strGlobalTheme = I18nService.getLocalizedString( PROPERTY_USE_GLOBAL_THEME, locale );
        listThemes.addItem( GLOBAL_THEME, strGlobalTheme );

        return listThemes;
    }
