public static Theme getTheme( PageData data, HttpServletRequest request )
    {
        String strTheme = StringUtils.EMPTY;

        // The code_theme of the page
        String strPageTheme = data.getTheme( );

        if ( ( strPageTheme != null ) && ( strPageTheme.compareToIgnoreCase( GLOBAL_THEME ) != 0 ) )
        {
            strTheme = strPageTheme;
        }

        // The theme of the user
        String strUserTheme = getUserTheme( request );

        if ( strUserTheme != null )
        {
            strTheme = strUserTheme;
        }

        // the test theme (choosen for a page to test the different theme from the backoffice theme section)
        String themeTest = request.getParameter( THEME_TEST );

        if ( themeTest != null )
        {
            strTheme = themeTest;
        }

        Theme theme = getGlobalTheme( strTheme );

        return theme;
    }
