public static Collection<Theme> getThemesList( )
    {
        Collection<Theme> listThemes = new ArrayList<Theme>( );

        try
        {
            IThemeService themeService = getThemeService( );
            listThemes = themeService.getThemesList( );
        }
        catch( ThemeNotAvailableException e )
        {
            Theme theme = getDefaultTheme( );
            listThemes.add( theme );
        }

        return listThemes;
    }
