public static boolean isValidTheme( String strCodeTheme )
    {
        boolean bIsValidTheme = false;

        try
        {
            IThemeService themeService = getThemeService( );
            bIsValidTheme = themeService.isValidTheme( strCodeTheme );
        }
        catch( ThemeNotAvailableException e )
        {
            Theme theme = getDefaultTheme( );
            bIsValidTheme = theme.getCodeTheme( ).equals( strCodeTheme );
        }

        return bIsValidTheme;
    }
