public Collection<Portlet> getAuthorizedPortletCollection( Collection<Portlet> collectionPortlet, AdminUser user )
    {
        Collection<Portlet> collectionPortletAuthorized = new ArrayList<Portlet>( );

        for ( Portlet portlet : collectionPortlet )
        {
            if ( _pageService.isAuthorizedAdminPage( portlet.getPageId( ), PageResourceIdService.PERMISSION_VIEW, user ) )
            {
                collectionPortletAuthorized.add( portlet );
            }
        }

        return collectionPortletAuthorized;
    }
