public static <E extends RBACAction> Collection<E> getAuthorizedActionsCollection( Collection<E> collection, RBACResource resource, AdminUser user )
    {
        Collection<E> list = new ArrayList<E>( );

        for ( E action : collection )
        {
            if ( isAuthorized( resource, action.getPermission( ), user ) )
            {
                list.add( action );
            }
        }

        return list;
    }
