public Map<String, Integer> getResourceHit( String strExtendableResourceId, String strExtendableResourceType )
    {
        Map<String, Integer> mapActionHit = new HashMap<String, Integer>( );

        for ( IExtendableResourceActionHitListener listener : SpringContextService.getBeansOfType( IExtendableResourceActionHitListener.class ) )
        {
            for ( Entry<String, Integer> entry : listener.getResourceHit( strExtendableResourceId, strExtendableResourceType ).entrySet( ) )
            {
                if ( mapActionHit.containsKey( entry.getKey( ) ) )
                {
                    mapActionHit.put( entry.getKey( ), mapActionHit.get( entry.getKey( ) ) + entry.getValue( ) );
                }
                else
                {
                    mapActionHit.put( entry.getKey( ), entry.getValue( ) );
                }
            }
        }

        return mapActionHit;
    }
