private static void deleteDocument( IndexerAction action ) throws CorruptIndexException, IOException
    {
        if ( action.getIdPortlet( ) != ALL_DOCUMENT )
        {
            // delete only the index linked to this portlet
            _writer.deleteDocuments( new Term( SearchItem.FIELD_DOCUMENT_PORTLET_ID, action.getIdDocument( ) + "&" + Integer.toString( action.getIdPortlet( ) ) ) );
        }
        else
        {
            // delete all index linked to uid
            _writer.deleteDocuments( new Term( SearchItem.FIELD_UID, action.getIdDocument( ) ) );
        }

        _sbLogs.append( "Deleting #" ).append( action.getIdDocument( ) ).append( "\r\n" );
    }
