private static void processFullIndexing( )
    {
        _sbLogs.append( "\r\nIndexing all contents ...\r\n" );

        for ( SearchIndexer indexer : getIndexerListSortedByName( ) )
        {
            // catch any exception coming from an indexer to prevent global indexation to fail
            try
            {
                if ( indexer.isEnable( ) )
                {
                    _sbLogs.append( "\r\n<strong>Indexer : " );
                    _sbLogs.append( indexer.getName( ) );
                    _sbLogs.append( " - " );
                    _sbLogs.append( indexer.getDescription( ) );
                    _sbLogs.append( "</strong>\r\n" );

                    // the indexer will call write(doc)
                    indexer.indexDocuments( );
                }
            }
            catch( Exception e )
            {
                error( indexer, e, StringUtils.EMPTY );
            }
        }

        removeAllIndexerAction( );
    }
