public void notifyListeners( QueryEvent event )
    {
        for ( QueryEventListener listener : _listListeners )
        {
            try
            {
                listener.processQueryEvent( event );
            }
            catch( Exception e )
            {
                // Catch any exception in order to stay in the loop to notify all listeners
                AppLogService.error( "Error while processing query event : " + e.getMessage( ), e );
            }
        }
    }
