public void loginUser( HttpServletRequest request, final String strUserName, final String strPassword ) throws LoginException, LoginRedirectException
    {
        LuteceUser user = _authenticationService.login( strUserName, strPassword, request );
        _authenticationService.updateDateLastLogin( user, request );

        if ( _authenticationService.findResetPassword( request, strUserName ) )
        {
            String redirect = _authenticationService.getResetPasswordPageUrl( request );
            registerUser( request, user );
            throw new LoginRedirectException( redirect );
        }

        registerUser( request, user );
    }
