@Override
    public void destroy( )
    {
        for ( LuteceServlet servlet : ServletService.getInstance( ).getServlets( ) )
        {
            // Catch exception for each servlet to execute all chain
            try
            {
                // Checks mapping and plugin status
                if ( servlet.getPlugin( ).isInstalled( ) )
                {
                    servlet.getServlet( ).destroy( );
                }
            }
            catch( Exception e )
            {
                AppLogService.error( "Error execution destroy() method - Servlet " + servlet.getName( ), e );
            }
        }
    }
