@Override
    public void processPluginEvent( PluginEvent event )
    {
        // Reset cache of beansOfType if a plugin is installed or uninstalled
        if ( ( event.getEventType( ) == PluginEvent.PLUGIN_INSTALLED ) || ( event.getEventType( ) == PluginEvent.PLUGIN_UNINSTALLED ) )
        {
            if ( !_mapBeansOfType.isEmpty( ) )
            {
                _mapBeansOfType.clear( );
                AppLogService.info( "SpringService cache cleared due to a plugin installation change - Plugin : " + event.getPlugin( ).getName( ) );
            }
        }
    }
