public static Map<String, Object> getAdminUserFields( List<IAttribute> listAttributes, int nUserId, Locale locale )
    {
        Map<String, Object> map = new HashMap<String, Object>( );

        for ( IAttribute attribute : listAttributes )
        {
            List<AdminUserField> listUserFields = AdminUserFieldHome.selectUserFieldsByIdUserIdAttribute( nUserId, attribute.getIdAttribute( ) );

            if ( attribute.isAttributeImage( ) )
            {
                if ( listUserFields.size( ) > 0 )
                {
                    AdminUserField userField = listUserFields.get( 0 );

                    if ( userField.getFile( ) != null )
                    {
                        map.put( String.valueOf( attribute.getIdAttribute( ) ), userField.getFile( ) );
                    }
                }
            }
            else
            {
                if ( listUserFields.size( ) == 0 )
                {
                    AdminUserField userField = new AdminUserField( );
                    userField.setValue( StringUtils.EMPTY );
                    listUserFields.add( userField );
                }

                map.put( String.valueOf( attribute.getIdAttribute( ) ), listUserFields );
            }
        }

        return map;
    }
