public void executeActionAutomatic( int nIdResource, String strResourceType, int nIdWorkflow, Integer nExternalParentId )
    {
        if ( isAvailable( ) )
        {
            TransactionManager.beginTransaction( null );

            try
            {
                _service.executeActionAutomatic( nIdResource, strResourceType, nIdWorkflow, nExternalParentId );
                TransactionManager.commitTransaction( null );
                
                registerResourceEvent( nIdResource, strResourceType );
            }
            catch( Exception e )
            {
                TransactionManager.rollBack( null );
                throw new AppException( e.getMessage( ), e );
            }
        }
    }
