public static <E extends AdminWorkgroupResource> Collection<E> getAuthorizedCollection( Collection<E> collection, AdminUser user )
    {
        ArrayList<E> list = new ArrayList<E>( );

        for ( E resource : collection )
        {
            if ( isAuthorized( resource, user ) )
            {
                list.add( resource );
            }
        }

        return list;
    }
