public String getSiteMessageContent( HttpServletRequest request, int nMode )
    {
        String strContent = null;

        if ( !AppInit.isWebappSuccessfullyLoaded( ) )
        {
            return getStartUpFailurePage( request );
        }

        ISiteMessageHandler handler = (ISiteMessageHandler) SpringContextService.getBean( BEAN_SITE_MESSAGE_HANDLER );

        if ( handler.hasMessage( request ) )
        {
            strContent = handler.getPage( request, nMode );
        }

        return strContent;
    }
