public String getAdminPage( String strContent )
    {
        Map<String, String> rootModel = new HashMap<String, String>( );

        rootModel.put( MARK_FEATURE_URL, _strFeatureUrl );
        rootModel.put( MARK_FEATURE_TITLE, _strFeatureLabel );

        String strIconUrl = ( _strFeatureIcon != null ) ? _strFeatureIcon : AppPropertiesService.getProperty( PROPERTY_DEFAULT_FEATURE_ICON );
        rootModel.put( MARK_FEATURE_ICON, strIconUrl );

        String strDocumentationUrl = null;

        if ( _strFeatureDocumentation != null )
        {
            strDocumentationUrl = _strFeatureDocumentation;
        }

        rootModel.put( MARK_FEATURE_DOCUMENTATION, strDocumentationUrl );
        rootModel.put( MARK_FEATURE_GROUP, _strFeatureGroup );

        rootModel.put( MARK_PAGE_TITLE, getPageTitle( ) );
        rootModel.put( MARK_PAGE_CONTENT, strContent );

        HtmlTemplate template = AppTemplateService.getTemplate( TEMPLATE_MAIN, getLocale( ), rootModel );

        return template.getHtml( );
    }
