public String getMap( HttpServletRequest request )
    {
        StringBuffer strArborescenceXml = new StringBuffer( );

        StringBuffer strCssId = new StringBuffer( );
        int nLevel = 0;

        String strCurrentPageId = request.getParameter( PARAMETER_PAGE_ID );

        findPages( request, strArborescenceXml, PortalService.getRootPageId( ), nLevel, strCurrentPageId, strCssId );

        StyleSheet xslSource = PortalComponentHome.getXsl( PORTAL_COMPONENT_SITE_MAP_ID, MODE_ADMIN );

        // Added in v1.3
        // Add a path param for choose url to use in admin or normal mode
        Map<String, String> mapParamRequest = new HashMap<String, String>( );
        mapParamRequest.put( PARAMETER_SITE_PATH, AppPropertiesService.getProperty( PROPERTY_ADMIN_PATH ) );

        Properties outputProperties = ModeHome.getOuputXslProperties( MODE_ADMIN );

        Map<String, Object> model = new HashMap<String, Object>( );
        XmlTransformerService xmlTransformerService = new XmlTransformerService( );
        String map = xmlTransformerService.transformBySourceWithXslCache( strArborescenceXml.toString( ), xslSource, mapParamRequest, outputProperties );

        String strPageId = request.getParameter( PARAMETER_PAGE_ID );
        int nPageId = ( strPageId != null ) ? Integer.parseInt( strPageId ) : 1;
        Page page = PageHome.getPage( nPageId );

        model.put( MARK_PAGE, page );
        model.put( MARKER_MAP_SITE, map );

        HtmlTemplate t = AppTemplateService.getTemplate( TEMPLATE_MAP_SITE, getLocale( ), model );

        return getAdminPage( t.getHtml( ) );
    }
