private void traceAdminAccess( HttpServletRequest request )
    {
        AdminUser user = AdminUserService.getAdminUser( request );
        if( user != null )
        {
            StringBuilder sbAccessLog = new StringBuilder();
            sbAccessLog.append( "USER id:" ).append( user.getUserId()) 
                    .append( ", name: " ).append( user.getFirstName()).append( " " ).append( user.getLastName() )
                    .append( ", ip: ").append( request.getRemoteAddr())
                    .append( ", url: " )
                    .append( request.getScheme()).append( "://")
                    .append( request.getServerName()).append( ':')
                    .append( request.getServerPort() )
                    .append( request.getRequestURI());
            String strQuery = request.getQueryString();
            if( strQuery != null )
            {
                sbAccessLog.append( "?" ).append( strQuery );
            }
            _loggerAccess.info( sbAccessLog.toString() );
            
        }
    }
