public String doModifyPage( HttpServletRequest request ) throws AccessDeniedException
    {
        MultipartHttpServletRequest mRequest = (MultipartHttpServletRequest) request;
        int nPageId = Integer.parseInt( mRequest.getParameter( Parameters.PAGE_ID ) );

        Page page = PageHome.getPage( nPageId );

        String strErrorUrl = getPageData( mRequest, page );

        if ( strErrorUrl != null )
        {
            return strErrorUrl;
        }

        strErrorUrl = setParentPageId( mRequest, page );

        if ( strErrorUrl != null )
        {
            return strErrorUrl;
        }

        strErrorUrl = updatePicture( mRequest, page );

        if ( strErrorUrl != null )
        {
            return strErrorUrl;
        }

        if ( !SecurityTokenService.getInstance( ).validate( mRequest, TEMPLATE_ADMIN_PAGE_BLOCK_PROPERTY ) )
        {
            throw new AccessDeniedException( "Invalid security token" );
        }

        setAuthorizationNode( page );

        // Updates the page
        _pageService.updatePage( page );

        // Displays again the current page with the modifications
        return getUrlPage( nPageId );
    }
