private String updatePicture( MultipartHttpServletRequest mRequest, Page page )
    {
        String strUpdatePicture = mRequest.getParameter( PARAMETER_PAGE_TEMPLATE_UPDATE_IMAGE );
        if ( strUpdatePicture == null )
        {
            return null;
        }

        FileItem item = mRequest.getFile( PARAMETER_IMAGE_CONTENT );
        String strPictureName = FileUploadService.getFileNameOnly( item );

        if ( strPictureName.equals( "" ) )
        {
            return AdminMessageService.getMessageUrl( mRequest, Messages.MANDATORY_FILE, AdminMessage.TYPE_STOP );
        }
        byte [ ] bytes = item.get( );
        String strMimeType = item.getContentType( );
        page.setImageContent( bytes );
        page.setMimeType( strMimeType );
        return null;
    }
