@Override
    public void init( HttpServletRequest request, String strRight ) throws AccessDeniedException
    {
        super.init( request, strRight );

        // initialize the plugin
        String strPluginName = request.getParameter( PARAMETER_PLUGIN_NAME );

        if ( strPluginName != null )
        {
            if ( ( _plugin == null ) || ( !_plugin.getName( ).equals( strPluginName ) ) )
            {
                _plugin = PluginService.getPlugin( strPluginName );
            }
        }

        // if no icon is provided for the feature, try to use the plugin's one
        if ( ( _plugin != null ) && ( ( getFeatureIcon( ) == null ) || ( getFeatureIcon( ).equals( "" ) ) ) )
        {
            setFeatureIcon( _plugin.getIconUrl( ) );
        }
    }
