public String getSummaryDocumentation( HttpServletRequest request )
    {
        AdminUser user = AdminUserService.getAdminUser( request );

        List<FeatureGroup> listFeatureGroups = getFeatureGroupsList( user );
        Map<String, Object> model = new HashMap<String, Object>( );

        model.put( BOOKMARK_FEATURE_GROUP_LIST, listFeatureGroups );
        model.put( BOOKMARK_HELP_ICON, IMAGE_HELP_PATH );

        HtmlTemplate template = AppTemplateService.getTemplate( TEMPLATE_ADMIN_SUMMARY_DOCUMENTATION, user.getLocale( ), model );

        return template.getHtml( );
    }
