public String doCreateLevel( HttpServletRequest request ) throws AccessDeniedException
    {
        String strName = request.getParameter( Parameters.LEVEL_NAME );

        // Mandatory fields
        if ( strName.equals( "" ) )
        {
            return AdminMessageService.getMessageUrl( request, Messages.MANDATORY_FIELDS, AdminMessage.TYPE_STOP );
        }
        if ( !SecurityTokenService.getInstance( ).validate( request, TEMPLATE_CREATE_LEVEL ) )
        {
            throw new AccessDeniedException( "Invalid security token" );
        }
        Level level = new Level( );
        level.setName( strName );
        LevelHome.create( level );

        // If the process is successfull, redirects towards the theme view
        return JSP_MANAGE_LEVEL;
    }
