public String doModifyLevel( HttpServletRequest request ) throws AccessDeniedException
    {
        String strId = request.getParameter( Parameters.LEVEL_ID );
        String strName = request.getParameter( Parameters.LEVEL_NAME );

        // Mandatory fields
        if ( strName.equals( "" ) )
        {
            return AdminMessageService.getMessageUrl( request, Messages.MANDATORY_FIELDS, AdminMessage.TYPE_STOP );
        }
        if ( !SecurityTokenService.getInstance( ).validate( request, TEMPLATE_MODIFY_LEVEL ) )
        {
            throw new AccessDeniedException( "Invalid security token" );
        }

        Level level = LevelHome.findByPrimaryKey( Integer.parseInt( strId ) );
        level.setName( strName );
        LevelHome.update( level );

        // If the process is successfull, redirects towards the level management page
        return JSP_MANAGE_LEVEL;
    }
