public String getModifyLevel( HttpServletRequest request )
    {
        setPageTitleProperty( PROPERTY_PAGE_TITLE_MODIFY_LEVEL );

        String strId = request.getParameter( Parameters.LEVEL_ID );

        Level level = LevelHome.findByPrimaryKey( Integer.parseInt( strId ) );

        if ( level == null )
        {
            return getManageLevels( request );
        }

        HashMap<String, Object> model = new HashMap<String, Object>( );
        model.put( MARK_LEVEL, level );
        model.put( SecurityTokenService.MARK_TOKEN, SecurityTokenService.getInstance( ).getToken( request, TEMPLATE_MODIFY_LEVEL ) );

        HtmlTemplate template = AppTemplateService.getTemplate( TEMPLATE_MODIFY_LEVEL, getLocale( ), model );

        return getAdminPage( template.getHtml( ) );
    }
