public String doAssignUsers( HttpServletRequest request ) throws AccessDeniedException
    {
        if ( !SecurityTokenService.getInstance( ).validate( request, TEMPLATE_ASSIGN_USERS ) )
        {
            throw new AccessDeniedException( "Invalid security token" );
        }
        String strIdRight = request.getParameter( PARAMETER_ID_RIGHT );

        // retrieve the selected portlets ids
        String [ ] arrayUsersIds = request.getParameterValues( PARAMETER_AVAILABLE_USER_LIST );

        if ( ( arrayUsersIds != null ) )
        {
            for ( int i = 0; i < arrayUsersIds.length; i++ )
            {
                int nUserId = Integer.parseInt( arrayUsersIds [i] );
                AdminUser user = AdminUserHome.findByPrimaryKey( nUserId );

                if ( !AdminUserHome.hasRight( user, strIdRight ) )
                {
                    AdminUserHome.createRightForUser( nUserId, strIdRight );
                }
            }
        }

        return JSP_ASSIGN_USERS_TO_RIGHT + "?" + PARAMETER_ID_RIGHT + "=" + strIdRight;
    }
