private void appendJavascriptFile( ServletContext servletContext, StringBuilder sbJsLinks, String strJavascriptFile, Locale locale )
    {
        URI javascripFileURI = getURI( servletContext, strJavascriptFile, PREFIX_PLUGINS_JAVASCRIPT );

        if ( javascripFileURI == null )
        {
            return;
        }

        Map<String, String> model = new HashMap<String, String>( 1 );
        model.put( MARK_PLUGIN_JAVASCRIPT_FILE, javascripFileURI.toString( ) );

        HtmlTemplate tJs = AppTemplateService.getTemplate( TEMPLATE_PLUGIN_JAVASCRIPT_LINK, locale, model );
        sbJsLinks.append( tJs.getHtml( ) );
    }
