public String doAddUsers( HttpServletRequest request ) throws AccessDeniedException
    {
        String strId = request.getParameter( PARAMETER_MAILINGLIST_ID );
        String strWorkgroup = request.getParameter( PARAMETER_WORKGROUP );
        String strRole = request.getParameter( PARAMETER_ROLE );

        int nId = Integer.parseInt( strId );
        MailingListUsersFilter filter = new MailingListUsersFilter( );
        filter.setWorkgroup( strWorkgroup );
        filter.setRole( strRole );

        if ( !AdminMailingListService.checkFilter( filter, nId ) )
        {
            if ( !SecurityTokenService.getInstance( ).validate( request, TEMPLATE_ADD_USERS ) )
            {
                throw new AccessDeniedException( "Invalid security token" );
            }
            MailingListHome.addFilterToMailingList( filter, nId );

            // Forward to modify page to enter users filters
            UrlItem urlModify = new UrlItem( JSP_MODIFY_MAILINGLIST );
            urlModify.addParameter( PARAMETER_MAILINGLIST_ID, nId );

            return urlModify.getUrl( );
        }

        return AdminMessageService.getMessageUrl( request, MESSAGE_FILTER_ALREADY_EXISTS, AdminMessage.TYPE_STOP );
    }
