@Override
    public String doModify( HttpServletRequest request )
    {
        // recovers portlet attributes
        String strPortletId = request.getParameter( PARAMETER_PORTLET_ID );
        int nPortletId = Integer.parseInt( strPortletId );
        AliasPortlet portlet = (AliasPortlet) AliasPortletHome.findByPrimaryKey( nPortletId );

        // Gets the parameters of the alias portlet posted in the request
        String strName = request.getParameter( PARAM_PORTLET_NAME );
        String strOrder = request.getParameter( PARAM_ORDER );
        int nOrder = Integer.parseInt( strOrder );
        String strColumn = request.getParameter( PARAM_COLUMN );
        int nColumn = Integer.parseInt( strColumn );

        // mandatory field
        if ( ( strName == null ) || strName.trim( ).equals( "" ) )
        {
            return AdminMessageService.getMessageUrl( request, Messages.MANDATORY_FIELDS, AdminMessage.TYPE_STOP );
        }

        portlet.setName( strName );
        portlet.setOrder( nOrder );
        portlet.setColumn( nColumn );

        String strIdAlias = request.getParameter( PARAM_ALIAS_ID );
        int nIdAlias = Integer.parseInt( strIdAlias );
        portlet.setAliasId( nIdAlias );

        Portlet rub = PortletHome.findByPrimaryKey( nIdAlias );
        portlet.setStyleId( rub.getStyleId( ) );

        // updates the portlet
        portlet.update( );

        // Displays the page with the portlet updated
        return getPageUrl( portlet.getPageId( ) );
    }
