public String doSelectResourcesFromIdsList( HttpServletRequest request )
    {
        String strRoleKey = request.getParameter( PARAMETER_ROLE_KEY );
        String strSelectionMethod = request.getParameter( PARAMETER_SELECT_RESOURCES_METHOD );
        String strResourceType = request.getParameter( PARAMETER_RESOURCE_TYPE );
        String [ ] strArrayResourceIds = request.getParameterValues( PARAMETER_RESOURCE_ID );

        String strUrl;

        // check that the selection method is "all" or "choose"
        // if method is "choose", check that we have at least one id checked
        if ( strSelectionMethod == null )
        {
            strUrl = AdminMessageService.getMessageUrl( request, PROPERTY_MESSAGE_NO_ID_SELECTION_METHOD, AdminMessage.TYPE_STOP );
        }
        else
            if ( strSelectionMethod.equals( PARAMETER_METHOD_SELECTION_CHOOSE ) )
            {
                if ( ( strArrayResourceIds == null ) || ( strArrayResourceIds.length == 0 ) )
                {
                    strUrl = AdminMessageService.getMessageUrl( request, PROPERTY_MESSAGE_ID_LIST_EMPTY, AdminMessage.TYPE_STOP );
                }
                else
                {
                    StringBuilder sbUrl = new StringBuilder( JSP_URL_SELECT_PERMISSIONS );
                    sbUrl.append( "?" );
                    sbUrl.append( PARAMETER_RESOURCE_TYPE );
                    sbUrl.append( "=" );
                    sbUrl.append( strResourceType );
                    sbUrl.append( "&" );
                    sbUrl.append( PARAMETER_ROLE_KEY );
                    sbUrl.append( "=" );
                    sbUrl.append( strRoleKey );
                    sbUrl.append( "&" );
                    sbUrl.append( PARAMETER_SELECT_RESOURCES_METHOD );
                    sbUrl.append( "=" );
                    sbUrl.append( strSelectionMethod );

                    for ( int i = 0; i < strArrayResourceIds.length; i++ )
                    {
                        sbUrl.append( "&" );
                        sbUrl.append( PARAMETER_RESOURCE_ID );
                        sbUrl.append( "=" );
                        sbUrl.append( strArrayResourceIds [i] );
                    }

                    strUrl = sbUrl.toString( );
                }
            }
            else
                if ( strSelectionMethod.equals( PARAMETER_METHOD_SELECTION_ALL ) )
                {
                    StringBuilder sbUrl = new StringBuilder( JSP_URL_SELECT_PERMISSIONS );
                    sbUrl.append( "?" );
                    sbUrl.append( PARAMETER_RESOURCE_TYPE );
                    sbUrl.append( "=" );
                    sbUrl.append( strResourceType );
                    sbUrl.append( "&" );
                    sbUrl.append( PARAMETER_ROLE_KEY );
                    sbUrl.append( "=" );
                    sbUrl.append( strRoleKey );
                    sbUrl.append( "&" );
                    sbUrl.append( PARAMETER_SELECT_RESOURCES_METHOD );
                    sbUrl.append( "=" );
                    sbUrl.append( strSelectionMethod );
                    strUrl = sbUrl.toString( );
                }
                else
                {
                    strUrl = AdminMessageService.getMessageUrl( request, PROPERTY_MESSAGE_NO_ID_SELECTION_METHOD, AdminMessage.TYPE_STOP );
                }

        return strUrl;
    }
