private void setItemNavigator( String strRoleKey, String strUrl )
    {
        if ( _itemNavigator == null )
        {
            List<String> listIdsRight = new ArrayList<String>( );
            int nCurrentItemId = 0;
            int nIndex = 0;

            for ( AdminRole role : AdminRoleHome.findAll( ) )
            {
                if ( ( role != null ) && StringUtils.isNotBlank( role.getKey( ) ) )
                {
                    listIdsRight.add( role.getKey( ) );

                    if ( role.getKey( ).equals( strRoleKey ) )
                    {
                        nCurrentItemId = nIndex;
                    }

                    nIndex++;
                }
            }

            _itemNavigator = new ItemNavigator( listIdsRight, nCurrentItemId, strUrl, PARAMETER_ROLE_KEY );
        }
        else
        {
            _itemNavigator.setCurrentItemId( strRoleKey );
        }
    }
