public String doIndexing( HttpServletRequest request ) throws AccessDeniedException
    {
        if ( !SecurityTokenService.getInstance( ).validate( request, TEMPLATE_MANAGE_INDEXER ) )
        {
            throw new AccessDeniedException( "Invalid security token" );
        }
        HashMap<String, Object> model = new HashMap<String, Object>( );
        String strLogs;

        if ( request.getParameter( "incremental" ) != null )
        {
            strLogs = IndexationService.processIndexing( false );
        }
        else
        {
            strLogs = IndexationService.processIndexing( true );
        }

        model.put( MARK_LOGS, strLogs );

        HtmlTemplate template = AppTemplateService.getTemplate( TEMPLATE_INDEXER_LOGS, null, model );

        return getAdminPage( template.getHtml( ) );
    }
