private void writeTemplateFile( String strFileName, String strPath, FileItem fileItem )
    {
        FileOutputStream fosFile = null;

        try
        {
            File file = new File( strPath + strFileName );

            if ( file.exists( ) )
            {
                file.delete( );
            }

            fosFile = new FileOutputStream( file );
            fosFile.flush( );
            fosFile.write( fileItem.get( ) );
            fosFile.close( );
        }
        catch( IOException e )
        {
            AppLogService.error( e.getMessage( ), e );
        }
        finally
        {
            StreamUtil.safeClose( fosFile );
        }
    }
