protected void processRequest( HttpServletRequest request, HttpServletResponse response ) throws ServletException, IOException
    {
        AdminUser user = AdminUserService.getAdminUser( request );

        // FIXME : use a jsp instead of a servlet to control the right in a standard way
        if ( ( user != null ) && ( user.checkRight( StyleSheetJspBean.RIGHT_MANAGE_STYLESHEET ) ) )
        {
            String strStyleSheetId = request.getParameter( Parameters.STYLESHEET_ID );

            if ( strStyleSheetId != null )
            {
                int nStyleSheetId = Integer.parseInt( strStyleSheetId );

                StyleSheet stylesheet = StyleSheetHome.findByPrimaryKey( nStyleSheetId );

                ServletContext context = getServletConfig( ).getServletContext( );
                String strMimetype = context.getMimeType( stylesheet.getFile( ) );
                response.setContentType( ( strMimetype != null ) ? strMimetype : "application/octet-stream" );
                response.setHeader( "Content-Disposition", "attachement; filename=\"" + stylesheet.getFile( ) + "\"" );

                OutputStream out = response.getOutputStream( );
                out.write( stylesheet.getSource( ) );
                out.flush( );
                out.close( );
            }
        }
    }
