public String doRemoveStyleSheet( HttpServletRequest request ) throws AccessDeniedException
    {
        if ( !SecurityTokenService.getInstance( ).validate( request, JSP_DO_REMOVE_STYLESHEET ) )
        {
            throw new AccessDeniedException( "Invalid security token" );
        }
        int nId = Integer.parseInt( request.getParameter( Parameters.STYLESHEET_ID ) );
        int nIdStyle = Integer.parseInt( request.getParameter( Parameters.STYLE_ID ) );
        StyleSheet stylesheet = StyleSheetHome.findByPrimaryKey( nId );
        String strFile = stylesheet.getFile( );
        StyleSheetHome.remove( nId );

        // removal of the XSL file
        int nModeId = stylesheet.getModeId( );
        Mode mode = ModeHome.findByPrimaryKey( nModeId );
        String strPathStyleSheet = AppPathService.getPath( PROPERTY_PATH_XSL ) + mode.getPath( );
        File fileToDelete = new File( strPathStyleSheet, strFile );

        if ( fileToDelete.exists( ) )
        {
            fileToDelete.delete( );
        }

        // return getHomeUrl( request );
        return JSP_REMOVE_STYLE + "?" + Parameters.STYLE_ID + "=" + nIdStyle;
    }
