public static String doResetCaches( HttpServletRequest request ) throws AccessDeniedException
    {
        if ( !SecurityTokenService.getInstance( ).validate( request, TEMPLATE_MANAGE_CACHES ) )
        {
            throw new AccessDeniedException( "Invalid security token" );
        }
        String strCacheIndex = request.getParameter( PARAMETER_ID_CACHE );

        if ( strCacheIndex != null )
        {
            int nCacheIndex = Integer.parseInt( strCacheIndex );
            CacheableService cs = CacheService.getCacheableServicesList( ).get( nCacheIndex );
            cs.resetCache( );
        }
        else
        {
            CacheService.resetCaches( );
            AppTemplateService.resetCache( );
            I18nService.resetCache( );
        }

        return JSP_MANAGE_CACHES;
    }
