public String getConfirmToggleCache( HttpServletRequest request )
    {
        String strCacheIndex = request.getParameter( PARAMETER_ID_CACHE );
        if ( strCacheIndex != null )
        {
            int nCacheIndex = Integer.parseInt( strCacheIndex );
            CacheableService cs = CacheService.getCacheableServicesList( ).get( nCacheIndex );
            if( cs != null )
            {
                Object[] messageArgs = { cs.getName() };

                Map<String, Object> parameters = new HashMap<>( );
                parameters.put( PARAMETER_ID_CACHE, strCacheIndex );
                parameters.put( SecurityTokenService.PARAMETER_TOKEN, SecurityTokenService.getInstance( ).getToken( request, JSP_TOGGLE_CACHE ) );
                return AdminMessageService.getMessageUrl( request, PROPERTY_MESSAGE_CONFIRM_TOOGLE_CACHE, messageArgs, PROPERTY_MESSAGE_CONFIRM_TOOGLE_CACHE_TITLE, JSP_TOGGLE_CACHE, "" ,AdminMessage.TYPE_CONFIRMATION, parameters );
            }
        }
        return AdminMessageService.getMessageUrl( request, PROPERTY_MESSAGE_INVALID_CACHE_ID, JSP_MANAGE_CACHES, AdminMessage.TYPE_ERROR );
    }
