public String doModifyPluginPool( HttpServletRequest request ) throws AccessDeniedException
    {
        if ( !SecurityTokenService.getInstance( ).validate( request, TEMPLATE_MANAGE_PLUGINS ) )
        {
            throw new AccessDeniedException( "Invalid security token" );
        }
        String strPluginName = request.getParameter( PARAM_PLUGIN_NAME );
        String strDbPoolName = request.getParameter( PARAM_DB_POOL_NAME );

        try
        {
            Plugin plugin = PluginService.getPlugin( strPluginName );
            plugin.updatePoolName( strDbPoolName );
        }
        catch( Exception e )
        {
            AppLogService.error( e.getMessage( ), e );
        }

        return getHomeUrl( request );
    }
