public String getManagePlugins( HttpServletRequest request )
    {
        Locale locale = AdminUserService.getLocale( request );
        String strPluginTypeFilter = request.getParameter( PARAM_PLUGIN_TYPE );
        Collection<Plugin> listPlugins = PluginService.getPluginList( );
        HashMap<String, Object> model = new HashMap<String, Object>( );
        model.put( MARK_PLUGINS_LIST, filterPluginsList( listPlugins, strPluginTypeFilter ) );
        model.put( MARK_CORE, PluginService.getCore( ) );
        model.put( MARK_POOLS_LIST, getPoolsList( ) );
        model.put( MARK_FILTER_LIST, getPluginTypeFilterList( locale ) );
        model.put( MARK_CURRENT_FILTER, ( strPluginTypeFilter != null ) ? strPluginTypeFilter : "" );
        model.put( SecurityTokenService.MARK_TOKEN, SecurityTokenService.getInstance( ).getToken( request, TEMPLATE_MANAGE_PLUGINS ) );

        HtmlTemplate template = AppTemplateService.getTemplate( TEMPLATE_MANAGE_PLUGINS, locale, model );

        return getAdminPage( template.getHtml( ) );
    }
