private static String getFileData( String strFilePath )
    {
        StringBuilder sbData = new StringBuilder( );

        FileInputStream fis = null;

        try
        {
            fis = new FileInputStream( strFilePath );

            int chr = 0;

            while ( chr != -1 )
            {
                chr = fis.read( );
                sbData.append( (char) chr );
            }

            // we delete the end of file character
            sbData.setLength( sbData.length( ) - 1 );
        }
        catch( FileNotFoundException e )
        {
            sbData.append( "ERROR : File " ).append( strFilePath ).append( " not found" );
        }
        catch( IOException e )
        {
            sbData.append( "ERROR : Error reading the file : " ).append( strFilePath );
        }
        finally
        {
            StreamUtil.safeClose( fis );
        }

        return sbData.toString( );
    }
