public String getFileView( HttpServletRequest request )
    {
        Map<String, Object> model = new HashMap<String, Object>( );
        setPageTitleProperty( PROPERTY_TITLE_VIEW_FILE );

        String strFileData;
        String strFile = request.getParameter( PARAMETER_FILE );
        String strDirectory = request.getParameter( PARAMETER_DIRECTORY );

        if ( strFile == null )
        {
            strFileData = "ERROR : No file selected !";
        }
        else
            if ( !isValidDirectoryPath( strDirectory ) )
            {
                strFileData = "ERROR : Invalid directory !";
            }
            else
            {
                String strFilePath = AppPathService.getWebAppPath( );

                if ( strFilePath != null && SecurityUtil.containsPathManipulationChars( request, strFile ))
                {
                    strFileData = getFileData( strFilePath + strDirectory + strFile );
                }
                else
                {
                    strFileData = "ERROR : " + strFile + " not found !";
                }
            }

        model.put( MARK_FILES_SYSTEM_NAME, strDirectory + strFile );
        model.put( MARK_FILE_SYSTEM_DATA, strFileData );
        model.put( MARK_FILES_SYSTEM_DIRECTORY, strDirectory );

        HtmlTemplate template = AppTemplateService.getTemplate( TEMPLATE_VIEW_FILE, getLocale( ), model );

        return getAdminPage( template.getHtml( ) );
    }
