public String getFormContact( HttpServletRequest request )
    {
        HashMap<String, Object> model = new HashMap<String, Object>( );

        // Invalidate a previous session
        HttpSession session = request.getSession( );

        if ( session != null )
        {
            session.removeAttribute( SESSION_ATTRIBUTE_USER );
        }

        Locale locale = AdminUserService.getLocale( request );

        model.put( MARK_PARAM_VERSION, AppInfo.getVersion( ) );

        HtmlTemplate template = AppTemplateService.getTemplate( TEMPLATE_ADMIN_FORM_CONTACT, locale, model );

        return template.getHtml( );
    }
