public String getAnonymizeAdminUser( HttpServletRequest request )
    {
        String strAdminUserId = request.getParameter( PARAMETER_USER_ID );

        if ( !StringUtils.isNumeric( strAdminUserId ) || strAdminUserId.isEmpty( ) )
        {
            return AdminMessageService.getMessageUrl( request, PROPERTY_MESSAGE_NO_ADMIN_USER_SELECTED, AdminMessage.TYPE_STOP );
        }

        int nUserId = Integer.parseInt( strAdminUserId );
        AdminUser user = AdminUserHome.findByPrimaryKey( nUserId );

        if ( user == null )
        {
            return AdminMessageService.getMessageUrl( request, PROPERTY_MESSAGE_USER_ERROR_SESSION, AdminMessage.TYPE_ERROR );
        }

        String strUrl = JSP_URL_ANONYMIZE_ADMIN_USER;
        Map<String, Object> parameters = new HashMap<>( );
        parameters.put( PARAMETER_USER_ID, strAdminUserId );
        parameters.put( SecurityTokenService.PARAMETER_TOKEN, SecurityTokenService.getInstance( ).getToken( request, JSP_URL_ANONYMIZE_ADMIN_USER ) );

        return AdminMessageService.getMessageUrl( request, PROPERTY_MESSAGE_CONFIRM_ANONYMIZE_USER, new Object [ ] {
                user.getFirstName( ), user.getLastName( ), user.getAccessCode( )
        }, null, strUrl, null, AdminMessage.TYPE_CONFIRMATION, parameters );
    }
