private String getRedirectUrl( HttpServletRequest request )
    {
        String strLoginUrl = getLoginUrl( request );

        if ( strLoginUrl == null )
        {
            return null;
        }

        UrlItem url = new UrlItem( strLoginUrl );

        Enumeration<String> enumParams = request.getParameterNames( );

        String strParamName;

        while ( enumParams.hasMoreElements( ) )
        {
            strParamName = enumParams.nextElement( );

            if ( !strParamName.equals( Parameters.ACCESS_CODE ) && !strParamName.equals( Parameters.PASSWORD )
                    && !strParamName.equals( SecurityTokenService.PARAMETER_TOKEN ) )
            {
                url.addParameter( strParamName, request.getParameter( strParamName ) );
            }
        }

        return url.getUrl( );
    }
