@Override
    public String getDashboardData( AdminUser user, HttpServletRequest request )
    {
        Right right = RightHome.findByPrimaryKey( getRight( ) );
        HashMap<String, Object> model = new HashMap<String, Object>( );
        model.put( MARK_USERS_COUNT, AdminUserHome.findUserList( ).size( ) );
        model.put( MARK_URL, right.getUrl( ) );
        model.put( MARK_ICON, right.getIconUrl( ) );

        HtmlTemplate t = AppTemplateService.getTemplate( TEMPLATE_DASHBOARD, user.getLocale( ), model );

        return t.getHtml( );
    }
