public String doRemoveAttributeField( HttpServletRequest request ) throws AccessDeniedException
    {
        String strIdAttribute = request.getParameter( PARAMETER_ID_ATTRIBUTE );
        String strIdField = request.getParameter( PARAMETER_ID_FIELD );

        if ( !SecurityTokenService.getInstance( ).validate( request, JSP_URL_REMOVE_ATTRIBUTE_FIELD ) )
        {
            throw new AccessDeniedException( "Invalid security token" );
        }
        if ( StringUtils.isNotBlank( strIdField ) && StringUtils.isNumeric( strIdField ) )
        {
            int nIdField = Integer.parseInt( strIdField );

            _attributeFieldService.removeAttributeFieldFromIdField( nIdField );
            AdminUserFieldService.doRemoveUserFieldsByIdField( nIdField );
        }

        return JSP_MODIFY_ATTRIBUTE + QUESTION_MARK + PARAMETER_ID_ATTRIBUTE + EQUAL + strIdAttribute;
    }
