public String getModifyAttribute( HttpServletRequest request )
    {
        String strIdAttribute = request.getParameter( PARAMETER_ID_ATTRIBUTE );

        if ( StringUtils.isNotBlank( strIdAttribute ) && StringUtils.isNumeric( strIdAttribute ) )
        {
            // Check if the ID attribute is correct
            int nIdAttribute = Integer.parseInt( strIdAttribute );

            IAttribute attribute = _attributeService.getAttributeWithFields( nIdAttribute, getLocale( ) );

            setPageTitleProperty( attribute.getPropertyModifyPageTitle( ) );

            HtmlTemplate template;
            Map<String, Object> model = new HashMap<String, Object>( );
            model.put( MARK_ATTRIBUTE, attribute );
            model.put( MARK_ATTRIBUTE_FIELDS_LIST, attribute.getListAttributeFields( ) );
            model.put( SecurityTokenService.MARK_TOKEN,
                    SecurityTokenService.getInstance( ).getToken( request, attribute.getTemplateModifyAttribute( ) ) );

            template = AppTemplateService.getTemplate( attribute.getTemplateModifyAttribute( ), getLocale( ), model );

            return getAdminPage( template.getHtml( ) );
        }

        // Otherwise, we redirect the user to the attribute management interface
        return getManageAttributes( request );
    }
