private void setItemNavigator( String strWorkgroupKey, String strUrl )
    {
        if ( _itemNavigator == null )
        {
            List<String> listWorkgroupKeys = new ArrayList<String>( );
            int nCurrentItemId = 0;
            int nIndex = 0;

            for ( AdminWorkgroup workgroup : AdminWorkgroupHome.findAll( ) )
            {
                if ( ( workgroup != null ) && StringUtils.isNotBlank( workgroup.getKey( ) ) )
                {
                    listWorkgroupKeys.add( workgroup.getKey( ) );

                    if ( workgroup.getKey( ).equals( strWorkgroupKey ) )
                    {
                        nCurrentItemId = nIndex;
                    }

                    nIndex++;
                }
            }

            _itemNavigator = new ItemNavigator( listWorkgroupKeys, nCurrentItemId, strUrl, PARAMETER_WORKGROUP_KEY );
        }
        else
        {
            _itemNavigator.setCurrentItemId( strWorkgroupKey );
        }
    }
