public String doRemoveXslExport( HttpServletRequest request ) throws AccessDeniedException
    {
        if ( !RBACService.isAuthorized( XslExport.RESOURCE_TYPE, RBAC.WILDCARD_RESOURCES_ID, XslExportResourceIdService.PERMISSION_DELETE, getUser( ) ) )
        {
            throw new AccessDeniedException( MESSAGE_PERMISSION_DENIED );
        }
        if ( !SecurityTokenService.getInstance( ).validate( request, JSP_DO_REMOVE_XSL_EXPORT ) )
        {
            throw new AccessDeniedException( "Invalid security token" );
        }

        // ArrayList<String> listErrors = new ArrayList<String>( );
        String strIdXslExport = request.getParameter( PARAMETER_ID_XSL_EXPORT );
        int nIdXslExport = Integer.parseInt( strIdXslExport );
        XslExport xslExport = XslExportHome.findByPrimaryKey( nIdXslExport );

        // if ( !XslExportRemovalListenerService.getService( ).checkForRemoval( strIdXslExport, listErrors, getLocale( ) ) )
        // {
        // String strCause = AdminMessageService.getFormattedList( listErrors, getLocale( ) );
        // Object[] args =
        // { strCause };
        //
        // return AdminMessageService.getMessageUrl( request, MESSAGE_CAN_NOT_REMOVE_XSL_EXPORT, args, AdminMessage.TYPE_STOP );
        // }
        XslExportHome.remove( nIdXslExport );

        if ( xslExport.getFile( ) != null )
        {
            FileHome.remove( xslExport.getFile( ).getIdFile( ) );
        }

        return getJspManageXslExport( request );
    }
