private void loadFile( String strFullPath, Properties props )
    {
        FileInputStream fis = null;
        try
        {
            fis = new FileInputStream( new File( strFullPath ) );
            props.load( fis );
        }
        catch( IOException ex )
        {
            AppLogService.error( "Error loading property file : " + ex, ex );
        }
        finally
        {
            StreamUtil.safeClose( fis );
        }
    }
