public static String convertUnderscores( String strSource )
    {
        StringBuilder sb = new StringBuilder( );
        boolean bCapitalizeNext = false;

        for ( char c : strSource.toCharArray( ) )
        {
            if ( c == UNDERSCORE )
            {
                bCapitalizeNext = true;
            }
            else
            {
                if ( bCapitalizeNext )
                {
                    sb.append( Character.toUpperCase( c ) );
                    bCapitalizeNext = false;
                }
                else
                {
                    sb.append( c );
                }
            }
        }

        return sb.toString( );
    }
