public DataTableSort getAndUpdateSort( HttpServletRequest request )
    {
        if ( hasDataTableFormBeenSubmited( request ) )
        {
            String strSortedAttributeName = request.getParameter( Parameters.SORTED_ATTRIBUTE_NAME );

            if ( strSortedAttributeName != null )
            {
                // We update sort properties
                _strSortedAttributeName = strSortedAttributeName;
                _bIsAscSort = Boolean.parseBoolean( request.getParameter( Parameters.SORTED_ASC ) );
            }
        }

        DataTableSort sort = new DataTableSort( _strSortedAttributeName, _bIsAscSort );

        return sort;
    }
