public static boolean containsCleanParameters( HttpServletRequest request, String strXssCharacters )
    {
        String key;
        String [ ] values;

        Enumeration<String> e = request.getParameterNames( );

        while ( e.hasMoreElements( ) )
        {
            key = e.nextElement( );
            values = request.getParameterValues( key );

            int length = values.length;

            for ( int i = 0; i < length; i++ )
            {
                if ( SecurityUtil.containsXssCharacters( request, values [i], strXssCharacters ) )
                {
                    Logger logger = Logger.getLogger( LOGGER_NAME );
                    logger.warn( "SECURITY WARNING : INVALID REQUEST PARAMETERS" + dumpRequest( request ) );

                    return false;
                }
            }
        }

        return true;
    }
