@Override
    public void remove( K key )
    {
        EntityManager em = getEM( );
        E entity = em.find( _entityClass, key );
        if ( entity == null )
        {
            LOG.debug( "Did not find entity to remove for key " + key.toString( ) );
            return;
        }
        LOG.debug( "Removing entity : " + entity.toString( ) );
        if ( em == _defaultEM )
        {
            em.getTransaction( ).begin( );
        }
        em.remove( entity );
        if ( em == _defaultEM )
        {
            em.getTransaction( ).commit( );
        }
        LOG.debug( "Entity removed : " + entity.toString( ) );
    }
