public static <A> Method getMethod( String strMethodPrefix, A instance, String strAttributeName, Class<?> clazz ) throws SecurityException,
            NoSuchMethodException
    {
        String strFirstLetter = strAttributeName.substring( 0, 1 ).toUpperCase( );

        String strMethodName = strMethodPrefix + strFirstLetter + strAttributeName.substring( 1, strAttributeName.length( ) );

        try
        {
            return instance.getClass( ).getMethod( strMethodName, new Class [ ] {
                clazz
            } );
        }
        catch( NoSuchMethodException e )
        {
            return getPrimitiveMethod( strMethodName, instance, clazz );
        }
    }
