public static <A, B> void set( A instance, String strAttributeName, B value ) throws SecurityException, NoSuchMethodException, IllegalArgumentException,
            IllegalAccessException, InvocationTargetException
    {
        if ( StringUtils.isNotBlank( strAttributeName ) && ( instance != null ) && ( value != null ) )
        {
            Method methodSetter = getSetter( instance, strAttributeName, value.getClass( ) );

            if ( methodSetter != null )
            {
                methodSetter.invoke( instance, new Object [ ] {
                    value
                } );
            }
            else
            {
                throw new NoSuchMethodException( );
            }
        }
        else
        {
            throw new IllegalArgumentException( "One on the parameters is null/blank." );
        }
    }
