private void init( InputStream is ) throws LuteceInitException
    {
        _logger = Logger.getLogger( LOGGER_NAME );

        Properties dbProps = new Properties( );

        try
        {
            dbProps.load( is );
        }
        catch( Exception e )
        {
            throw new LuteceInitException( "Can't read the properties file. Make sure db.properties is in the CLASSPATH", e );
        }

        createPools( dbProps );
    }
