private Connection newConnection( ) throws SQLException
    {
        Connection conn;

        if ( _strUser == null )
        {
            conn = DriverManager.getConnection( _strUrl );
        }
        else
        {
            conn = DriverManager.getConnection( _strUrl, _strUser, _strPassword );
        }

        // wrap connection so this connection pool is used when conn.close() is called
        conn = LuteceConnectionFactory.newInstance( this, conn );

        _logger.info( "New connection created. Connections count is : " + ( getConnectionCount( ) + 1 ) );

        return conn;
    }
