public synchronized void release( )
    {
        for ( Connection connection : _freeConnections )
        {
            try
            {
                if ( connection instanceof LuteceConnection )
                {
                    ( (LuteceConnection) connection ).closeConnection( );
                }
                else
                {
                    connection.close( );
                }

                _logger.debug( "Closed connection" );
            }
            catch( SQLException e )
            {
                _logger.error( "Couldn't close connection", e );
            }
        }

        _freeConnections.clear( );
    }
