public static void commitTransaction( Plugin plugin )
    {
        Map<String, MultiPluginTransaction> mapTransactions = _tlTransactions.get( );

        if ( mapTransactions != null )
        {
            String strPoolName = getPluginPool( plugin );
            MultiPluginTransaction transaction = mapTransactions.get( strPoolName );

            if ( transaction != null )
            {
                // If the number of transactions opened is 1 or less, then we commit the transaction
                if ( transaction.getNbTransactionsOpened( ) <= 1 )
                {
                    transaction.commit( );
                    mapTransactions.remove( strPoolName );
                }
                else
                {
                    // Otherwise, we decrement the number
                    transaction.decrementNbTransactionsOpened( );
                }
            }
        }
    }
