public static void rollBack( Plugin plugin, Exception e )
    {
        Map<String, MultiPluginTransaction> mapTransactions = _tlTransactions.get( );

        if ( mapTransactions != null )
        {
            String strPoolName = getPluginPool( plugin );
            MultiPluginTransaction transaction = mapTransactions.get( strPoolName );

            // We roll back the transaction, no matter how much transactions has been opened.
            if ( transaction != null )
            {
                transaction.rollback( e );
                mapTransactions.remove( strPoolName );
            }
        }
    }
