@Deprecated
    public static String transform( Source source, Source stylesheet, Map<String, String> params, Properties outputProperties ) throws Exception
    {
        try
        {
            TransformerFactory factory = TransformerFactory.newInstance( );
            Transformer transformer = factory.newTransformer( stylesheet );

            if ( outputProperties != null )
            {
                transformer.setOutputProperties( outputProperties );
            }

            if ( params != null )
            {
                transformer.clearParameters( );

                for ( Entry<String, String> entry : params.entrySet( ) )
                {
                    String name = entry.getKey( );
                    String value = entry.getValue( );
                    transformer.setParameter( name, value );
                }
            }

            StringWriter sw = new StringWriter( );
            Result result = new StreamResult( sw );
            transformer.transform( source, result );

            return sw.toString( );
        }
        catch( TransformerConfigurationException e )
        {
            String strMessage = e.getMessage( );

            if ( e.getLocationAsString( ) != null )
            {
                strMessage += ( "- location : " + e.getLocationAsString( ) );
            }

            throw new Exception( "Error transforming document XSLT : " + strMessage, e.getCause( ) );
        }
        catch( TransformerFactoryConfigurationError e )
        {
            throw new Exception( "Error transforming document XSLT : " + e.getMessage( ), e );
        }
        catch( TransformerException e )
        {
            String strMessage = e.getMessage( );

            if ( e.getLocationAsString( ) != null )
            {
                strMessage += ( "- location : " + e.getLocationAsString( ) );
            }

            throw new Exception( "Error transforming document XSLT : " + strMessage, e.getCause( ) );
        }
        catch( Exception e )
        {
            throw new Exception( "Error transforming document XSLT : " + e.getMessage( ), e );
        }
    }
