public void testBusinessDataEntity( )
    {
        // Initialize an object
        DataEntity entity = new DataEntity( KEY1, VALUE1 );

        // Create test
        DataEntityHome.create( entity );

        DataEntity entityStored = DataEntityHome.findByPrimaryKey( entity.getKey( ) );
        assertEquals( entityStored.getValue( ), entity.getValue( ) );

        // Update test
        entity.setValue( VALUE2 );

        DataEntityHome.update( entity );
        entityStored = DataEntityHome.findByPrimaryKey( entity.getKey( ) );
        assertEquals( entityStored.getValue( ), entity.getValue( ) );

        // List Test
        Collection list = DataEntityHome.findAll( );
        assertTrue( list.size( ) > 0 );

        // Delete test
        DataEntityHome.remove( entity.getKey( ) );
        entityStored = DataEntityHome.findByPrimaryKey( entity.getKey( ) );
        assertNull( entityStored );
    }
