public void testBusinessPortletType( )
    {
        // Create Test
        PortletType pt = new PortletType( );
        pt.setId( ID );
        pt.setNameKey( NAMEKEY );
        pt.setUrlCreation( CREATION_URL );
        pt.setUrlUpdate( UPDATE_URL );
        pt.setPluginName( PLUGIN_NAME );
        pt.setHomeClass( HOME_CLASS );
        pt.setDoCreateUrl( DO_CREATE_URL );
        pt.setCreateScriptTemplate( CREATE_SCRIPT );
        pt.setCreateSpecificTemplate( CREATE_SPECIFIC );
        pt.setCreateSpecificFormTemplate( CREATE_SPECIFIC_FORM );
        pt.setDoModifyUrl( DO_MODIFY_URL );
        pt.setModifyScriptTemplate( MODIFY_SCRIPT );
        pt.setModifySpecificTemplate( MODIFY_SPECIFIC );
        pt.setModifySpecificFormTemplate( MODIFY_SPECIFIC_FORM );

        PortletTypeHome.create( pt );

        // Update test
        PortletType ptStored = PortletTypeHome.findByPrimaryKey( ID );
        assertEquals( ptStored.getId( ), pt.getId( ) );
        assertEquals( ptStored.getNameKey( ), pt.getNameKey( ) );
        assertEquals( ptStored.getUrlCreation( ), pt.getUrlCreation( ) );
        assertEquals( ptStored.getUrlUpdate( ), pt.getUrlUpdate( ) );
        assertEquals( ptStored.getPluginName( ), pt.getPluginName( ) );
        assertEquals( ptStored.getHomeClass( ), pt.getHomeClass( ) );
        assertEquals( ptStored.getDoCreateUrl( ), pt.getDoCreateUrl( ) );
        assertEquals( ptStored.getCreateScriptTemplate( ), pt.getCreateScriptTemplate( ) );
        assertEquals( ptStored.getCreateSpecificTemplate( ), pt.getCreateSpecificTemplate( ) );
        assertEquals( ptStored.getCreateSpecificFormTemplate( ), pt.getCreateSpecificFormTemplate( ) );
        assertEquals( ptStored.getDoModifyUrl( ), pt.getDoModifyUrl( ) );
        assertEquals( ptStored.getModifyScriptTemplate( ), pt.getModifyScriptTemplate( ) );
        assertEquals( ptStored.getModifySpecificTemplate( ), pt.getModifySpecificTemplate( ) );
        assertEquals( ptStored.getModifySpecificFormTemplate( ), pt.getModifySpecificFormTemplate( ) );

        // List test
        PortletTypeHome.getPortletTypesList( LocaleService.getDefault( ) );

        // Delete Test
        PortletTypeHome.remove( ID );
    }
