public void testBusinessLevel( )
    {
        // Initialize an object
        Level level = new Level( );
        level.setName( NAME1 );

        // Create test
        LevelHome.create( level );

        Level levelStored = LevelHome.findByPrimaryKey( level.getId( ) );
        assertEquals( levelStored.getName( ), level.getName( ) );

        // Update test
        level.setName( NAME2 );

        LevelHome.update( level );
        levelStored = LevelHome.findByPrimaryKey( level.getId( ) );
        assertEquals( levelStored.getName( ), level.getName( ) );

        // Delete test
        LevelHome.remove( level.getId( ) );
        levelStored = LevelHome.findByPrimaryKey( level.getId( ) );
        assertNull( levelStored );

        // List Test
        Collection list = LevelHome.getLevelsList( );
        assertTrue( list.size( ) > 0 );
    }
