public void testBusinessRole( )
    {
        // Initialize an object
        Role role = new Role( );
        role.setRole( ROLE );
        role.setRoleDescription( ROLEDESCRIPTION1 );
        role.setWorkgroup( WORKGROUP_KEY );

        // Create test
        RoleHome.create( role );

        Role roleStored = RoleHome.findByPrimaryKey( role.getRole( ) );
        assertEquals( roleStored.getRoleDescription( ), role.getRoleDescription( ) );

        // Update test
        role.setRoleDescription( ROLEDESCRIPTION2 );

        RoleHome.update( role );
        roleStored = RoleHome.findByPrimaryKey( role.getRole( ) );
        assertEquals( roleStored.getRoleDescription( ), role.getRoleDescription( ) );

        // Delete test
        RoleHome.remove( role.getRole( ) );
        roleStored = RoleHome.findByPrimaryKey( role.getRole( ) );
        assertNull( roleStored );

        // List test
        RoleHome.getRolesList( );
    }
