public void testBusinessPageTemplate( )
    {
        // Initialize an object
        PageTemplate pageTemplate = new PageTemplate( );
        pageTemplate.setDescription( DESCRIPTION1 );
        pageTemplate.setFile( FILE1 );
        pageTemplate.setPicture( PICTURE1 );

        // Create test
        PageTemplateHome.create( pageTemplate );

        PageTemplate pageTemplateStored = PageTemplateHome.findByPrimaryKey( pageTemplate.getId( ) );
        assertEquals( pageTemplateStored.getDescription( ), pageTemplate.getDescription( ) );
        assertEquals( pageTemplateStored.getFile( ), pageTemplate.getFile( ) );
        assertEquals( pageTemplateStored.getPicture( ), pageTemplate.getPicture( ) );

        // Update test
        pageTemplate.setDescription( DESCRIPTION2 );
        pageTemplate.setFile( FILE2 );
        pageTemplate.setPicture( PICTURE2 );
        PageTemplateHome.update( pageTemplate );
        pageTemplateStored = PageTemplateHome.findByPrimaryKey( pageTemplate.getId( ) );
        assertEquals( pageTemplateStored.getDescription( ), pageTemplate.getDescription( ) );
        assertEquals( pageTemplateStored.getFile( ), pageTemplate.getFile( ) );
        assertEquals( pageTemplateStored.getPicture( ), pageTemplate.getPicture( ) );

        // List test
        List listPageTemplates = PageTemplateHome.getPageTemplatesList( );
        assertTrue( listPageTemplates.size( ) > 0 );

        // Delete test
        PageTemplateHome.remove( pageTemplate.getId( ) );
        pageTemplateStored = PageTemplateHome.findByPrimaryKey( pageTemplate.getId( ) );
        assertNull( pageTemplateStored );
    }
