public void testBusinessStyle( )
    {
        // Initialize an object
        Style style = new Style( );
        style.setId( STYLEID );
        style.setPortalComponentId( PORTALCOMPONENTID1 );
        style.setPortletTypeId( PORTLETTYPEID1 );
        style.setDescription( DESCRIPTION1 );
        style.setPortletTypeName( PORTLETTYPENAME1 );
        style.setPortalComponentName( PORTALCOMPONENTNAME1 );

        // Create test
        StyleHome.create( style );

        Style styleStored = StyleHome.findByPrimaryKey( style.getId( ) );
        assertEquals( styleStored.getPortalComponentId( ), style.getPortalComponentId( ) );
        assertEquals( styleStored.getPortletTypeId( ), style.getPortletTypeId( ) );
        assertEquals( styleStored.getDescription( ), style.getDescription( ) );

        // Update test
        style.setPortalComponentId( PORTALCOMPONENTID2 );
        style.setPortletTypeId( PORTLETTYPEID2 );
        style.setDescription( DESCRIPTION2 );
        StyleHome.update( style );
        styleStored = StyleHome.findByPrimaryKey( style.getId( ) );
        assertEquals( styleStored.getPortalComponentId( ), style.getPortalComponentId( ) );
        assertEquals( styleStored.getPortletTypeId( ), style.getPortletTypeId( ) );
        assertEquals( styleStored.getDescription( ), style.getDescription( ) );

        // List test
        StyleHome.getPortalComponentList( );
        StyleHome.getStylesList( );
        StyleHome.getStyleSheetList( style.getId( ) );
        StyleHome.checkStylePortalComponent( TEST_PORTAL_COMPONENT_ID );

        // Delete test
        StyleHome.remove( style.getId( ) );
        styleStored = StyleHome.findByPrimaryKey( style.getId( ) );
        assertNull( styleStored );
    }
