public void testBusiness( )
    {
        // Initialize an group
        AdminWorkgroup group = new AdminWorkgroup( );
        group.setKey( GROUPKEY1 );
        group.setDescription( GROUPDESCRIPTION1 );

        // Create test
        AdminWorkgroupHome.create( group );

        AdminWorkgroup groupStored = AdminWorkgroupHome.findByPrimaryKey( group.getKey( ) );
        assertEquals( groupStored.getKey( ), group.getKey( ) );
        assertEquals( groupStored.getDescription( ), group.getDescription( ) );

        // Update test
        group.setDescription( GROUPDESCRIPTION2 );
        AdminWorkgroupHome.update( group );
        groupStored = AdminWorkgroupHome.findByPrimaryKey( group.getKey( ) );
        assertEquals( groupStored.getKey( ), group.getKey( ) );
        assertEquals( groupStored.getDescription( ), group.getDescription( ) );

        // List test
        AdminWorkgroupHome.findAll( );
        AdminWorkgroupHome.getUserListForWorkgroup( GROUPKEY1 );

        // Delete test
        AdminWorkgroupHome.remove( group.getKey( ) );
        groupStored = AdminWorkgroupHome.findByPrimaryKey( group.getKey( ) );
        assertNull( groupStored );
    }
