public void testLoginUser( ) throws LoginException
    {
        MockHttpServletRequest request = new MockHttpServletRequest( );
        String strUserName = "";
        String strPassword = "";

        if ( SecurityService.isAuthenticationEnable( ) )
        {
            try
            {
                SecurityService.getInstance( ).loginUser( request, strUserName, strPassword );

                // Exception should be thrown before this assertion
                assertTrue( false );
            }
            catch( LoginException e )
            {
                assertEquals( e.getClass( ), FailedLoginException.class );
            }
            catch( LoginRedirectException e )
            {
                assertEquals( e.getClass( ), LoginRedirectException.class );
            }
        }
    }
