public void testReadLineOfCSVFileForPassword( )
    {
        String [ ] lineData = new String [ ] {
                "user" + new SecureRandom( ).nextLong( ), // accessCode
                "lastName", "firstName", "email", Integer.toString( AdminUser.ACTIVE_CODE ), "fr", Integer.toString( 3 ), // level
                "", // resetpassword
                "false", // accessibility mode
                "", // passwordmaxvaliddate
                "", // accountmaxvaliddate
                "", // datelastlogin

        };
        ImportAdminUserService importAdminuser = new DefaultImportAdminUserService( );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        List<CSVMessageDescriptor> messages = importAdminuser.readLineOfCSVFile( lineData, 1, AdminUserService.getLocale( request ),
                AppPathService.getBaseUrl( request ) );
        assertNotNull( messages );
        assertTrue( messages.isEmpty( ) );
        AdminUser user = AdminUserHome.findUserByLogin( lineData [0] );
        assertNotNull( user );
        try
        {
            LuteceDefaultAdminUser luteceDefaultAdminUser = AdminUserHome.findLuteceDefaultAdminUserByPrimaryKey( user.getUserId( ) );
            assertNotNull( luteceDefaultAdminUser );
            assertFalse( luteceDefaultAdminUser.getPassword( ).isLegacy( ) );
        }
        finally
        {
            AdminUserHome.remove( user.getUserId( ) );
        }
    }
