@Override
    protected void setUp( ) throws Exception
    {
        super.setUp( );
        service = null;
        List<CacheableService> serviceList = CacheService.getCacheableServicesList( );
        for ( CacheableService aService : serviceList )
        {
            if ( aService instanceof IPathCacheService )
            {
                service = (IPathCacheService) aService;
                bEnabled = aService.isCacheEnable( );
                aService.enableCache( true );
                aService.resetCache( );
                break;
            }
        }
        assertNotNull( service );
    }
