public void testGetKey( )
    {
        Set<String> keys = new HashSet<>( );
        for ( String xpageName : new String [ ] {
                "name", "name2"
        } )
        {
            for ( int mode : new int [ ] {
                    0, 1, 2
            } )
            {
                String key = service.getKey( xpageName, mode, null );
                checkKey( keys, key );
                MockHttpServletRequest request = new MockHttpServletRequest( );
                request.addPreferredLocale( Locale.FRANCE );
                key = service.getKey( xpageName, mode, request );
                checkKey( keys, key );
                request = new MockHttpServletRequest( );
                request.addPreferredLocale( Locale.ITALY );
                key = service.getKey( xpageName, mode, request );
                checkKey( keys, key );
                request = new MockHttpServletRequest( );
                request.addParameter( Parameters.PAGE_ID, "1" );
                key = service.getKey( xpageName, mode, request );
                checkKey( keys, key );
                request = new MockHttpServletRequest( );
                request.addParameter( Parameters.PAGE_ID, "2" );
                key = service.getKey( xpageName, mode, request );
                checkKey( keys, key );
                request = new MockHttpServletRequest( );
                request.addParameter( Parameters.PORTLET_ID, "1" );
                key = service.getKey( xpageName, mode, request );
                checkKey( keys, key );
                request = new MockHttpServletRequest( );
                request.addParameter( Parameters.PORTLET_ID, "2" );
                key = service.getKey( xpageName, mode, request );
                checkKey( keys, key );
            }
        }
    }
