private boolean isTestXPageApplicationActive( XPageApplicationEntry entry )
    {
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.addParameter( "page", entry.getId( ) );
        ContentService cs = PortalService.getInvokedContentService( request );
        try
        {
            cs.getPage( request, 0 );
            return true;
        }
        catch( UserNotSignedException | SiteMessageException e )
        {
            return false;
        }
    }
