public void testEnqueueDelayIllegalState( ) throws ClassNotFoundException, InstantiationException, IllegalAccessException, InterruptedException,
            BrokenBarrierException, TimeoutException
    {
        BlockingQueue<DaemonEntry> queue = new LinkedBlockingQueue<>( );
        ExecutorService executor = Executors.newSingleThreadExecutor( );
        DaemonScheduler scheduler = new DaemonScheduler( queue, executor );
        scheduler.shutdown( );
        try
        {
            DaemonEntry entry = getDaemonEntry( "JUNIT" );
            assertFalse( scheduler.enqueue( entry, 500L, TimeUnit.MILLISECONDS ) );
        }
        finally
        {
            scheduler.shutdown( );
        }
    }
