@Override
    public void setUp( ) throws Exception
    {
        super.setUp( );

        // activate the page cache
        List<CacheableService> services = CacheService.getCacheableServicesList( );

        for ( CacheableService cs : services )
        {
            if ( cs instanceof PageCacheService )
            {
                _pageCacheStatus = cs.isCacheEnable( );
                cs.enableCache( true );

                break;
            }
        }
    }
