@Override
    public void tearDown( ) throws Exception
    {
        // restore the previous page cache status
        List<CacheableService> services = CacheService.getCacheableServicesList( );

        for ( CacheableService cs : services )
        {
            if ( cs instanceof PageCacheService )
            {
                cs.enableCache( _pageCacheStatus );

                break;
            }
        }

        super.tearDown( );
    }
