private void restoreAuthentication( boolean status ) throws IOException, LuteceInitException
    {
        if ( !status )
        {
            File luteceProperties = new File( getResourcesDir( ), "WEB-INF/conf/lutece.properties" );
            Properties props = new Properties( );
            InputStream is = new FileInputStream( luteceProperties );
            props.load( is );
            is.close( );
            props.remove( "mylutece.authentication.enable" );
            props.remove( "mylutece.authentication.class" );

            OutputStream os = new FileOutputStream( luteceProperties );
            props.store( os, "saved for junit " + this.getClass( ).getCanonicalName( ) );
            os.close( );
            AppPropertiesService.reloadAll( );
            SecurityService.init( );
        }
    }
