public void testSearchUserMatch( ) throws Exception
    {

        // XXX copy pasted from PortalMenuServiceTest
        boolean authStatus;
        authStatus = enableAuthentication( );
        try
        {
            LuteceUser user = new LuteceUser( "junit", SecurityService.getInstance( ).getAuthenticationService( ) )
            {
            };

            user.setRoles( Arrays.asList( "role1" ) );
            MockHttpServletRequest request = new MockHttpServletRequest( );
            request.getSession( ).setAttribute( "lutece_user", user );

            List<SearchResult> listResults = _engine.getSearchResults( "lutecefoo", request );
            assertTrue( "The search results list should have one element. Got : " + listResults, listResults != null && listResults.size( ) == 1 );
        }
        finally
        {
            restoreAuthentication( authStatus );
        }
    }
