private void setLegacyKey( final String strLegacyKey ) throws IOException, FileNotFoundException
    {
        File luteceProperties = new File( getResourcesDir( ), "WEB-INF/conf/lutece.properties" );
        Properties props = new Properties( );
        try( InputStream is = new FileInputStream( luteceProperties ) )
        {
            props.load( is );
        }
        props.setProperty( CryptoService.PROPERTY_CRYPTO_KEY, strLegacyKey );
        try( OutputStream os = new FileOutputStream( luteceProperties ) )
        {
            props.store( os, "saved for junit " + this.getClass( ).getCanonicalName( ) );
        }
        AppPropertiesService.reloadAll( );
    }
