public void testDoChangeLanguageInvalidToken( ) throws AccessDeniedException
    {
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.addParameter( PARAMETER_LANGUAGE, TEST_LANGUAGE );
        request.setParameter( SecurityTokenService.PARAMETER_TOKEN,
                SecurityTokenService.getInstance( ).getToken( request, "admin/user/admin_header.html" ) + "b" );

        getUser( request );
        Utils.registerAdminUser( request, _user );
        _user.setLocale( Locale.FRANCE );

        Locale localeSTored = _user.getLocale( );

        AdminMenuJspBean instance = new AdminMenuJspBean( );
        try
        {
            instance.doChangeLanguage( request );
            fail( "Should have thrown" );
        }
        catch ( AccessDeniedException e )
        {
            assertSame( localeSTored.getLanguage( ), _user.getLocale( ).getLanguage( ) );
        }
    }
