public void testDoRemovePortletNoCSRFToken( ) throws AccessDeniedException
    {
        AdminPagePortletJspBean bean = new AdminPagePortletJspBean( );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        Portlet portlet = null;
        AdminUser user = null;
        try
        {
            portlet = getPortlet( );
            user = getAdminUser( );
            request.addParameter( Parameters.PORTLET_ID, Integer.toString( portlet.getId( ) ) );
            Utils.registerAdminUser( request, user );
            bean.doRemovePortlet( request );
            fail( "Should have thrown" );
        }
        catch( AccessDeniedException e )
        {
            assertNotNull( PortletHome.findByPrimaryKey( portlet.getId( ) ) );
        }
        finally
        {
            if ( portlet != null )
            {
                removePortlet( portlet );
            }
            if ( user != null )
            {
                removeUser( user );
            }
        }
    }
