public void testDoRemovePortletNoRight( )
    {
        AdminPagePortletJspBean bean = new AdminPagePortletJspBean( );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        Portlet portlet = getPortlet( );
        try
        {
            request.addParameter( Parameters.PORTLET_ID, Integer.toString( portlet.getId( ) ) );
            request.addParameter( SecurityTokenService.PARAMETER_TOKEN,
                    SecurityTokenService.getInstance( ).getToken( request, "jsp/admin/site/DoRemovePortlet.jsp" ) );
            Utils.registerAdminUser( request, new AdminUser( ) );
            bean.doRemovePortlet( request );
            fail( "Should not have been able to modify the portlet" );
        }
        catch( AccessDeniedException e )
        {
        }
        finally
        {
            removePortlet( portlet );
        }
    }
