public void testGetModifyPortletStatusInvalidStatus( ) throws AccessDeniedException
    {
        AdminPagePortletJspBean bean = new AdminPagePortletJspBean( );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        Portlet portlet = getPortlet( );
        try
        {
            request.addParameter( Parameters.PORTLET_ID, Integer.toString( portlet.getId( ) ) );
            request.addParameter( PORTLET_STATUS, "999999999" );
            String url = bean.getModifyPortletStatus( request );
            assertNotNull( url );
            AdminMessage message = AdminMessageService.getMessage( request );
            assertNotNull( message );
            assertEquals( message.getType( ), AdminMessage.TYPE_ERROR );
        }
        finally
        {
            removePortlet( portlet );
        }
    }
