public void testdoMoveDashboardNoToken( ) throws AccessDeniedException
    {
        IDashboardComponent stored = DashboardHome.findByPrimaryKey( _dashboard.getName( ) );
        assertNotNull( stored );
        assertEquals( 0, stored.getOrder( ) );
        assertEquals( _nZone, stored.getZone( ) );

        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.setParameter( "dashboard_name", _dashboard.getName( ) );
        request.setParameter( "dashboard_order", "-1" );
        request.setParameter( "dashboard_column", "-1" );

        try
        {
            _instance.doMoveDashboard( request );
            fail( "Should have thrown" );
        }
        catch ( AccessDeniedException e )
        {
            stored = DashboardHome.findByPrimaryKey( _dashboard.getName( ) );
            assertNotNull( stored );
            assertEquals( 0, stored.getOrder( ) );
            assertEquals( _nZone, stored.getZone( ) );
        }
    }
