public void testDoRemoveExternalFeatureNoToken( ) throws PasswordResetException, AccessDeniedException
    {
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.addParameter( PARAMETER_ID_EXTERNAL_FEAUTRE, TEST_EXTERNAL_FEATURE_ID );
        Utils.registerAdminUserWithRigth( request, new AdminUser( ),
                ExternalFeaturesJspBean.RIGHT_EXTERNAL_FEATURES_MANAGEMENT );

        ExternalFeaturesJspBean instance = new ExternalFeaturesJspBean( );
        instance.init( request, ExternalFeaturesJspBean.RIGHT_EXTERNAL_FEATURES_MANAGEMENT );
        instance.getRemoveExternalFeature( request );

        try
        {
            instance.doRemoveExternalFeature( request );
            fail( "Should have thrown" );
        }
        catch ( AccessDeniedException e )
        {
            Right right = RightHome.findByPrimaryKey( TEST_EXTERNAL_FEATURE_ID );
            assertNotNull( right );
        }
    }
