public void testDoModifyGroupInvalidToken( ) throws AccessDeniedException
    {
        String strGroupName = getRandomName( );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.addParameter( "group_id", featureGroup.getId( ) );
        request.addParameter( "group_name", strGroupName );
        request.addParameter( "group_description", strGroupName );
        request.addParameter( "group_order", Integer.toString( featureGroup.getOrder( ) + 1 ) );
        request.addParameter( SecurityTokenService.PARAMETER_TOKEN,
                SecurityTokenService.getInstance( ).getToken( request, "admin/features/modify_group.html" ) + "b" );

        try
        {
            instance.doModifyGroup( request );
            fail( "Should have thrown" );
        }
        catch ( AccessDeniedException e )
        {
            FeatureGroup group = FeatureGroupHome.findByPrimaryKey( featureGroup.getId( ) );
            assertNotNull( group );
            assertEquals( featureGroup.getId( ), group.getId( ) );
            assertEquals( featureGroup.getLabelKey( ), group.getLabelKey( ) );
            assertEquals( featureGroup.getDescriptionKey( ), group.getDescriptionKey( ) );
            assertEquals( featureGroup.getOrder( ), group.getOrder( ) );
        }
    }
