public void testDoRemoveGroupInvalidToken( ) throws AccessDeniedException
    {
        assertNotNull( FeatureGroupHome.findByPrimaryKey( featureGroup.getId( ) ) );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.addParameter( PARAMETER_GROUP_ID, featureGroup.getId( ) );
        request.addParameter( SecurityTokenService.PARAMETER_TOKEN,
                SecurityTokenService.getInstance( ).getToken( request, "jsp/admin/features/DoRemoveGroup.jsp" ) + "b" );

        try
        {
            instance.doRemoveGroup( request );
            fail( "Should have thrown" );
        }
        catch ( AccessDeniedException e )
        {
            assertNotNull( FeatureGroupHome.findByPrimaryKey( featureGroup.getId( ) ) );
        }
    }
