public void testDoModifyLevelNoToken( ) throws AccessDeniedException
    {
        final String name = getRandomName( );
        Level level = new Level( );
        level.setName( name );
        LevelHome.create( level );
        request.setParameter( Parameters.LEVEL_ID, Integer.toString( level.getId( ) ) );
        request.setParameter( Parameters.LEVEL_NAME, name + "_mod" );
        try
        {
            assertEquals( name, LevelHome.findByPrimaryKey( level.getId( ) ).getName( ) );
            instance.doModifyLevel( request );
            fail( "Should have thrown" );
        }
        catch( AccessDeniedException e )
        {
            assertEquals( name, LevelHome.findByPrimaryKey( level.getId( ) ).getName( ) );
        }
        finally
        {
            LevelHome.remove( level.getId( ) );
        }
    }
