public void testDoUpdateFrontOfficeEditor( ) throws AccessDeniedException
    {
        String strFOEditor = RichTextEditorService.getListEditorsForFrontOffice( Locale.FRANCE ).stream( )
                .filter( ref -> !ref.getCode( ).equals( _foDefaultEditor ) ).findFirst( )
                .orElseThrow( IllegalStateException::new ).getCode( );
        assertFalse( strFOEditor.equals( RichTextEditorService.getFrontOfficeDefaultEditor( ) ) );

        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.setParameter( "editor_front_office", strFOEditor );
        request.setParameter( SecurityTokenService.PARAMETER_TOKEN, SecurityTokenService.getInstance( )
                .getToken( request, "admin/globalmanagement/panel/editor_choice_panel.html" ) );
        _instance.doUpdateFrontOfficeEditor( request );

        assertEquals( strFOEditor, RichTextEditorService.getFrontOfficeDefaultEditor( ) );
    }
