public void testDoModifyRoleNoToken( ) throws AccessDeniedException
    {
        AdminRole role = new AdminRole( );
        role.setKey( getRandomName( ) );
        role.setDescription( role.getKey( ) );
        AdminRoleHome.create( role );
        RoleManagementJspBean bean = new RoleManagementJspBean( );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.setParameter( "role_key", role.getKey( ) );
        request.setParameter( "role_key_previous", role.getKey( ) );
        request.setParameter( "role_description", role.getKey( ) + "_mod" );
        try
        {
            AdminRole stored = AdminRoleHome.findByPrimaryKey( role.getKey( ) );
            assertEquals( role.getDescription( ), stored.getDescription( ) );
            bean.doModifyRole( request );
            fail( "Should have thrown" );
        }
        catch( AccessDeniedException e )
        {
            AdminRole stored = AdminRoleHome.findByPrimaryKey( role.getKey( ) );
            assertEquals( role.getDescription( ), stored.getDescription( ) );
        }
        finally
        {
            AdminRoleHome.remove( role.getKey( ) );
        }
    }
