public void testDoRemoveRole( ) throws AccessDeniedException
    {
        AdminRole role = new AdminRole( );
        role.setKey( getRandomName( ) );
        role.setDescription( role.getKey( ) );
        AdminRoleHome.create( role );
        RoleManagementJspBean bean = new RoleManagementJspBean( );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.setParameter( "role_key", role.getKey( ) );
        request.setParameter( SecurityTokenService.PARAMETER_TOKEN, SecurityTokenService.getInstance( ).getToken( request, "jsp/admin/rbac/DoRemoveRole.jsp" ) );
        try
        {
            assertTrue( AdminRoleHome.checkExistRole( role.getKey( ) ) );
            bean.doRemoveRole( request );
            assertFalse( AdminRoleHome.checkExistRole( role.getKey( ) ) );
        }
        finally
        {
            AdminRoleHome.remove( role.getKey( ) );
        }
    }
