public void testDoRemoveRoleNoToken( ) throws AccessDeniedException
    {
        AdminRole role = new AdminRole( );
        role.setKey( getRandomName( ) );
        role.setDescription( role.getKey( ) );
        AdminRoleHome.create( role );
        RoleManagementJspBean bean = new RoleManagementJspBean( );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.setParameter( "role_key", role.getKey( ) );
        try
        {
            assertTrue( AdminRoleHome.checkExistRole( role.getKey( ) ) );
            bean.doRemoveRole( request );
            fail( "Should have thrown" );
        }
        catch( AccessDeniedException e )
        {
            assertTrue( AdminRoleHome.checkExistRole( role.getKey( ) ) );
        }
        finally
        {
            AdminRoleHome.remove( role.getKey( ) );
        }
    }
