public void testDoUnAssignUserNoToken( ) throws AccessDeniedException
    {
        AdminRole role = new AdminRole( );
        role.setKey( getRandomName( ) );
        role.setDescription( role.getKey( ) );
        AdminRoleHome.create( role );
        AdminUser user = AdminUserHome.findUserByLogin( "admin" );
        int userId = user.getUserId( );
        AdminUserHome.createRoleForUser( userId, role.getKey( ) );
        RoleManagementJspBean bean = new RoleManagementJspBean( );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.setParameter( "role_key", role.getKey( ) );
        request.setParameter( "id_user", Integer.toString( userId ) );
        request.setParameter( "anchor", "anchor" );
        try
        {
            assertTrue( AdminUserHome.hasRole( user, role.getKey( ) ) );
            bean.doUnAssignUser( request );
            fail( "Should have thrown" );
        }
        catch( AccessDeniedException e )
        {
            assertTrue( AdminUserHome.hasRole( user, role.getKey( ) ) );
        }
        finally
        {
            AdminUserHome.removeRoleForUser( userId, role.getKey( ) );
            AdminRoleHome.remove( role.getKey( ) );
        }
    }
