public void testDoCreatePageRoleNoToken( ) throws AccessDeniedException
    {
        MockHttpServletRequest request = new MockHttpServletRequest( );
        final String name = getRandomName( );
        request.setParameter( "role", name );
        request.setParameter( "role_description", name );
        request.setParameter( "workgroup_key", AdminWorkgroupService.ALL_GROUPS );

        assertNull( RoleHome.findByPrimaryKey( name ) );
        try
        {
            bean.doCreatePageRole( request );
            fail( "Shoud have thrown" );
        }
        catch( AccessDeniedException e )
        {
            assertNull( RoleHome.findByPrimaryKey( name ) );
        }
        finally
        {
            RoleHome.remove( name );
        }
    }
