public void testDoModifyPageRoleInvalidtoken( ) throws AccessDeniedException
    {
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.setParameter( "role", role.getRole( ) );
        request.setParameter( "role_description", role.getRoleDescription( ) + "_mod" );
        request.setParameter( "workgroup_key", AdminWorkgroupService.ALL_GROUPS );
        request.setParameter( SecurityTokenService.PARAMETER_TOKEN, SecurityTokenService.getInstance( ).getToken( request, "admin/role/modify_page_role.html" )
                + "b" );

        assertEquals( role.getRoleDescription( ), RoleHome.findByPrimaryKey( role.getRole( ) ).getRoleDescription( ) );
        try
        {
            bean.doModifyPageRole( request );
            fail( "Should have thrown" );
        }
        catch( AccessDeniedException e )
        {
            assertEquals( role.getRoleDescription( ), RoleHome.findByPrimaryKey( role.getRole( ) ).getRoleDescription( ) );
        }
    }
