public void testGetPage( ) throws SiteMessageException
    {
        System.out.println( "getPage" );

        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.addParameter( "query", "lutece" );
        request.addParameter( "items_per_page", "5" );

        RequestContextListener listener = new RequestContextListener( );
        ServletContext context = new MockServletContext( );
        listener.requestInitialized( new ServletRequestEvent( context, request ) );

        int nMode = 0;
        Plugin plugin = null;
        SearchApp instance = SpringContextService.getBean( "core.xpage.search" );

        XPage result = instance.getPage( request, nMode, plugin );

        listener.requestDestroyed( new ServletRequestEvent( context, request ) );
    }
