@Override
    protected void setUp( ) throws Exception
    {
        super.setUp( );
        // we stop the indexer daemon so that it does not interfere with the
        // tests
        for ( DaemonEntry daemonEntry : AppDaemonService.getDaemonEntries( ) )
        {
            if ( daemonEntry.getId( ).equals( "indexer" ) )
            {
                bIndexDaemonInitialState = daemonEntry.isRunning( );
                break;
            }
        }
        assertNotNull( "Did not find indexer daemon", bIndexDaemonInitialState );
        AppDaemonService.stopDaemon( "indexer" );
        testIndexer = new TestSearchIndexer( );
        IndexationService.registerIndexer( testIndexer );

    }
