public void testDoIndexingInvalidToken( ) throws AccessDeniedException
    {
        MockHttpServletRequest request = new MockHttpServletRequest( );
        SearchIndexationJspBean instance = new SearchIndexationJspBean( );
        request.addParameter( SecurityTokenService.PARAMETER_TOKEN,
                SecurityTokenService.getInstance( ).getToken( request, "admin/search/manage_search_indexation.html" )
                        + "b" );

        Utils.registerAdminUserWithRigth( request, new AdminUser( ), SearchIndexationJspBean.RIGHT_INDEXER );
        instance.init( request, SearchIndexationJspBean.RIGHT_INDEXER );
        try
        {
            instance.doIndexing( request );
            fail( "Should have thrown" );
        }
        catch ( AccessDeniedException e )
        {
            assertFalse( testIndexer._bIndexDocumentsCalled );
        }
    }
