public void testDoModifyTagListInvalidToken( ) throws AccessDeniedException
    {
        MockHttpServletRequest request = new MockHttpServletRequest( );
        String taglist = getRandomName( );
        request.addParameter( PARAMETER_TAGLIST, taglist );
        request.addParameter( SecurityTokenService.PARAMETER_TOKEN,
                SecurityTokenService.getInstance( ).getToken( request, "admin/search/modify_taglist.html" ) + "b" );

        assertFalse( taglist.equals( SearchParameterHome.findByKey( PARAMETER_TAGLIST ).getName( ) ) );
        try
        {
            _bean.doModifyTagList( request );
            fail( "Should have thrown" );
        }
        catch ( AccessDeniedException e )
        {
            assertFalse( taglist.equals( SearchParameterHome.findByKey( PARAMETER_TAGLIST ).getName( ) ) );
        }
    }
