public void testDoCreateModeNoToken( ) throws AccessDeniedException
    {
        final String desc = getRandomName( );
        request.addParameter( Parameters.MODE_DESCRIPTION, desc );
        request.addParameter( Parameters.MODE_PATH, desc );

        try
        {
            instance.doCreateMode( request );
            fail( "Should have thrown" );
        }
        catch( AccessDeniedException e )
        {
            assertFalse( ModeHome.getModesList( ).stream( ).anyMatch( m -> m.getDescription( ).equals( desc ) ) );
        }
        finally
        {
            ModeHome.getModesList( ).stream( ).filter( m -> m.getDescription( ).equals( desc ) ).forEach( m -> ModeHome.remove( m.getId( ) ) );
        }
    }
