public void testDoModifyMode( ) throws AccessDeniedException
    {
        final String desc = getRandomName( );
        Mode mode = new Mode( );
        mode.setDescription( desc );
        mode.setPath( desc );
        ModeHome.create( mode );

        request.addParameter( Parameters.MODE_ID, Integer.toString( mode.getId( ) ) );
        request.addParameter( Parameters.MODE_DESCRIPTION, desc + "_mod" );
        request.addParameter( SecurityTokenService.PARAMETER_TOKEN, SecurityTokenService.getInstance( ).getToken( request, "admin/style/modify_mode.html" ) );
        try
        {
            assertEquals( desc, ModeHome.findByPrimaryKey( mode.getId( ) ).getDescription( ) );
            instance.doModifyMode( request );
            assertEquals( desc + "_mod", ModeHome.findByPrimaryKey( mode.getId( ) ).getDescription( ) );
        }
        finally
        {
            ModeHome.remove( mode.getId( ) );
        }
    }
