public void testDoModifyModeNoToken( ) throws AccessDeniedException
    {
        final String desc = getRandomName( );
        Mode mode = new Mode( );
        mode.setDescription( desc );
        mode.setPath( desc );
        ModeHome.create( mode );

        request.addParameter( Parameters.MODE_ID, Integer.toString( mode.getId( ) ) );
        request.addParameter( Parameters.MODE_DESCRIPTION, desc + "_mod" );
        try
        {
            assertEquals( desc, ModeHome.findByPrimaryKey( mode.getId( ) ).getDescription( ) );
            instance.doModifyMode( request );
            fail( "Should have thrown" );
        }
        catch( AccessDeniedException e )
        {
            assertEquals( desc, ModeHome.findByPrimaryKey( mode.getId( ) ).getDescription( ) );
        }
        finally
        {
            ModeHome.remove( mode.getId( ) );
        }
    }
