public void testGetConfirmRemoveStyle( ) throws AccessDeniedException
    {
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.addParameter( Parameters.STYLE_ID, Integer.toString( style.getId( ) ) );
        Utils.registerAdminUserWithRigth( request, new AdminUser( ), StylesJspBean.RIGHT_MANAGE_STYLE );

        instance.init( request, StylesJspBean.RIGHT_MANAGE_STYLE );
        instance.getConfirmRemoveStyle( request );
        AdminMessage message = AdminMessageService.getMessage( request );
        assertNotNull( message );
        assertTrue( message.getRequestParameters( ).containsKey( SecurityTokenService.PARAMETER_TOKEN ) );
    }
