@Override
    protected void setUp( ) throws Exception
    {
        super.setUp( );
        instance = new StyleSheetJspBean( );
        style = new Style( );
        int nId = StyleHome.getStylesList( ).stream( ).map( Style::getId ).max( Integer::compare ).get( ) + 1;
        style.setId( nId );
        style.setDescription( getRandomName( ) );
        style.setPortalComponentId( 2 );
        StyleHome.create( style );
        stylesheet = new StyleSheet( );
        stylesheet.setDescription( getRandomName() );
        stylesheet.setModeId( 1 );
        stylesheet.setStyleId( style.getId( ) );
        stylesheet.setFile( "file" );
        stylesheet.setSource( "<a/>".getBytes( ) );
        StyleSheetHome.create( stylesheet );
    }
