public void testGetConfirmRemoveStyleSheet( ) throws AccessDeniedException
    {
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.addParameter( Parameters.STYLESHEET_ID, Integer.toString( stylesheet.getId( ) ) );
        request.addParameter( Parameters.STYLE_ID, Integer.toString( style.getId( ) ) );
        Utils.registerAdminUserWithRigth( request, new AdminUser( ), StyleSheetJspBean.RIGHT_MANAGE_STYLESHEET );

        instance.init( request, StyleSheetJspBean.RIGHT_MANAGE_STYLESHEET );
        instance.getRemoveStyleSheet( request );
        AdminMessage message = AdminMessageService.getMessage( request );
        assertNotNull( message );
        assertTrue( message.getRequestParameters( ).containsKey( SecurityTokenService.PARAMETER_TOKEN ) );
    }
