public void testDoInstallPlugin( ) throws AccessDeniedException
    {
        assertFalse( PluginService.isPluginEnable( PLUGIN_NAME ) );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.addParameter( "plugin_name", PLUGIN_NAME );
        request.addParameter( SecurityTokenService.PARAMETER_TOKEN,
                SecurityTokenService.getInstance( ).getToken( request, "admin/system/manage_plugins.html" ) );
        instance.doInstallPlugin( request, request.getServletContext( ) );
        assertTrue( PluginService.isPluginEnable( PLUGIN_NAME ) );
    }
