public void testDoInstallPluginInvalidToken( ) throws AccessDeniedException
    {
        assertFalse( PluginService.isPluginEnable( PLUGIN_NAME ) );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.addParameter( "plugin_name", PLUGIN_NAME );
        request.addParameter( SecurityTokenService.PARAMETER_TOKEN,
                SecurityTokenService.getInstance( ).getToken( request, "admin/system/manage_plugins.html" ) + "b" );
        try
        {
            instance.doInstallPlugin( request, request.getServletContext( ) );
            fail( "Should have thrown" );
        }
        catch ( AccessDeniedException e )
        {
            assertFalse( PluginService.isPluginEnable( PLUGIN_NAME ) );
        }
    }
