public void testDoInstallPluginNoToken( ) throws AccessDeniedException
    {
        assertFalse( PluginService.isPluginEnable( PLUGIN_NAME ) );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.addParameter( "plugin_name", PLUGIN_NAME );
        try
        {
            instance.doInstallPlugin( request, request.getServletContext( ) );
            fail( "Should have thrown" );
        }
        catch ( AccessDeniedException e )
        {
            assertFalse( PluginService.isPluginEnable( PLUGIN_NAME ) );
        }
    }
