public void testDoUninstallPluginInvalidToken( ) throws AccessDeniedException
    {
        PluginService.getPlugin( PLUGIN_NAME ).install( );
        assertTrue( PluginService.isPluginEnable( PLUGIN_NAME ) );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.addParameter( "plugin_name", PLUGIN_NAME );
        request.addParameter( SecurityTokenService.PARAMETER_TOKEN,
                SecurityTokenService.getInstance( ).getToken( request, "jsp/admin/system/DoUninstallPlugin.jsp" )
                        + "b" );
        try
        {
            instance.doUninstallPlugin( request, request.getServletContext( ) );
            fail( "Should have thrown" );
        }
        catch ( AccessDeniedException e )
        {
            assertTrue( PluginService.isPluginEnable( PLUGIN_NAME ) );
        }
    }
