public void testDoUninstallPluginNoToken( ) throws AccessDeniedException
    {
        PluginService.getPlugin( PLUGIN_NAME ).install( );
        assertTrue( PluginService.isPluginEnable( PLUGIN_NAME ) );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.addParameter( "plugin_name", PLUGIN_NAME );

        try
        {
            instance.doUninstallPlugin( request, request.getServletContext( ) );
            fail( "Should have thrown" );
        }
        catch ( AccessDeniedException e )
        {
            assertTrue( PluginService.isPluginEnable( PLUGIN_NAME ) );
        }
    }
