public void testDoModifyProperties( ) throws AccessDeniedException
    {
        final String property = "portal.site.site_property.email";
        final String origValue = DatastoreService.getDataValue( property, "" );
        request.setParameter( property, origValue + "_mod" );
        request.setParameter( SecurityTokenService.PARAMETER_TOKEN,
                SecurityTokenService.getInstance( ).getToken( request, "admin/system/modify_properties.html" ) );

        try
        {
            SystemJspBean.doModifyProperties( request, request.getServletContext( ) );
            assertEquals( origValue + "_mod", DatastoreService.getDataValue( property, "" ) );
        }
        finally
        {
            DatastoreService.setDataValue( property, origValue );
        }
    }
