public void testDoModifyPropertiesNoToken( ) throws AccessDeniedException
    {
        final String property = "portal.site.site_property.email";
        final String origValue = DatastoreService.getDataValue( property, "" );
        request.setParameter( property, origValue + "_mod" );

        try
        {
            SystemJspBean.doModifyProperties( request, request.getServletContext( ) );
            fail( "Should have thrown" );
        }
        catch( AccessDeniedException e )
        {
            assertEquals( origValue, DatastoreService.getDataValue( property, "" ) );
        }
        finally
        {
            DatastoreService.setDataValue( property, origValue );
        }
    }
