public void testDoPost_Files_NoHandler( ) throws Exception
    {
        MockHttpServletRequest request = getMultipartRequest( );
        MockHttpServletResponse response = new MockHttpServletResponse( );
        MultipartHttpServletRequest multipartRequest = MultipartUtil.convert( 10000, 10000, false, request );

        new UploadServlet( ).doPost( multipartRequest, response );

        String strResponseJson = response.getContentAsString( );
        System.out.println( strResponseJson );

        String strRefJson = "{\"files\":[{\"fileName\":\"file1\",\"fileSize\":3}]}";
        ObjectMapper objectMapper = new ObjectMapper( );
        JsonNode objectNodeRef = objectMapper.readTree( strRefJson );
        JsonNode objectNodeJson = objectMapper.readTree( strResponseJson );

        assertEquals( objectNodeRef, objectNodeJson );
    }
