public void testDoPost_NoFiles_NoHandler( ) throws Exception
    {
        MockHttpServletRequest request = new MockHttpServletRequest( );
        MockHttpServletResponse response = new MockHttpServletResponse( );
        MultipartHttpServletRequest multipartRequest = new MultipartHttpServletRequest( request, new HashMap( ), new HashMap( ) );

        new UploadServlet( ).doPost( multipartRequest, response );

        String strResponseJson = response.getContentAsString( );
        System.out.println( strResponseJson );

        String strRefJson = "{\"files\":[]}";
        ObjectMapper objectMapper = new ObjectMapper( );
        JsonNode objectNodeRef = objectMapper.readTree( strRefJson );
        JsonNode objectNodeJson = objectMapper.readTree( strResponseJson );

        assertEquals( objectNodeRef, objectNodeJson );
    }
