public void testDoResetPasswordBadToken( )
    {
        AdminLoginJspBean bean = new AdminLoginJspBean( );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.setMethod( "POST" );
        request.setParameter( Parameters.USER_ID, Integer.toString( user.getUserId( ) ) );
        Date timestamp = new Date( );
        String token = AdminUserService.getUserPasswordResetToken( user, timestamp, request );
        request.setParameter( "ts", Long.toString( timestamp.getTime( ) ) );
        char [ ] tokenCharacters = token.toCharArray( );
        tokenCharacters [0] += 1;
        request.setParameter( "token", new String( tokenCharacters ) );
        request.setParameter( Parameters.NEW_PASSWORD, NEW_PASSWORD );
        request.setParameter( Parameters.CONFIRM_NEW_PASSWORD, NEW_PASSWORD );

        String res = bean.doResetPassword( request );
        assertNotNull( res );
        AdminMessage message = AdminMessageService.getMessage( request );
        assertNotNull( message );
        assertEquals( AdminMessage.TYPE_STOP, message.getType( ) );
        LuteceDefaultAdminUser storedUser = getAdminUserDAO( ).loadDefaultAdminUser( user.getUserId( ) );
        assertNotNull( storedUser );
        assertTrue( storedUser.getPassword( ).check( PASSWORD ) );
    }
