public void testDoResetPasswordNonexistentUser( )
    {
        AdminLoginJspBean bean = new AdminLoginJspBean( );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.setMethod( "POST" );
        request.setParameter( Parameters.USER_ID, Integer.toString( Integer.MAX_VALUE ) );
        Date timestamp = new Date( );
        String token = AdminUserHome.getUserPasswordResetToken( Integer.MAX_VALUE, timestamp,
                AdminUserService.getBooleanSecurityParameter( AdminUserService.DSKEY_LOCK_RESET_TOKEN_TO_SESSION ) ? request.getSession( ).getId( ) : null );
        request.setParameter( "ts", Long.toString( timestamp.getTime( ) ) );
        request.setParameter( "token", token );
        request.setParameter( Parameters.NEW_PASSWORD, NEW_PASSWORD );
        request.setParameter( Parameters.CONFIRM_NEW_PASSWORD, NEW_PASSWORD );

        String res = bean.doResetPassword( request );
        assertNotNull( res );
        AdminMessage message = AdminMessageService.getMessage( request );
        assertNotNull( message );
        assertEquals( AdminMessage.TYPE_STOP, message.getType( ) );
    }
