public void testDoAnonymizeAdminUserInvalidToken( ) throws AccessDeniedException
    {
        AdminUserJspBean bean = new AdminUserJspBean( );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        AdminUser user = getUserToModify( );
        try
        {
            request.addParameter( "id_user", Integer.toString( user.getUserId( ) ) );
            request.addParameter( SecurityTokenService.PARAMETER_TOKEN,
                    SecurityTokenService.getInstance( ).getToken( request, "jsp/admin/user/DoAnonymizeAdminUser.jsp" ) + "b" );
            bean.doAnonymizeAdminUser( request );
            fail( "Should have thrown" );
        }
        catch( AccessDeniedException e )
        {
            assertNull( AdminMessageService.getMessage( request ) );
            AdminUser stored = AdminUserHome.findByPrimaryKey( user.getUserId( ) );
            assertEquals( user.getAccessCode( ), stored.getAccessCode( ) );
            assertEquals( user.getFirstName( ), stored.getFirstName( ) );
            assertEquals( user.getLastName( ), stored.getLastName( ) );
            assertEquals( user.getEmail( ), stored.getEmail( ) );
        }
        finally
        {
            disposeOfUser( user );
        }
    }
