public void testDoConfirmRemoveAdminUser( ) throws AccessDeniedException, UserNotSignedException
    {
        AdminUserJspBean bean = new AdminUserJspBean( );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        AdminUser user = getUserToModify( );
        try
        {
            request.addParameter( "id_user", Integer.toString( user.getUserId( ) ) );
            AdminAuthenticationService.getInstance( ).registerUser( request, user );
            bean.init( request, "CORE_USERS_MANAGEMENT" );
            bean.doConfirmRemoveAdminUser( request );
            AdminMessage message = AdminMessageService.getMessage( request );
            assertNotNull( message );
            assertTrue( message.getRequestParameters( ).containsKey( SecurityTokenService.PARAMETER_TOKEN ) );
        }
        finally
        {
            disposeOfUser( user );
        }
    }
