public void testDoModifyAccountLifeTimeEmailsNoToken( )
    {
        String origEmailSender = AdminUserService.getSecurityParameter( "core.advanced_parameters.first_alert_mail_sender" );
        String origEmailSubject = AdminUserService.getSecurityParameter( "core.advanced_parameters.first_alert_mail_subject" );
        String origEmailBody = DatabaseTemplateService.getTemplateFromKey( "core_first_alert_mail" );
        AdminUserJspBean bean = new AdminUserJspBean( );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.setParameter( "email_type", "first" );
        request.setParameter( "email_sender", "junit" );
        request.setParameter( "email_subject", "junit" );
        request.setParameter( "email_body", "junit" );
        try
        {
            bean.doModifyAccountLifeTimeEmails( request );
            fail( "Should have thrown" );
        }
        catch( AccessDeniedException e )
        {
            assertEquals( origEmailSender, AdminUserService.getSecurityParameter( "core.advanced_parameters.first_alert_mail_sender" ) );
            assertEquals( origEmailSubject, AdminUserService.getSecurityParameter( "core.advanced_parameters.first_alert_mail_subject" ) );
            assertEquals( origEmailBody, DatabaseTemplateService.getTemplateFromKey( "core_first_alert_mail" ) );
        }
        finally
        {
            AdminUserService.updateSecurityParameter( "core.advanced_parameters.first_alert_mail_sender", origEmailSender );
            AdminUserService.updateSecurityParameter( "core.advanced_parameters.first_alert_mail_subject", origEmailSubject );
            DatabaseTemplateService.updateTemplate( "core_first_alert_mail", origEmailBody );
        }
    }
