public void testDoModifyAdminUserPasswordNotFound( ) throws AccessDeniedException, UserNotSignedException
    {
        AdminUserJspBean bean = new AdminUserJspBean( );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        AdminUser user = getUserToModify( );
        String password = "CHANGEDCHANGED";
        try
        {
            AdminAuthenticationService.getInstance( ).registerUser( request, user );
            request.setParameter( "id_user", Integer.toString( Integer.MIN_VALUE ) );
            request.setParameter( "first_password", password );
            request.setParameter( "second_password", password );
            request.setParameter( "token", SecurityTokenService.getInstance( ).getToken( request, "portal.users.modify_user_password.pageTitle" ) );
            bean.init( request, "CORE_USERS_MANAGEMENT" );
            bean.doModifyAdminUserPassword( request );
            fail( "should have thrown" );
        }
        catch( AppException e )
        {
            assertFalse( AdminUserHome.findLuteceDefaultAdminUserByPrimaryKey( user.getUserId( ) ).getPassword( ).check( password ) );
        }
        finally
        {
            disposeOfUser( user );
        }
    }
