public void testGetAnonymizeAdminUser( )
    {
        AdminUserJspBean bean = new AdminUserJspBean( );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        AdminUser user = getUserToModify( );
        try
        {
            request.addParameter( "id_user", Integer.toString( user.getUserId( ) ) );
            bean.getAnonymizeAdminUser( request );
            AdminMessage message = AdminMessageService.getMessage( request );
            assertNotNull( message );
            assertTrue( message.getRequestParameters( ).containsKey( SecurityTokenService.PARAMETER_TOKEN ) );
        }
        finally
        {
            disposeOfUser( user );
        }
    }
