public void testGetModifyUserPassword( ) throws AccessDeniedException, UserNotSignedException
    {
        AdminUserJspBean bean = new AdminUserJspBean( );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        AdminUser user = getUserToModify( );
        try
        {
            AdminAuthenticationService.getInstance( ).registerUser( request, user );
            request.setParameter( "id_user", Integer.toString( 1 ) );
            bean.init( request, "CORE_USERS_MANAGEMENT" );
            String html = bean.getModifyUserPassword( request );
            assertNotNull( html );
            assertTrue( html.contains( "<small>" + I18nService.getLocalizedString( "portal.users.modify_user_password.pageTitle", Locale.FRANCE ) + "</small>" ) );
        }
        finally
        {
            disposeOfUser( user );
        }
    }
