@Override
    protected void setUp( ) throws Exception
    {
        super.setUp( );
        instance = new AttributeFieldJspBean( );
        _attributes = new HashMap<>( );
        List<AttributeType> types = AttributeTypeService.getInstance( ).getAttributeTypes( Locale.FRANCE );
        for ( AttributeType type : types )
        {
            IAttribute attribute = ( IAttribute ) Class.forName( type.getClassName( ) ).newInstance( );
            String strName = getRandomName( );
            attribute.setTitle( strName );
            attribute.setHelpMessage( strName );
            List<AttributeField> listAttributeFields = new ArrayList<AttributeField>( );
            for ( int i = 0; i < 3; i++ )
            {
                AttributeField attributeField = new AttributeField( );
                attributeField.setTitle( strName + "_" + i );
                attributeField.setValue( strName + "_" + i );
                listAttributeFields.add( attributeField );
            }
            attribute.setListAttributeFields( listAttributeFields );
            AttributeService.getInstance( ).createAttribute( attribute );
            _attributes.put( type, attribute );
        }
    }
