private void testDoRemoveAttributeField( IAttribute attribute ) throws AccessDeniedException
    {
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.addParameter( "id_attribute", Integer.toString( attribute.getIdAttribute( ) ) );
        request.addParameter( "id_field",
                Integer.toString( attribute.getListAttributeFields( ).get( 0 ).getIdField( ) ) );
        request.addParameter( SecurityTokenService.PARAMETER_TOKEN, SecurityTokenService.getInstance( )
                .getToken( request, "jsp/admin/user/attribute/DoRemoveAttributeField.jsp" ) );

        instance.doRemoveAttributeField( request );

        IAttribute stored = AttributeService.getInstance( ).getAttributeWithFields( attribute.getIdAttribute( ),
                Locale.FRANCE );
        assertNotNull( stored );
        assertEquals( 2, stored.getListAttributeFields( ).size( ) );
    }
