@Override
    protected void setUp( ) throws Exception
    {
        super.setUp( );
        _attributes = new HashMap<>( );
        List<AttributeType> types = AttributeTypeService.getInstance( ).getAttributeTypes( Locale.FRANCE );
        for ( AttributeType type : types )
        {
            IAttribute attribute = ( IAttribute ) Class.forName( type.getClassName( ) ).newInstance( );
            attribute.setTitle( getRandomName( ) );
            attribute.setHelpMessage( attribute.getTitle( ) );
            List<AttributeField> listAttributeFields = new ArrayList<AttributeField>( );
            AttributeField attributeField = new AttributeField( );
            attributeField.setValue( attribute.getTitle( ) );
            listAttributeFields.add( attributeField );
            attribute.setListAttributeFields( listAttributeFields );
            AttributeService.getInstance( ).createAttribute( attribute );
            _attributes.put( type, attribute );
        }
    }
