public void testDoRemoveAttributeInvalidToken( ) throws AccessDeniedException
    {
        MockHttpServletRequest request = new MockHttpServletRequest( );
        int idAttribute = _attributes.values( ).stream( ).findFirst( ).orElseThrow( IllegalStateException::new )
                .getIdAttribute( );
        request.setParameter( "id_attribute", Integer.toString( idAttribute ) );
        request.setParameter( SecurityTokenService.PARAMETER_TOKEN, SecurityTokenService.getInstance( )
                .getToken( request, "jsp/admin/user/attribute/DoRemoveAttribute.jsp" ) + "b" );

        AttributeJspBean instance = new AttributeJspBean( );
        try
        {
            instance.doRemoveAttribute( request );
            fail( "Should have thrown" );
        }
        catch ( AccessDeniedException e )
        {
            IAttribute stored = AttributeService.getInstance( ).getAttributeWithoutFields( idAttribute, Locale.FRANCE );
            assertNotNull( stored );
        }
    }
