private void testGetModifyAttribute( AttributeType type ) throws PasswordResetException, AccessDeniedException
    {
        MockHttpServletRequest request = new MockHttpServletRequest( );
        IAttribute attribute = _attributes.get( type );
        assertNotNull( attribute );
        request.setParameter( "id_attribute", Integer.toString( attribute.getIdAttribute( ) ) );

        Utils.registerAdminUserWithRigth( request, new AdminUser( ), "CORE_USERS_MANAGEMENT" );
        AttributeJspBean instance = new AttributeJspBean( );
        instance.init( request, "CORE_USERS_MANAGEMENT" );

        assertNotNull( instance.getModifyAttribute( request ) );
    }
