public void testDoCreateWorkgroupNoToken( ) throws AccessDeniedException
    {
        final String key = getRandomName( );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        AdminUser user = new AdminUser( );
        Utils.registerAdminUserWithRigth( request, user, "CORE_WORKGROUPS_MANAGEMENT" );
        request.setParameter( "workgroup_key", key );
        request.setParameter( "workgroup_description", key );

        assertFalse( AdminWorkgroupHome.checkExistWorkgroup( key ) );
        bean.init( request, "CORE_WORKGROUPS_MANAGEMENT" );
        try
        {
            bean.doCreateWorkgroup( request );
            fail( "Should have thrown" );
        }
        catch( AccessDeniedException e )
        {
            assertFalse( AdminWorkgroupHome.checkExistWorkgroup( key ) );
        }

        AdminWorkgroupHome.remove( key );
    }
