public void testDoModifyWorkgroup( ) throws AccessDeniedException
    {
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.setParameter( "workgroup_key", adminWorkgroup.getKey( ) );
        request.setParameter( "workgroup_description", adminWorkgroup.getDescription( ) + "_mod" );
        request.setParameter( SecurityTokenService.PARAMETER_TOKEN,
                SecurityTokenService.getInstance( ).getToken( request, "admin/workgroup/modify_workgroup.html" ) );

        assertEquals( adminWorkgroup.getKey( ), adminWorkgroup.getDescription( ) );
        bean.doModifyWorkgroup( request );
        assertEquals( adminWorkgroup.getDescription( ) + "_mod", AdminWorkgroupHome.findByPrimaryKey( adminWorkgroup.getKey( ) ).getDescription( ) );
    }
