private Page createPage( String pageName, String role )
    {
        Page page = new Page( );
        page.setParentPageId( PortalService.getRootPageId( ) );
        page.setName( pageName );
        page.setPageTemplateId( PageTemplateHome.getPageTemplatesList( ).get( 0 ).getId( ) );

        if ( role != null )
        {
            page.setRole( role );
        }

        IPageService pageService = (IPageService) SpringContextService.getBean( "pageService" );
        pageService.createPage( page );

        return page;
    }
