public void testDoRemoveXslExport( ) throws AccessDeniedException
    {
        MockHttpServletRequest request = new MockHttpServletRequest( );
        AdminUser user = new AdminUser( );
        user.setRoles( AdminRoleHome.findAll( ).stream( )
                .collect( Collectors.toMap( AdminRole::getKey, Function.identity( ) ) ) );
        Utils.registerAdminUserWithRigth( request, user, XslExportJspBean.RIGHT_MANAGE_XSL_EXPORT );

        request.setParameter( "id_xsl_export", Integer.toString( _xslExport.getIdXslExport( ) ) );
        request.setParameter( SecurityTokenService.PARAMETER_TOKEN,
                SecurityTokenService.getInstance( ).getToken( request, "jsp/admin/xsl/DoRemoveXslExport.jsp" ) );
        _instance.init( request, XslExportJspBean.RIGHT_MANAGE_XSL_EXPORT );

        _instance.doRemoveXslExport( request );

        XslExport stored = XslExportHome.findByPrimaryKey( _xslExport.getIdXslExport( ) );
        assertNull( stored );
    }
