@Test
    public void testValidate_GenericType_Locale( )
    {
        System.out.println( "validate" );

        Locale locale = Locale.FRENCH;

        Bean [ ] beans = {
                new BeanDefaultMessages( ), new BeanLuteceMessages( )
        };

        for ( int i = 0; i < beans.length; i++ )
        {
            Bean bean = beans [i];
            bean.setName( "contains-invalid-char-1" );
            bean.setDescription( "too-short" );
            bean.setEmail( "invalid-email" );

            long lTimeNow = new java.util.Date( ).getTime( );
            bean.setDateBirth( new Date( lTimeNow + 1000000000L ) );
            bean.setDateEndOfWorld( new Date( lTimeNow - 1000000000L ) );

            bean.setSalary( new BigDecimal( "100.00" ) );
            bean.setPercent( new BigDecimal( "200.00" ) );
            bean.setCurrency( "150.9999" );
            bean.setUrl( "invalid-url" );

            List<ValidationError> list = BeanValidationUtil.validate( bean, locale, "fields_prefix." );
            assertTrue( list.size( ) > 0 );

            for ( ValidationError error : list )
            {
                System.out.println( error.getMessage( ) );
            }
        }
    }
