public void testResponseBEAN( )
    {
        System.out.println( "response" );

        AbstractJsonResponse response = new JsonResponse( new Object( )
        {
            @SuppressWarnings( "unused" )
            public String beanstringfield = "Foo";
            @SuppressWarnings( "unused" )
            public int beanintfield = 37;
        } );
        String strJson = JsonUtil.buildJsonResponse( response );
        System.out.println( strJson );

        String strRefJson = "{\"result\":{\"beanstringfield\":\"Foo\", \"beanintfield\":37},\"status\":\"OK\"}";
        ObjectMapper objectMapper = new ObjectMapper( );
        JsonNode objectNodeRef;
        JsonNode objectNodeJson;
        try
        {
            objectNodeRef = objectMapper.readTree( strRefJson );
            objectNodeJson = objectMapper.readTree( strJson );
        }
        catch( Exception e )
        {
            throw new AssertionError( "Should not happen" );
        }

        assertEquals( objectNodeRef, objectNodeJson );

    }
