public void testCommit( )
    {
        System.out.println( "commit" );

        Transaction transaction = new Transaction( );

        try
        {
            transaction.prepareStatement( SQL_DROP_TABLE );
            transaction.executeStatement( );
            transaction.prepareStatement( SQL_CREATE_TABLE );
            transaction.executeStatement( );

            for ( int i = 0; i < 3; i++ )
            {
                transaction.prepareStatement( SQL_INSERT );
                transaction.getStatement( ).setInt( 1, i );
                transaction.executeStatement( );
            }

            transaction.commit( );
        }
        catch( SQLException ex )
        {
            transaction.rollback( ex );
        }

        assertTrue( transaction.getStatus( ) == Transaction.COMMITTED );
    }
