private void lookForSubsumedSons(LogicFormulaNode father) {
		int nbSons = father.getSons().size();
		List<LogicFormulaNode> sonList = new ArrayList<AraliaParser.LogicFormulaNode>(
				father.getSons());
		Set<LogicFormulaNode> toRemove = new HashSet<AraliaParser.LogicFormulaNode>();
		for (int i = 0; i < nbSons - 1; ++i) {
			for (int j = i + 1; j < nbSons; ++j) {
				LogicFormulaNodeType currentType = sonList.get(i).nodeType;
				if (((currentType == LogicFormulaNodeType.CONJ) || currentType == LogicFormulaNodeType.DISJ)
						&& (currentType == sonList.get(j).nodeType)) {
					boolean allInI = false;
					boolean allInJ = false;
					if (sonList.get(i).getSons()
							.containsAll(sonList.get(j).getSons())) {
						allInI = true;
					}
					if (sonList.get(j).getSons()
							.containsAll(sonList.get(i).getSons())) {
						allInJ = true;
					}
					if (allInI && allInJ) {
						toRemove.add(sonList.get(j));
					} else if (allInI) {
						toRemove.add(sonList.get(i));
					} else if (allInJ) {
						toRemove.add(sonList.get(j));
					}
				}
			}
		}
		father.getSons().removeAll(toRemove);
	}
