private LogicFormulaNode readTerm(String s) {
		LogicFormulaNode node = new LogicFormulaNode(LogicFormulaNodeType.TERM);
		StringBuilder label = new StringBuilder();
		for (char c : s.toCharArray()) {
			if ((c != '(') && (c != ')')) {
				label.append(c);
			}
		}
		String text = label.toString();
		if ("0".equals(text))
			return new LogicFormulaNode(LogicFormulaNodeType.FALSE);
		if ("1".equals(text))
			return new LogicFormulaNode(LogicFormulaNodeType.TRUE);
		node.setLabel(text);
		return node;
	}
