public boolean assumeMe(String line) throws Exception {
		String assump = line.replaceAll("=", "_");
		if (this.varMap.isJokerValuedConfigVar(assump)) {
			backboneComputer.setOptionalConfigVarAsNotInstalled(assump);
		} else if (this.varMap.isAdditionalVar(assump)) {
			backboneComputer.addAdditionalVarAssumption(assump);
		} else if (this.varMap.isConfigVar(assump)) {
			addAssumption(assump);
		} else {
			this.outStream.println(assump + " is not defined");
			return false;
		}
		for (Iterator<String> it = this.assumptions.iterator(); it.hasNext();) {
			String next = it.next();
			if (next.substring(0, next.lastIndexOf("=")).equals(
					line.substring(0, line.lastIndexOf('=')))) {
				it.remove();
				break;
			}
		}
		this.assumptions.add(line);
		return true;
	}
