@SuppressWarnings("unused")
	private void explain(String line) {
		muses.reset();
		IVecInt assumptions = new VecInt();
		String[] words = line.split(" ");
		for (int i = 1; i < words.length; i++) {
			String assump = words[i].replaceAll("=", "_");
			assumptions.push((assump.charAt(0) == '-') ? (this.varMap
					.getSolverVar(assump.substring(1))) : (-this.varMap
					.getSolverVar(assump)));
		}
		for (Set<Integer> assumpsSet : this.backboneComputer
				.getSolverAssumptions()) {
			for (Integer n : assumpsSet) {
				assumptions.push(n);
			}
		}
		try {
			if (solver.isSatisfiable(assumptions)) {

			} else {
				for (String constraint : reader.decode(solver
						.unsatExplanation()))
					this.outStream.println(constraint);
			}
		} catch (TimeoutException e) {
			e.printStackTrace();
		}

	}
