private void readInstance(String instance, String prices,
			IGroupSolver solver, ConfigVarMap varMap) {
		reader = new Br4cpAraliaReader(solver, pbSolver, varMap);
		try {
			reader.parseInstance(instance);
			if (prices != null) {
				reader.parsePrices(prices);
			}
		} catch (IOException e) {
			e.printStackTrace();
			System.exit(1);
		}
	}
