public void runCLI() throws Exception {
		this.outStream.println("available commands : ");
		this.outStream.println("  #restart       : clean all assumptions");
		this.outStream
				.println("  #minimize      : find the minimal prize configuration");
		this.outStream
				.println("  #explain vX=Y  : explain the assignement of value Y to variable X");
		this.outStream
				.println("  #explain -vX=Y : explain the reduction of value Y in variable X");
		this.outStream.println("  #quit          : exit this program");
		this.outStream.println();
		BufferedReader inReader = new BufferedReader(new InputStreamReader(
				System.in));
		while (!this.quit) {
			this.outStream.print("$> ");
			this.outStream.flush();
			try {
				String line = inReader.readLine();
				if (line == null)
					break;
				if (line.length() == 0) {
					continue;
				}
				try {
					Method toCall = getClass().getDeclaredMethod(
							line.substring(1).split(" ")[0],
							new Class<?>[] { String.class });
					toCall.invoke(this, new Object[] { line });
				} catch (NoSuchMethodException e) {
					assume(line);
				}
			} catch (Exception e) {
				System.err.println(e.getMessage());
			}
		}
		this.outStream.println("Exiting. Bye!");
	}
