public int getSolverVar(String configVar) {
		Integer solverVar = configVarToSolverVar.get(configVar);
		if (solverVar == null) {
			solverVar = solver.nextFreeVarId(true);
			this.solverVarToConfigVar.put(solverVar, configVar);
			this.configVarToSolverVar.put(configVar, solverVar);
			try {
				int version = extractVarVersion(configVar);
				String name = extractVarName(configVar);
				Set<Integer> versions = this.configVarDomains.get(name);
				if (versions == null) {
					versions = new HashSet<Integer>();
					this.configVarDomains.put(name, versions);
				}
				versions.add(version);
			} catch (NumberFormatException e) {
				Set<Integer> versions = new HashSet<Integer>();
				versions.add(1);
				this.configVarDomains.put(configVar, versions);
			}
		}
		return solverVar;
	}
