public Set<String> getCurrentDomainOf(String var) {
		Set<String> domain = new HashSet<String>();
		String value;
		Set<String> originalDomain = varMap.getDomain(var);
		assert originalDomain != null;
		for (Iterator<String> it = originalDomain.iterator(); it.hasNext();) {
			value = it.next();
			Valeur valeur = Utils.extractValeur(value);
			// for Series, Pack, etc.
			if (unavailableAdditionalVars.contains(var)) {
				domain.clear();
				domain.add(String.valueOf(Utils.JOKER));
				break;
			}
			// for optional vx_0
			if (unavailableAdditionalVars.contains(value)) {
				domain.clear();
				domain.add(String.valueOf(Utils.JOKER));
				break;
			}
			if (propagatedAdditionalVars.contains(var)
					&& valeur.valeur != Utils.JOKER) {
				domain.clear();
				domain.add(String.valueOf(valeur.valeur));
				break;
			}
			if (propagatedAdditionalVars.contains(value)) {
				domain.clear();
				domain.add(String.valueOf(valeur.valeur));
				break;
			}
			if (propagatedConfigVars.contains(value)) {
				domain.clear();
				domain.add(String.valueOf(valeur.valeur));
				break;
			}
			if (!domainReductions.contains(valeur.toString())) {
				domain.add(String.valueOf(valeur.valeur));
			}
		}
		assert !fixedVars.contains(var) || (domain.size() == 1) : fixedVars
				+ "/" + var + domain;
		return domain;
	}
