public void setOptionalConfigVarAsNotInstalled(String optConfigVar)
			throws TimeoutException {
		Set<Integer> newAssumps = new HashSet<Integer>();
		if (this.varMap.isAdditionalVar(optConfigVar)) {
			newAssumps.add(-this.varMap.getSolverVar(optConfigVar));
			this.fixedVars.add(optConfigVar);
		} else {
			Set<String> domain = this.varMap.getConfigVarDomain(optConfigVar);
			for (String s : domain) {
				Valeur valeur = Utils.extractValeur(s);
				if (valeur.valeur != Utils.JOKER) {
					newAssumps.add(-this.varMap.getSolverVar(s));
				}
			}
			this.fixedVars.add(optConfigVar);
		}
		this.solverAssumptions.add(newAssumps);
		computeBackbone(solver);
	}
