private Integer processNode(IGroupSolver solver, LogicFormulaNode formula,
			boolean isFormulaRoot, int groupId) throws ContradictionException {
		Integer toPropagate = processNode(solver, formula, groupId);
		if (isFormulaRoot) {
			IVecInt unitCl = new VecInt(1);
			unitCl.push(toPropagate.intValue());
			this.solver.addClause(unitCl, groupId);
		}
		return toPropagate;
	}
