private Integer processNode(IGroupSolver solver, LogicFormulaNode formula,
			int groupId) throws ContradictionException {
		IVecInt sonsId = new VecInt(formula.getSons().size());
		if (!isFlatFormula(formula)) {
			for (LogicFormulaNode son : formula.getSons()) {
				sonsId.push(processNode(solver, son, groupId));
			}
		} else {
			for (LogicFormulaNode son : formula.getSons()) {
				sonsId.push(getTermId(solver, son));
			}
		}
		return processFlatFormula(solver, formula, sonsId, groupId);
	}
