@Test
	public void testBugYacine() {
		String[] choices = { "v13=0", "v0=12", "v23=2" };
		int[] expected = { 92, 17, 16 };
		assertFalse(configurator.isConfigurationComplete());
		List<String> list = new ArrayList<String>(
				configurator.getFreeVariables());
		Collections.sort(list);
		System.out.println(list);
		assertEquals(139, configurator.getFreeVariables().size());
		for (int i = 0; i < choices.length; i++) {
			String[] choice = choices[i].split("=");
			configurator.isPresentInCurrentDomain(choice[0], choice[1]);
			configurator.assignAndPropagate(choice[0], choice[1]);
			assertEquals(expected[i], configurator.getFreeVariables().size());
		}
	}
