@SuppressWarnings("unchecked")
    public T createSolverByName(String solvername) {
        try {
            Class<?>[] paramtypes = {};
            Method m = this.getClass().getMethod("new" + solvername, //$NON-NLS-1$
                    paramtypes);
            return (T) m.invoke(null, (Object[]) null);
        } catch (SecurityException e) {
            System.err.println(e.getLocalizedMessage());
        } catch (IllegalArgumentException e) {
            System.err.println(e.getLocalizedMessage());
        } catch (NoSuchMethodException e) {
            System.err.println(e.getLocalizedMessage());
        } catch (IllegalAccessException e) {
            System.err.println(e.getLocalizedMessage());
        } catch (InvocationTargetException e) {
            System.err.println(e.getLocalizedMessage());
        }
        return null;
    }
