public String[] solverNames() {
        List<String> l = new ArrayList<String>();
        Method[] solvers = this.getClass().getDeclaredMethods();
        for (Method solver : solvers) {
            if (solver.getParameterTypes().length == 0
                    && solver.getName().startsWith("new")) { //$NON-NLS-1$
                l.add(solver.getName().substring(3));
            }
        }
        Collections.sort(l);
        String[] names = new String[l.size()];
        l.toArray(names);
        return names;
    }
