public IVecInt[] subset(int cardinal) {
        List<IVecInt> liste = new ArrayList<IVecInt>();

        IVecInt[] result;

        if (cardinal == 1) {
            result = new VecInt[this.size()];
            for (int i = 0; i < this.size(); i++) {
                result[i] = new VecInt(new int[] { this.get(i) });
            }
            return result;
        }

        if (this.size() == 0) {
            result = new VecInt[0];
            return result;
        }

        VecInt subVec = new VecInt();
        VecInt newVec;
        this.copyTo(subVec);
        subVec.remove(this.get(0));

        for (IVecInt vecWithFirst : subVec.subset(cardinal - 1)) {
            newVec = new VecInt();
            vecWithFirst.copyTo(newVec);
            newVec.insertFirst(this.get(0));
            liste.add(newVec);
        }

        for (IVecInt vecWithoutFirst : subVec.subset(cardinal)) {
            liste.add(vecWithoutFirst);
        }

        result = new VecInt[liste.size()];
        for (int i = 0; i < liste.size(); i++) {
            result[i] = liste.get(i);
        }
        return result;
    }
