public static ICDCL<DataStructureFactory> newBest17() {
        Solver<DataStructureFactory> solver = newBestCurrentSolverConfiguration(
                new MixedDataStructureSingleWL());
        solver.setSimplifier(solver.EXPENSIVE_SIMPLIFICATION_WLONLY);
        solver.setLearnedConstraintsDeletionStrategy(
                solver.activity_based_low_memory);
        LimitedLearning<DataStructureFactory> learning = new PercentLengthLearning<DataStructureFactory>(
                10);
        solver.setLearningStrategy(learning);
        return solver;
    }
