public String toString(VarMapper mapper) {
        StringBuilder stb = new StringBuilder();

        if (this.lits.length > 0) {
            if (this.voc.isUnassigned(this.lits[0])) {
                stb.append(mapper.map(LiteralsUtils.toDimacs(this.lits[0])));
                stb.append(" "); //$NON-NLS-1$
            }
            for (int i = 1; i < this.lits.length; i++) {
                if (this.voc.isUnassigned(this.lits[i])) {
                    stb.append(" + "); //$NON-NLS-1$
                    stb.append(
                            mapper.map(LiteralsUtils.toDimacs(this.lits[i])));
                    stb.append(" "); //$NON-NLS-1$
                }
            }
            stb.append(">= "); //$NON-NLS-1$
            stb.append(this.degree);
        }
        return stb.toString();
    }
