@SuppressWarnings({ "unchecked" })
    public void init(int nvar) {
        if (nvar < this.pool.length) {
            return;
        }
        assert nvar >= 0;
        // let some space for unused 0 indexer.
        int nvars = nvar + 1;
        boolean[] npool = new boolean[nvars];
        System.arraycopy(this.pool, 0, npool, 0, this.pool.length);
        this.pool = npool;

        int[] nlevel = new int[nvars];
        System.arraycopy(this.level, 0, nlevel, 0, this.level.length);
        this.level = nlevel;

        int[] ntrailPosition = new int[nvars];
        System.arraycopy(this.trailPosition, 0, ntrailPosition, 0,
                this.trailPosition.length);
        this.trailPosition = ntrailPosition;

        IVec<Propagatable>[] nwatches = new IVec[2 * nvars];
        System.arraycopy(this.watches, 0, nwatches, 0, this.watches.length);
        this.watches = nwatches;

        IVec<Undoable>[] nundos = new IVec[nvars];
        System.arraycopy(this.undos, 0, nundos, 0, this.undos.length);
        this.undos = nundos;

        Constr[] nreason = new Constr[nvars];
        System.arraycopy(this.reason, 0, nreason, 0, this.reason.length);
        this.reason = nreason;

        boolean[] newFalsified = new boolean[2 * nvars];
        System.arraycopy(this.falsified, 0, newFalsified, 0,
                this.falsified.length);
        this.falsified = newFalsified;
    }
