@Override
    public void calcReason(int p, IVecInt outReason) {
        int nbUnassigned = 0;
        for (int i = 0; i < lits.length; i++) {
            if (this.voc.isFalsified(lits[i])) {
                outReason.push(lits[i] ^ 1);
            } else if (this.voc.isSatisfied(lits[i])) {
                outReason.push(lits[i]);
            } else {
                nbUnassigned++;
            }
        }
        assert nbUnassigned == (p == ILits.UNDEFINED ? 0 : 1);
    }
