public void reduce(IVec<Constr> learnedConstrs) {
        solver.sortOnActivity();
        int i, j;
        for (i = j = 0; i < solver.learnts.size() / 2; i++) {
            Constr c = solver.learnts.get(i);
            if (c.locked() || c.size() == 2) {
                solver.learnts.set(j++, solver.learnts.get(i));
            } else {
                c.remove(solver);
                solver.slistener.delete(c);
            }
        }
        for (; i < solver.learnts.size(); i++) {
            solver.learnts.set(j++, solver.learnts.get(i));
        }
        if (solver.isVerbose()) {
            solver.out.log(solver.getLogPrefix()
                    + "cleaning " + (solver.learnts.size() - j) //$NON-NLS-1$
                    + " clauses out of " + solver.learnts.size()); //$NON-NLS-1$ 
            // out.flush();
        }
        solver.learnts.shrinkTo(j);
    }
