public void reduce(IVec<Constr> learnedConstrs) {
        this.solver.sortOnActivity();
        int i, j;
        for (i = j = learnedConstrs.size() / 2; i < learnedConstrs.size(); i++) {
            Constr c = learnedConstrs.get(i);
            if (c.locked() || c.getActivity() <= 2.0) {
                learnedConstrs.set(j++, solver.learnts.get(i));
            } else {
                c.remove(solver);
                solver.slistener.delete(c);
            }
        }
        if (solver.isVerbose()) {
            solver.out
                    .log(this.solver.getLogPrefix()
                            + "cleaning " + (learnedConstrs.size() - j) //$NON-NLS-1$
                            + " clauses out of " + learnedConstrs.size() + " with flag " + this.flag + "/" + solver.stats.getConflicts()); //$NON-NLS-1$ //$NON-NLS-2$
            // out.flush();
        }
        solver.learnts.shrinkTo(j);

    }
