boolean setAndPropagate(Solver<? extends DataStructureFactory> solver, int p) {
        if (solver.voc.isUnassigned(p)) {
            assert !solver.trail.contains(p);
            assert !solver.trail.contains(neg(p));
            return solver.assume(p) && solver.propagate() == null;
        }
        return solver.voc.isSatisfied(p);
    }
