public IVecInt createBlockingClauseForCurrentModel() {
        IVecInt clause = new VecInt(decisions.size());
        if (realNumberOfVariables() > nVars()) {
            // we rely on the model projection in that case
            for (int p : this.model) {
                clause.push(-p);
            }
        } else {
            for (int i = 0; i < decisions.size(); i++) {
                clause.push(-decisions.get(i));
            }
        }

        return clause;
    }
