public void printLearntClausesInfos(PrintWriter out, String prefix) {
        if (this.learnts.isEmpty()) {
            return;
        }
        Map<String, Counter> learntTypes = new HashMap<String, Counter>();
        for (Iterator<Constr> it = this.learnts.iterator(); it.hasNext();) {
            String type = it.next().getClass().getName();
            Counter count = learntTypes.get(type);
            if (count == null) {
                learntTypes.put(type, new Counter());
            } else {
                count.inc();
            }
        }
        for (Map.Entry<String, Counter> entry : learntTypes.entrySet()) {
            out.println(prefix + "learnt constraints type " + entry.getKey()
                    + "\t: " + entry.getValue());
        }
    }
