public void setSimplifier(SimplificationType simp) {
        Field f;
        try {
            f = Solver.class.getDeclaredField(simp.toString());
            this.simplifier = (ISimplifier) f.get(this);
        } catch (Exception e) {
            Logger.getLogger("org.sat4j.core").log(Level.INFO,
                    "Issue when assigning simplifier: disabling simplification",
                    e);
            this.simplifier = NO_SIMPLIFICATION;
        }
    }
