@Override
    public void init() {
        // fill in level array
        int nlength = this.lits.nVars() + 1;
        if (level == null || level.length < nlength) {
            this.level = new int[nlength];
            for (int i = 0; i < nlength; i++) {
                level[i] = Integer.MAX_VALUE;
            }
        }
        IVecInt currentLevel;
        for (int i = 1; i <= varsByLevel.size(); i++) {
            currentLevel = varsByLevel.get(i - 1);
            for (int j = 0; j < currentLevel.size(); j++) {
                level[currentLevel.get(j)] = i;
            }
        }
        super.init();
    }
