@Override
    public int select() {
        // wait period branching
        if (this.cpt < this.period) {
            this.cpt++;
        } else {
            // try to find a pure literal
            this.cpt = 0;
            int nblits = 2 * this.lits.nVars();
            for (int i = 2; i <= nblits; i++) {
                if (this.lits.isUnassigned(i)
                        && this.lits.watches(i).size() > 0
                        && this.lits.watches(i ^ 1).size() == 0) {
                    return i;
                }
            }
        }
        // not found: using normal order
        return super.select();
    }
