public int nextInt() throws IOException, ParseFormatException {
        int val = 0;
        boolean neg = false;
        char currentChar = skipSpaces();
        if (currentChar == '-') {
            neg = true;
            currentChar = (char) this.in.read();
        } else if (currentChar == '+') {
            currentChar = (char) this.in.read();
        } else if (currentChar >= '0' && currentChar <= '9') {
            val = currentChar - '0';
            currentChar = (char) this.in.read();
        } else {
            throw new ParseFormatException("Unknown character " + currentChar);
        }
        /* on lit la suite du literal */
        while (currentChar >= '0' && currentChar <= '9') {
            val = val * 10 + currentChar - '0';
            currentChar = (char) this.in.read();
        }
        if (currentChar == '\r') {
            this.in.read(); // skip \r\n on windows.
        }
        return neg ? -val : val;
    }
