protected char manageCommentLine() throws IOException {
        char car;
        StringBuilder stb = new StringBuilder();
        do {
            car = (char) this.in.read();
            stb.append(car);
        } while (car != '\n' && car != EOF);
        String str = stb.toString().trim();
        if (str.startsWith("pmin")) {
            String[] tokens = str.split(" ");
            IVecInt p = new VecInt(tokens.length - 2);
            for (int i = 1; i < tokens.length - 1; i++) {
                p.push(Integer.parseInt(tokens[i]));
            }
            s = new Minimal4InclusionModel(s, p);
            System.out.println("c computing p-minimal model for p=" + p);
        } else if (isUsingMapping()) {
            String[] values = str.split("=");
            if (values.length == 2) {
                startsMapping();
                mapping.put(Integer.valueOf(values[0].trim()),
                        values[1].trim());
            }
        }
        return car;
    }
