public IVecInt compute(ISolver solver, IVecInt assumptions, IVecInt filter)
            throws TimeoutException {
        boolean result = solver.isSatisfiable(assumptions);
        if (!result) {
            throw new IllegalArgumentException("Formula is UNSAT!");
        }
        return bb.compute(solver, solver.primeImplicant(), assumptions, filter);

    }
