@Override
    public IVecInt unsatExplanation() {
        IVecInt internal = super.unsatExplanation();
        IVecInt external = new VecInt(internal.size());
        int p;
        Integer group;
        for (IteratorInt it = internal.iterator(); it.hasNext();) {
            p = it.next();
            if (p > 0) {
                group = varToHighLevel.get(p);
            } else {
                Integer negGroup = varToHighLevel.get(-p);
                group = (negGroup == null) ? (null) : (-negGroup);
            }
            if (group != null) {
                external.push(group);
            }
        }
        return external;
    }
