public void generate(int nb) {
        for (int i = 0; i < nb; i++) {
            // Looking for the variables to put in the constraint.
            IVecInt lits = new VecInt();
            for (IteratorInt it = samplingSet.variables(); it.hasNext();) {
                int var = it.next();
                if (RANDOM.nextBoolean()) {
                    lits.push(var);
                }
            }

            // Adding the generated constraint.
            // The parity is also randomly chosen.
            IConstr constr = solver.addParity(lits, RANDOM.nextBoolean());
            parityConstraints.add(constr);
        }

        // All added constraints are activated.
        activated = true;
    }
