@Override
    public IConstr addAtMost(ISolver solver, IVecInt literals, int degree)
            throws ContradictionException {
        ConstrGroup group = new ConstrGroup(false);

        IVecInt clause = new VecInt();

        if (degree == 1) {
            return addAtMostOne(solver, literals);
        }

        for (IVecInt vec : literals.subset(degree + 1)) {
            for (int i = 0; i < vec.size(); i++) {
                clause.push(-vec.get(i));
            }
            group.add(solver.addClause(clause));
            clause.clear();
        }
        return group;

    }
