public static EncodingStrategyAdapter getAdapterFromEncodingName(
            EncodingStrategy encodingName) {
        switch (encodingName) {
        case BINARY:
            return binary;
        case BINOMIAL:
            return binomial;
        case COMMANDER:
            return commander;
        case LADDER:
            return ladder;
        case PRODUCT:
            return product;
        case SEQUENTIAL:
            return seq;
        case NATIVE:
        default:
            throw new IllegalStateException(
                    "The switch does not cover all encodings");
        }
    }
