public static EncodingStrategy getEncodingTypeFromAdapter(
            EncodingStrategyAdapter adapter) {
        if (adapter instanceof Binary) {
            return EncodingStrategy.BINARY;
        } else if (adapter instanceof Binomial) {
            return EncodingStrategy.BINOMIAL;
        } else if (adapter instanceof Commander) {
            return EncodingStrategy.COMMANDER;
        } else if (adapter instanceof Ladder) {
            return EncodingStrategy.LADDER;
        } else if (adapter instanceof Product) {
            return EncodingStrategy.PRODUCT;
        } else if (adapter instanceof Sequential) {
            return EncodingStrategy.SEQUENTIAL;
        } else {
            return EncodingStrategy.NATIVE;
        }

    }
