@Test
    public void testEclipseTestCase() throws ContradictionException,
            TimeoutException {
        this.solver.newVar(3);
        IVecInt clause = new VecInt();
        clause.push(-1);
        this.solver.addClause(clause);
        clause.clear();
        clause.push(-2).push(3);
        this.solver.addClause(clause);
        clause.clear();
        clause.push(-2).push(1);
        this.solver.addClause(clause);
        clause.clear();
        clause.push(2);
        this.solver.addClause(clause);
        clause.clear();
        assertFalse(this.solver.isSatisfiable());
        Collection<IConstr> explanation = this.solver.explain();
        assertEquals(3, explanation.size());
    }
