@Test
    public void checkModelIterationWithExactly()
            throws ContradictionException, TimeoutException {
        ISolver solver = SolverFactory.newDefault();
        solver.newVar(5);
        solver.setExpectedNumberOfClauses(1);
        solver.addClause(new VecInt(new int[] { 1, 2, 3, 4, 5 }));
        solver.addExactly(new VecInt(new int[] { 1, 2, 3 }), 1);
        ModelIterator iterator = new ModelIterator(solver);
        while (iterator.isSatisfiable()) {
            iterator.model(); // to block that model
        }
        assertEquals(12, iterator.numberOfModelsFoundSoFar());
    }
