@Test(timeout = 1000)
    public void checkModelIterationWithUnitAndSatisfiableTrue()
            throws ContradictionException, TimeoutException {
        ISolver solver = SolverFactory.newDefault();
        solver.newVar(2);
        solver.setExpectedNumberOfClauses(3);
        solver.addClause(new VecInt(new int[] { 1 }));
        solver.addClause(new VecInt(new int[] { 1, 2 }));
        solver.addClause(new VecInt(new int[] { -1, -2 }));
        ModelIterator iterator = new ModelIterator(solver);
        while (iterator.isSatisfiable(true)) {
            iterator.model(); // to block that model
        }
        assertEquals(1, iterator.numberOfModelsFoundSoFar());
    }
