@Test
    public void testReaderFromLecteurDimacs() throws ParseFormatException,
            ContradictionException, IOException, TimeoutException {
        String cnfString = "p cnf 3 4\n1 2 3 0\n-1 -2 0\n-1 -3 0\n-2 -3 0";
        LecteurDimacs reader = new LecteurDimacs(SolverFactory.newDefault());
        IProblem problem = reader.parseInstance(new ByteArrayInputStream(
                cnfString.getBytes()));
        assertNotNull(problem);
        assertTrue(problem.isSatisfiable());
    }
