@Parameters
    public static Collection<Object[]> generateSolvers() {
        Collection<Object[]> solvers = new ArrayList<Object[]>();
        for (String name : SolverFactory.instance().solverNames()) {
            if (!"DimacsOutput".equals(name) && !"Statistics".equals(name)) {
                solvers.add(new Object[] {
                        SolverFactory.instance().createSolverByName(name),
                        name });
            }
        }
        return solvers;
    }
