@Test
    public void testJeanGuy1() throws ContradictionException, TimeoutException {
        Solver<DataStructureFactory> solver = SolverFactory.newGlucose();
        int[] backdoor = { 1, 2, 3, 4 };
        IOrder order = new SubsetVarOrder(backdoor);
        solver.setOrder(order);
        IVecInt clause = new VecInt();
        clause.push(-1).push(5);
        solver.addClause(clause);
        clause = new VecInt();
        clause.push(-2).push(3).push(5);
        solver.addClause(clause);
        clause = new VecInt();
        clause.push(-4).push(5);
        solver.addClause(clause);
        assertTrue(solver.isSatisfiable());
    }
