@Test
    public void testOptimalSolutionWithFullClauseSelectorFindModel()
            throws ContradictionException, TimeoutException {

        FullClauseSelectorSolver<ISolver> softSolver = new FullClauseSelectorSolver<ISolver>(
                adapter, false);
        int[] model = softSolver.findModel();
        assertEquals(4, model.length);
        assertEquals(1, model[0]);
        assertEquals(-2, model[1]);
        assertEquals(-3, model[2]);
        assertEquals(-4, model[3]);
    }
