@Test
    public void test05DecisionModeUNSATPROOF() {
        BasicLauncher<ISolver> launcher = new BasicLauncher<ISolver>(
                SolverFactory.instance());
        String[] args = { "src/test/testfiles/aim-50-no-ok.cnf" };
        System.setProperty("UNSATPROOF", "true");
        launcher.run(args);
        assertEquals(ExitCode.UNSATISFIABLE, launcher.getExitCode());
        assertTrue(new File(args[0] + ".rupproof").exists());
        System.clearProperty("UNSATPROOF");
    }
