public void testHasASingleSolutionIVecInt() throws ContradictionException,
            TimeoutException {
        IVecInt clause = new VecInt();
        clause.push(1).push(2);
        this.detector.addClause(clause);
        IVecInt assumptions = new VecInt();
        assumptions.push(1);
        assertTrue(this.detector.isSatisfiable(assumptions));
        assertFalse(this.detector.hasASingleSolution(assumptions));
        clause.clear();
        clause.push(-1).push(2);
        this.detector.addClause(clause);
        assertTrue(this.detector.isSatisfiable(assumptions));
        assertTrue(this.detector.hasASingleSolution(assumptions));
        clause.clear();
        clause.push(-1).push(-2);
        this.detector.addClause(clause);
        assertFalse(this.detector.isSatisfiable(assumptions));
        try {
            assertFalse(this.detector.hasASingleSolution(assumptions));
            fail();
        } catch (UnsupportedOperationException e) {
            // OK
        }
    }
