@Test(timeout = 60000)
    public void testOnlyCDCLSolversCanSolveEfficientlyThis()
            throws ContradictionException, TimeoutException,
            ParseFormatException, IOException {
        ISolver solver = SolverFactory.newDefault();
        Reader reader = new DimacsReader(solver);
        reader.parseInstance("src/test/testfiles/bmc-ibm-3.cnf.gz");
        assertTrue(solver.isSatisfiable());
    }
