@Test
    public void checkBugReportedByThomas() throws ContradictionException {
        ISolver solver = SolverFactory.newDefault();
        ConstrGroup g1 = new ConstrGroup();

        IVecInt clause = new VecInt(new int[] { 1 });
        solver.addClause(clause);

        // starting group
        clause.clear();
        clause.push(2).push(-3).push(-5);
        g1.add(solver.addClause(clause));

        clause.clear();
        clause.push(-3).push(-2).push(-4);
        g1.add(solver.addClause(clause));
        assertEquals(3, solver.nConstraints());

        g1.removeFrom(solver);
        assertEquals(1, solver.nConstraints());
    }
