@Test
    public void checkGroupDoesWorkWhenClausesAreReducedByUnitPropgation()
            throws ContradictionException {
        ISolver solver = SolverFactory.newDefault();
        ConstrGroup g1 = new ConstrGroup();

        IVecInt clause = new VecInt(new int[] { 1 });
        solver.addClause(clause);

        // starting group
        clause.clear();
        clause.push(-1).push(-2);
        g1.add(solver.addClause(clause));
        assertEquals(1, g1.size());
    }
