public void testIsImplied() {
        this.solver.newVar(3);
        IVecInt c1 = new VecInt().push(1);
        try {
            this.solver.addClause(c1);
            assertTrue("isImplied(1) ", this.solver.getVocabulary()
                    .isImplied(2));
            assertFalse("isImplied(2) :", this.solver.getVocabulary()
                    .isImplied(4));
            this.solver.propagate();
            assertTrue("isImplied(1) ", this.solver.getVocabulary()
                    .isImplied(2));
            assertFalse("isImplied(2) :", this.solver.getVocabulary()
                    .isImplied(4));
        } catch (ContradictionException e) {
            fail();
        }
    }
