public void testRemoveAtLeast() {
        this.solver.newVar(3);
        IVecInt c1 = new VecInt().push(1).push(2).push(3);
        try {
            this.solver.addClause(c1); // 4 12 14
            assertEquals(1, this.solver.nConstraints());
            assertEquals(3, c1.size());
            IConstr atLeast = this.solver.addAtLeast(c1, 2);
            assertEquals(2, this.solver.nConstraints());
            this.solver.removeConstr(atLeast);
            assertEquals(1, this.solver.nConstraints());
        } catch (ContradictionException e) {
            fail();
        }
    }
