@Test
    public void testMaxSAtIteratorIfSat() throws ContradictionException,
            TimeoutException {
        ISolver solver = new ModelIterator(new OptToSatAdapter(
                new MaxSatDecorator(SolverFactory.newDefault())));
        solver.newVar(3);
        IVecInt literals = new VecInt();
        literals.push(-1).push(-2).push(3);
        solver.addClause(literals);
        literals.clear();
        literals.push(-1).push(2);
        solver.addClause(literals);
        literals.clear();
        literals.push(-1).push(-3);
        solver.addClause(literals);
        literals.clear();
        assertTrue(solver.isSatisfiable());
        assertEquals(3, solver.model().length);
        System.out.println("" + solver.model(1) + solver.model(2)
                + solver.model(3));
        assertTrue(solver.isSatisfiable());
        assertEquals(3, solver.model().length);
        System.out.println("" + solver.model(1) + solver.model(2)
                + solver.model(3));
        assertTrue(solver.isSatisfiable());
        assertEquals(3, solver.model().length);
        System.out.println("" + solver.model(1) + solver.model(2)
                + solver.model(3));
        assertTrue(solver.isSatisfiable());
        assertEquals(3, solver.model().length);
        System.out.println("" + solver.model(1) + solver.model(2)
                + solver.model(3));
        assertTrue(solver.isSatisfiable());
        assertEquals(3, solver.model().length);
        System.out.println("" + solver.model(1) + solver.model(2)
                + solver.model(3));
        assertTrue(solver.isSatisfiable());
        assertEquals(3, solver.model().length);
        System.out.println("" + solver.model(1) + solver.model(2)
                + solver.model(3));
        assertTrue(solver.isSatisfiable());
        assertEquals(3, solver.model().length);
        System.out.println("" + solver.model(1) + solver.model(2)
                + solver.model(3));
        assertTrue(solver.isSatisfiable());
        assertEquals(3, solver.model().length);
        System.out.println("" + solver.model(1) + solver.model(2)
                + solver.model(3));
        assertFalse(solver.isSatisfiable());
    }
