private ISolver getSolver(ISolver solver, int vars, int clauses) {
        if (solver == null) {
            solver = SolverFactory.newDefault();
            solver.setTimeout(3600);
            solver.newVar(vars);
            solver.setExpectedNumberOfClauses(clauses);
        } else {
            solver.reset();
            solver.clearLearntClauses();
        }
        return solver;
    }
