@Test
    public void testEasyInconsistencyInAssumption()
            throws ContradictionException, TimeoutException {
        final ISolver solver = SolverFactory.newDefault();
        solver.newVar(1);
        assertFalse(solver.isSatisfiable(new VecInt(new int[] { -1, 1 })));
        IVecInt explanation = solver.unsatExplanation();
        assertTrue(explanation.contains(-1));
        assertTrue(explanation.contains(1));
        assertEquals(2, explanation.size());
    }
