@Test
    public void testUnitClauseInFormulaUnsat() throws ContradictionException,
            TimeoutException {
        final ISolver solver = SolverFactory.newDefault();
        solver.newVar(1);
        solver.addClause(new VecInt(new int[] { 1 }));
        assertFalse(solver.isSatisfiable(new VecInt(new int[] { -1 })));
        IVecInt explanation = solver.unsatExplanation();
        assertTrue(explanation.contains(-1));
        assertEquals(1, explanation.size());
    }
