public void testIncrease() {
        double[] activity = new double[] { 0.0, 3.0, 6.0, 9.0 };
        Heap heap = new Heap(new ActivityBasedVariableComparator(activity));
        heap.setBounds(5);
        heap.insert(1);
        heap.insert(2);
        heap.insert(3);
        assertEquals(3, heap.getmin());
        assertFalse(heap.inHeap(3));
        heap.insert(3);
        activity[2] = 12.0;
        heap.increase(2);
        assertEquals(2, heap.getmin());
    }
