@Test
    public void testFolletExample() throws ContradictionException,
            TimeoutException {
        IVecInt clause = new VecInt();
        clause.push(1);
        this.solver.addClause(clause);
        clause.clear();
        clause.push(2).push(3);
        this.solver.addClause(clause);
        clause.clear();
        clause.push(3);
        this.solver.addClause(clause);
        clause.clear();
        assertTrue(this.solver.isSatisfiable());
        int[] model = this.solver.model();
        assertEquals(3, model.length);
        int[] implicant = prime.compute(solver);
        assertEquals(2, implicant.length);
    }
