@Test
    public void testEmptyBackbone()
            throws ContradictionException, TimeoutException {
        ISolver solver = SolverFactory.newDefault();
        IVecInt clause = new VecInt();
        clause.push(1).push(2).push(3);
        solver.addClause(clause);
        clause.clear();
        clause.push(-1).push(-2);
        solver.addClause(clause);
        clause.clear();
        clause.push(-1).push(-3);
        solver.addClause(clause);
        clause.clear();
        IVecInt backbone = Backbone.instance().compute(solver);
        assertEquals(0, backbone.size());
    }
