@Test
    public void testAlmostGlobalInconsistencyII()
            throws ContradictionException, TimeoutException {
        this.solver.newVar(3);
        IVecInt clause = new VecInt();
        clause.push(1).push(2);
        this.checkListener.addOriginalClause(clause);
        IConstr c1 = this.solver.addClause(clause);
        clause.clear();
        clause.push(1).push(-2);
        this.checkListener.addOriginalClause(clause);
        IConstr c2 = this.solver.addClause(clause);
        clause.clear();
        clause.push(1).push(3);
        this.checkListener.addOriginalClause(clause);
        this.solver.addClause(clause);
        clause.clear();
        clause.push(-1).push(2);
        this.checkListener.addOriginalClause(clause);
        IConstr c4 = this.solver.addClause(clause);
        clause.clear();
        clause.push(-1).push(-2);
        this.checkListener.addOriginalClause(clause);
        IConstr c5 = this.solver.addClause(clause);
        clause.clear();
        List<IVecInt> muses = allMUSes.computeAllMUSes(checkListener);
        assertEquals(1, muses.size());

    }
