@Test
    public void testEclipseTestCase() throws ContradictionException,
            TimeoutException {
        this.solver.newVar(3);
        IVecInt clause = new VecInt();
        clause.push(-1);
        this.checkListener.addOriginalClause(clause);
        this.solver.addClause(clause);
        clause.clear();
        clause.push(-2).push(3);
        this.checkListener.addOriginalClause(clause);
        this.solver.addClause(clause);
        clause.clear();
        clause.push(-2).push(1);
        this.checkListener.addOriginalClause(clause);
        this.solver.addClause(clause);
        clause.clear();
        clause.push(2);
        this.checkListener.addOriginalClause(clause);
        this.solver.addClause(clause);
        clause.clear();
        List<IVecInt> muses = allMUSes.computeAllMUSes(checkListener);
        assertEquals(1, muses.size());
    }
