@Test
    public void testExample1CADECedric() throws ContradictionException,
            TimeoutException {
        this.solver.newVar(5);
        IVecInt clause = new VecInt();

        clause.push(-4).push(5);
        this.checkListener.addOriginalClause(clause);
        this.solver.addClause(clause);
        clause.clear();

        clause.push(2).push(-3);
        this.checkListener.addOriginalClause(clause);
        this.solver.addClause(clause);
        clause.clear();

        clause.push(-4);
        this.checkListener.addOriginalClause(clause);
        this.solver.addClause(clause);
        clause.clear();

        clause.push(-1).push(2);
        this.checkListener.addOriginalClause(clause);
        this.solver.addClause(clause);
        clause.clear();

        clause.push(1);
        this.checkListener.addOriginalClause(clause);
        this.solver.addClause(clause);
        clause.clear();

        clause.push(1).push(-3).push(-5);
        this.checkListener.addOriginalClause(clause);
        this.solver.addClause(clause);
        clause.clear();

        clause.push(-1).push(3).push(4);
        this.checkListener.addOriginalClause(clause);
        this.solver.addClause(clause);
        clause.clear();

        clause.push(-2);
        this.checkListener.addOriginalClause(clause);
        this.solver.addClause(clause);
        clause.clear();

        List<IVecInt> muses = allMUSes.computeAllMUSes(checkListener);
        assertEquals(2, muses.size());
    }
