@Test
    public void testExample3CADECedric() throws ContradictionException,
            TimeoutException {
        this.solver.newVar(6);
        IVecInt clause = new VecInt();

        clause.push(1);
        this.checkListener.addOriginalClause(clause);
        this.solver.addClause(clause);
        clause.clear();

        clause.push(2).push(4);
        this.checkListener.addOriginalClause(clause);
        this.solver.addClause(clause);
        clause.clear();

        clause.push(-2).push(-5);
        this.checkListener.addOriginalClause(clause);
        this.solver.addClause(clause);
        clause.clear();

        clause.push(1).push(4);
        this.checkListener.addOriginalClause(clause);
        this.solver.addClause(clause);
        clause.clear();

        clause.push(2).push(-3);
        this.checkListener.addOriginalClause(clause);
        this.solver.addClause(clause);
        clause.clear();

        clause.push(6);
        this.checkListener.addOriginalClause(clause);
        this.solver.addClause(clause);
        clause.clear();

        clause.push(3).push(-4);
        this.checkListener.addOriginalClause(clause);
        this.solver.addClause(clause);
        clause.clear();

        clause.push(-1);
        this.checkListener.addOriginalClause(clause);
        this.solver.addClause(clause);
        clause.clear();

        clause.push(-2).push(-3);
        this.checkListener.addOriginalClause(clause);
        this.solver.addClause(clause);
        clause.clear();

        clause.push(2).push(4).push(6);
        this.checkListener.addOriginalClause(clause);
        this.solver.addClause(clause);
        clause.clear();

        clause.push(5);
        this.checkListener.addOriginalClause(clause);
        this.solver.addClause(clause);
        clause.clear();

        clause.push(-6).push(4);
        this.checkListener.addOriginalClause(clause);
        this.solver.addClause(clause);
        clause.clear();

        clause.push(-5).push(-6);
        this.checkListener.addOriginalClause(clause);
        this.solver.addClause(clause);
        clause.clear();

        clause.push(1).push(-3).push(4);
        this.checkListener.addOriginalClause(clause);
        this.solver.addClause(clause);
        clause.clear();

        List<IVecInt> muses = allMUSes.computeAllMUSes(checkListener);
        assertEquals(9, muses.size());
    }
