@Test
    public void testVerySimpleCase() {
        IVecInt c1 = new VecInt();
        IVecInt c2 = new VecInt();

        c1.push(1);
        c2.push(-1);

        this.solver.newVar(1);

        try {

            this.checkListener.addOriginalClause(c1);
            this.checkListener.addOriginalClause(c2);

            this.solver.addClause(c1);
            this.solver.addClause(c2);

            List<IVecInt> muses = allMUSes.computeAllMUSes(checkListener);

            assertEquals(muses.size(), 1);

        } catch (ContradictionException e) {
            e.printStackTrace();
        }
    }
