@Before
    public void setUp() {
        this.policy = new Policy();
        this.policy.setAtMostOneEncoding(EncodingStrategy.BINOMIAL);
        this.policy.setAtMostKEncoding(EncodingStrategy.BINOMIAL);
        this.policy.setAtLeastOneEncoding(EncodingStrategy.BINOMIAL);
        this.policy.setAtLeastKEncoding(EncodingStrategy.BINOMIAL);
        this.policy.setExactlyOneEncoding(EncodingStrategy.BINOMIAL);
        this.policy.setExactlyKEncoding(EncodingStrategy.BINOMIAL);

        this.solver = new ClausalCardinalitiesDecorator<ISolver>(
                SolverFactory.newDefault(), this.policy);
    }
