@Before
    public void setUp() {
        this.policy = new Policy();
        this.policy.setAtMostOneEncoding(EncodingStrategy.LADDER);
        this.policy.setAtMostKEncoding(EncodingStrategy.LADDER);
        this.policy.setAtLeastOneEncoding(EncodingStrategy.LADDER);
        this.policy.setAtLeastKEncoding(EncodingStrategy.LADDER);
        this.policy.setExactlyOneEncoding(EncodingStrategy.LADDER);
        this.policy.setExactlyKEncoding(EncodingStrategy.LADDER);

        this.solver = new ClausalCardinalitiesDecorator<ISolver>(
                SolverFactory.newDefault(), policy);
    }
