@Before
    public void setUp() {
        this.policy = new Policy();
        this.policy.setAtMostOneEncoding(EncodingStrategy.SEQUENTIAL);
        this.policy.setAtMostKEncoding(EncodingStrategy.SEQUENTIAL);
        this.policy.setAtLeastOneEncoding(EncodingStrategy.SEQUENTIAL);
        this.policy.setAtLeastKEncoding(EncodingStrategy.SEQUENTIAL);
        this.policy.setExactlyOneEncoding(EncodingStrategy.SEQUENTIAL);
        this.policy.setExactlyKEncoding(EncodingStrategy.SEQUENTIAL);

        this.solver = new ClausalCardinalitiesDecorator<ISolver>(
                SolverFactory.newDefault(), policy);
    }
