@Override
	public IProblem parseInstance(InputStream in) throws ParseFormatException, ContradictionException, IOException {
		int[][] matrix = readMatrixFromFile(in);
		createStructuralConstraints(numberOfAlternatives);
		handleMatrix(numberOfAlternatives, numberOfVoters, matrix);
		System.out.println("Creating hard constraints");
		createHardConstraints(numberOfAlternatives, numberOfVoters);
		System.out.println("Creating optimization function");
		createOptimizationFunction(numberOfAlternatives, numberOfVoters);
		return pbsolver;
	}
