@Override
    public boolean isSatisfiable() throws TimeoutException {
        IVecInt hs = new VecInt(hsfinder.findModel());
        while (!decorated().isSatisfiable(hs)) {
            if (isVerbose()) {
                System.out.print(".");
            }
            IVecInt core = decorated().unsatExplanation();
            IVecInt clause = new VecInt(core.size());
            for (IteratorInt it = core.iterator(); it.hasNext();) {
                clause.push(-it.next());
            }
            try {
                hsfinder.addClause(clause);
            } catch (ContradictionException e) {
                return false;
            }
            hs = new VecInt(hsfinder.findModel());
        }
        return true;
    }
