@Test
    public void test() throws ContradictionException, TimeoutException {
        WeightedMaxSatDecorator wms = new WeightedMaxSatDecorator(SolverFactory.newDefault());
        wms.newVar(401432);
        wms.setExpectedNumberOfClauses(1);
        wms.setTopWeight(BigInteger.valueOf(729));
        IVecInt clause = new VecInt().push(-378671).push(59559);
        wms.addSoftClause(BigInteger.valueOf(729),clause);
        IProblem problem = new OptToPBSATAdapter(new PseudoOptDecorator(wms,false,true));
        assertTrue(problem.isSatisfiable());
        
    }
