@Test
    public void testOnePMS() throws ContradictionException, TimeoutException {
        pwms.newVar(4);
        pwms.addHardClause(new VecInt(new int[] {1,2,3,4}));
        pwms.addSoftClause(new VecInt(new int[] {-1,-2}));
        pwms.addSoftClause(new VecInt(new int[] {-1,2}));
        pwms.addSoftClause(new VecInt(new int[] {1,-3}));
        pwms.addSoftClause(new VecInt(new int[] {1,3}));
        assertTrue(pwms.isSatisfiable());
        assertEquals(pwms.violatedWeight(),BigInteger.ONE);
        
    }
