@Test
    public void testOneWPMS() throws ContradictionException, TimeoutException {
        pwms.newVar(4);
        pwms.addHardClause(new VecInt(new int[] {1,2,3,4}));
        pwms.addSoftClause(1000,new VecInt(new int[] {-1,-2}));
        pwms.addSoftClause(500,new VecInt(new int[] {-1,2}));
        pwms.addSoftClause(200,new VecInt(new int[] {1,-3}));
        pwms.addSoftClause(100,new VecInt(new int[] {1,3}));
        assertTrue(pwms.isSatisfiable());
        assertEquals(pwms.violatedWeight(),BigInteger.valueOf(100));     
    }
