public IConstr addAtLeast(IVecInt literals, IVec<BigInteger> coeffs,
            BigInteger degree, int groupId) throws ContradictionException {
        int newvar = getGroupVar(literals, groupId);
        literals.push(newvar);
        if (degree.signum() >= 0) {
            coeffs.push(degree);
        } else {
            BigInteger sum = BigInteger.ZERO;
            for (Iterator<BigInteger> ite = coeffs.iterator(); ite.hasNext();) {
                sum = sum.add(ite.next());
            }
            sum = sum.subtract(degree);
            coeffs.push(sum.negate());
        }
        return decorated().addAtLeast(literals, coeffs, degree);
    }
