public IConstr addAtLeast(IVecInt literals, IVecInt coeffs, int degree,
            int groupId) throws ContradictionException {
        int newvar = getGroupVar(literals, groupId);
        literals.push(newvar);
        if (degree >= 0) {
            coeffs.push(degree);
        } else {
            int sum = 0;
            for (IteratorInt ite = coeffs.iterator(); ite.hasNext();) {
                sum = sum + ite.next();
            }
            sum = sum - degree;
            coeffs.push(-sum);
        }
        return decorated().addAtLeast(literals, coeffs, degree);
    }
