public IConstr addAtMost(IVecInt literals, IVec<BigInteger> coeffs,
            BigInteger degree, int groupdId) throws ContradictionException {
        int newvar = getGroupVar(literals, groupdId);
        literals.push(newvar);
        BigInteger sum = BigInteger.ZERO;
        for (Iterator<BigInteger> ite = coeffs.iterator(); ite.hasNext();) {
            sum = sum.add(ite.next());
        }
        sum = sum.subtract(degree);
        coeffs.push(sum.negate());
        return decorated().addAtMost(literals, coeffs, degree);
    }
