@Override
    protected void displayResult() {
        super.displayResult();
        ExitCode exitCode = getExitCode();

        if (exitCode == ExitCode.UNSATISFIABLE) {
            try {

                Collection<IConstr> explanation = this.quickxplain.explain();
                log("Explanation for inconsistency: " + explanation);
            } catch (TimeoutException e) {
                log("Timeout ! Need more time to complete");
            }
        }

    }
