@Override
    protected void configureLauncher() {
        this.handle = new PBSolverHandle((IPBSolver) this.solver);
        String all = System.getProperty("all");
        if (all != null) {
            feedWithDecorated = true;
            this.solver = new OptimalModelIterator(
                    new OptToPBSATAdapter(this.handle));
            setLauncherMode(ILauncherMode.DECISION);
        }
        super.configureLauncher();
    }
