public BigInteger calculateDegreeImplicant(ISolver solver) {
        BigInteger tempDegree = BigInteger.ZERO;
        for (int i = 0; i < this.vars.size(); i++) {
            BigInteger coeff = this.coeffs.get(i);
            if (solver.primeImplicant(this.vars.get(i)) || coeff.signum() < 0
                    && !solver.primeImplicant(-this.vars.get(i))) {
                // if the variable does not appear in the model, it can be
                // assigned either way
                tempDegree = tempDegree.add(coeff);
            }
        }
        return tempDegree;
    }
