public BigInteger calculateDegree(RandomAccessModel lazyModel) {
        BigInteger tempDegree = BigInteger.ZERO;
        for (int i = 0; i < this.vars.size(); i++) {
            BigInteger coeff = this.coeffs.get(i);
            if (varInModel(this.vars.get(i), lazyModel) || coeff.signum() < 0
                    && !varInModel(-this.vars.get(i), lazyModel)) {
                // if the variable does not appear in the model, it can be
                // assigned
                // either way
                tempDegree = tempDegree.add(coeff);
            }
        }
        return tempDegree;
    }
