@Override
    public boolean isSatisfiable(IVecInt assumps, boolean global)
            throws TimeoutException {
        boolean result = super.isSatisfiable(assumps, global);
        if (result) {
            this.prevmodel = super.model();
            this.prevModelBlockingClause = super.createBlockingClauseForCurrentModel();
            this.prevmodelwithadditionalvars = super.modelWithInternalVariables();
            this.prevfullmodel = new boolean[nVars()];
            for (int i = 0; i < nVars(); i++) {
                this.prevfullmodel[i] = decorated().model(i + 1);
            }
            if (optimizationTimeout > 0) {
                super.expireTimeout();
                super.setTimeout(optimizationTimeout);
            }

        } else {
            if (this.previousPBConstr != null) {
                decorated().removeConstr(this.previousPBConstr);
                this.previousPBConstr = null;
            }
            super.setTimeout(solverTimeout);
        }
        return result;
    }
