public static PBSolverResCP newPBCPMixedConstraintsResCP(long bound) {
        MiniSATLearning<PBDataStructureFactory> learning = new MiniSATLearning<PBDataStructureFactory>();
        PBSolverResCP solver = new PBSolverResCP(learning,
                new PBMaxClauseCardConstrDataStructure(),
                new VarOrderHeapObjective(), bound);
        learning.setDataStructureFactory(solver.getDSFactory());
        learning.setVarActivityListener(solver);
        solver.setSimplifier(solver.EXPENSIVE_SIMPLIFICATION);
        return solver;
    }
