private static PBSolverCP newPBCPStarDivideBy2(PBDataStructureFactory dsf,
            IOrder order, boolean noRemove, boolean skipAllow) {
        MiniSATLearning<PBDataStructureFactory> learning = new MiniSATLearning<PBDataStructureFactory>();
        PBSolverCP solver = new PBSolverCPLongDivideBy2(learning, dsf, order,
                noRemove, skipAllow);
        learning.setDataStructureFactory(solver.getDSFactory());
        learning.setVarActivityListener(solver);
        solver.setRestartStrategy(new ArminRestarts());
        solver.setLearnedConstraintsDeletionStrategy(solver.lbd_based);
        return solver;
    }
