private static PBSolverCP newPBCPStar(PBDataStructureFactory dsf,
            IOrder order, boolean noRemove, boolean skipAllow) {
        MiniSATLearning<PBDataStructureFactory> learning = new MiniSATLearning<PBDataStructureFactory>();
        PBSolverCP solver = new PBSolverCPLong(learning, dsf, order, noRemove,
                skipAllow);
        // PBSolverCP solver = new PBSolverCautious(learning, dsf, order,
        // PBSolverCautious.BOUND);
        learning.setDataStructureFactory(solver.getDSFactory());
        learning.setVarActivityListener(solver);
        solver.setRestartStrategy(new ArminRestarts());
        solver.setLearnedConstraintsDeletionStrategy(solver.lbd_based);
        return solver;
    }
