@Override
    public IConstr addClause(IVecInt literals) throws ContradictionException {
        StringBuilder out = getOut();
        this.nbOfConstraints++;
        int lit;
        boolean beginning = true;
        for (IteratorInt iterator = literals.iterator(); iterator.hasNext();) {
            lit = iterator.next();
            if (lit > 0) {
                if (beginning) {
                    out.append("-> ");
                    beginning = false;
                }
                out.append(this.mapping.get(lit));
            } else {
                if (!beginning) {
                    out.append(" NOT ");
                }
                out.append(this.mapping.get(-lit));
            }
            out.append(" ");
            if (iterator.hasNext() && !beginning) {
                out.append("OR ");
            }
        }
        if (beginning) {
            out.append("-> false");
        }
        out.append(" ;\n");
        return FakeConstr.instance();
    }
