private Object decode(ObjectiveFunction obj2) {
        StringBuilder stb = new StringBuilder();
        IVecInt vars = obj2.getVars();
        IVec<BigInteger> coeffs = obj2.getCoeffs();
        int lit;
        for (int i = 0; i < vars.size(); i++) {
            stb.append(coeffs.get(i));
            stb.append(" ");
            lit = vars.get(i);
            if (lit > 0) {
                stb.append(this.mapping.get(lit));
            } else {
                stb.append("~");
                stb.append(this.mapping.get(-lit));
            }
            stb.append(" ");
        }

        return stb.toString();
    }
