private Constr learntConstraintFactory(IVecInt literals,
            IVec<BigInteger> coefs, BigInteger degree, boolean moreThan) {
        int[] lits = new int[literals.size()];
        literals.copyTo(lits);
        BigInteger[] bc = new BigInteger[coefs.size()];
        coefs.copyTo(bc);
        degree = Pseudos.niceCheckedParametersForCompetition(lits, bc,
                moreThan, degree);

        return MinWatchPb.normalizedWatchPbNew(getVocabulary(), new MapPb(
                literals, coefs, degree));
    }
