public Constr constructClause(UnitPropagationListener solver, ILits voc,
            IVecInt v) {
        if (v == null) {
            // tautological clause
            return Constr.TAUTOLOGY;
        }
        if (v.size() == 1) {
            return new UnitClause(v.last());
        }
        if (v.size() == 2) {
            return OriginalBinaryClause.brandNewClause(solver, voc, v);
        }
        return OriginalWLClause.brandNewClause(solver, voc, v);
    }
