private Constr createConciseBinaryClause(IVecInt literals, ILits voc) {
        assert literals.size() == 2;
        if (binaryClauses == null) {
            binaryClauses = new BinaryClauses[voc.nVars() * 2 + 2];
        } else if (binaryClauses.length < voc.nVars() * 2 + 1) {
            BinaryClauses[] newBinaryClauses = new BinaryClauses[voc.nVars() * 2 + 2];
            System.arraycopy(binaryClauses, 0, newBinaryClauses, 0,
                    binaryClauses.length);
            binaryClauses = newBinaryClauses;
        }
        BinaryClauses first, second;
        if ((first = binaryClauses[literals.get(0)]) == null) {
            first = new BinaryClauses(voc, literals.get(0));
            voc.watch(literals.get(0) ^ 1, first);
            binaryClauses[literals.get(0)] = first;
        }
        if ((second = binaryClauses[literals.get(1)]) == null) {
            second = new BinaryClauses(voc, literals.get(1));
            voc.watch(literals.get(1) ^ 1, second);
            binaryClauses[literals.get(1)] = second;
        }
        first.addBinaryClause(literals.get(1));
        second.addBinaryClause(literals.get(0));
        return first;
        // return new BinaryClauseHandle(literals.get(0), literals.get(1),
        // first,
        // second);
    }
