public BigInteger saturation() {
        assert this.degree.signum() > 0;
        BigInteger minimum = this.degree;
        for (int ind = 0; ind < size(); ind++) {
            assert this.weightedLits.getCoef(ind).signum() >= 0;
            if (this.degree.compareTo(this.weightedLits.getCoef(ind)) < 0) {
                changeCoef(ind, this.degree);
            }
            assert this.weightedLits.getCoef(ind).signum() >= 0;
            if (this.weightedLits.getCoef(ind).signum() > 0)
                minimum = minimum.min(this.weightedLits.getCoef(ind));
        }
        // a clause has been learned
        if (minimum.equals(this.degree)
                && minimum.compareTo(BigInteger.ONE) > 0) {
            this.degree = BigInteger.ONE;
            for (int ind = 0; ind < size(); ind++) {
                changeCoef(ind, BigInteger.ONE);
            }
        }

        return this.degree;
    }
