public static IDataStructurePB niceParameters(IVecInt ps,
            IVec<BigInteger> bigCoefs, boolean moreThan, BigInteger bigDeg,
            ILits voc) throws ContradictionException {
        // Ajouter les simplifications quand la structure sera d?finitive
        if (ps.size() == 0) {
            if (moreThan && bigDeg.signum() > 0
                    || !moreThan && bigDeg.signum() < 0) {
                throw new ContradictionException("Creating Empty clause ?");
            }
            // ignoring tautological constraint
            return IDataStructurePB.TAUTOLOGY;
        }
        if (ps.size() != bigCoefs.size()) {
            throw new IllegalArgumentException(
                    "Contradiction dans la taille des tableaux ps=" + ps.size()
                            + " coefs=" + bigCoefs.size() + ".");
        }
        return niceCheckedParameters(ps, bigCoefs, moreThan, bigDeg, voc);
    }
