@Override
    protected BigInteger updateWatched(BigInteger mc, int pIndice) {
        BigInteger maxCoef = mc;
        if (this.watchingCount < size()) {
            BigInteger upWatchCumul = this.watchCumul
                    .subtract(this.coefs[pIndice]);
            BigInteger borneSup = this.degree.add(maxCoef);
            for (int ind = 0; ind < this.lits.length
                    && upWatchCumul.compareTo(borneSup) < 0; ind++) {
                if (!this.voc.isFalsified(this.lits[ind]) && !this.watched[ind]) {
                    upWatchCumul = upWatchCumul.add(this.coefs[ind]);
                    this.watched[ind] = true;
                    assert this.watchingCount < size();
                    this.watching[this.watchingCount++] = ind;
                    this.voc.watch(this.lits[ind] ^ 1, this);
                }
            }
            this.watchCumul = upWatchCumul.add(this.coefs[pIndice]);
        }
        return maxCoef;
    }
