public boolean isAssertive(int dl) {
        BigInteger slack = BigInteger.ZERO;
        for (int i = 0; i < this.lits.length; i++) {
            if (this.coefs[i].signum() > 0
                    && (!this.voc.isFalsified(this.lits[i])
                            || this.voc.getLevel(this.lits[i]) >= dl)) {
                slack = slack.add(this.coefs[i]);
            }
        }
        slack = slack.subtract(this.degree);
        if (slack.signum() < 0) {
            return false;
        }
        for (int i = 0; i < this.lits.length; i++) {
            if (this.coefs[i].signum() > 0
                    && (this.voc.isUnassigned(this.lits[i])
                            || this.voc.getLevel(this.lits[i]) >= dl)
                    && slack.compareTo(this.coefs[i]) < 0) {
                return true;
            }
        }
        return false;
    }
