public boolean simplify() {
        BigInteger cumul = BigInteger.ZERO;

        int i = 0;
        while (i < this.lits.length && cumul.compareTo(this.degree) < 0) {
            if (this.voc.isSatisfied(this.lits[i])) {
                // strong measure
                cumul = cumul.add(this.coefs[i]);
            }
            i++;
        }

        return cumul.compareTo(this.degree) >= 0;
    }
