public void addIntegerVariableToObjectiveFunction(IntegerVariable var,
            BigInteger weight) {
        IVecInt varsCopy = new VecInt(decorated().getObjectiveFunction()
                .getVars().toArray());
        Object[] coeffsArray = decorated().getObjectiveFunction().getCoeffs()
                .toArray();
        IVec<BigInteger> coeffsCopy = new Vec<BigInteger>();
        for (int i = 0; i < coeffsArray.length; ++i) {
            coeffsCopy.push((BigInteger) coeffsArray[i]);
        }
        pushIntegerVariables(varsCopy, coeffsCopy, var, weight);
        decorated().setObjectiveFunction(
                new ObjectiveFunction(varsCopy, coeffsCopy));
    }
