@Override
    public IConstr addPseudoBoolean(IVecInt literals, IVec<BigInteger> coeffs,
            boolean moreThan, BigInteger degree) throws ContradictionException {
        IVecInt vlits = dimacs2internal(literals);
        assert vlits.size() == literals.size();
        assert literals.size() == coeffs.size();
        Constr result = this.dsfactory.createPseudoBooleanConstraint(vlits,
                coeffs, moreThan, degree);
        if (result != null && result != Constr.TAUTOLOGY) {
            IVecInt clits = ((PBConstr) result).computeAnImpliedClause();
            if (clits != null) {
                addConstr(this.dsfactory.createClause(clits));
            }
        }
        return addConstr(result);
    }
