@Override
    public int[] primeImplicant() {
        String primeApproach = System.getProperty("prime");
        PrimeImplicantStrategy strategy;
        if ("OBJECTIVE".equals(primeApproach)) {
            strategy = new WatcherBasedPrimeImplicantStrategy(
                    new ObjectiveFunctionComparator(this.objf));
        } else {
            strategy = new WatcherBasedPrimeImplicantStrategy();
        }
        int[] implicant = strategy.compute(this);
        prime = strategy.getPrimeImplicantAsArrayWithHoles();
        return implicant;
    }
