private boolean launchSubOpt() throws TimeoutException {
        boolean sat = false;
        while (optPb.admitABetterSolution()) {
            sat = true;
            this.lastModel = this.solver.model();
            this.lastModelWithInternalVars = this.solver
                    .modelWithInternalVariables();
            if (this.additionnalCstr != null) {
                System.out.println(this.solver.getLogPrefix()
                        + "Current objectives values: "
                        + Arrays.toString(this.getObjectiveValues()));
                System.out.println(this.solver.getLogPrefix()
                        + "Current owa function value: owa=" + this.bestValue
                        + ", sum=" + sumObj.calculateDegree(this.solver)
                        + ", lex=" + lexObj.calculateDegree(this.solver));
                this.solver.removeSubsumedConstr(this.additionnalCstr);
            }
            try {
                calculateObjective();
                optPb.discardCurrentSolution();
                this.additionnalCstr = this.solver.addAtMost(
                        this.owaObj.getVars(), this.owaObj.getCoeffs(),
                        this.bestValue.subtract(BigInteger.ONE));
            } catch (ContradictionException e) {
                break;
            }
        }
        return sat;
    }
