private void handleObj(String constraint) {
		Matcher matcher = WCLAUSE_PATTERN.matcher(constraint);
		if (matcher.find()) {
			String weightedLiterals = matcher.group();
			constraint = matcher.replaceFirst("");
			matcher = WLITERAL_PATTERN.matcher(weightedLiterals);
			IVecInt literals = new VecInt();
			String[] pieces = constraint.split(",");
			boolean negate = pieces[0].contains("max");
			IVec<BigInteger> coefs = new Vec<BigInteger>();
			BigInteger coef;
			while (matcher.find()) {
				literals.push(Integer.valueOf(matcher.group(2)));
				coef = new BigInteger(matcher.group(1));
				coefs.push(negate ? coef.negate() : coef);
			}
			solver.setObjectiveFunction(new ObjectiveFunction(literals, coefs));
		}

	}
