private void handlePB(String constraint) throws ContradictionException {
		Matcher matcher = WCLAUSE_PATTERN.matcher(constraint);
		if (matcher.find()) {
			String weightedLiterals = matcher.group();
			constraint = matcher.replaceFirst("");
			matcher = WLITERAL_PATTERN.matcher(weightedLiterals);
			IVecInt literals = new VecInt();
			IVecInt coefs = new VecInt();
			while (matcher.find()) {
				literals.push(Integer.valueOf(matcher.group(2)));
				coefs.push(Integer.valueOf(matcher.group(1)));
			}
			String[] pieces = constraint.split(",");
			String comp = pieces[1].substring(1, pieces[1].length() - 1);
			int degree = Integer.valueOf(pieces[2].substring(0,
					pieces[2].length() - 1));
			if ("=".equals(comp) || "==".equals(comp)) {
				solver.addExactly(literals, coefs, degree);
			} else if ("<=".equals(comp)) {
				solver.addAtMost(literals, coefs, degree);
			} else if ("<".equals(comp)) {
				solver.addAtMost(literals, coefs, degree - 1);
			} else if (">=".equals(comp)) {
				solver.addAtLeast(literals, coefs, degree);
			} else {
				assert ">".equals(comp);
				solver.addAtLeast(literals, coefs, degree + 1);
			}
		}

	}
