public void parse()
            throws IOException, ParseFormatException, ContradictionException {
        mapping = null;

        readMetaData();

        if (mapping != null) {
            readVariablesExplanation();
        }
        skipComments();

        readObjective();

        // read constraints
        this.nbConstraintsRead = 0;
        char c;
        while (!eof()) {
            skipSpaces();
            if (eof()) {
                break;
            }

            c = get();
            putback(c);
            if (c == '*') {
                skipComments();
            }

            if (eof()) {
                break;
            }

            readConstraint();
            // nbConstraintsRead++;
        }
        // Small check on the number of constraints
        if (this.nbConstraintsRead != this.nbConstr) {
            throw new ParseFormatException("Number of constraints read ("
                    + this.nbConstraintsRead + ") is different from metadata ("
                    + this.nbConstr + ")");
        }
    }
