protected boolean readIdentifier(StringBuilder s)
            throws IOException, ParseFormatException {
        char c;

        s.setLength(0);

        skipSpaces();

        // first char (must be a letter or underscore)
        c = get();
        if (eof()) {
            return false;
        }

        if (!isGoodFirstCharacter(c)) {
            putback(c);
            return false;
        }

        s.append(c);

        // next chars (must be a letter, a digit or an underscore)
        while (true) {
            c = get();
            if (eof()) {
                break;
            }

            if (isGoodFollowingCharacter(c)) {
                s.append(c);
            } else {
                putback(c);
                break;
            }
        }
        checkId(s);
        return true;
    }
