@Override
    protected int translateVarToId(String var) throws ParseFormatException {
        int beginning = var.charAt(0) == '~' ? 2 : 1;
        int id = Integer.parseInt(var.substring(beginning));
        if (id == 0 || id >= this.nbNewSymbols) {
            throw new ParseFormatException("Wrong variable id format: " + var);
        }
        return (var.charAt(0) == '~' ? -1 : 1) * id;
    }
