@Override
    protected void beginConstraint() {
        super.beginConstraint();
        this.softConstraint = false;
        try {
            if (this.isWbo) {
                skipSpaces();
                char c = get();
                putback(c);
                if (c == '[') {
                    this.softConstraint = true;
                    String s = readWord();
                    if (!s.endsWith("]")) {
                        throw new ParseFormatException(
                                "Expecting end of weight ");
                    }
                    BigInteger coeff = new BigInteger(
                            s.substring(1, s.length() - 1));
                    getCoeffs().push(coeff);
                    int varId = this.nbNewSymbols++;
                    getVars().push(varId);
                }

            }
        } catch (Exception e) {
            throw new IllegalStateException(e);
        }
    }
