@Override
    protected void endConstraint() throws ContradictionException {
        if (this.softConstraint) {
            int varId = getVars().last();
            BigInteger constrWeight = this.d;
            for (Iterator<BigInteger> it = this.coeffs.iterator(); it
                    .hasNext();) {
                constrWeight = constrWeight.add(it.next().abs());
            }
            if ("<=".equals(this.operator)) {
                constrWeight = constrWeight.negate();
            }
            this.coeffs.push(constrWeight);
            this.lits.push(varId);
        }
        super.endConstraint();
    }
