private void readSoftLine() throws IOException, ParseFormatException {
        String s = readWord();
        if (s == null || !"soft:".equals(s)) {
            throw new ParseFormatException("Did not find expected soft: line");
        }
        s = readWord().trim();
        if (s != null && !";".equals(s)) {
            this.softLimit = new BigInteger(s);
        }
        skipSpaces();
        if (get() != ';') {
            throw new ParseFormatException(
                    "soft: line should end with a semicolon");
        }
    }
