@Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        AtLeastCard other = (AtLeastCard) obj;
        if (degree != other.degree)
            return false;
        if (lits == null) {
            return other.lits == null;
        }
        Set<Integer> litsSet1 = new HashSet<Integer>();
        for (IteratorInt it = lits.iterator(); it.hasNext();)
            litsSet1.add(it.next());
        Set<Integer> litsSet2 = new HashSet<Integer>();
        for (IteratorInt it = other.lits.iterator(); it.hasNext();)
            litsSet2.add(it.next());
        if (!litsSet1.equals(litsSet2))
            return false;
        return true;
    }
