private BitSet impliedBy(BitSet lits) {
        if (this.zeroProps == null) {
            this.zeroProps = new BitSet(0);
            this.zeroProps = impliedBy(new BitSet(0));
            if (verbose)
                System.out.println("c " + zeroProps.cardinality()
                        + " literals propagated at decision level 0");
        }
        BitSet cached = this.implied.get(lits);
        if (cached != null)
            return cached;
        IVecInt litVec = new VecInt(
                this.zeroProps.cardinality() + lits.cardinality());
        int from = 0;
        int cur;
        while ((cur = lits.nextSetBit(from)) != -1) {
            litVec.push(cur - this.coSolver.realNumberOfVariables());
            from = cur + 1;
        }
        this.propagated = new BitSet();
        try {
            this.coSolver.isSatisfiable(litVec);
        } catch (TimeoutException e) {
        }
        this.propagated.andNot(this.zeroProps);
        this.implied.put(lits, (BitSet) this.propagated.clone());
        return this.propagated;
    }
