private BitSet searchCardFromAtLeastCard(BitSet atLeastLits,
            int threshold) {
        BitSet atMostLits = new BitSet(atLeastLits.cardinality());
        int from = 0;
        int cur;
        while ((cur = atLeastLits.nextSetBit(from)) != -1) {
            int negBit = 2 * this.coSolver.realNumberOfVariables() - cur;
            atMostLits.set(negBit);
            from = cur + 1;
        }
        int atMostDegree = atLeastLits.cardinality() - threshold;
        Set<Integer> newLits = expendAtMostCard(atMostLits, atMostDegree);
        for (Integer lit : newLits) {
            atLeastLits.set(-lit + this.coSolver.realNumberOfVariables());
        }
        if (newLits.isEmpty())
            return null;
        storeAtLeastCard(atLeastLits, atLeastLits.cardinality() - atMostDegree);
        if (this.printCards)
            System.out.println("c newConstr: " + new AtMostCard(atMostLits,
                    atMostDegree, -this.coSolver.realNumberOfVariables()));
        return atMostLits;
    }
