public IVecInt searchCardFromAtMostCard(IVecInt literals, int threshold) {
        BitSet atLeastLits = new BitSet(literals.size());
        for (IteratorInt it = literals.iterator(); it.hasNext();)
            atLeastLits.set(it.next() + this.coSolver.realNumberOfVariables());
        BitSet cardFound = searchCardFromAtLeastCard(atLeastLits,
                atLeastLits.cardinality() - threshold);
        if (cardFound == null)
            return null;
        IVecInt atMostLits = new VecInt(cardFound.cardinality());
        for (int from = 0; (from = cardFound.nextSetBit(from)) != -1; ++from) {
            atMostLits.push(from - this.coSolver.realNumberOfVariables());
        }
        return atMostLits;
    }
