public void atMost(C name, BigInteger degree, WeightedObject<T>... wobj)
            throws ContradictionException {
        IVecInt literals = new VecInt(wobj.length);
        IVec<BigInteger> coeffs = new Vec<BigInteger>(wobj.length);
        for (WeightedObject<T> wo : wobj) {
            literals.push(getIntValue(wo.thing));
            coeffs.push(wo.getWeight());
        }
        this.descs.put(
                this.solver.addPseudoBoolean(literals, coeffs, false, degree),
                name);
    }
