protected int getIntValue(T thing, boolean create) {
        T myThing;
        boolean negated = this.negator.isNegated(thing);
        if (negated) {
            myThing = (T) this.negator.unNegate(thing);
        } else {
            myThing = thing;
        }
        Integer intValue = this.mapToDimacs.get(myThing);
        if (intValue == null) {
            if (create) {
                intValue = this.solver.nextFreeVarId(true);
                this.mapToDomain.put(intValue, myThing);
                this.mapToDimacs.put(myThing, intValue);
            } else {
                throw new IllegalArgumentException("" + myThing
                        + " is unknown in the solver!");
            }
        }
        if (negated) {
            return -intValue;
        }
        return intValue;
    }
