public ImplicationNamer<T, C> implies(T... things)
            throws ContradictionException {
        IVecInt clause = new VecInt();
        for (T t : things) {
            clause.push(this.helper.getIntValue(t));
        }
        int p;
        IConstr constr;
        for (IteratorInt it = this.literals.iterator(); it.hasNext();) {
            p = it.next();
            clause.push(p);
            constr = this.helper.solver.addClause(clause);
            if (constr == null) {
                throw new IllegalStateException(
                        "Constraints are not supposed to be null when using the helper");
            }
            this.toName.push(constr);
            clause.remove(p);
        }
        return new ImplicationNamer<T, C>(this.helper, this.toName);
    }
