@Override
    public int[] model() {
        int[] last = super.model();
        this.nbModelFound++;

        try {
            ObjectiveFunction obj = this.getObjectiveFunction();
            if (isFirstModel && obj != null) {
                objectiveValue = obj.calculateDegree(solver);
                solver.addAtMost(obj.getVars(), obj.getCoeffs(), objectiveValue);
                isFirstModel = false;
            }
        } catch (ContradictionException e) {
            trivialfalsity = true;
        }

        return last;
    }
