public IConstr addAtMost(IVecInt literals, IVecInt coeffs, int degree)
            throws ContradictionException {
        BigInteger coeffsSum = BigInteger.ZERO;
        IVecInt newLiterals = new VecInt(literals.size());
        for (IteratorInt it = literals.iterator(); it.hasNext();)
            newLiterals.push(-it.next());
        IVecInt newCoeffs = new VecInt(coeffs.size());
        for (IteratorInt it = coeffs.iterator(); it.hasNext();) {
            int c = it.next();
            newCoeffs.push(c);
            coeffsSum = coeffsSum.add(BigInteger.valueOf(c));
        }
        int newDegree = coeffsSum.intValue() - degree;
        return addAtLeast(newLiterals, newCoeffs, newDegree);
    }
