@Override
    public IConstr addAtLeast(IVecInt literals, IVec<BigInteger> coeffs,
            BigInteger degree) throws ContradictionException {
        for (int i = 0; i < coeffs.size(); ++i) {
            BigInteger coeff = coeffs.get(i);
            if (coeff.compareTo(BigInteger.ZERO) < 0) {
                literals.set(i, -literals.get(i));
                coeffs.set(i, coeff.negate());
                degree = degree.subtract(coeff);
            }
        }
        if (degree.compareTo(BigInteger.ONE) == 0)
            return addClause(literals);
        return super.addAtLeast(literals, coeffs, degree);
    }
