@Override
    public boolean admitABetterSolution(IVecInt assumps)
            throws TimeoutException {
        decorated().setObjectiveFunction(this.objs.get(this.currentCriterion));
        this.isSolutionOptimal = false;
        try {
            if (decorated().isSatisfiable(assumps, true)) {
                this.prevboolmodel = new boolean[nVars()];
                for (int i = 0; i < nVars(); i++) {
                    this.prevboolmodel[i] = decorated().model(i + 1);
                }
                this.prevfullmodel = decorated().model();
                this.prevmodelwithinternalvars = decorated()
                        .modelWithInternalVariables();
                calculateObjective();
                return true;
            }
            decorated().expireTimeout();
            return manageUnsatCase();
        } catch (TimeoutException te) {
            if (this.currentCriterion == numberOfCriteria() - 1) {
                throw te;
            }
            mergeCurrentandNextCriteria();
            if (this.prevConstr != null) {
                super.removeConstr(this.prevConstr);
                this.prevConstr = null;
            }
            try {
                fixCriterionValue();
            } catch (ContradictionException ce) {
                throw new IllegalStateException(ce);
            }
            if (isVerbose()) {
                System.out.println(getLogPrefix()
                        + "Partial timeout criterion number "
                        + (this.currentCriterion + 1));
            }
            this.currentCriterion++;
            calculateObjective();
            decorated().expireTimeout();
            return true;
        }
    }
