@Override
    public IConstr addAtMost(IVecInt literals, int degree)
            throws ContradictionException {
        IVecInt coeffs = new VecInt(literals.size(), 1);
        int newvar = createNewVar(literals);
        literals.push(newvar);
        coeffs.push(degree - coeffs.size());
        IConstr constr = decorated().addAtMost(literals, coeffs, degree);
        if (constr == null) {
            // constraint trivially satisfied
            discardLastestVar();
        } else {
            getConstrs().put(newvar, constr);
        }
        return constr;
    }
