@Test
    public void musesWithPBAndCLauses() throws ContradictionException {
        solver.newVar(2);
        IVecInt lits = new VecInt();
        lits.push(-1).push(-2);
        solver.addClause(lits, 1);
        lits.clear();
        lits.push(1);
        solver.addClause(lits, 2);
        lits.clear();
        lits.push(2);
        solver.addClause(lits, 3);
        lits.clear();
        IVecInt coefs = new VecInt(2, 1);
        lits.push(1).push(2);
        solver.addAtMost(lits, coefs, 1, 4);
        lits.clear();
        List<IVecInt> allMUSes = muses.computeAllMUSes();
        assertEquals(2, allMUSes.size());
        for (IVecInt mus : allMUSes) {
            assertEquals(3, mus.size());
        }
    }
