@Test
    public void musesWithPBAndCLauses2() throws ContradictionException {
        solver.newVar(3);
        IVecInt lits = new VecInt();
        lits.push(-1).push(-2);
        solver.addClause(lits, 1);
        lits.clear();
        lits.push(1);
        solver.addClause(lits, 2);
        lits.clear();
        lits.push(2);
        solver.addClause(lits, 3);
        lits.clear();
        IVecInt coefs = new VecInt();
        coefs.push(2).push(3).push(1);
        lits.push(1).push(2).push(3);
        solver.addAtMost(lits, coefs, 2, 4);
        lits.clear();
        List<IVecInt> allMUSes = muses.computeAllMUSes();
        assertEquals(2, allMUSes.size());
    }
