@Test
    public void testJoBinary()
            throws ParseFormatException, ContradictionException, IOException {
        IPBSolver solver = SolverFactory.newDefault();
        Reader reader = new OPBReader2012(
                new PBSolverHandle(new PseudoOptDecorator(solver)));
        reader.parseInstance(new StringReader(
                "* #variable= 2 #constraint= 1\n*\n+1 x1 +1 x2 >= 1 ;\n"));
        assertEquals(2, solver.realNumberOfVariables());
        assertEquals(1, solver.nConstraints());

    }
