@Test
    public void testFromPaul() {
        // This test will run for 60s, may want to disable it for fast unit
        // testing.
        final ISolver solver = SolverFactory.newLight();
        GateTranslator gateTranslator = new GateTranslator(solver);
        ModelIterator modelIterator = new ModelIterator(solver);

        Date begin = new Date();
        long beginTime = begin.getTime();
        Date now = new Date();
        while (now.getTime() - beginTime < 60000) {
            solve(gateTranslator, modelIterator);
            now = new Date();
        }
    }
