@Test
    public void testBasicDump4CardPBNegative() throws ContradictionException {
        IPBSolver solver = SolverFactory.newCuttingPlanes();
        IVecInt literals = new VecInt(new int[] { -1, 2, 3 });
        IConstr c1 = solver.addAtLeast(literals, 2);
        assertEquals("+1 ~x1 +1 x2 +1 x3 >= 2", c1.dump());
    }
