@Test
    public void testAtLeastWithNegativeLiterals()
            throws ContradictionException, TimeoutException {

        IPBSolver pbSolver = SolverFactory.newDefault();
        pbSolver.newVar(2);
        pbSolver.setExpectedNumberOfClauses(1);

        int[] constr = { -1, 2 };

        pbSolver.addAtLeast(new VecInt(constr), 1);
        IVecInt assumps = new VecInt();
        assumps.push(1).push(-2);
        assertFalse(pbSolver.isSatisfiable(assumps));
        assumps.clear();
        assumps.push(-1).push(-2);
        assertTrue(pbSolver.isSatisfiable(assumps));
        assumps.clear();
        assumps.push(1).push(2);
        assertTrue(pbSolver.isSatisfiable(assumps));
        assumps.clear();
        assumps.push(-1).push(2);
        assertTrue(pbSolver.isSatisfiable(assumps));

    }
