@Test
    public void testAtLeastWithNegativeLiteralsAsText()
            throws ContradictionException {

        IPBSolver pbSolver = new OPBStringSolver();
        pbSolver.newVar(2);
        pbSolver.setExpectedNumberOfClauses(1);

        int[] constr = { -1, 2 };

        pbSolver.addAtLeast(new VecInt(constr), 1);
        String expected = "* #variable= 2 #constraint= 1\n-1 x1 +1 x2 >= 0 ;\n";
        assertEquals(expected, pbSolver.toString());

    }
