@Test(expected = IllegalStateException.class)
    public void testMissingNewVarWithAtLeastInXplainPB()
            throws ContradictionException {
        Xplain<IPBSolver> solver = new XplainPB(SolverFactory.newDefault());
        IVecInt clause = new VecInt();
        clause.push(-1).push(-2).push(-3);
        solver.addAtLeast(clause, 2);
        fail("Should not accept clauses if newvar has not been called!!!");
    }
