@Test(expected = IllegalStateException.class)
    public void testMissingNewVarWithClauseInXplainPB()
            throws ContradictionException {
        Xplain<IPBSolver> solver = new XplainPB(SolverFactory.newDefault());
        IVecInt clause = new VecInt();
        clause.push(-1).push(-2);
        solver.addClause(clause);
        fail("Should not accept clauses if newvar has not been called!!!");
    }
