private IProblem parseInstance(LineNumberReader in)
            throws ContradictionException, IOException {
        this.solver.reset();
        String line;
        while ((line = in.readLine()) != null) {
            // cannot trim is line is null
            line = line.trim();
            if (line.endsWith(";")) {
                line = line.substring(0, line.length() - 1);
            }
            parseLine(line);
        }
        return this.solver;
    }
