@Test
    public void testLexicoOptimizationWithPseudoOptDecorator()
            throws ContradictionException, TimeoutException {
        PseudoOptDecorator solver = new PseudoOptDecorator(
                org.sat4j.pb.SolverFactory.newDefault());
        solver.newVar(8);
        solver.setObjectiveFunction(new ObjectiveFunction(vector(6, 7, 8),
                constant_vector(BigInteger.valueOf(-1), 3)));
        System.err.println(solver.getObjectiveFunction());

        solver.addClause(vector(-3, 6));
        solver.addClause(vector(-1, -6));
        solver.addClause(vector(-4, 7));
        solver.addClause(vector(1, -7));
        solver.addClause(vector(-5, 8));
        solver.addClause(vector(-2, -8));

        // only this, crashes
        solver.addClause(vector(1, 2, 3));
        assertTrue(solve(solver));
        print_model(solver);
        System.err.println();
        solver.addClause(vector(1));
        assertTrue(solve(solver));
    }
