@Test
    public void testWithMin() throws ContradictionException {
        IPBSolver solver = new OPBStringSolver();
        solver.newVar(3);
        IVecInt clause = new VecInt();
        clause.push(1).push(2).push(3);
        solver.addClause(clause);
        IVecInt vars = new VecInt();
        vars.push(2).push(3);
        IVec<BigInteger> coeffs = new Vec<BigInteger>();
        coeffs.push(BigInteger.TEN).push(BigInteger.valueOf(32));
        ObjectiveFunction obj = new ObjectiveFunction(vars, coeffs);
        solver.setObjectiveFunction(obj);
        assertEquals(STRING2, solver.toString());

    }
