@Test
	public void testExplanationForASolution() throws ContradictionException,
			TimeoutException {
		this.helper.implication("A").implies("B").and("C").and("D").named("I1");
		this.helper.implication("C").implies("C1", "C2", "C3")
				.named("C versions");
		this.helper.atMost(1, "C1", "C2", "C3").named("Singleton on C");
		this.helper.setTrue("A", "User selection");
		assertTrue(this.helper.hasASolution());
		IVec<String> solution = this.helper.getSolution();
		assertTrue(solution.contains("A"));
		assertTrue(solution.contains("B"));
		assertTrue(solution.contains("C"));
		assertTrue(solution.contains("D"));
		Set<String> cause = this.helper.why("D");
		assertEquals(2, cause.size());
		Iterator<String> it = cause.iterator();
		assertEquals("I1", it.next());
		assertEquals("User selection", it.next());
	}
