@Test
	public void testJunitSingletonObjectiveExample()
			throws ContradictionException, TimeoutException {
		this.helper.implication(profile).implies(junit3, junit4)
				.named("profile->junit");
		this.helper.atMost(1, junit4, junit3);
		this.helper.setObjectiveFunction(WeightedObject.newWO(junit4, 1),
				WeightedObject.newWO(junit3, 2));
		this.helper.setTrue(profile, "profile must exist");
		assertTrue(this.helper.hasASolution());
		List<String> expected = new ArrayList<String>(Arrays.asList(profile,
				junit4));
		IVec<String> solution = this.helper.getSolution();
		for (Iterator<String> i = solution.iterator(); i.hasNext();) {
			String variable = i.next();
			assertTrue(variable + " was not part of the solution",
					expected.remove(variable));
		}
		assertTrue("solution contained too many variables: " + expected,
				expected.isEmpty());
	}
