private void checkExplanationForConflict(Explanation<String> explanation)
            throws TimeoutException {
        assertFalse(this.helper.hasASolution());

        // TODO: would like all conflicting elements
        // This throws an ArrayIndexOutOfBounds
        // DLB: this is a real bug. I still need to work on that issue :(
        // String conflictingElement = helper.getConflictingElement();

        List<Conflict<String>> conflicts = explanation.getConflicts();

        // TODO: why throws an NPE
        // DLB: fixed.
        Set<String> cause = this.helper.why();

        // TODO: Change this logic to actually use the tree of dependencies
        for (Conflict<String> conflict : conflicts) {
            List<DepdendenyNode<String>> roots = conflict.getRoots();
            for (DepdendenyNode<String> node : roots) {
                while (node != null) {
                    assertTrue("Could not find " + node.getName(),
                            cause.remove(node.getName()));
                    node = node.getOnlyChild();
                }
            }
        }
        assertTrue(cause.isEmpty());
    }
