private void checkExplanationForMissingRequirement(
            Explanation<String> explanation) throws TimeoutException {
        assertFalse(this.helper.hasASolution());

        Set<String> cause = this.helper.why();
        List<DepdendenyNode<String>> roots = explanation.getRoots();
        assertEquals(1, roots.size());

        // TODO: Fix this logic to actually investigate the tree returned
        DepdendenyNode<String> root = roots.get(0);
        assertFalse(root.hasBranches());
        assertEquals(root.getMaxDepth(), cause.size());

        DepdendenyNode<String> node = root;
        while (node != null) {
            assertTrue("Could not find " + node.getName() + " in " + cause,
                    cause.contains(node.getName()));
            node = node.getOnlyChild();
        }
    }
