@Before
    public void setUp() {
        IIntegerPBSolver integerSolver = new IntegerPBSolverDecorator(
                SolverFactory.newDefault());
        BigInteger weights[] = new BigInteger[3];
        weights[0] = BigInteger.valueOf(1);
        weights[1] = BigInteger.valueOf(2);
        weights[2] = BigInteger.valueOf(3);
        this.optimizer = new MinSumOWAOptimizer(integerSolver, weights);
        this.satAdapter = new OptToPBSATAdapter(optimizer);
    }
