@Override
    protected IProblem readProblem(String problemname)
            throws ParseFormatException, IOException, ContradictionException {
        ISolver theSolver = (ISolver) super.readProblem(problemname);
        if (this.k > 0) {
            IVecInt literals = new VecInt();
            for (int i = 1; i <= theSolver.nVars(); i++) {
                literals.push(-i);
            }
            theSolver.addAtLeast(literals, this.k);
            log("Limiting solutions to those having at least " + this.k
                    + " variables assigned to false");
        }
        return theSolver;
    }
