private String getVersion() {
        URL url = RemoteControlFrame.class.getResource("/sat4j.version"); //$NON-NLS-1$
        String s = "";
        if (url == null) {
            s = "no version file found!!!"; //$NON-NLS-1$			
        } else {
            BufferedReader in = null;
            try {
                in = new BufferedReader(new InputStreamReader(url.openStream()));
                s = "version " + in.readLine(); //$NON-NLS-1$
            } catch (IOException e) {
                s = "c ERROR: " + e.getMessage();
            } finally {
                if (in != null) {
                    try {
                        in.close();
                    } catch (IOException e) {
                        s = "c ERROR: " + e.getMessage();
                    }
                }
            }
        }
        return s;
    }
