public static void showAvailablePhase(ILogAble logger) {
        List<String> classNames = new ArrayList<String>();
        List<String> resultRTSI = RTSI.find(PHASE_NAME);
        Set<String> keySet;
        for (String name : resultRTSI) {
            if (!name.contains("Remote")) {
                try {

                    keySet = BeanUtils.describe(
                            Class.forName(PACKAGE_PHASE + "." + name)
                                    .newInstance()).keySet();
                    keySet.remove(CLASS);
                    if (keySet.size() > 0) {
                        classNames.add(name + keySet);
                    } else {
                        classNames.add(name);
                    }
                } catch (IllegalAccessException e) {
                    logger.log(e.getMessage());
                } catch (InvocationTargetException e) {
                    logger.log(e.getMessage());
                } catch (NoSuchMethodException e) {
                    logger.log(e.getMessage());
                } catch (InstantiationException e) {
                    logger.log(e.getMessage());
                } catch (ClassNotFoundException e) {
                    logger.log(e.getMessage());
                }
            }
        }
        logger.log("Available phase strategies (" + Solvers.PHASE + "): "
                + classNames);
    }
