public static void usage(ILogAble logger) {
        ASolverFactory<ISolver> factory;
        factory = org.sat4j.minisat.SolverFactory.instance();
        showAvailableSolvers(factory, "sat", logger);
        logger.log(SEPARATOR);
        factory = (ASolverFactory) org.sat4j.pb.SolverFactory.instance();
        showAvailableSolvers(factory, PB, logger);
        logger.log(SEPARATOR);
        factory = (ASolverFactory) org.sat4j.maxsat.SolverFactory.instance();
        showAvailableSolvers(factory, MAXSAT, logger);
        logger.log(SEPARATOR);
        showAvailableRestarts(logger);
        logger.log(SEPARATOR);
        showAvailableOrders(logger);
        logger.log(SEPARATOR);
        showAvailableLearning(logger);
        logger.log(SEPARATOR);
        showAvailablePhase(logger);
        logger.log(SEPARATOR);
        showParams(logger);
        logger.log(SEPARATOR);
        showSimplifiers(logger);
        logger.log(SEPARATOR);
        showAvailableConstraintsCleaningStrategies(logger);
        logger.log(SEPARATOR);
        stringUsage(logger);
    }
