public void addChartsToFrame() {
        MyChartPanel variablesEvaluationPanel = new MyChartPanel(
                this.variablesEvaluationChart, "Variables evaluation",
                this.pref.getBackgroundColor(), this.pref.getBorderColor());
        MyChartPanel clausesEvaluationPanel = new MyChartPanel(
                this.clausesEvaluationChart, "Clauses evaluation",
                this.pref.getBackgroundColor(), this.pref.getBorderColor());
        MyChartPanel learnedClausesSizePanel = new MyChartPanel(
                this.learnedClausesSizeChart, "Size of learned clauses",
                this.pref.getBackgroundColor(), this.pref.getBorderColor());
        MyChartPanel decisionLevelWhenConflictPanel = new MyChartPanel(
                this.decisionLevelWhenConflictChart,
                "Decision level when conflict", this.pref.getBackgroundColor(),
                this.pref.getBorderColor());
        MyChartPanel trailLevelWhenConflictPanel = new MyChartPanel(
                this.trailLevelWhenConflictChart, "Trail level when conflict",
                this.pref.getBackgroundColor(), this.pref.getBorderColor());
        MyChartPanel positiveDecisionVariablePanel = new MyChartPanel(
                this.positiveDecisionVariableChart, "Positive decision phases",
                this.pref.getBackgroundColor(), this.pref.getBorderColor());
        MyChartPanel negativeDecisionVariablePanel = new MyChartPanel(
                this.negativeDecisionVariableChart, "Negative decision phases",
                this.pref.getBackgroundColor(), this.pref.getBorderColor());
        MyChartPanel propagationPerSecondPanel = new MyChartPanel(
                this.propagationPerSecondChart,
                "Number of propagations per second",
                this.pref.getBackgroundColor(), this.pref.getBorderColor());

        if (this.pref.isDisplayClausesSize()) {
            this.visuFrame.add(learnedClausesSizePanel);
        }
        if (this.pref.isDisplayClausesEvaluation()) {
            this.visuFrame.add(clausesEvaluationPanel);
        }
        if (this.pref.isDisplayConflictsTrail()) {
            this.visuFrame.add(trailLevelWhenConflictPanel);
        }
        if (this.pref.isDisplayDecisionIndexes()) {
            this.visuFrame.add(negativeDecisionVariablePanel);
        }
        if (this.pref.isDisplayVariablesEvaluation()) {
            this.visuFrame.add(variablesEvaluationPanel);
        }
        if (this.pref.isDisplayConflictsDecision()) {
            this.visuFrame.add(decisionLevelWhenConflictPanel);
        }
        if (this.pref.isDisplayDecisionIndexes()) {
            this.visuFrame.add(positiveDecisionVariablePanel);
        }
        if (this.pref.isDisplaySpeed()) {
            this.visuFrame.add(propagationPerSecondPanel);
        }
    }
