private OneCell createCell(SDSize sdSize, GUIInput guiInput, int r,
            Box row, int c) {
        if (graphical) {
            GraphicalOneCell toc = new GraphicalOneCell(sdSize.getLargeSide(),
                    guiInput, cellColors(r, c));
            toc.addMouseListener(new CellClicked(r, c));
            row.add(toc);
            return toc;
        }
        TextualOneCell toc = new TextualOneCell(sdSize.getLargeSide(),
                guiInput, cellColors(r, c));
        toc.addMouseListener(new CellClicked(r, c));
        row.add(toc);
        return toc;

    }
