@Override
    public void execute(Enum<FileCommand> command) {
        switch ((FileCommand) command) {
        case IMPORT_PUZZLE:
            importPuzzle();
            break;

        case EXPORT_PUZZLE:
            exportPuzzle();
            break;

        case IMPORT_CNF_MODEL:
            importModel();
            break;

        case EXPORT_CNF_INSTANCE:
            exportInstance();
            break;

        case PAGE_SETUP:
            processPageSetup();
            break;

        case PRINT:
            processPrint();
            break;

        case EXIT:
            if (sudoku.getMainProgramWindow().isApplet()) {
                sudoku.getGui().setResult("Can't exit from an applet");
            } else {
                System.exit(0);
            }
            break;
        }
    }
