public void setNewSize(int rows, int cols) {
        setResult("");
        CellGrid newCellGrid;

        sdSize.setSide(rows, cols);

        useExtra.setEnabled(rows == cols); // "Complete" SuDoku only makes
                                            // sense for square blocks

        newCellGrid = new CellGrid(sdSize, GUIInput.this);
        fillCount.clearProtection();
        fillCount.setMax(sdSize.getLargeSide() * sdSize.getLargeSide());
        fillCount.clear();
        // fillCount.setIntValue(sdSize.getLargeSide());

        cellGridPanel.remove(cellGrid);
        cellGrid = newCellGrid;
        cellGridPanel.add(cellGrid, 0);
        onlyCreateUnique.setSelected(true);
        fillCount.protect();

        if (rows > 4 && cols > 4) {
            if (!sudoku.getCreateUniqueAllowed()) {
                onlyCreateUnique.setEnabled(false);
                fillCount.clearProtection();
            }
            mainProgramWindow.maximize();
        } else {
            onlyCreateUnique.setEnabled(true);
        }

        setProtection(false);
        gridAndControls.validate();
        gridAndControls.repaint();
        mainProgramWindow.pack();
    }
