void processAboutPage() {
        ShowVersions showVersions = new ShowVersions();
        String aboutMessage = "<html>SuDoku "
                + showVersions.getVersion("sudoku") + " at " + sudokuURL
                + "<p>" + "satj4 " + showVersions.getVersion("sat4j") + " at "
                + sat4jURL + " (includes source code)";
        JPanel panelall = new JPanel();
        panelall.setLayout(new GridLayout(2, 1));
        JPanel logos = new JPanel();
        logos.setLayout(new GridLayout(1, 3));
        logos.setBackground(Color.WHITE);
        logos.setOpaque(true);
        ImageIcon sat4jIcon, ecitIcon, crilIcon, objectWebIcon, eventIcon;
        SuDokuResources suDokuResources = sudoku.getSuDokuResources();
        sat4jIcon = suDokuResources.getSat4jIcon();
        ecitIcon = suDokuResources.getECITIcon();
        crilIcon = suDokuResources.getCRILIcon();
        objectWebIcon = suDokuResources.getObjectWebIcon();
        eventIcon = suDokuResources.getEventIcon();
        ImageIcon smallSat4jIcon, smallEcitIcon, smallCrilIcon, smallObjectWebIcon, smallEventIcon;
        int imageWidth = 150;
        smallSat4jIcon = new ImageIcon(sat4jIcon.getImage().getScaledInstance(
                imageWidth, -1, 0));
        smallEcitIcon = new ImageIcon(ecitIcon.getImage().getScaledInstance(
                imageWidth, -1, 0));
        smallCrilIcon = new ImageIcon(crilIcon.getImage().getScaledInstance(
                imageWidth, -1, 0));
        smallObjectWebIcon = new ImageIcon(objectWebIcon.getImage()
                .getScaledInstance(imageWidth, -1, 0));
        smallEventIcon = new ImageIcon(eventIcon.getImage().getScaledInstance(imageWidth, -1, 0));
        
        logos.add(new JLabel(smallEcitIcon));
        logos.add(new JLabel(smallCrilIcon));
        logos.add(new JLabel(smallObjectWebIcon));
        logos.add(new JLabel(smallEventIcon));
        panelall.add(logos);
        panelall.add(new JLabel(aboutMessage));
        JOptionPane.showMessageDialog(null, panelall, sudoku
                .getSuDokuResources().getStringFromKey("HELP_ABOUT"),
                JOptionPane.INFORMATION_MESSAGE, smallSat4jIcon);
        // AboutPage aboutPage = new AboutPage();
    }
