public String getVersion(String product) {
        String result;

        try {
            URL url = ShowVersions.class
                    .getResource("/" + product + ".version");
            if (url != null) {
                BufferedReader in = new BufferedReader(new InputStreamReader(
                        url.openStream()));
                result = in.readLine();
                in.close();
            } else {
                result = "0.0";
            }
        } catch (IOException e) {
            result = "0.0";
        }

        return result;
    }
