void addOneColumnSolver(int column, ClauseHandler ch) {
        for (int v = 1; v <= sdSize.getLargeSide(); v++) {
            vi.clear();
            for (int r = 1; r <= sdSize.getLargeSide(); r++) {
                vi.push(variable(r, column, v));
            }
            ch.addClause(vi);

            if (fullCNF) {
                for (int r1 = 1; r1 <= sdSize.getLargeSide() - 1; r1++) {
                    for (int r2 = r1 + 1; r2 <= sdSize.getLargeSide(); r2++) {
                        vi.clear();
                        vi.push(-variable(r1, column, v));
                        vi.push(-variable(r2, column, v));
                        ch.addClause(vi);
                    }
                }
            }
        }
    }
