void checkBlocks(CellGrid cellGrid) {
        int rowVal[][] = null, colVal[][] = null;

        if (gui.getUseExtra()) {
            rowVal = new int[sdSize.getLargeSide()][sdSize.getLargeSide()];
            colVal = new int[sdSize.getLargeSide()][sdSize.getLargeSide()];
            for (int i = 0; i < sdSize.getLargeSide(); i++) {
                for (int j = 0; j < sdSize.getLargeSide(); j++) {
                    rowVal[i][j] = 0;
                    colVal[i][j] = 0;
                }
            }
            for (int i = 0; i < sdSize.getLargeSide(); i++) {
                for (int j = 0; j < sdSize.getLargeSide(); j++) {
                    int v1;
                    v1 = cellGrid.getIntValue(i + 1, j + 1);
                    if (v1 > 0) {
                        rowVal[i][v1 - 1] = j + 1;
                        colVal[v1 - 1][j] = i + 1;
                    }
                }
            }

        }
        for (int r = 0; (r < sdSize.getSmallCols()) && passesCheck; r++) {
            for (int c = 0; (c < sdSize.getSmallRows()) && passesCheck; c++) {
                checkBlock(cellGrid, rowVal, colVal, r, c);
            }
        }
    }
