public void checkSolution(CellGrid cellGrid) {
        passesCheck = true;
        completed = true;
        cellGrid.unHighlightAll();
        checkSquares(cellGrid);
        if (passesCheck) {
            checkBlocks(cellGrid);
        }
        if (passesCheck) {
            checkRows(cellGrid);
        }
        if (passesCheck) {
            checkColumns(cellGrid);
        }

        if (passesCheck && gui.getUseXSudoku()) {
            checkFallingDiagonal(cellGrid);
            checkRisingDiagonal(cellGrid);
        }

        if (passesCheck) {
            if (completed) {
                gui.setResult(suDokuResources
                        .getStringFromKey("MSG_CORRECT_SUDOKU")); // "Correct");
                JOptionPane.showMessageDialog(null, suDokuResources
                        .getStringFromKey("MSG_CORRECT_SUDOKU"));
            } else {
                gui.setResult(suDokuResources
                        .getStringFromKey("MSG_NO_BROKEN_RULES"));// "No rules
                JOptionPane.showMessageDialog(null, suDokuResources
                        .getStringFromKey("MSG_NO_BROKEN_RULES")); // broken so
                // far (may
                // not lead
                // to final
                // solution)");
            }
        }
    }
