public void setStatus(CellStatus status) {
        this.status = status;
        switch (status) {
        case PROTECTED:
            setBackground(colors[BACKGROUND_COLOR_ID]);
            setForeground(colors[PROTECTED_COLOR_ID]);
            setToolTipText(guiInput.suDokuResources.getStringFromKey("TOOLTIP_CELL_PROTECTED"));
            break;
        case USER_ENTERED:
            setForeground(colors[USER_COLOR_ID]);
            setBackground(colors[BACKGROUND_COLOR_ID]);
            setToolTipText(guiInput.suDokuResources.getStringFromKey("TOOLTIP_CELL_NOT_PROTECTED_TEXT"));
            break;
        case SOLVER_ENTERED:
            setForeground(colors[SOLVER_COLOR_ID]);
            setBackground(colors[BACKGROUND_COLOR_ID]);
            setToolTipText(guiInput.suDokuResources.getStringFromKey("TOOLTIP_CELL_COMPUTER"));
            break;

        }
    }
