/*
 * JORAM: Java(TM) Open Reliable Asynchronous Messaging
 * Copyright (C) 2004 - Bull SA
 * Copyright (C) 2004 - ScalAgent Distributed Technologies
 * Copyright (C) 1996 - Dyade
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * Initial developer(s): ScalAgent DT
 */
package org.objectweb.joram.client.jms.admin;

public class Server {
  
  private int id;

  private String name;

  private String hostName;

  public Server(int id,
                String name,
                String hostName) {
    this.id = id;
    this.name = name;
    this.hostName = hostName;
  }

  public /*@ pure @*/ final int getId() {
    return id;
  }

  public /*@ pure @*/ final String getName() {
    return name;
  }

  public /*@ pure @*/ final String getHostName() {
    return hostName;
  }
}
