package com.devonfw.application.mtsj.dishmanagement.common.api.to;

import com.devonfw.application.mtsj.general.common.api.to.AbstractSearchCriteriaTo;
import com.devonfw.module.basic.common.api.query.StringSearchConfigTo;

/**
 * used to find {@link com.devonfw.application.mtsj.dishmanagement.common.api.Category}s.
 *
 */
public class CategorySearchCriteriaTo extends AbstractSearchCriteriaTo {

  private static final long serialVersionUID = 1L;

  private String name;

  private String description;

  private Integer showOrder;

  private StringSearchConfigTo nameOption;

  private StringSearchConfigTo descriptionOption;

  /**
   * The constructor.
   */
  public CategorySearchCriteriaTo() {

    super();
  }

  public /*@ pure @*/ String getName() {

    return this.name;
  }

  public void setName(String name) {

    this.name = name;
  }

  public /*@ pure @*/ String getDescription() {

    return this.description;
  }

  public void setDescription(String description) {

    this.description = description;
  }

  public /*@ pure @*/ Integer getShowOrder() {

    return this.showOrder;
  }

  public void setShowOrder(Integer showOrder) {

    this.showOrder = showOrder;
  }

  /**
   * @return nameOption
   */
  public /*@ pure @*/ StringSearchConfigTo getNameOption() {

    return this.nameOption;
  }

  /**
   * @param nameOption new value of {@link #getnameOption}.
   */
  public void setNameOption(StringSearchConfigTo nameOption) {

    this.nameOption = nameOption;
  }

  /**
   * @return descriptionOption
   */
  public /*@ pure @*/ StringSearchConfigTo getDescriptionOption() {

    return this.descriptionOption;
  }

  /**
   * @param descriptionOption new value of {@link #getdescriptionOption}.
   */
  public void setDescriptionOption(StringSearchConfigTo descriptionOption) {

    this.descriptionOption = descriptionOption;
  }

}
