@Test
	public void IssueGH9()
	{
		/*
		 * Should throw IllegalArgumentException for invalid pdp config, not NPE (because of relative path with no
		 * parent path which used to cause NPE when trying to get the parent directory path)
		 */
		try
		{
			CommandLine.call(new PdpCommandLineCallable(), System.out, "pom.xml",
					TEST_DATA_DIR + "/IIA001/Request.xml");
		}
		catch (final CommandLine.ExecutionException e)
		{
			assertTrue(e.getCause().getClass() == IllegalArgumentException.class);
		}
	}
