public boolean match(final EvaluationContext context) throws IndeterminateEvaluationException
	{
		final BooleanValue anyOfFuncCallResult;
		try
		{
			anyOfFuncCallResult = anyOfFuncCall.evaluate(context);
		}
		catch (final IndeterminateEvaluationException e)
		{
			throw new IndeterminateEvaluationException("Error evaluating Match (with equivalent 'any-of' function)", e.getStatusCode(), e);
		}

		return anyOfFuncCallResult.getUnderlyingValue().booleanValue();
	}
