public ProcessedClaimCollection retrieveClaimValues(
            ClaimCollection claims, ClaimsParameters parameters) {
      
        if (claims != null && claims.size() > 0) {
            ProcessedClaimCollection claimCollection = new ProcessedClaimCollection();
            for (Claim requestClaim : claims) {
                ProcessedClaim claim = new ProcessedClaim();
                claim.setClaimType(requestClaim.getClaimType());
                if (ROLE.equals(requestClaim.getClaimType())) {
                    claim.setIssuer("STS");
                    if ("alice".equals(parameters.getPrincipal().getName())) {
                        claim.addValue("boss");
                        claim.addValue("employee");
                    } else if ("bob".equals(parameters.getPrincipal().getName())) {
                        claim.addValue("employee");
                    }
                }
                claimCollection.add(claim);
            }
            return claimCollection;
        }
        return null;
    }
