protected static Collection<? extends Object[]> getTestData(final String rootDirectoryPath, final String testSubDirectoryName, final String testFilenamePrefixBeforeNum, final int startTestNum,
	        final int endTestNum, final String requestFilterId)
	{
		final Collection<Object[]> testData = new ArrayList<>();
		for (int testNum = startTestNum; testNum <= endTestNum; testNum++)
		{
			final String paddedTestNumber;
			if (testNum < 10)
			{
				paddedTestNumber = "00" + testNum;
			}
			else if (testNum < 100)
			{
				paddedTestNumber = "0" + testNum;
			}
			else
			{
				paddedTestNumber = Integer.toString(testNum);
			}

			testData.add(new Object[] { rootDirectoryPath + "/" + testSubDirectoryName + "/" + testFilenamePrefixBeforeNum + paddedTestNumber, requestFilterId });
		}

		return testData;
	}
