public Set<String> queryNames(String objectName) throws MalformedObjectNameException {
    if (mxserver == null) return null;

    Set<ObjectName> objectNames = mxserver.queryNames(new ObjectName(objectName), null);
    Set<String> names = new HashSet<String>();
    for (Iterator<ObjectName> iterator = objectNames.iterator(); iterator.hasNext();) {
      ObjectName objName = iterator.next();
      names.add(objName.getCanonicalName());
    }
    return names;
  }
