public final synchronized Object allocElement() throws Exception {
    if (elementCount == 0) {
      alloc += 1;

      if (Debug.debug && logmon.isLoggable(BasicLevel.DEBUG))
        logmon.log(BasicLevel.DEBUG, logmsg + "allocElement <new>");

      throw new Exception();
    }
    elementCount -= 1;
    Object obj = elementData[elementCount];
    elementData[elementCount] = null; /* to let gc do its work */

    if (elementCount < min) min = elementCount;
    cpt1 += 1; cpt2 += elementCount;
    if ((cpt1 & 0xFFFFFL) == 0L) {
      if (logmon.isLoggable(BasicLevel.INFO)) {
        logmon.log(BasicLevel.INFO,
                   logmsg + (cpt2/cpt1) + '/' + elementCount +
                   ", " + min + '/' + max + ", " + alloc + ", " + free);
        alloc = 0; free = 0; min = elementData.length; max = 0;
      }
    }
    
    if (Debug.debug && logmon.isLoggable(BasicLevel.DEBUG))
      logmon.log(BasicLevel.DEBUG, logmsg + "allocElement " + obj);

    return obj;
  }
