public static final void toString(StringBuffer output,
                                    Collection<?> set,
                                    int listMax,
                                    int listBorder) {
    if (set == null) {
      output.append("null");
      return;
    }

    output.append("(");
    int size = set.size();
    output.append(size);
    if (listMax != -1 && size > listMax)
      size = listBorder;
    for (Iterator<?> it = set.iterator(); size > 0; size --) {
      output.append(",");
      toString(output, it.next());
    }
    output.append(")");
  }
