public final static ServerSocketFactory getDefaultFactory() {
    ServerSocketFactory serverSocketFactory = null;
    try {
      Class<?> factoryClass = Class.forName(DefaultFactory);
      Method method = factoryClass.getMethod("getFactory", (Class[]) null);
      serverSocketFactory = (ServerSocketFactory) method.invoke(null, (Object[]) null);
    } catch (Exception exc) {
      logger.log(BasicLevel.ERROR,
                 "Unable to instantiate default SocketFactory: " + DefaultFactory, exc);
    }
    return serverSocketFactory;
  }
