public void encode(Encoder encoder) throws Exception {
    encoder.encodeUnsignedInt(count);
    for (int index = table.length-1; index >= 0; index--) {
      Entry entry = table[index];
      
      while (entry != null) {
        encoder.encodeString(entry.key);
        StreamUtil.encodeValue(entry.value, encoder);
        entry = entry.next;
      }
    }
  }
