public int getEncodedSize() throws IOException {
    int size = 0;
    size += INT_ENCODED_SIZE;
    for (int index = table.length-1; index >= 0; index--) {
      Entry entry = table[index];
      
      while (entry != null) {
        size += EncodableHelper.getStringEncodedSize(entry.key);
        size += StreamUtil.getEncodedSize(entry.value);
        entry = entry.next;
      }
    }
    
    return size;
  }
