public void writeTo(OutputStream os) throws IOException {
    StreamUtil.writeTo(count, os);
//    logger.log(BasicLevel.DEBUG, "write count=" + count);
    if (count == 0) return;
    for (int index = table.length-1; index >= 0; index--) {
      Entry entry = table[index];
      
      while (entry != null) {
        StreamUtil.writeTo(entry.key, os);
        StreamUtil.writeObjectTo(entry.value, os);
//        logger.log(BasicLevel.DEBUG, "write entry=" + entry.key + ", " + entry.value);
        entry = entry.next;
      }
    }
  }
