private static byte[] readFully(int length, InputStream is) throws IOException {
    int count = 0;
    byte[] buf = (byte[]) (perThreadBuffer.get());
    if (length > buf.length) buf = new byte[length];
    
    int nb = -1;
    do {
      nb = is.read(buf, count, length-count);
      if (nb < 0) throw new EOFException();
      count += nb;
    } while (count != length);
    return buf;
  }
