public static final AgentId fromString(String str) {
    if ((str == null) || (str.length() == 0)) return null;
    if (str.charAt(0) != '#')
      throw new IllegalArgumentException(str + ": bad agent identifier");

    try {
      int start = 1;
      int end = str.indexOf('.', start);
      short from = (short) parseInt(str, start, end);
      start = end +1;
      end = str.indexOf('.', start);
      short to = (short) parseInt(str, start, end);
      start = end +1;
      end = str.length();
      int stamp = parseInt(str, start, end);

      return new AgentId(from, to, stamp);
    } catch (Exception exc) {
      throw new IllegalArgumentException(str + ": " + exc);
    }
  }
