public void agentFinalize(boolean lastTime) {
    try {
      MXWrapper.unregisterMBean("AgentServer", getMBeanName());
    } catch (Exception exc) {
      if (logmon.isLoggable(BasicLevel.DEBUG))
        logmon.log(BasicLevel.WARN,
                   "Agent" + id + " [" + name + "] JMX unregistration failed", exc);
      else
        logmon.log(BasicLevel.WARN,
                   "Agent" + id + " [" + name + "] JMX unregistration failed");
    }

    if (logmon.isLoggable(BasicLevel.DEBUG))
      logmon.log(BasicLevel.DEBUG,
                 "Agent" + id + " [" + name + "],  finalize: " + lastTime);
  }
