static final void post(Message msg) throws Exception {
    try {
      MessageConsumer cons = AgentServer.getConsumer(msg.to.getTo());
      if (! consumers.contains(cons)) {
        consumers.add(cons);
      }
      cons.post(msg);
    } catch (UnknownServerException exc) {
      channel.logmon.log(BasicLevel.ERROR,
                         channel.toString() + ", can't post message: " + msg, exc);
      if ((msg.from != null) && (msg.from.stamp != AgentId.NullIdStamp))
        post(Message.alloc(AgentId.localId, msg.from, new UnknownAgent(msg.to, msg.not)));
    }
  }
