protected final void writeMessageHeader(Message msg) {
    if (getLogger().isLoggable(BasicLevel.DEBUG))
      getLogger().log(BasicLevel.DEBUG, "writeMessageHeader()");
    
    // Writes sender's AgentId
    writeShort(msg.from.from);
    writeShort(msg.from.to);
    writeInt(msg.from.stamp);
    // Writes adressee's AgentId
    writeShort(msg.to.from);
    writeShort(msg.to.to);
    writeInt(msg.to.stamp);
    // Writes source server id of message
    writeShort(msg.source);
    // Writes destination server id of message
    writeShort(msg.dest);
    // Writes stamp of message
    writeInt(msg.stamp);
    
    if (getLogger().isLoggable(BasicLevel.DEBUG))
      getLogger().log(BasicLevel.DEBUG, "writeMessageHeader returns");
  }
