public synchronized void deleteMessagesUpTo(int stamp) throws IOException {
    if (persistent) {
      MessageSoftRef msgRef = null;
      Iterator iter = msgSentlist.iterator();

      int removedCount = 0;
      AgentServer.getTransaction().begin();
      while (iter.hasNext()) {
        msgRef = (MessageSoftRef) iter.next();
        if (msgRef.getStamp() <= stamp) {
          iter.remove();
          msgRef.delete();
          removedCount++;
        } else {
          break;
        }
      }
      AgentServer.getTransaction().commit(true);

      if (removedCount == 0) {
        throw new NoSuchElementException();
      }
    } else {
      Iterator iter = msgSentlist.iterator();
      while (iter.hasNext()) {
        Message msg = (Message) iter.next();
        if (msg.getStamp() <= stamp) {
          iter.remove();
        } else {
          break;
        }
      }
    }
  }
