private Message getMessageAt(int index) {
    if (Debug.debug && logmon.isLoggable(BasicLevel.DEBUG))
      logmon.log(BasicLevel.DEBUG, logmsg + "getMessageAt(" + index + ")");

    int idx = (first + index)%data.length;
    
    if (data[idx] == null) throw new RuntimeException("Null element in: " + this);
    
    if (persistent) {
      return ((MessageSoftRef) data[idx]).loadMessage();
    }
    
    return (Message) data[idx];
  }
