public void post(Message msg) throws Exception {
    short to = AgentServer.getServerDesc(msg.to.to).gateway;
    // Allocates a new timestamp. Be careful, if the message needs to be
    // routed we have to use the next destination in timestamp generation.

    msg.source = AgentServer.getServerId();
    msg.dest = to;
    msg.stamp = getSendUpdate(to);

    // Saves the message.
    msg.save();
    // Push it in "ready to deliver" queue.
    qout.push(msg);
    nbMessageOut += 1;
    
    // Participate in potential flow control
    if (msg.getNot() instanceof CallbackNotification) {
      CallbackNotification callbackNotification = (CallbackNotification) msg
          .getNot();
      callbackNotification.done();
    }
  }
