public void setProperties() throws Exception {
    if (logmon.isLoggable(BasicLevel.DEBUG))
      logmon.log(BasicLevel.DEBUG, domain + ", Network.setProperties()");

    WDActivationPeriod = AgentServer.getLong("WDActivationPeriod",
                                      WDActivationPeriod).longValue();
    WDActivationPeriod = AgentServer.getLong(domain + ".WDActivationPeriod",
                                      WDActivationPeriod).longValue();

    WDNbRetryLevel1 = AgentServer.getInteger("WDNbRetryLevel1",
                                         WDNbRetryLevel1).intValue();
    WDNbRetryLevel1 = AgentServer.getInteger(domain + ".WDNbRetryLevel1",
                                         WDNbRetryLevel1).intValue();

    WDRetryPeriod1 = AgentServer.getLong("WDRetryPeriod1",
                                  WDRetryPeriod1).longValue();
    WDRetryPeriod1 = AgentServer.getLong(domain + ".WDRetryPeriod1",
                                  WDRetryPeriod1).longValue();

    WDNbRetryLevel2 = AgentServer.getInteger("WDNbRetryLevel2",
                                         WDNbRetryLevel2).intValue();
    WDNbRetryLevel2 = AgentServer.getInteger(domain + ".WDNbRetryLevel2",
                                         WDNbRetryLevel2).intValue();

    WDRetryPeriod2 = AgentServer.getLong("WDRetryPeriod2",
                                  WDRetryPeriod2).longValue();
    WDRetryPeriod2 = AgentServer.getLong(domain + ".WDRetryPeriod2",
                                  WDRetryPeriod2).longValue();

    WDRetryPeriod3 = AgentServer.getLong("WDRetryPeriod3",
                                  WDRetryPeriod3).longValue();
    WDRetryPeriod3 = AgentServer.getLong(domain + ".WDRetryPeriod3",
                                  WDRetryPeriod3).longValue();
    
    if (logmon.isLoggable(BasicLevel.DEBUG)) {
      StringBuffer strbuf = new StringBuffer();
      strbuf.append(" setProperties(");
      strbuf.append("WDActivationPeriod=").append(WDActivationPeriod);
      strbuf.append(", WDNbRetryLevel1=").append(WDNbRetryLevel1);
      strbuf.append(", WDRetryPeriod1=").append(WDRetryPeriod1);
      strbuf.append(", WDNbRetryLevel2=").append(WDNbRetryLevel2);
      strbuf.append(", WDRetryPeriod2=").append(WDRetryPeriod2);
      strbuf.append(", WDRetryPeriod3=").append(WDRetryPeriod3);
      strbuf.append(')');
      logmon.log(BasicLevel.DEBUG,
                 getName() + strbuf.toString());
    }
  }
