public void removeService(int sid,
                            String className) 
    throws Exception {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, 
                 "ServerConfigHelper.addService(" + 
                 sid + ',' + className + ')');
    A3CMLConfig a3cmlConfig = AgentServer.getConfig();
    A3CMLServer a3cmlServer = a3cmlConfig.getServer((short)sid);
    
    if (sid == AgentServer.getServerId()) {
      ServiceManager.stop(className);
    }

    a3cmlServer.removeService(className);

    if (autoCommit) commit();
  }
