public final void addServer(A3CMLServer server) throws DuplicateServerException {
    Short id = new Short(server.sid);
    if (servers.containsKey(id))
      throw new DuplicateServerException("Duplicate server id. #" + server.sid);
    
    for (Enumeration<A3CMLServer> s = servers.elements(); s.hasMoreElements(); ) {
      A3CMLServer serv = s.nextElement();
      if (serv.name.equals(server.name))
        throw new DuplicateServerException("Duplicate server name. " + server.name);
    }
    
    servers.put(id, server);
  }
