public final String getServiceArgsHost(String hostname,
                                         String classname) throws Exception {
    for (Enumeration<A3CMLServer> s = servers.elements(); s.hasMoreElements(); ) {
      A3CMLServer server = s.nextElement();
      if (server.hostname.equals(hostname)) {
        try {
          String args = getServiceArgs(server.sid, classname);
          return args;
        } catch (Exception exc) {}
      }
    }
    throw new UnknownServiceException("Unknown service \"" + classname + "\" on host " + hostname);
  }
