public boolean equals(Object obj) {
    if (obj == null) return false;

    if (obj instanceof A3CMLServer) {
      A3CMLServer server = (A3CMLServer) obj;
      if ((sid == server.sid) &&
          name.equals(server.name) &&
          ((hostname == server.hostname) ||
           ((hostname != null) && hostname.equals(server.hostname))) &&
          ((domain == server.domain) ||
           ((domain != null) && domain.equals(server.domain))) &&
          (port == server.port) &&
          services.equals(server.services) &&
          ((jvmArgs == server.jvmArgs) ||
           ((jvmArgs != null) && jvmArgs.equals(server.jvmArgs))) &&
          ((properties == server.properties) ||
           ((properties != null) && properties.equals(server.properties))) &&
          ((nat == server.nat) ||
           ((nat != null) && nat.equals(server.nat))) &&
          networks.equals(server.networks) &&
          (visited == server.visited) &&
          (gateway == server.gateway))
        return true;
    }
    return false;
  }
