private byte[] serialize(Serializable obj, Context ctx) throws IOException {
    if (ctx.oos == null) {
      ctx.bos.reset();
      if (! onlyUseJavaSerialization) {
        ctx.bos.write(JAVA_SERIALIZATION_TAG);
      }
      ctx.oos = new ObjectOutputStream(ctx.bos);
    } else {
      ctx.oos.reset();
      ctx.bos.reset();
      if (! onlyUseJavaSerialization) {
        ctx.bos.write(JAVA_SERIALIZATION_TAG);
      }
      ctx.bos.write(OOS_STREAM_HEADER, 0, 4);
    }
    
    ctx.oos.writeObject(obj);
    ctx.oos.flush();
    return ctx.bos.toByteArray();
  }
