private void reconnection() throws IOException {
    logger.log(BasicLevel.WARN, "reconnection in progress - starting");
    try {
      if (ds != null) {
        // conn = ds.getConnection();
        closeConnection(); // attempt to close all connection and recreate
                           // DataSource.
      }
      logger.log(BasicLevel.WARN,
                 "reconnection in progress - old connection closed");
      conn = getConnection();
      logger.log(BasicLevel.WARN,
                 "reconnection in progress - getConnection success");
      conn.setAutoCommit(false);

      insertStmt = conn.prepareStatement("INSERT INTO JoramDB VALUES (?, ?)");
      updateStmt = conn.prepareStatement("UPDATE JoramDB SET content=? WHERE name=?");
      deleteStmt = conn.prepareStatement("DELETE FROM JoramDB WHERE name=?");
    } catch (Exception sqle) {
      sqle.printStackTrace();
      throw new IOException(sqle.getMessage());
    }
    logger.log(BasicLevel.WARN, "Database reconnection success");
  }
