public void react(AgentId from, Notification not) throws Exception {
    if (Trace.logger.isLoggable(BasicLevel.DEBUG))
      Trace.logger.log(BasicLevel.DEBUG, "\n\nJndiServer[" + getId() + "].react(" + from + ',' + not + ')');
    setNoSave();
    for (int i = 0; i < entryPoints.size(); i++) {
      EntryPoint entryPoint = 
        (EntryPoint)entryPoints.elementAt(i);
      if (entryPoint.accept(from, not)) {
        return;
      }
    }
    super.react(from, not);    
  }
