public void reply(JndiReply reply) {
    if (ioCtrl == null) {
      Trace.logger.log(BasicLevel.WARN, "TcpRequestContext.reply(" + reply + ") ioCtrl is null");
      return;
    }
      
    try {
      ioCtrl.writeObject(reply);
    } catch (Exception exc) {
      Trace.logger.log(BasicLevel.ERROR, "TcpRequestContext.reply(" + reply + ")", exc);
    } finally {
      ioCtrl.close();
    }
  }
