private static Reference toReference(Object obj) throws NamingException {
    ByteArrayOutputStream baos = new ByteArrayOutputStream();    
    try {
      ObjectOutputStream oos = new ObjectOutputStream(baos);
      oos.writeObject(obj);
      byte[] bytes = baos.toByteArray();
      Reference ref = new Reference(
        obj.getClass().getName(),
        new BinaryRefAddr(ObjectFactory.ADDRESS_TYPE, bytes),
        "fr.dyade.aaa.jndi2.msg.ObjectFactory", null);
      return ref;
    } catch (Exception exc) {
      NamingException ne = new NamingException();
      ne.setRootCause(exc);
      throw ne;
    }    
  }
