void adminDisconnect() {
  	//unregister wrapper as a service
  	if (registration != null)
  		registration.unregister();
  	
  	// Finishing the admin session.
    wrapper.close();
    if (isActive)
    	adminDurationState = System.currentTimeMillis();
    isActive = false;
    
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "adminDisconnect: cnx = " + cnx);
    if (cnx != null) {
      try {
        cnx.close();
        cnx = null;
      } catch (JMSException e) {
        if (logger.isLoggable(BasicLevel.DEBUG))
          logger.log(BasicLevel.DEBUG, "adminDisconnect: " + getMBeanName(), e);
      }
    }
  }
