public void removeDestination(String name) throws AdminException {
    try {
      Destination dest = (Destination) jndiHelper.lookup(name);
      dest.setWrapper(wrapper);
      try {
        MXWrapper.unregisterMBean(dest.getJMXBeanName(wrapper.getJMXBaseName(), dest));
      } catch (Exception e) {
        if (logger.isLoggable(BasicLevel.DEBUG))
          logger.log(BasicLevel.DEBUG, "unregisterMBean: " + name, e);
      }
      dest.delete();
      unbind(name);
    } catch (Exception exc) {
      logger.log(BasicLevel.WARN, "removeDestination failed: " + name, exc);
      throw new AdminException("removeDestination(" + name + ") failed.");
    }
  }
