public void send(Destination dest,
                   Message message,
                   int deliveryMode,
                   int priority,
                   long timeToLive)
    throws JMSException {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, this + " send(" + dest + 
                                    ", " + message + 
                                    ", " + deliveryMode + 
                                    ", " + priority + 
                                    ", " + timeToLive + ")");

    checkValidity();
    producer.send(dest, message, deliveryMode, priority, timeToLive);
  }
