public void send(Destination destination, Message message, int deliveryMode,
		  int priority, long timeToLive, CompletionListener completionListener)
				  throws JMSException {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, this + " send(" + destination + ", " + message + ", " + deliveryMode + ", " + priority + ", " + timeToLive + ", " + completionListener + ")");

    checkValidity();
    producer.send(destination, message, deliveryMode, priority, timeToLive, completionListener);
  }
