public void send(Queue queue,
                   Message message,
                   int deliveryMode, 
                   int priority,
                   long timeToLive)
    throws JMSException {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, this + " send(" + queue + 
                                    ", " + message + 
                                    ", " + deliveryMode + 
                                    ", " + priority + 
                                    ", " + timeToLive + ")");

    checkValidity();
    producer.send(queue, message, deliveryMode, priority, timeToLive);
  }
