public void close() throws JMSException {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, this + " close()");

    valid = false;
    cnx.sessions.remove(this);
    started = false;
    
    // This session is shared by all the outbound sessions.
    // This session will be closed on outbound connection close. 
    sess = null;
  }
