public javax.jms.TopicSubscriber
      createDurableSubscriber(javax.jms.Topic topic,
                              String name,
                              String selector,
                              boolean noLocal)
    throws JMSException {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, 
                                    this + " createDurableSubscriber(" + topic +
                                    ", " + name +
                                    ", " + selector +
                                    ", " + noLocal + ")");

    checkValidity();

    TopicSubscriber sub =
      sess.createDurableSubscriber(topic, name, selector, noLocal);

    return new OutboundSubscriber(topic, noLocal, sub, this);
  }
