private void updateJoramAdminCfg(String hostName,
                                   String port)
    throws Exception {
    File file = new File(confDir, JORAMADMIN_CFG);
    FileReader fileReader = new FileReader(file);
    BufferedReader reader = new BufferedReader(fileReader);
    boolean end = false;
    String line;
    StringTokenizer tokenizer;
    String firstToken;
    StringBuffer buff = new StringBuffer();

    while (! end) {
      line = reader.readLine();
      if (line == null)
        end = true;
      else {
        tokenizer = new StringTokenizer(line);
        if (tokenizer.hasMoreTokens()) {
          firstToken = tokenizer.nextToken();
          if (firstToken.equalsIgnoreCase("Host")) {
            buff.append("Host   " + hostName + "\n");
            continue;
          }
          else if (firstToken.equalsIgnoreCase("Port")) {
            buff.append("Port   " + port + "\n");
            continue;
          }
        }
        buff.append(line + "\n");
      }
    }
    file.delete();
    ByteArrayInputStream bis = new ByteArrayInputStream(buff.toString().getBytes());
    FileOutputStream fos = new FileOutputStream(file);
    try {
      dump(bis,fos);
    } finally {
      fos.close();
      bis.close();
    }
  }
