public void fromReference(Reference ref, String prefix) {
//     if (prefix == null) prefix = "cf";

    host = (String) ref.get(prefix + ".host").getContent();
    port = new Integer((String) ref.get(prefix + ".port").getContent()).intValue();

    url = (String) ref.get(prefix + ".url").getContent();

    clientID = (String) ref.get(prefix + ".clientID").getContent();
    TcpNoDelay = new Boolean((String) ref.get(prefix + ".TcpNoDelay").getContent()).booleanValue();
    SoLinger = new Integer((String) ref.get(prefix + ".SoLinger").getContent()).intValue();
    SoTimeout = new Integer((String) ref.get(prefix + ".SoTimeout").getContent()).intValue();

    connectingTimer = new Integer((String) ref.get(prefix + ".cnxT").getContent()).intValue();
    txPendingTimer = new Integer((String) ref.get(prefix + ".txT").getContent()).intValue();
    cnxPendingTimer = new Integer((String) ref.get(prefix + ".cnxPT").getContent()).intValue();

    socketFactory = (String) ref.get(prefix + ".socketFactory").getContent();
    
    implicitAck = new Boolean((String) ref.get(prefix + ".implicitAck").getContent()).booleanValue();
    asyncSend = new Boolean((String) ref.get(prefix + ".asyncSend").getContent()).booleanValue();
    queueMessageReadMax = new Integer((String) ref.get(prefix + ".queueMessageReadMax").getContent()).intValue();
    topicAckBufferMax = new Integer((String) ref.get(prefix + ".topicAckBufferMax").getContent()).intValue();
    multiThreadSync = new Boolean((String) ref.get(prefix + ".multiThreadSync").getContent()).booleanValue();
    multiThreadSyncDelay = new Integer((String) ref.get(prefix + ".multiThreadSyncDelay").getContent()).intValue();
    multiThreadSyncThreshold = new Integer((String) ref.get(prefix + ".multiThreadSyncThreshold").getContent()).intValue();
    topicPassivationThreshold = new Integer((String) ref.get(prefix + ".topicPassivationThreshold").getContent()).intValue();
    topicActivationThreshold = new Integer((String) ref.get(prefix + ".topicActivationThreshold").getContent()).intValue();
    compressedMinSize = new Integer((String) ref.get(prefix + ".compressedMinSize").getContent()).intValue();
    compressionLevel = new Integer((String) ref.get(prefix + ".compressionLevel").getContent()).intValue();
    noAckedQueue = new Boolean((String) ref.get(prefix + ".noAckedQueue").getContent()).booleanValue();
    outLocalPort = new Integer((String) ref.get(prefix + ".outLocalPort").getContent()).intValue();
    RefAddr outLocalAddressRef = ref.get(prefix + ".outLocalAddress");
    if (outLocalAddressRef != null)
      outLocalAddress = (String) outLocalAddressRef.getContent();
    RefAddr interceptorRef = ref.get(prefix + ".inInterceptors");
    if(interceptorRef != null)
    	setListInInterceptorClassName((String)interceptorRef.getContent());
    interceptorRef = ref.get(prefix + ".outInterceptors");
    if(interceptorRef != null)
    	setListOutInterceptorClassName((String)interceptorRef.getContent());
    RefAddr messageIdPrefixRef = ref.get(prefix + ".messageIdPrefix");
    if (messageIdPrefixRef != null)
      messageIdPrefix = (String) messageIdPrefixRef.getContent();
  }
