public void toReference(Reference ref, String prefix) {
    //     if (prefix == null) prefix = "cf";

    ref.add(new StringRefAddr(prefix + ".host", getHost()));
    ref.add(new StringRefAddr(prefix + ".port",
                              new Integer(getPort()).toString()));

    ref.add(new StringRefAddr(prefix + ".url", getUrl()));

    ref.add(new StringRefAddr(prefix + ".clientID", clientID));
    ref.add(new StringRefAddr(prefix + ".TcpNoDelay",
                              new Boolean(TcpNoDelay).toString()));
    ref.add(new StringRefAddr(prefix + ".SoLinger",
                              new Integer(SoLinger).toString()));
    ref.add(new StringRefAddr(prefix + ".SoTimeout",
                              new Integer(SoTimeout).toString()));

    ref.add(new StringRefAddr(prefix + ".cnxT",
                              new Integer(connectingTimer).toString()));
    ref.add(new StringRefAddr(prefix + ".txT",
                              new Integer(txPendingTimer).toString()));
    ref.add(new StringRefAddr(prefix + ".cnxPT", 
                              new Integer(cnxPendingTimer).toString()));

    ref.add(new StringRefAddr(prefix + ".socketFactory", socketFactory));

    ref.add(new StringRefAddr(prefix + ".implicitAck", 
                              new Boolean(implicitAck).toString()));
    ref.add(new StringRefAddr(prefix + ".asyncSend", 
                              new Boolean(asyncSend).toString()));
    ref.add(new StringRefAddr(prefix + ".queueMessageReadMax", 
                              new Integer(queueMessageReadMax).toString()));
    ref.add(new StringRefAddr(prefix + ".topicAckBufferMax", 
                              new Integer(topicAckBufferMax).toString()));
    ref.add(new StringRefAddr(prefix + ".multiThreadSync", 
                              new Boolean(multiThreadSync).toString()));
    ref.add(new StringRefAddr(prefix + ".multiThreadSyncDelay", 
                              new Integer(multiThreadSyncDelay).toString()));
    ref.add(new StringRefAddr(prefix + ".multiThreadSyncThreshold", 
                              new Integer(multiThreadSyncThreshold).toString()));
    ref.add(new StringRefAddr(prefix + ".topicPassivationThreshold", 
                              new Integer(topicPassivationThreshold).toString()));
    ref.add(new StringRefAddr(prefix + ".topicActivationThreshold", 
                              new Integer(topicActivationThreshold).toString()));
    ref.add(new StringRefAddr(prefix + ".compressedMinSize", new Integer(compressedMinSize).toString()));
    ref.add(new StringRefAddr(prefix + ".compressionLevel", new Integer(compressionLevel).toString()));
    ref.add(new StringRefAddr(prefix + ".noAckedQueue", new Boolean(noAckedQueue).toString()));
    ref.add(new StringRefAddr(prefix + ".outLocalPort", new Integer(outLocalPort).toString()));
    if (outLocalAddress != null)
      ref.add(new StringRefAddr(prefix + ".outLocalAddress", outLocalAddress));
    if ((inInterceptors != null) && (!inInterceptors.isEmpty()))
      ref.add(new StringRefAddr(prefix + ".inInterceptors", getListInInterceptorClassName()));
    if ((outInterceptors!=null) && (!outInterceptors.isEmpty()))
      ref.add(new StringRefAddr(prefix + ".outInterceptors", getListOutInterceptorClassName()));
    if (messageIdPrefix != null)
      ref.add(new StringRefAddr(prefix + ".messageIdPrefix", messageIdPrefix));
  }
