public String toString() {
    StringBuffer strbuf = new StringBuffer();

    strbuf.append('(').append(super.toString());
    strbuf.append(",host=").append(host);
    strbuf.append(",port=").append(port);
    strbuf.append(",url=").append(url);
    strbuf.append(",connectingTimer=").append(connectingTimer);
    strbuf.append(",txPendingTimer=").append(txPendingTimer);
    strbuf.append(",cnxPendingTimer=").append(cnxPendingTimer);
    strbuf.append(",implicitAck=").append(implicitAck);
    strbuf.append(",asyncSend=").append(asyncSend);
    strbuf.append(",queueMessageReadMax=").append(queueMessageReadMax);
    strbuf.append(",topicAckBufferMax=").append(topicAckBufferMax);
    strbuf.append(",multiThreadSync=").append(multiThreadSync);
    strbuf.append(",multiThreadSyncDelay=").append(multiThreadSyncDelay);
    strbuf.append(",multiThreadSyncThreshold=").append(multiThreadSyncThreshold);
    strbuf.append(",topicPassivationThreshold=").append(topicPassivationThreshold);
    strbuf.append(",topicActivationThreshold=").append(topicActivationThreshold);
    strbuf.append(",compressedMinSize=").append(compressedMinSize);
    strbuf.append(",compressionLevel=").append(compressionLevel);
    strbuf.append(",noAckedQueue=").append(noAckedQueue);
    strbuf.append(",outLocalAddress=").append(outLocalAddress);
    strbuf.append(",outLocalPort=").append(outLocalPort);

    if (inInterceptors != null)
      strbuf.append(",inInterceptors=").append(getListInInterceptorClassName());
    if (outInterceptors != null)
      strbuf.append(",outInterceptors=").append(getListOutInterceptorClassName());

    if (messageIdPrefix != null)
      strbuf.append(",messageIdPrefix=").append(messageIdPrefix);
    
    return strbuf.toString();
  }
