public <T> T receiveBodyNoWait(Class<T> c) {
    Message m = receiveNoWait();
    if (m != null)
      try {
        return m.getBody(c);
      } catch (JMSException e) {
        throw new MessageFormatRuntimeException("Unable to get message body", e.getMessage(), e);
      }
    return null;
  }
