public void acknowledge() {
    connection.lockClientID();
    try {
      session.acknowledge();
    } catch (IllegalStateException e) {
      throw new IllegalStateRuntimeException("Unable to acknowledge", e.getMessage(), e);
    } catch (JMSException e) {
      logger.log(BasicLevel.ERROR, "Unable to acknowledge", e);
      throw new JMSRuntimeException(e.getMessage());
    }
  }
