synchronized void close() throws JMSException {
    if (connection == null) throw new JMSException("Underlying connection is closed");

    if (--counter <= 0)
      try {
        connection.close();
      } finally {
        connection = null;
      }
  }
