public QueueBrowser createBrowser(Queue queue, String messageSelector) {
    connection.lockClientID();
    try {
      return session.createBrowser(queue, messageSelector);
    } catch (InvalidDestinationException e) {
      throw new InvalidDestinationRuntimeException(e.getMessage());
    } catch (InvalidSelectorException e) {
      throw new InvalidSelectorRuntimeException(e.getMessage());
    } catch (JMSException e) {
      throw new JMSRuntimeException(e.getMessage());
    }
  }
