public ExceptionListener getExceptionListener() {
    try {
      if (connection == null) throw new JMSException("Underlying connection is closed");

      return connection.getExceptionListener();
    } catch (JMSException e) {
      throw new JMSRuntimeException(e.getMessage(), e.getErrorCode(), e);
    }
  }
