public void stop() {
    try {
      if (connection == null) throw new JMSException("Underlying connection is closed");

      connection.stop();
    } catch (IllegalStateException e) {
      throw new IllegalStateRuntimeException("Unable to close context", e.getMessage(), e);
    } catch (JMSException e) {
      throw new JMSRuntimeException("Cannot stop connection", e.getMessage(), e);
    }
  }
