public long getLongProperty(String name) {
    if (name == null || name.equals(""))
      throw new JMSRuntimeException("Invalid property name: " + name);
    
    try {
      return ConversionHelper.toLong(properties.get(name));
    } catch (MessageValueException mE) {
      throw new MessageFormatRuntimeException(mE.getMessage());
    }
//    if (propertyExists(name) && (properties.get(name) instanceof Long)) {
//      return ((Long) properties.get(name)).longValue();
//    } else {
//      if (!propertyExists(name)) {
//        throw new JMSRuntimeException("unable to get property associated to: " + name);
//      } else {
//        throw new MessageFormatRuntimeException("Unable to convert property associated to: " + name);
//      }
//    }
  }
