public javax.jms.JMSProducer send(Destination destination, Serializable body) {
    javax.jms.ObjectMessage message = null;
    try {
      message = session.createObjectMessage(body);
    } catch (JMSException e) {
      throw new JMSRuntimeException(e.getMessage());
    }
    doSend(destination, message);
    return this;
  }
