public javax.jms.JMSProducer setProperty(String name, Object value) {
    if (name == null || name.equals(""))
      throw new IllegalArgumentException("Invalid property name: " + name);

    if (value instanceof Boolean ||
        value instanceof Number ||
        value instanceof String) {
      properties.put(name, value);
    } else {
      throw new MessageFormatRuntimeException("Can't set non primitive Java object as a property value.");
    }
    return this;
  }
