private Message writeCurrentProperties(Message message) throws JMSException {
    if (jmsCorrelationID != null)
      message.setJMSCorrelationID(jmsCorrelationID);
    if (jmsType != null)
      message.setJMSType(jmsType);
    if (replyTo != null)
      message.setJMSReplyTo(replyTo);
    
    for (String key : properties.keySet()) {
//      if (properties.get(key) instanceof Boolean) {
//        message.setBooleanProperty(key,
//            ((Boolean) properties.get(key)).booleanValue());
//      } else if (properties.get(key) instanceof Long) {
//        message.setLongProperty(key, ((Long) properties.get(key)).longValue());
//      } else if (properties.get(key) instanceof Short) {
//        message.setShortProperty(key,
//            ((Short) properties.get(key)).shortValue());
//      } else if (properties.get(key) instanceof Integer) {
//        message.setIntProperty(key, ((Integer) properties.get(key)).intValue());
//      } else if (properties.get(key) instanceof Byte) {
//        message.setLongProperty(key, ((Byte) properties.get(key)).byteValue());
//      } else if (properties.get(key) instanceof Float) {
//        message.setFloatProperty(key,
//            ((Float) properties.get(key)).floatValue());
//      } else if (properties.get(key) instanceof Double) {
//        message.setDoubleProperty(key,
//            ((Double) properties.get(key)).doubleValue());
//      } else if (properties.get(key) instanceof String) {
//        message.setStringProperty(key, (String) properties.get(key));
//      } else {
        message.setObjectProperty(key, properties.get(key));
//      }
    }

    if (replyTo != null)
      message.setJMSReplyTo(replyTo);
    return message;
  }
