public void close() throws JMSException {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "Session.close()");
    
    if (cnx.checkCLSession(this))
      throw new IllegalStateException("Cannot close session");

    if (daemon != null && daemon.isCurrentThread())
      toClose = true;
    else
      closer.close();
    unregisterMBean();
  }
