public synchronized javax.jms.TopicSubscriber createDurableSubscriber(javax.jms.Topic topic, String name)
      throws JMSException {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "Session.createDurableSubscriber(" + topic + ',' + name + ')');
    checkClosed();
    checkThreadOfControl();
    checkClientID();
    TopicSubscriber ts = new TopicSubscriber(this, (Topic) topic, name, null, false, true);
    addConsumer(ts);
    return ts;
  }
