public synchronized javax.jms.TopicSubscriber createDurableSubscriber(javax.jms.Topic topic, String name,
      String selector, boolean noLocal) throws JMSException {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "Session.createDurableSubscriber(" + topic + ',' + name + ',' + selector
          + ',' + noLocal + ')');
    checkClosed();
    checkThreadOfControl();
    checkClientID();
    TopicSubscriber ts = new TopicSubscriber(this, (Topic) topic, name, selector, noLocal, true);
    addConsumer(ts);
    return ts;
  }
