public synchronized javax.jms.Queue createQueue(String name) throws JMSException {
    checkClosed();
    checkThreadOfControl();
    
    try {
      Destination.checkId(name);
    } catch (InvalidDestinationException exc) {
      String id = createDestination(DestinationConstants.getQueueType(), name);
      Queue queue = new Queue(id);
      queue.adminName = name;
      return queue;
    }
    return new Queue(name);
  }
