public synchronized javax.jms.TemporaryQueue createTemporaryQueue() throws JMSException {
    checkClosed();
    checkThreadOfControl();

    SessCreateDestReply reply = (SessCreateDestReply) requestor.request(new SessCreateDestRequest(DestinationConstants.getTemporaryQueueType()));
    String tempDest = reply.getAgentId();
    return new TemporaryQueue(tempDest, cnx);
  }
