synchronized void start() {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "Session.start()");

    if (status == Status.CLOSE)
      return;
    if (status == Status.START)
      return;
    
    receiveRequestor.start();
    
    if (listenerCount > 0) {
      doStart();
    }

    setStatus(Status.START);
  }
