public void rollback(Xid xid) throws XAException {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG,
                 this + ": rollback(" + xid + ")");

    if (enlisted && currentXid.equals(xid)) {
      rm.end(xid, javax.transaction.xa.XAResource.TMFAIL, sess);
      enlisted = false;
      currentXid = null;
    }

    rm.rollback(xid);
  }
