public javax.jms.XAConnection createXAConnection(String name, String password) throws javax.jms.JMSException {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG,
                 "TcpConnectionFactory.createXAConnection(" + name + ") reliableClass=" + reliableClass);

    initIdentity(name, password);
    XAConnection cnx = new XAConnection();
    cnx.setJMXBeanBaseName(cnxJMXBeanBaseName);
    cnx.open(params, createRequestChannel(params, identity, reliableClass));
    return cnx;
  }
