public Queue createDeadMQueue(int serverId, String name) throws ConnectException, AdminException {
    CreateDestinationRequest cdr = new CreateDestinationRequest(serverId,
                                                                name, 
                                                                "org.objectweb.joram.mom.dest.Queue",
                                                                null,
                                                                Queue.QUEUE_TYPE);
    CreateDestinationReply reply = (CreateDestinationReply) doRequest(cdr);
    
    Queue dmq = DeadMQueue.createDeadMQueue(reply.getId(), name);
    
    if (AdminModule.wrapper != this)
      dmq.setWrapper(this);

    return dmq;
  }
