public Destination createQueue(int serverId,
                                 String name,
                                 String className,
                                 Properties prop) throws ConnectException, AdminException {
    CreateDestinationRequest cdr = new CreateDestinationRequest(serverId, name, className, prop, Queue.QUEUE_TYPE);
    CreateDestinationReply reply = (CreateDestinationReply) doRequest(cdr);
    
    Queue queue = Queue.createQueue(reply.getId(), name);
    
    if (AdminModule.wrapper != this)
      queue.setWrapper(this);

    return queue;
  }
