public Destination createTopic(int serverId,
                                 String name,
                                 String className,
                                 Properties prop) throws ConnectException, AdminException {
    CreateDestinationRequest cdr = new CreateDestinationRequest(serverId, name, className, prop, Topic.TOPIC_TYPE);
    CreateDestinationReply reply = (CreateDestinationReply) doRequest(cdr);
    
    Topic topic = Topic.createTopic(reply.getId(), name);

    if (AdminModule.wrapper != this)
      topic.setWrapper(this);

    return topic;
  }
