public final void stopServer(int serverId) throws ConnectException, AdminException {
    try {
      doRequest(new StopServerRequest(serverId));
    } catch (ConnectException exc) {
      // In many case the reply to a StopServerRequest is not transmitted.
      // Ignore the underlying error.
    } finally {
      if (serverId == getLocalServerId()) close();
    }
  }
