public Object getObjectInstance(Object obj,
                                  Name name,
                                  Context ctx,
                                  java.util.Hashtable env) throws Exception {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG,
                 "ObjectFactory.getObjectInstance(" + obj + ',' + name + ',' + ctx + ',' + env + ')');

    Reference ref = (Reference) obj;
    AdministeredObject ao = null;
    try {
      Class<?> clazz = Class.forName(ref.getClassName());
      ao = (AdministeredObject) clazz.newInstance();
      ao.fromReference(ref);
    } catch (Exception exc) {
      if (logger.isLoggable(BasicLevel.ERROR))
        logger.log(BasicLevel.ERROR, "", exc);
    }
    return ao;
  }
