public void free(PooledConnection cnx) throws JMSException {
    ConnectionKey key = new ConnectionKey(cnx.name, cnx.password);
    LinkedList<PooledConnection> pools = cache.get(key);
    
    if (pools == null) {
      pools = new LinkedList<PooledConnection>();
      cache.put(key, pools);
    }

    if (pools.size() == maxFreeConnections) {
      // Really closes the connection ..
      cnx.delegate.close();
      // .. then let the gc work
      return;
    }

    pools.add(cnx);
  }
