public synchronized Connection createConnection(String name,
                                                  String password) throws JMSException {
    if (pool == null)
      pool = createConnectionPool(maxFreeConnections);
    
    allocatedcnx += 1;
    PooledConnection cnx = pool.alloc(name, password);
    
    if (cnx == null) {
      createdCnx += 1;
      cnx = new PooledConnection(this, name, password);
    }
 
    return cnx;
  }
