private void addPendingMessage(TcpMessage msg) {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG,
                 "ReliableTcpConnection.addPendingMessage(" + msg + ')');
    if (!noAckedQueue) {
      synchronized (pendingMessages) {
        pendingMessages.addElement(msg);
      }
    }
  }
