private void setUserDMQ(AdminItf wrapper, User user, String dmq, int dmqSid) throws ConnectException, AdminException {
  	if (logmon.isLoggable(BasicLevel.DEBUG))
  		logmon.log(BasicLevel.DEBUG, "setUserDMQ(" + wrapper + ", " + user + ", " + dmq + ", " +  + dmqSid +')');
  	Destination[] destinations = wrapper.getDestinations(dmqSid);
  	if (destinations != null) {
  		for (int i = 0; i < destinations.length; i++) {
  			if (destinations[i] instanceof Queue && dmq.equals(destinations[i].getName())) {
  				user.setDMQ((Queue) destinations[i]);
  				return;
  			}
  		}
  	}
  	if (logmon.isLoggable(BasicLevel.WARN))
  		logmon.log(BasicLevel.WARN, "setDestinationDMQ: the DMQ \"" + dmq + "\" on server \"" + dmqSid + "\" not found.");
  }
