private void sendRestart() {
    Enumeration<Short> sids = AgentServer.getServersIds();
    while (sids.hasMoreElements()) {
      Short sid = sids.nextElement();
      if (sid.shortValue() != AgentServer.getServerId()) {
        if (logger.isLoggable(BasicLevel.DEBUG))
          logger.log(BasicLevel.DEBUG, "AMQPAgent.sendRestart notification to " + sid);
        Channel.sendTo(getAMQPId(sid.shortValue()), new RestartNot());
      }
    }
  }
