public synchronized void unbind(String queueName, String routingKey, Map<String, Object> arguments)
      throws NotFoundException {
    boolean removed = boundQueues.remove(queueName);
    if (!removed) {
      throw new NotFoundException("Fanout exchange '" + name + "' not bound with queue '" + queueName + "'.");
    }
    if (durable) {
      saveExchange();
    }
  }
