public static void bindExchange(String name, IExchange ref) throws AlreadyBoundException {
    String localName = getLocalName(name);
    IExchange previousValue = exchanges.putIfAbsent(localName, ref);
    if (previousValue != null) {
      throw new AlreadyBoundException(name);
    } else {
      try {
        MXWrapper.registerMBean(ref, "AMQP", "type=Exchange,name=" + localName);
      } catch (Exception exc) {
        logger.log(BasicLevel.DEBUG, "Error registering MBean.", exc);
      }
    }
  }
