public static void bindQueue(String name, Queue ref) throws AlreadyBoundException {
    String localName = getLocalName(name);
    Queue previousValue = queues.putIfAbsent(localName, ref);
    if (previousValue != null) {
      throw new AlreadyBoundException(name);
    } else {
      try {
        MXWrapper.registerMBean(ref, "AMQP", "type=Queue,name=" + localName);
      } catch (Exception exc) {
        logger.log(BasicLevel.DEBUG, "Error registering MBean.", exc);
      }
    }
  }
