public static void createDefaults() throws Exception {
    IExchange exchange;
    exchange = new DirectExchange(IExchange.DEFAULT_EXCHANGE_NAME, true);
    Naming.bindExchange(IExchange.DEFAULT_EXCHANGE_NAME, exchange);

    exchange = new DirectExchange(DirectExchange.DEFAULT_NAME, true);
    Naming.bindExchange(DirectExchange.DEFAULT_NAME, exchange);

    exchange = new FanoutExchange(FanoutExchange.DEFAULT_NAME, true);
    Naming.bindExchange(FanoutExchange.DEFAULT_NAME, exchange);

    exchange = new TopicExchange(TopicExchange.DEFAULT_NAME, true);
    Naming.bindExchange(TopicExchange.DEFAULT_NAME, exchange);

    exchange = new HeadersExchange(HeadersExchange.DEFAULT_NAME, true);
    Naming.bindExchange(HeadersExchange.DEFAULT_NAME, exchange);
  }
