public void basicCancel(String consumerTag, int channelNumber) throws AMQPException,
      ResourceLockedException {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "Proxy.basicCancel(" + consumerTag + ", " + channelNumber + ')');

    ChannelContext channelContext = getContext(channelNumber);
    QueueShell queueShell = channelContext.consumerQueues.remove(consumerTag);
    if (queueShell == null) {
      return;
    }
    doCancel(consumerTag, channelNumber, queueShell);
  }
