private void commitTx() throws TransactionException {
    try {
      if (logger.isLoggable(BasicLevel.DEBUG))
        logger.log(BasicLevel.DEBUG, "Proxy.commitTx: phase = " + transaction.getPhaseInfo());
      transaction.begin();
      transaction.commit(true);
    } catch (IOException e) {
      if (logger.isLoggable(BasicLevel.ERROR))
        logger.log(BasicLevel.ERROR, "Proxy.commitTx() ERROR::", e);
      throw new TransactionException(e.getMessage());
    }
  }
