public void loadProxyId() throws IOException {
    try {
      Long id = (Long) AgentServer.getTransaction().load(PREFIX_PX);
      if (id != null)
        proxyId = id.longValue();
    } catch (ClassNotFoundException e) {
      // Can't happen
      if (logger.isLoggable(BasicLevel.ERROR))
        logger.log(BasicLevel.ERROR, "loadProxyId", e);
    }
  }
