public AMQP.Queue.PurgeOk queuePurge(AMQP.Queue.Purge queuePurge) throws NotFoundException,
      NotAllowedException, ResourceLockedException, SyntaxErrorException, AMQPException {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "Proxy.queuepurge(" + queuePurge + ')');

    if (queuePurge.queue == null || queuePurge.queue.equals("")) {
      throw new NotAllowedException("Purging unspecified queue.");
    }
    if (Naming.isLocal(queuePurge.queue)) {
      int count = StubLocal.queuePurge(queuePurge.queue, name.serverId, name.proxyId);
      return new AMQP.Queue.PurgeOk(count);
    } else {
      return (AMQP.Queue.PurgeOk) StubAgentOut.syncSend(queuePurge, Naming.resolveServerId(queuePurge.queue));
    }
  }
