public void queueUnbind(AMQP.Queue.Unbind queueUnbind) throws NotFoundException, AMQPException {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "Proxy.queueUnbind(" + queueUnbind + ')');

    if (Naming.isLocal(queueUnbind.exchange)) {
      StubLocal.queueUnbind(queueUnbind.exchange, queueUnbind.queue, queueUnbind.routingKey,
          queueUnbind.arguments, name.serverId, name.proxyId);
    } else {
      queueUnbind.queue = Naming.getGlobalName(queueUnbind.queue);
      StubAgentOut.syncSend(queueUnbind, Naming.resolveServerId(queueUnbind.exchange));
    }
  }
