public synchronized void cleanConsumers(short sid) {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "Queue.cleanConsumers(" + sid +')');
    Set<SubscriptionKey> subscriptionKeys = consumers.keySet();
    Iterator<SubscriptionKey> it = subscriptionKeys.iterator();
    while (it.hasNext()) {
      SubscriptionKey subKey = it.next();
      if (subKey.serverId == sid) {
        consumers.remove(subKey);
        if (logger.isLoggable(BasicLevel.DEBUG))
          logger.log(BasicLevel.DEBUG, "Queue.cleanConsumers remove subKey = " + subKey);
      }
    }
  }
