public synchronized int clear(short serverId, long proxyId) throws ResourceLockedException, TransactionException {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "Queue.purge() " + toDeliver.size());

    if (exclusive && (this.serverId != serverId || this.proxyId != proxyId)) {
      throw new ResourceLockedException("Can't clear the non-owned exclusive queue '" + name + "'.");
    }
    int msgCount = toDeliver.size();
    if (durable && msgCount > 0)
      deleteAllMessage(toDeliver);
    toDeliver.clear();
    return msgCount;
  }
