public synchronized AMQP.Queue.DeclareOk getInfo(short serverId, long proxyId) throws ResourceLockedException {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "Queue.getInfo()");

    if (exclusive && (this.serverId != serverId || this.proxyId != proxyId)) {
      throw new ResourceLockedException("Can't redeclare the non-owned exclusive queue '" + name + "'.");
    }
    AMQP.Queue.DeclareOk queueInfo = new AMQP.Queue.DeclareOk(name, toDeliver.size(), consumers.size());
    return queueInfo;
  }
