public synchronized void removeBoundExchange(String exchangeName, short serverId, long proxyId)
      throws ResourceLockedException {
    if (exclusive && (this.serverId != serverId || this.proxyId != proxyId)) {
      throw new ResourceLockedException("Can't unbind the non-owned exclusive queue '" + name + "'.");
    }
    boundExchanges.remove(exchangeName);
    if (durable) {
      deleteBoundExchange(exchangeName);
    }
  }
