private void saveMessage(Message msg) throws TransactionException {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "Queue.saveMessage(" + msg.queueMsgId + ')');
    try {
      AgentServer.getTransaction().create(msg, prefixMsg + msg.queueMsgId);
    } catch (IOException e) {
      if (logger.isLoggable(BasicLevel.ERROR))
        logger.log(BasicLevel.ERROR, "Queue.saveMessage ERROR::", e);
      throw new TransactionException(e.getMessage());  
    }
  }
