public static void basicPublish(PublishRequest publishRequest, short serverId, long proxyId)
      throws NotFoundException {
    try {
      StubLocal.basicPublish(publishRequest, serverId, proxyId);
    } catch (AMQPException exc) {
      if (logger.isLoggable(BasicLevel.DEBUG))
        logger.log(BasicLevel.DEBUG, "Publish Exception: " + exc.getMessage());
      AMQPResponseNot not = new AMQPResponseNot();
      AMQP.Basic.Return returned = new AMQP.Basic.Return(exc.getCode(), exc.getMessage(), publishRequest.getPublish().exchange, publishRequest.getPublish().routingKey);
      returned.channelNumber = publishRequest.channel;
      not.obj = new Returned(returned, publishRequest.getHeader(), publishRequest.getBody(), serverId, proxyId);
      not.keyLock = -1;
      Channel.sendTo(AMQPAgent.getAMQPId(serverId), not);
    }
  }
