public boolean deliver(String consumerTag, int channelId, Queue queue, short serverId, long proxyId) {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "StubAgentOut.deliver(" + queue + ')');
    List<Deliver> deliveries = queue.getDeliveries(consumerTag, channelId, 1, serverId, proxyId);
    for (Iterator<Deliver> iterator = deliveries.iterator(); iterator.hasNext();) {
      Deliver deliver = iterator.next();
      AMQPResponseNot not = new AMQPResponseNot();
      not.obj = deliver;
      not.keyLock = -1;
      Channel.sendTo(AMQPAgent.getAMQPId(deliver.serverId), not);
    }
    return true;
  }
