public static void basicConsume(DeliveryListener deliveryListener, String queueName,
      String consumerTag, boolean exclusive, boolean noAck, boolean noLocal, int channelNumber,
      short serverId, long proxyId) throws NotFoundException, ResourceLockedException, AccessRefusedException {
    Queue queue = Naming.lookupQueue(queueName);
    if (queue == null) {
      throw new NotFoundException("Consuming from non-existent queue: '" + queueName + "'.");
    }
    queue.consume(deliveryListener, channelNumber, consumerTag, exclusive, noAck, noLocal, serverId, proxyId);
  }
