public synchronized void bind(String queueName, String routingKey, Map<String, Object> arguments) {
    Pattern routingPattern = createPattern(routingKey);
    KeyAndPattern keyAndPattern = new KeyAndPattern(routingKey, routingPattern);
    Set<String> boundQueues = bindings.get(keyAndPattern);
    if (boundQueues == null) {
      boundQueues = new HashSet<String>();
      bindings.put(keyAndPattern, boundQueues);
    }
    boundQueues.add(queueName);
    if (durable)
      saveExchange();
  }
