private static Pattern createPattern(String routingPattern) {
    String newPattern = routingPattern;
    newPattern = newPattern.replaceAll("\\*", "[a-zA-Z0-9]*");

    newPattern = newPattern.replaceAll("\\.#\\.", ".([a-zA-Z0-9]*.)*");
    newPattern = newPattern.replaceAll("\\.#", "(.[a-zA-Z0-9]*)*");
    newPattern = newPattern.replaceAll("#\\.", "([a-zA-Z0-9]*.)*");
    newPattern = newPattern.replaceAll("#", "[a-zA-Z0-9\\.]*");

    newPattern = newPattern.replaceAll("\\.", "\\\\.");
    return Pattern.compile(newPattern);
  }
