public Frame toFrame() throws IOException {
    ByteArrayOutputStream bos = new ByteArrayOutputStream();
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "AbstractMarshallingMethod.write(" + this + ", " + bos + ')');

    AMQPOutputStream stream = new AMQPOutputStream(bos);
    stream.writeShort(getClassId());
    stream.writeShort(getMethodId());
    writeTo(stream);
    return new Frame(AMQP.FRAME_METHOD, channelNumber, bos.toByteArray());
  }
