protected Date nextDate(Date now) {
    // avoids multiple scheduling in a minute
    long start = now.getTime() + 60000;
    Calendar calendar = Calendar.getInstance();
    calendar.clear();
    calendar.setTime(new Date(start));

    int idx_h = calendar.get(Calendar.HOUR_OF_DAY);
    int idx_mn = calendar.get(Calendar.MINUTE);

    date_loop: while (true) {
      while (!ranges[CRON_MOY].get(calendar.get(Calendar.MONTH))) {
        calendar.set(Calendar.DAY_OF_MONTH, 1);
        calendar.add(Calendar.MONTH, 1);
        idx_h = 0;
        idx_mn = 0;
      }
      month_block:
      // authorized month, finds next day
      while (true) {
        day_block: 
          if (ranges[CRON_DOM].get(calendar.get(Calendar.DAY_OF_MONTH)) &&
              ranges[CRON_DOW].get(calendar.get(Calendar.DAY_OF_WEEK))) {
          // authorized day, finds next time in the day
          while (true) {
            hour_block: 
              if (ranges[CRON_H].get(idx_h)) {
              // finds minute in current hour
              while (true) {
                if (ranges[CRON_MN].get(idx_mn)) {
                  // next date found
                  calendar.set(Calendar.HOUR_OF_DAY, idx_h);
                  calendar.set(Calendar.MINUTE, idx_mn);
                  break date_loop;
                }
                idx_mn++;
                if (idx_mn > max[CRON_MN])
                  break hour_block;
              }
            }
            idx_h++;
            idx_mn = 0;
            if (idx_h > max[CRON_H])
              break day_block;
          }
        }
        calendar.add(Calendar.DAY_OF_MONTH, 1);
        idx_h = 0;
        if (calendar.get(Calendar.DAY_OF_MONTH) == 1)
          break month_block;
      }
    }

    // updates date variable so as to be able to add the minute
    date = calendar.getTime();
    return date;
  }
