private void schedule(ScheduleEvent event, long period) {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "Scheduler.schedule(" + event + ", " + period + ')');
    
    try {
      wakeUp = new WakeUp();
      timer.schedule(wakeUp, period);
    } catch (Exception exc) {
      if (logger.isLoggable(BasicLevel.ERROR))
        logger.log(BasicLevel.ERROR, "Exception in schedule", exc);
    }
  }
