private void broadcastRequest(AdminRequest request,
                                int avoidServerId,
                                AgentId replyTo,
                                String msgId) {
    FwdAdminRequestNot not = new FwdAdminRequestNot(request, replyTo, msgId);
    Enumeration ids = AgentServer.getServersIds();
    while (ids.hasMoreElements()) {
      short id = ((Short) ids.nextElement()).shortValue();
      if (id != AgentServer.getServerId() && id != avoidServerId) {
        forward(getDefault(id), not);
      }
    }
  }
