public void createUser(String user, String passwd, int serverId, String identityClassName) throws Exception {
    if ((user == null) || user.equals(""))
      throw new RequestException("User name can not be null or empty");

    Identity identity = null;
    try {
      identity = (Identity) Class.forName(identityClassName).newInstance();
      if (passwd != null)
        identity.setIdentity(user, passwd);
      else
        identity.setUserName(user);
    } catch (Exception e) {
      throw new RequestException(e.getMessage());
    }
    CreateUserRequest request = new CreateUserRequest(identity, serverId, null);
    FwdAdminRequestNot createNot = new FwdAdminRequestNot(request, null, null);
    Channel.sendTo(getId(), createNot);
  }
