private void doProcess(GetJMXAttsRequest request, AgentId replyTo, String msgId) {
    AgentId destId = AgentId.fromString(request.getDest());

    if (destId.isNullId()) {
      logger.log(BasicLevel.DEBUG, "GetJMXAttsRequest -> " + request.attributes);
      // Get attribute list from request
      String[] atts = request.getAttributes();
      Hashtable stats = MXWrapper.dumpAttributes(atts, true);
      GetJMXAttsReply reply = new GetJMXAttsReply(stats);
      logger.log(BasicLevel.DEBUG, "GetJMXAttsRequest -> " + stats);
      distributeReply(replyTo, msgId, reply);
    } else {
      forward(destId, new FwdAdminRequestNot(request, replyTo, msgId, createMessageId()));
    }
  }
