private void doProcess(GetStatsRequest request, AgentId replyTo, String msgId) {
    AgentId destId = AgentId.fromString(request.getDest());

    if (destId.isNullId()) {
      // Return the statistics of the server
      Hashtable stats = new Hashtable();
      stats.put("AverageLoad1", new Float(AgentServer.getEngineAverageLoad1()));
      stats.put("AverageLoad5", new Float(AgentServer.getEngineAverageLoad5()));
      stats.put("AverageLoad15", new Float(AgentServer.getEngineAverageLoad15()));
      GetStatsReply reply = new GetStatsReply(stats);
      distributeReply(replyTo, msgId, reply);
    } else {
      forward(destId, new FwdAdminRequestNot(request, replyTo, msgId, createMessageId()));
    }
  }
