private void handleAdminNotification(AdminNotification adminNot) {
    Identity identity = adminNot.getIdentity();

    try {
      //identity.validate();

      if (logger.isLoggable(BasicLevel.DEBUG))
        logger.log(BasicLevel.DEBUG,
                   "AdminTopic store identity = " + identity);
      
      usersTable.put(identity.getUserName(), identity);
      proxiesTable.put(identity.getUserName(), adminNot.getProxyId());

      clients.put(adminNot.getProxyId(), new Integer(READWRITE));

      if (logger.isLoggable(BasicLevel.DEBUG))
        logger.log(BasicLevel.DEBUG, 
                   identity.getUserName() + " successfully set as admin client.");
    } catch (Exception e) {
      if (logger.isLoggable(BasicLevel.ERROR))
        logger.log(BasicLevel.ERROR, "Exception:: ", e);
    }
  }
