public static void registerDest(AgentId id, String name, byte type) {
    DestinationDesc desc = new DestinationDesc(id, name, type);
    ref.destinationsTable.put(name, desc);
    // Store the AdminTopic in order to save changes
    try {
      AgentServer.getTransaction().save(ref, ref.getId().toString());
    } catch (IOException exc) {
      logger.log(BasicLevel.ERROR, "Cannot unregister destination", exc);
    }
  }
