protected void handlePongNot(AgentId from, PongNot not) {
		int dest = destinations.indexOf(from);

		oldmetrics.set(dest, newmetrics.get(dest));
		Long x1 = (Long) not.get("NbMsgsDeliverSinceCreation");
		if (x1 != null)
			newmetrics.set(dest, x1.longValue());
		metrics.set(dest, newmetrics.get(dest) - oldmetrics.get(dest));
		Integer x2 = (Integer) not.get("PendingMessageCount");
		int pending = 0;
		if (x2 != null)
			pending = x2.intValue();
		logger.log(BasicLevel.ERROR, "Pending: " + pending + " from: " + dest);
		// Correction (consider only 80% of the actual reception rate) 
		if (pending > pendingMessagesThreshold) {
			metrics.set(dest, metrics.get(dest)*80/100);
			logger.log(BasicLevel.ERROR, "Metric got altered for: " + dest);
		}

		logger.log(BasicLevel.ERROR, "Received: " + metrics.get(dest) + " from: " + dest);

		if (metrics.get(dest) < minMetrics) 
			minMetrics = metrics.get(dest);

		if (++receivedMetrics == destinations.size()) {
			if (minMetrics <= 0)
				minMetrics = 1;

			int base  = (int)Math.pow(10.0,Math.floor(Math.log10(minMetrics)));
			logger.log(BasicLevel.ERROR,"Base: " + base);

			ArrayList<Long> newWeights = new ArrayList<Long>();
			for (int i = 0; i < receivedMetrics; i++) { 	
				long weight = (long)Math.round((double)metrics.get(i)/(double)base);

				if (weight <= 0)
					weight = 1;

				newWeights.add(weight);
				logger.log(BasicLevel.ERROR,"Computed: " + newWeights.get(i) + " for: " + i);
			}
			weights = newWeights;
			weightLeft = weights.get(currentDestination);
			receivedMetrics = 0;
			minMetrics = Long.MAX_VALUE;
		}

	}
