public ClientMessages preProcess(AgentId from, ClientMessages cm) {
		if (logger.isLoggable(BasicLevel.DEBUG)) {
			logger.log(BasicLevel.DEBUG, "AliasInQueue.preProcess(" + from + ", " + cm + ')');
		}
		if (messages.size() > 0) {
			if (logger.isLoggable(BasicLevel.DEBUG)) {
				logger.log(BasicLevel.DEBUG, "Messages are already waiting, enqueue the new ones");
			}
			return cm;
		}

		ClientMessages forward = new ClientMessages(-1, -1, cm.getMessages());
		//forward.setExpiration(System.currentTimeMillis() + expiration);
		forward.setDeadNotificationAgentId(getId());
		forward.setAsyncSend(true);

		/* sending the notification */
		sendNot(forward);
		nbMsgsDeliverSinceCreation += forward.getMessageCount();
		return null;
	}
