private void lBCycleLife(AgentId from, LBCycleLife not) {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "--- " + this + " ClusterQueue.lBCycleLife(" + from + "," + not + ")");

    clusters.put(from,new Float(not.getRateOfFlow()));

    ClientMessages cm = not.getClientMessages();
    if (cm == null) return;
    
    Map vT = not.getVisitTable();
    for (Iterator e = vT.keySet().iterator(); e.hasNext();) {
      String msgId = (String) e.next();
      visitTable.put(msgId,vT.get(msgId));
    }

    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "--- " + this + " ClusterQueue.lBCycleLife(" + not + "), visitTable=" + clusters);
    try {
      receivedFromCluster += cm.getMessageCount();
      doClientMessages(from, cm, false);
    } catch (AccessException e) {/* never happens */}
  }
