public void react(AgentId from, Notification not) throws Exception {

    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "--- " + this + " react(" + from + "," + not + ")");

    if (not instanceof ClusterJoinAck)
      clusterJoinAck((ClusterJoinAck) not);
    else if (not instanceof ClusterJoinNot)
      clusterJoin((ClusterJoinNot) not);
    else if (not instanceof ClusterRemoveNot)
      clusterRemove(from);
    else if (not instanceof LBMessageGive)
      lBMessageGive(from, (LBMessageGive) not);
    else if (not instanceof LBMessageHope)
      lBMessageHope(from, (LBMessageHope) not);
    else if (not instanceof LBCycleLife)
      lBCycleLife(from, (LBCycleLife) not);
    else {
      super.react(from, not);
    }
  }
