protected void deleteNot(AgentId from, DeleteNot not) {
    if (! isAdministrator(from)) {
      if (logger.isLoggable(BasicLevel.WARN))
        logger.log(BasicLevel.WARN,
                   "Unauthorized deletion request from " + from);
    } else {
      // JORAM-323: Removes the destination from AdminTopic registry.
      AdminTopic.unregisterDest(getName());
      doDeleteNot(not);
      setSave(); // state change, so save.
      deletable = true;
    }
  }
