private void removeAndDeleteMessage(String id) {
//  if (logger.isLoggable(BasicLevel.DEBUG))
//  logger.log(BasicLevel.DEBUG, "DistributionQueue.removeAndDeleteMessages() - Acked: " + id);

    int i = 0;
    org.objectweb.joram.mom.messages.Message message = null;
    while (i < messages.size()) {
      message = (org.objectweb.joram.mom.messages.Message) messages.get(i);

//    if (logger.isLoggable(BasicLevel.DEBUG))
//      logger.log(BasicLevel.DEBUG, "DistributionQueue.removeAndDeleteMessages() - handles: " + message.getId());

      if (id.equals(message.getId())) {
        messages.remove(i);
        if ((nbExpirations > 0 ) && message.hasExpiration())
          nbExpirations -= 1;
        message.delete();

        // Now this counter is no longer used (JORAM-232).
        nbMsgsDeliverSinceCreation++;

        if (logger.isLoggable(BasicLevel.DEBUG))
          logger.log(BasicLevel.DEBUG, "DistributionQueue.removeAndDeleteMessages() - removes " + id + ", " + message.order);

        if (logmsg.isLoggable(BasicLevel.INFO))
          logmsg.log(BasicLevel.INFO, getName() + ": removes message " + id);

        break;
      }
      // Bug fix (JORAM-199): avoid infinite loop!!
      i++;
    }
  }
