@Override
	public void react(AgentId from, Notification not) throws Exception {
		if (not instanceof ClientSubscriptionNot) {
			handleClientSubscriptionNot(from, (ClientSubscriptionNot) not);
		} else if (not instanceof ReconnectSubscribersNot) {
			/* Forward to local default user agent.
			   Should reply to initial Admin request. */
			Channel.sendTo((AgentId) subscribers.get(0), not);
		} else {
			super.react(from, not);
		}
	}
