public int getEncodedSize() throws Exception {
    int encodedSize = INT_ENCODED_SIZE;
    Iterator<Entry<String, QueueDelivery>> iterator = deliveries.entrySet().iterator();
    while (iterator.hasNext()) {
      Entry<String, QueueDelivery> delivery = iterator.next();
      encodedSize += EncodableHelper.getStringEncodedSize(delivery.getKey());
      encodedSize += delivery.getValue().getEncodedSize();
    }
    return encodedSize;
  }
