public void decode(Decoder decoder) throws Exception {
    super.decode(decoder);
    nbMaxMsg = decoder.decodeUnsignedInt();
    nbMsgsDeniedSinceCreation = decoder.decodeUnsignedLong();
    priority = decoder.decodeUnsignedInt();
    threshold = decoder.decodeSignedInt();
    pause = decoder.decodeBoolean();
    deliveryDelay = decoder.decodeSignedInt();
    redeliveryDelay = decoder.decodeSignedInt();
    int requestsSize = decoder.decodeUnsignedInt();
    requests = new Vector<ReceiveRequest>(requestsSize);
    for (int i = 0; i < requestsSize; i++) {
      ReceiveRequest request = new ReceiveRequest();
      request.decode(decoder);
      requests.add(request);
    }
  }
