public void setProperties(Properties properties, boolean firstTime) throws Exception {
    super.setProperties(properties, firstTime);
    
    // Set redeliveryDelay if defined.
    if (properties != null && properties.containsKey(DestinationConstants.REDELIVERY_DELAY)) {
      setRedeliveryDelay(ConversionHelper.toInt(properties.get(DestinationConstants.REDELIVERY_DELAY)));
    }
    // Set deliveryDelay if defined.
    if (properties != null && properties.containsKey(DestinationConstants.DELIVERY_DELAY)) {
      setDeliveryDelay(ConversionHelper.toInt(properties.get(DestinationConstants.DELIVERY_DELAY)));
    }
  }
