protected void forwardMessages(AgentId from, ClientMessages messages, boolean fromCluster) {
    if (!fromCluster) {
      if (friends != null && friends.size() > 1) {
        for (Iterator e = friends.iterator(); e.hasNext();) {
          AgentId id = (AgentId) e.next();
          if (!id.equals(getId()))
            forward(id, createTopicForward(id, messages, true));
        }
      }
    }
    
    if (fatherId != null && !fatherId.equals(from)) {
      forward(fatherId, createTopicForward(fatherId, messages, false));
      if (logger.isLoggable(BasicLevel.DEBUG))
        logger.log(BasicLevel.DEBUG, "Messages forwarded to father " + fatherId.toString());
    }
  }
