public final org.objectweb.joram.shared.messages.Message getMsg() {
    // TODO (AF): If the message is not loaded, load it from disk (JORAM-358).
    // Currently should never happened.
    if (msg == null) {
      try {
        Message m = load(txname);
        msg = m.msg;
      } catch (ClassNotFoundException | IOException exc) {
        logger.log(BasicLevel.ERROR, "Cannot load message " + txname, exc);
        // TODO (AF): Should remove this message in the list?
      }
    }
    return msg;
  }
