public void encode(Encoder encoder) throws Exception {
    super.encode(encoder);
    
    if (message != null) {
      encoder.encodeBoolean(true);
      message.encode(encoder);
    } else {
      encoder.encodeBoolean(false);
    }
    
    if (messages != null) {
      encoder.encodeBoolean(true);
      encoder.encodeUnsignedInt(messages.size());
      for (Message msg : messages) {
        msg.encode(encoder);
      }
    } else {
      encoder.encodeBoolean(false);
    }
    
    encoder.encodeBoolean(asyncSend);
    
    if (proxyId == null) {
      encoder.encodeBoolean(false);
    } else {
      encoder.encodeBoolean(true);
      proxyId.encode(encoder);
    }
  }
