public void decode(Decoder decoder) throws Exception {
    super.decode(decoder);
    autoAck = decoder.decodeBoolean();
    expirationTime = decoder.decodeUnsignedLong();
    msgCount = decoder.decodeUnsignedInt();
    boolean isNull = decoder.decodeBoolean();
    if (isNull) {
      msgIds = null;
    } else {
      int msgIdsLength = decoder.decodeUnsignedInt();
      msgIds = new String[msgIdsLength];
      for (int i = 0; i < msgIdsLength; i++) {
        msgIds[i] = decoder.decodeString();
      }
    }
    isNull = decoder.decodeBoolean();
    if (isNull) {
      requester = null;
    } else {
      requester = new AgentId((short) 0, (short) 0, 0); 
      requester.decode(decoder);
    }
    isNull = decoder.decodeBoolean();
    if (isNull) {
      selector = null;
    } else {
      selector = decoder.decodeString();
    }
    timeOut = decoder.decodeUnsignedLong();
  }
