public void decode(Decoder decoder) throws Exception {
    super.decode(decoder);
    fromCluster = decoder.decodeBoolean();
    
    int factoryId = decoder.decode32();
    if (factoryId == JoramHelper.CLIENT_MESSAGES_CLASS_ID) {
      messages = new ClientMessages();
    } else {
      // Polymorphism
      // TODO: a cache could be used
      EncodableFactory factory = EncodableFactoryRepository.getFactory(factoryId);
      messages = (ClientMessages) factory.createEncodable();
    }
    messages.decode(decoder);
  }
