public void save() {
    if (! durable) return;
    
    try {
      AgentServer.getTransaction().save(this, getTxName());
      
      // The method 'save' is called only once per agent reaction.
      // Calling 'save' several times would not be efficient as
      // it would encode the message id list several times.
      
      messageIds.save();
      messageTimeIds.save();
    } catch (Exception exc) {
      logger.log(BasicLevel.ERROR, "ClientSubscription named [" + txName
          + "] could not be saved", exc);
    }
  }
