void scheduleDeliveryTimeMessage(Message message) {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, this + ".scheduleDeliveryTimeMessage(" + message + ')');
    messageTimeIds.add(message.getId(), true);
    // schedule a task
    AgentServer.getTimer().schedule(new TopicDeliveryTimeTask(proxyId, topicId, name, message), new Date(message.getDeliveryTime()));
    try {
      messageTimeIds.save();
    } catch (Exception e) {
      if (logger.isLoggable(BasicLevel.ERROR))
        logger.log(BasicLevel.ERROR, "ERROR::scheduleDeliveryTimeMessage", e);
    }
  }
