public synchronized void send(RequestNot request) {
    SyncRound localRound = currentRound;
    syncRequests.addElement(request);
    try {
      wait(ConnectionManager.getMultiThreadSyncDelay());
    } catch (InterruptedException ie) {
    }
    if ((!localRound.done) && syncRequests.size() > 0) {
      RequestNot[] requests = new RequestNot[syncRequests.size()];
      syncRequests.copyInto(requests);
      syncRequests.clear();
      Channel.sendTo(proxyId, new ProxyRequestGroupNot(requests));
      localRound.done = true;
      currentRound = new SyncRound();
      notifyAll();
    }
    // else do nothing.
  }
