public void send(ProxyMessage msg) {
    synchronized (queue) {
      queue.offer(msg);
      if (! running) {
        running = true;
        try {
          if (! sender.isExecutor()) {
            sender.send(msg);
            running = false;
          } else {
            sender.execute(this);
          }
        } catch (Exception e) {
          logger.log(BasicLevel.ERROR, "", e);
        }
      }
    }
  }
