public synchronized void pushReply(AbstractJmsReply reply) {
    // Be careful, outputCounter must be handled with synchronization as pushReply can be call by
    // different thread (Engine and AsyncWriter thread using Notification callbacks).
    // May be it shoul be handled by the AckedQueue as the rank of the message in the queue (and
    // in the stream).
    ProxyMessage msg = new ProxyMessage(outputCounter, inputCounter, reply);
    if (noAckedQueue) {
      add(msg);
    } else {
      queue.push(msg);
      outputCounter++;
    }
  }
