private void doReact(ResetCollocatedConnectionsNot not) {
    if (connections != null) {
      Collection values = connections.values();
      Iterator iterator = values.iterator();
      while (iterator.hasNext()) {
        Object obj = iterator.next();
        // Standard connections must be dropped.
        // Only reliable connections can be recovered.
        if (obj instanceof StandardConnectionContext) {
          ConnectionContext cc = (ConnectionContext) obj;
          reactToClientRequest(cc.getKey(), new CnxCloseRequest(), null);
          HeartBeatTask hbt = (HeartBeatTask) heartBeatTasks.remove(cc.getKey());
          if (hbt != null) hbt.cancel();
          iterator.remove();
        }
      }
    }
  }
