private ProducerMessages processInterceptors(int key, ProducerMessages pm) {
    if (interceptorsIN != null && !interceptorsIN.isEmpty()) {
      org.objectweb.joram.shared.messages.Message m = null;
      Vector msgs = ((ProducerMessages) pm).getMessages();
      Vector newMsgs = new Vector();
      for (int i = 0; i < msgs.size(); i++) {
        m = (org.objectweb.joram.shared.messages.Message) msgs.elementAt(i);
        Iterator<MessageInterceptor> it = interceptorsIN.iterator();
        while (it.hasNext()) {
          MessageInterceptor interceptor = it.next();
          if (!interceptor.handle(m, key)) {
            m = null;
            break;
          }
        }
        if (m != null) {
          newMsgs.add(m);
        } else {
          // send the originals messages to the user DMQ.
          sendToDMQ((org.objectweb.joram.shared.messages.Message) msgs.elementAt(i), MessageErrorConstants.INTERCEPTORS);
        }
      }
      // no message to send. Send reply to the producer.
      if (newMsgs.size() == 0 && !msgs.isEmpty()) {
        if (logger.isLoggable(BasicLevel.DEBUG))
          logger.log(BasicLevel.DEBUG, "UserAgent.processInterceptors : no message to send.");
        return null;
      }
      // update producer message.
      ((ProducerMessages) pm).setMessages(newMsgs);
    }
    return pm;
  }
