private void replaceInterceptorIN(
      String agentId, 
      String agentName,
      final Properties prop) throws Exception {

    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "UserAgent.replaceInterceptorIN(" + agentId + ", " + agentName + ", " + prop + ')');

    Boolean ret = InterceptorsHelper.replaceInterceptor(
        agentId, 
        agentName, 
        AdminCommandConstant.INTERCEPTORS_IN_NEW,
        AdminCommandConstant.INTERCEPTORS_IN_OLD, 
        interceptorsIN, 
        prop);

    if (ret) {
      Iterator<Properties> it = interceptorsPropIN.iterator();
      while (it.hasNext()) {
        Properties properties = (Properties) it.next();
        if (properties.getProperty(AdminCommandConstant.INTERCEPTORS_IN).equals(prop.getProperty(AdminCommandConstant.INTERCEPTORS_IN_OLD))) {
          int index = interceptorsPropIN.indexOf(properties);
          Properties newProp = new Properties();
          Set<Entry<Object, Object>> entrys = prop.entrySet();
          Iterator<Entry<Object, Object>> iterator = entrys.iterator();
          while (iterator.hasNext()) {
            Entry<Object, Object> entry = (Entry<Object, Object>) iterator.next();
            if (entry.getKey().equals(AdminCommandConstant.INTERCEPTORS_IN_NEW))
              newProp.put(AdminCommandConstant.INTERCEPTORS_IN, entry.getValue());
            else
              newProp.put(entry.getKey(), entry.getValue());
          }
          interceptorsPropIN.remove(index);
          interceptorsPropIN.add(index, newProp);
          // state change
          setSave();
          break;
        }
      }
    }
  }
