@Override
  public void deactivate() {
    if (! activated) {
      logger.log(BasicLevel.WARN, "TcpProxyService.deactivate(): Already stopped, do nothing.");
      return;
    }

    for (int i = 0; i < connectionListeners.length; i++) {
      connectionListeners[i].stop();
    }
    
    // shutdown the executor service
    removeExecutors();
    
    activated = false;
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "TcpProxyService.activated = false");
  }
