public final static boolean clearQueue(String queueName) {
    DestinationDesc queueDesc;
    try {
      queueDesc = AdminTopic.lookupDest(queueName, DestinationConstants.QUEUE_TYPE);
      if(queueDesc==null) return false;
    } catch (RequestException e) {
      return false;
    }
    ClearQueue req = new ClearQueue(queueDesc.getId().toString());
    FwdAdminRequestNot not = new FwdAdminRequestNot(req, null, null);
    Channel.sendTo(queueDesc.getId(), not);
    return true;
  }
