public synchronized boolean setFreeReading(boolean freeReading, String destId) throws InterruptedException {
    AdminRequest req = null;
    if(freeReading)
      req = new SetReader(null, destId);
    else
      req = new UnsetReader(null, destId);
    String reqId = nextReqMsgId();
    FwdAdminRequestNot not = new FwdAdminRequestNot(req, getId(), reqId);
    sendTo(AdminTopic.getDefault(), not);
    while(!requests.containsKey(reqId))
      wait();
    Message msg = requests.remove(reqId);
    AdminReply reply = (AdminReply) msg.getAdminMessage();
    return reply.succeeded();
  }
