@Test
  public void run() throws Exception {
    EncodingHelper.init();
    
    // Not encoded by ClientContext
    AgentId proxyId = null;
    int id = 40;
    
    ClientContext cc1 = new ClientContext(proxyId, id);
    
    cc1.getActiveSubList().add("sub1");
    cc1.getActiveSubList().add("sub2");
    
    AgentId queue1 = new AgentId((short) 50, (short) 60, 70);
    cc1.getDeliveringQueueTable().put(queue1, queue1);
    AgentId queue2 = new AgentId((short) 80, (short) 90, 100);
    cc1.getDeliveringQueueTable().put(queue2, queue2);
    
    AgentId tmpDest1 = new AgentId((short) 110, (short) 120, 130);
    cc1.getTempDestinationList().add(tmpDest1);
    AgentId tmpDest2 = new AgentId((short) 120, (short) 130, 140);
    cc1.getTempDestinationList().add(tmpDest2);
    
    // TODO: test XA
    /*
    Xid xid1 = new Xid("bq1".getBytes(), 150, "gti".getBytes());
    XACnxPrepare prep1 = new XACnxPrepare(xid1.bq, xid1.fi, xid1.gti, null, null);
    cc1.getTransactionsTable().put(xid1, prep1);*/
    
    checkEncoding(cc1);
  }
