private void checkEncoding(ClientSubscription cs) throws Exception {
    byte[] bytes = EncodingHelper.encode(cs);

    ClientSubscription csDec = (ClientSubscription) EncodingHelper.decode(
        cs.getEncodableClassId(), bytes);

    Assert.assertEquals(cs.getThreshold(), csDec.getThreshold());
    Assert.assertEquals(cs.getDeliveredIds(), csDec.getDeliveredIds());
    Assert.assertEquals(cs.getDeniedMsgs(), csDec.getDeniedMsgs());
    Assert.assertEquals(cs.getClientID(), csDec.getClientID());
  }
