public List<LiveServerConnection> getConnections() {
    List<LiveServerConnection> connections = new ArrayList<LiveServerConnection>();
    synchronized (servers) {
      for (LiveServerConnection server : servers.values()) {
        if (server.isConnectionOpen()) {
          connections.add(server);
        }
      }
    }
    return connections;
  }
