void readSavedConf() {
    try {
      servers = (Map<String, LiveServerConnection>) AgentServer.getTransaction().load(SAVE_FILE_NAME);
      Iterator<LiveServerConnection> iter = servers.values().iterator();
      while (iter.hasNext()) {
        iter.next().startLiveConnection();
      }
    } catch (Exception exc) {
      logger.log(BasicLevel.ERROR, "Error while loading persisted servers", exc);
      servers = new HashMap<String, LiveServerConnection>();
    }
  }
