public static void addServer(String urls) {
  	String name = null;
  	String cf = null;
    String jndiFactoryClass = null;
    String jndiUrl = null;
    String user = null;
    String password = null;
    String clientID = null;
    URL url = null;
    if (urls != null && urls.length() > 0) {
    	StringTokenizer st = new StringTokenizer(urls);
    	while (st.hasMoreTokens()) {
    		try {
    			url = new URL(null, st.nextToken(), new MyURLStreamHandler());
    		} catch (Exception e) {
    			if (logger.isLoggable(BasicLevel.ERROR)) {
      			logger.log(BasicLevel.ERROR, "JMSConnectionService.addServer : Exception ", e);
      		}
  				continue;
  			}
    		String query = url.getQuery();
    		String[] tab = query.split("&|%26");
    		Properties prop = new Properties();
    		for (int i = 0; i < tab.length; i++) {
    			String[] split = tab[i].split("=");
    			prop.put(split[0],split[1]);
    		}
    		
    		name = prop.getProperty("name");
    		cf = prop.getProperty("cf");
    		jndiFactoryClass = prop.getProperty("jndiFactoryClass");
    		user =  prop.getProperty("user");
    		password =  prop.getProperty("pass");
    		clientID =  prop.getProperty("clientID");
    		jndiUrl = url.toString().substring(0, url.toString().indexOf('?'));
    		
    		getInstance().addServer(name, cf, jndiFactoryClass, jndiUrl, user, password, clientID);
    	}
    }
  }
