public List<JMSModule> getConnections() {
    List<JMSModule> connections = new ArrayList<JMSModule>();
    synchronized (servers) {
      for (JMSModule server : servers.values()) {
        if (server.isConnectionOpen()) {
          connections.add(server);
        }
      }
    }
    return connections;
  }
