private void setJMSProperties(Message msg, Map props) {
    if (props != null && props.size() > 0) {
      Set<Map.Entry> entrySet = props.entrySet();
      for (Map.Entry entry : entrySet) {
        String key = (String) entry.getKey();
        ArrayList pair = (ArrayList) entry.getValue();
        Object value = getPropertyValue((String) pair.get(1), (String)pair.get(0));

        if (key != null && value != null) {
          msg.setProperty(key, value);
        } else {
          if (logger.isLoggable(BasicLevel.WARN))
            logger.log(BasicLevel.WARN,
                "RESTAcquisitionAsync.setProperties: bad property <" + key + ", " + value + ">");
        }
      }
    }    
  }
