public void initialize(boolean firstTime) throws Exception {
    super.initialize(firstTime);

    try {
      if (scheduler == null)
        scheduler = new Scheduler(AgentServer.getTimer());
      else
        scheduler.restart(AgentServer.getTimer());
    } catch (Exception exc) {
      if (logger.isLoggable(BasicLevel.ERROR))
        logger.log(BasicLevel.ERROR, "SchedulerQueue.initialize(" + firstTime + ')', exc);
    }
  }
