public void readFrom(InputStream is) throws IOException {
    super.readFrom(is);
    isFreeReading = StreamUtil.readBooleanFrom(is);
    isFreeWriting = StreamUtil.readBooleanFrom(is);
    int size = StreamUtil.readIntFrom(is);
    if (size <= 0) {
      readers = null;
    } else {
      readers = new Hashtable(size*4/3);
      for (int i=0; i< size; i++) {
        String key = StreamUtil.readStringFrom(is);
        String value = StreamUtil.readStringFrom(is);
        readers.put(key, value);
      }
    }
    size = StreamUtil.readIntFrom(is);
    if (size <= 0) {
      writers = null;
    } else {
      writers = new Hashtable(size*4/3);
      for (int i=0; i< size; i++) {
        String key = StreamUtil.readStringFrom(is);
        String value = StreamUtil.readStringFrom(is);
        writers.put(key, value);
      }
    }
  }
