public void writeTo(OutputStream os) throws IOException {
    super.writeTo(os);   
    StreamUtil.writeTo(isFreeReading, os);
    StreamUtil.writeTo(isFreeWriting, os);
    if (readers == null) {
      StreamUtil.writeTo(-1, os);
    } else {
      int size = readers.size();
      StreamUtil.writeTo(size, os);
      for (Enumeration keys = readers.keys(); keys.hasMoreElements(); ) {
        String key = (String) keys.nextElement();
        StreamUtil.writeTo(key, os);
        String value = (String) readers.get(key);
        StreamUtil.writeTo(value, os);
      }
    }
    if (writers == null) {
      StreamUtil.writeTo(-1, os);
    } else {
      int size = writers.size();
      StreamUtil.writeTo(size, os);
      for (Enumeration keys = writers.keys(); keys.hasMoreElements(); ) {
        String key = (String) keys.nextElement();
        StreamUtil.writeTo(key, os);
        String value = (String) writers.get(key);
        StreamUtil.writeTo(value, os);
      }
    }
  }
