public void readFrom(InputStream is) throws IOException {
    super.readFrom(is);
    subName = StreamUtil.readStringFrom(is);
    selector = StreamUtil.readStringFrom(is);
    noLocal = StreamUtil.readBooleanFrom(is);
    durable = StreamUtil.readBooleanFrom(is);
    asyncSub = StreamUtil.readBooleanFrom(is);
    clientID = StreamUtil.readStringFrom(is);
    shared = false;
    try {
      shared = StreamUtil.readBooleanFrom(is);
    } catch (IOException exc) {
      // Compatibility with previous version if shared is not encoded.
    }
  }
