public void decode(Decoder decoder) throws Exception {
    super.decode(decoder);
    
    bq = decoder.decodeByteArray();
    fi = decoder.decodeUnsignedInt();
    gti = decoder.decodeByteArray();

    boolean isNull = decoder.decodeBoolean();
    if (isNull) {
      sendings = null;
    } else {
      int size = decoder.decodeUnsignedInt();
      sendings = new Vector<ProducerMessages>(size);
      for (int i=0; i<size; i++) {
        ProducerMessages pm = new ProducerMessages();
        pm.decode(decoder);
        sendings.add(pm);
      }
    }
    
    isNull = decoder.decodeBoolean();
    if (isNull) {
      acks = null;
    } else {
      int size = decoder.decodeUnsignedInt();
      acks = new Vector<SessAckRequest>(size);
      for (int i=0; i<size; i++) {
        SessAckRequest sar = new SessAckRequest();
        sar.decode(decoder);
        acks.add(sar);
      }
    }
  }
