public int getEncodedSize() throws Exception {
    int res = super.getEncodedSize();
        
    res += EncodableHelper.getByteArrayEncodedSize(bq);
    res += INT_ENCODED_SIZE;
    res += EncodableHelper.getByteArrayEncodedSize(gti);
    
    res += BOOLEAN_ENCODED_SIZE;
    if (sendings != null) {
      res += INT_ENCODED_SIZE;
      for (ProducerMessages pm : sendings) {
        res += pm.getEncodedSize();
      }
    }
    
    res += BOOLEAN_ENCODED_SIZE;
    if (acks != null) {
      res += INT_ENCODED_SIZE;
      for (SessAckRequest sar : acks) {
        res += sar.getEncodedSize();
      }
    }
    
    return res;
  }
