public void readFrom(InputStream is) throws IOException {
    super.readFrom(is);
    bq = StreamUtil.readByteArrayFrom(is);
    fi = StreamUtil.readIntFrom(is);
    gti = StreamUtil.readByteArrayFrom(is);
    int size = StreamUtil.readIntFrom(is);
    if (size == -1) {
      sendings = null;
    } else {
      sendings = new Vector(size);
      for (int i=0; i<size; i++) {
        ProducerMessages pm = new ProducerMessages();
        pm.readFrom(is);
        sendings.addElement(pm);
      }
    }
    size = StreamUtil.readIntFrom(is);
    if (size == -1) {
      acks = null;
    } else {
      acks = new Vector(size);
      for (int i=0; i<size; i++) {
        SessAckRequest ack = new SessAckRequest();
        ack.readFrom(is);
        acks.addElement(ack);
      }
    }
  }
