public void writeTo(OutputStream os) throws IOException {
    super.writeTo(os);
    StreamUtil.writeTo(bq, os);
    StreamUtil.writeTo(fi, os);
    StreamUtil.writeTo(gti, os);
    if (sendings == null) {
      StreamUtil.writeTo(-1, os);
    } else {
      int size = sendings.size();
      StreamUtil.writeTo(size, os);
      for (int i=0; i<size; i++) {
        ((ProducerMessages) sendings.elementAt(i)).writeTo(os);
      }
    }
    if (acks == null) {
      StreamUtil.writeTo(-1, os);
    } else {
      int size = acks.size();
      StreamUtil.writeTo(size, os);
      for (int i=0; i<size; i++) {
        ((SessAckRequest) acks.elementAt(i)).writeTo(os);
      }
    }
  }
