public void writeTo(OutputStream os) throws IOException {
    super.writeTo(os);
    StreamUtil.writeTo(bq, os);
    StreamUtil.writeTo(fi, os);
    StreamUtil.writeTo(gti, os);
    if (qDenyings == null) {
      StreamUtil.writeTo(-1, os);
    } else {
      int size = qDenyings.size();
      StreamUtil.writeTo(size, os);
      for (Enumeration keys = qDenyings.keys(); keys.hasMoreElements(); ) {
        String key = (String) keys.nextElement();
        StreamUtil.writeTo(key, os);
        Vector ids = (Vector) qDenyings.get(key);
        StreamUtil.writeListOfStringTo(ids, os);
      }
    }
    if (subDenyings == null) {
      StreamUtil.writeTo(-1, os);
    } else {
      int size = subDenyings.size();
      StreamUtil.writeTo(size, os);
      for (Enumeration keys = subDenyings.keys(); keys.hasMoreElements(); ) {
        String key = (String) keys.nextElement();
        StreamUtil.writeTo(key, os);
        Vector ids = (Vector) subDenyings.get(key);
        StreamUtil.writeListOfStringTo(ids, os);
      }
    }
  }
