public static boolean toBoolean(Object value) throws MessageValueException {
    if (value == null)
      return Boolean.valueOf(null).booleanValue();

    if (value instanceof Boolean)
      return ((Boolean) value).booleanValue();
    else if (value instanceof String)
      return Boolean.valueOf((String) value).booleanValue();
    else
      throw new MessageValueException("Type " + value.getClass().getName() + " can't be converted to Boolean.");
  }
