public static byte toByte(Object value) throws MessageValueException {
    if (value == null)
      return Byte.valueOf(null).byteValue();

    if (value instanceof Byte )
      return ((Byte) value).byteValue();
    else if (value instanceof String)      
      return Byte.valueOf((String) value).byteValue();
    else
      throw new MessageValueException("Type " + value.getClass().getName() + " can't be converted to Byte.");
  }
