public static char toChar(Object value) throws MessageValueException {
    if (value == null)
      throw new NullPointerException();
    else if (value instanceof Character)
      return ((Character) value).charValue();
    else
      throw new MessageValueException("Type " + value.getClass().getName() + " can't be converted to Character.");
  }
