public static int toInt(Object value) throws MessageValueException {
    if (value == null)
      return Integer.valueOf(null).intValue();

    if (value instanceof Byte || value instanceof Short 
        || value instanceof Integer)
      return ((Number) value).intValue();
    else if (value instanceof String)
      return Integer.valueOf((String) value).intValue();
    else
      throw new MessageValueException("Type " + value.getClass().getName() + " can't be converted to Integer.");
  }
