public static short toShort(Object value) throws MessageValueException {
    if (value == null)
      return Short.valueOf(null).shortValue();

    if (value instanceof Byte || value instanceof Short)
      return ((Number) value).shortValue();
    else if (value instanceof String)
      return Short.valueOf((String) value).shortValue();
    else
      throw new MessageValueException("Type " + value.getClass().getName() + " can't be converted to Short.");
  }
