public static String getRootIdentityClass(String rootName) {
    String identityClassName = null;
    
    int index = rootName.indexOf(SEPARATE_CHAR);
    if (index > 0) {
      identityClassName = rootName.substring(0, index);
    } else {
      // default identity
      identityClassName = SimpleIdentity.class.getName();
    }
    
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG,
                 "getRootIdentityClass: identityClassName = " + identityClassName);
    
    return identityClassName;
  }
