static public Identity read(InputStream is) throws IOException, ClassNotFoundException, InstantiationException, IllegalAccessException {
    Identity identity = null;

    String classname = StreamUtil.readStringFrom(is);
    if (classname != null) {
      if (classname.length() == 0) classname = SimpleIdentity.class.getName();
      identity = (Identity) Class.forName(classname).newInstance();
      identity.readFrom(is);
    }

    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "Identity.read: " + identity);

    return identity;
  }
