static public void write(Identity identity,
                           OutputStream os) throws IOException {
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG,  "Identity.write: " + identity);
   
    if (identity == null) {
      StreamUtil.writeTo((String) null, os);
      return;
    } else if (identity instanceof SimpleIdentity) {
      StreamUtil.writeTo("", os);
    } else {
      StreamUtil.writeTo(identity.getClass().getName(), os);
    }
    identity.writeTo(os);
  }
