public void start(BundleContext context) throws Exception {
  	this.context = context;
    cf = new LocalConnectionFactory();

    Properties props = new Properties();
    props.setProperty("java.naming.factory.initial",  "fr.dyade.aaa.jndi2.client.NamingContextFactory");
    props.setProperty("java.naming.factory.host",  "localhost");
    props.setProperty("java.naming.factory.port",  "16400");

    Thread.currentThread().setContextClassLoader(this.getClass().getClassLoader());

    connect = new StompConnect();
    String uri = getProperty(STOMP_URI); // default: uri = tcp://localhost:61613
    if (uri != null) {
    	connect.setUri(uri);
    }
    connect.setConnectionFactory(cf);
    connect.start();
  }
