public static void stop() throws Exception {
    try {
      if (fileMonitoringTimerTask != null) {
        MXWrapper.unregisterMBean("MonitoringService", fileMonitoringTimerTask.MBean_name);
        fileMonitoringTimerTask.cancel();
      }
      fileMonitoringTimerTask = null;


      if (logMonitoringTimerTask != null) {
        MXWrapper.unregisterMBean("MonitoringService", logMonitoringTimerTask.MBean_name);
        logMonitoringTimerTask.cancel();
      }
      logMonitoringTimerTask = null;

      if (windowMonitoringTimerTask != null) {
        MXWrapper.unregisterMBean("MonitoringService", windowMonitoringTimerTask.MBean_name);        
        windowMonitoringTimerTask.cancel();
      }
      windowMonitoringTimerTask = null;

      if (timer != null)
        timer.cancel();
      timer = null;
    } catch (Throwable t) {
      logger.log(BasicLevel.ERROR, "Cannot stop", t);
    }
  }
