public void startJoramAdmin(String name) throws ConnectException, AdminException, JMSException {
    if (joramAdmin == null) {
      ConnectionFactory cf = LocalConnectionFactory.create();
      if (jmsRootUser == null)
        jmsRootUser = LocalConnectionFactory.getDefaultRootLogin();
      if (jmsRootPassword == null)
        jmsRootPassword = LocalConnectionFactory.getDefaultRootPassword();
      cnx = cf.createConnection(jmsRootUser, jmsRootPassword);
      cnx.start();
      joramAdmin = new JoramAdmin(cnx, name);
      if (logger.isLoggable(BasicLevel.DEBUG))
        logger.log(BasicLevel.DEBUG, "joramAdmin = " + joramAdmin);
    }
  }
