private Map getPropertiesToJsonMap(Message message) throws JMSException {
    HashMap<String, Object> props = new HashMap<>();
    Enumeration<String> names = message.getPropertyNames();
    while (names.hasMoreElements()) {
      String name = names.nextElement();
      Object v = message.getObjectProperty(name);
      if (v != null) {
        String[] value = {""+v, v.getClass().getName()};
        props.put(name, value);
      }
    }
    return props;
  }
