@GET
  @Path("/domains/{domain}/{objectName}/{attribute}")
  @Produces(MediaType.TEXT_PLAIN)
  public String getAttribute(
      @PathParam("domain") String domain,
      @PathParam("objectName") String objectName,
      @PathParam("attribute") String attribute,
      @Context UriInfo uriInfo) throws Exception {
    
    if (logger.isLoggable(BasicLevel.INFO))
      logger.log(BasicLevel.INFO, "GET: " + uriInfo.getAbsolutePathBuilder());
    
    if (logger.isLoggable(BasicLevel.DEBUG))
      logger.log(BasicLevel.DEBUG, "getAttribute(" + domain + ", " + objectName + ", " + uriInfo + ")");
    
    return getAttribute(ObjectName.getInstance(objectName), attribute);
  }
