private String getAttribute(ObjectName objectName, String attributeName) 
      throws AttributeNotFoundException, InstanceNotFoundException, MBeanException, ReflectionException {
    Object obj = mbs.getAttribute(objectName, attributeName);
    if (obj != null) {
      if (obj.getClass().isArray()) {
        String type = obj.getClass().getSimpleName();
        switch (type) {
        case "int[]":
          return Arrays.toString((int[]) obj);
        case "long[]":
          return Arrays.toString((long[]) obj);
        case "short[]":
          return Arrays.toString((short[]) obj);
        case "boolean[]":
          return Arrays.toString((boolean[]) obj);
        case "char[]":
          return Arrays.toString((char[]) obj);
        case "double[]":
          return Arrays.toString((double[]) obj);
        case "float[]":
          return Arrays.toString((float[]) obj);
        case "byte[]":
          return Arrays.toString((byte[]) obj);
        case "String[]":
          return Arrays.toString((String[]) obj);
        case "Object[]":
          return Arrays.toString((Object[]) obj);

        default:
          return obj.toString();
        }
      }
      return obj.toString();
    }
    return null;
  }
