private void openAttribute(StringBuilder buff, UriInfo uriInfo, ObjectName objectName, int i) throws Exception {
    buff.append("      <ul>\n");
    buff.append("        <li>\n");
    buff.append("          <input type=\"checkbox\" id=\"objName"+i+"\" />\n");
    buff.append("          <i class=\"fa fa-angle-double-right\"></i>\n");
    buff.append("          <i class=\"fa fa-angle-double-down\"></i>\n");
    buff.append("          <label for=\"objName"+i+"\">");
    buff.append(objectName.getCanonicalKeyPropertyListString());
    buff.append("</label>\n\n");
    
    buff.append("          <ul>\n");
    MBeanAttributeInfo[] attributes = mbs.getMBeanInfo(objectName).getAttributes();
    for (MBeanAttributeInfo attribute : attributes) {
      buff.append("              <li><a href=\"");
      buff.append(uriInfo.getBaseUriBuilder()
          .path(DOMAINS)
          .path(objectName.getDomain())
          .path(objectName.getCanonicalName())
          .path(attribute.getName()));
      buff.append("\">");
      buff.append(attribute.getName());
      buff.append("</a>\t=\t");
      try {
        buff.append(getAttribute(objectName, attribute.getName()));
      } catch (Exception e) {
        buff.append(e.getClass().getName() + ": " + e.getMessage());
      }
      buff.append("\n");
    }
  }
