public static void admin() throws Exception {
		System.out.println();
		System.out.println("Classic administration...");

		ConnectionFactory cf = TcpConnectionFactory.create("localhost", 16010);
		AdminModule.connect(cf, "root", "root");

		Queue queue = Queue.create("queue");
		queue.setFreeReading();
		queue.setFreeWriting();
		Topic topic = Topic.create("topic");
		topic.setFreeReading();
		topic.setFreeWriting();

		User.create("anonymous", "anonymous");


		javax.naming.Context jndiCtx = new javax.naming.InitialContext();
		jndiCtx.bind("cf", cf);
		jndiCtx.bind("queue", queue);
		jndiCtx.bind("topic", topic);
		jndiCtx.close();

		AdminModule.disconnect();
		System.out.println("Admin closed.");
	}
