public void onMessage(Message msg) {
    try {
      nbMsg++;
      long time = System.currentTimeMillis();
      if (nbMsg == 1)
        startTime = time;
      time = time - startTime;

      String location = (String) msg.getStringProperty("location");
      Counter counter = stats.get(location);
      if (counter == null) {
        counter = new Counter();
        counter.inc();
        stats.put(location, counter);
      } else {
        counter.inc();
      }
      
      if (sleep > 0 && (nbMsg % nbMsgSleep) == 0) {
        try {
          Thread.sleep(sleep);
        } catch (InterruptedException e) {}
      }

      if ((nbMsg % 100) == 99) {
        StringBuffer strbuf = new StringBuffer();
        strbuf.append(ident).append(": time = ").append(time).append(" nbMsg=").append(nbMsg);
        for (Enumeration<String> e = stats.keys(); e.hasMoreElements();) {
          String key = e.nextElement();
          strbuf.append(key).append("->").append(stats.get(key).get()).append(',');
        }
        System.out.println(strbuf.toString());
      }
    } catch (JMSException jE) {
      System.err.println("Exception in listener: " + jE);
    }
  }
