void close() {
    try {
      if (producer != null)
        producer.close();
    } catch (JMSException exc) {
      Trace.error("InventoryListener: Cannot close producer.", exc);
    } finally {
      producer = null;
    }
    try {
      if (consumer != null)
        consumer.close();
    } catch (JMSException exc) {
      Trace.error("InventoryListener: Cannot close consumer.", exc);
    } finally {
      consumer = null;
    }
    try {
      if (session != null)
        session.close();
    } catch (JMSException exc) {
      Trace.error("InventoryListener: Cannot close session.");
    } finally {
      session = null;
    }
    handler = null;
  }
