synchronized InventoryPublisher getCMDBPublisher() throws JMSException {
    try {
      if (cmdbPublisher == null)
        cmdbPublisher = new InventoryPublisher(cnx, CMDBTopic);
      return cmdbPublisher;
    } catch (JMSException exc) {
      Trace.error("Cannot initialize a CMDB Inventory publisher.", exc);
      throw exc;
    }
  }
