@Override
  public synchronized void setActionHandler(ActionHandler handler) throws Exception {
    if (actionListener != null) {
      Trace.error("Action handler is already set.");
      throw new Exception("Action handler is already set.");
    }
    try {
      actionListener = new ActionListener(handler, cnx, actionQueue, name);
    } catch (JMSException exc) {
      Trace.error("Cannot initialize action framework.");
      throw exc;
    }
  }
