@Override
  public void onMessage(Message msg) {
    if (msg instanceof ObjectMessage) {
      try {
        Inventory inventory = (Inventory) ((ObjectMessage) msg).getObject();
        handler.onInventory(inventory);
      } catch (Exception exc) {
        Trace.error("InventoryListener: Bad inventory.", exc);
      }
    } else {
      Trace.error("InventoryListener: Bad message type.");
    }
  }
