public void okMethod() {
    try {
      // desactivate GUI1 
      customerGUI1.setVisible(false) ;

      // creating an ObjectMessage and encapsulating the OrderMessage 
      ObjectMessage msgSent = qsession.createObjectMessage();
      msgSent.setObject(orderMsg);
      // sending the ObjectMessage to DeliveryServer 
      qs.send(msgSent) ;
      
      // commiting receivings and sending
      qsession.commit() ;
      
      System.out.println("Message sent to DeliveryServer: " + orderMsg.id) ;
      
      // unlocking 
      synchronized(lock) {
        lock.notify() ;
      }
      
    } catch (Exception exc) {
      System.out.println("Exception caught in CustomerServer okMethod: " + exc);
      exc.printStackTrace() ;
    }
  }
