@Override
  public void onMessage(Message msg) {
    try {
      Destination destination = msg.getJMSDestination();
      Destination replyTo = msg.getJMSReplyTo();
      
      int n = msg.getIntProperty("order");
      
      System.out.println("Receives message #" + n + " from=" + destination);

      if (msg instanceof TextMessage) {
        System.out.println(" -- " + ((TextMessage) msg).getText());
      }
    } catch (JMSException jE) {
      System.err.println("Exception in listener: " + jE);
    }
  }
