public synchronized void onMessage(Message m) {
    
    try {
      TextMessage msg = (TextMessage) m;
      //BytesMessage msg = (BytesMessage) m;

      last = System.currentTimeMillis();
      int index = msg.getIntProperty("index");
      if (index == 0) start = t1 = last;

      long dt = (last - msg.getLongProperty("time"));
      travel += dt;
      counter += 1;
      
      if (transacted && (((counter%10) == 9) || (index == 0)))
        session.commit();
      
      if ((counter %100) == 0)
    	  System.out.println("--> " + dt);
      if ((counter%NbMsgPerRound) == (NbMsgPerRound -1)) {
        long x = (NbMsgPerRound * 1000L) / (last - t1);
        t1 = last;
        System.out.println("#" + ((counter+1)/NbMsgPerRound) + " x " + NbMsgPerRound + " msg -> " + x + " msg/s " + (travel/counter));
      }

    } catch (IllegalStateException exc) {
      throw exc;
    } catch (Throwable exc) {
      exc.printStackTrace();
    }
  }
