public void onMessage(Message msg) {
    try {
      String topic = msg.getStringProperty("mqtt_topic");
      if (msg instanceof TextMessage)
        System.out.println(who + " receive on mqs queue: " + ((TextMessage) msg).getText() + "\nfrom: " + topic);
      else if (msg instanceof BytesMessage) {
        BytesMessage m = (BytesMessage) msg;
        int len = (int) m.getBodyLength();
        byte[] payload = new byte[len];
        len = m.readBytes(payload);
        System.out.println(who + " receive on mqs queue [" + len + ", " + payload.length + "]: " + new String(payload) + "\nfrom: " + topic);
      }
    }
    catch (JMSException exc) {
      System.err.println("Exception in listener: " + exc);
    }
  }
