public String receiveFrame(long timeOut) throws Exception {
    socket.setSoTimeout((int) timeOut);
    InputStream is = socket.getInputStream();
    int c = 0;
    for (; ;) {
      c = is.read();
      if (c < 0) {
        throw new IOException("socket closed.");
      } else if (c == 0) {
        c = is.read();
        byte[] ba = inputBuffer.toByteArray();
        inputBuffer.reset();
        return new String(ba, "UTF-8");
      } else {
        inputBuffer.write(c);
      }
    }
  }
