public void startServer() {
    short sid = getShortProperty(AGENT_SERVER_ID_PROPERTY, (short) 0);
    String path = getProperty(AGENT_SERVER_STORAGE_PROPERTY, "s"+sid);
    System.out.print("Server starting... "); System.out.flush();
    try {
      LoggerFactory f = null;
      AgentServer.init(sid,path,f);
      AgentServer.start();
    } catch (Exception e) {
      System.err.println("Error: "+e.getMessage());
    }
    System.out.println("Started.");
  }
