private TopicMBean findTopic(String name) throws TopicNotFoundException {
    Object[] objs = topicTracker.getServices();
    if(objs==null)
      throw new TopicNotFoundException(name);
    for(Object o : objs) {
      TopicMBean t = (TopicMBean) o;
      if(t.getName().equals(name)) {
        return t;
      }
    }
    return null;
  }
