private void infoQueue(String name) {
    QueueMBean dest;
    try {
      dest = findQueue(name);
    } catch (QueueNotFoundException e) {
      System.err.println("Error: Queue \""+name+"\" not found.");
      return;
    }
    System.out.println("Topic name              : "+dest.getName());
    System.out.println("Destination ID          : "+dest.getDestinationId());
    System.out.println("Creation date           : "+dest.getCreationDate());
    System.out.println("Free reading            : "+(dest.isFreeReading()?"Yes":"No"));
    System.out.println("Free writing            : "+(dest.isFreeWriting()?"Yes":"No"));
    System.out.println("Nb of pending messages  : "+dest.getPendingMessageCount());
    System.out.println("Messages sent           : "+dest.getNbMsgsDeliverSinceCreation());
    System.out.println("Messages received       : "+dest.getNbMsgsReceiveSinceCreation());
    System.out.println("Nb of DMQ messages      : "+dest.getNbMsgsSentToDMQSinceCreation());
  }
