private void infoSubscription(String userName, String subName) {
    ClientSubscriptionMBean sub = null;
    try {
      sub = findClientSubscription(userName, subName);
      System.out.println("Subscription name        : "+sub.getName());
      System.out.println("Nb of pending messages   : "+sub.getPendingMessageCount());
      System.out.println("Nb of delivered messages : "+sub.getNbMsgsDeliveredSinceCreation());
      System.out.println("Nb of DMQ messages       : "+sub.getNbMsgsSentToDMQSinceCreation());
    } catch (UserNotFoundException e) {
      System.err.println("Error: The user "+userName+" does not exist.");
      return;
    } catch (SubscriptionNotFoundException e) {
      System.err.println("Error: Subscription not found.");
    }
  }
