private void infoTopic(String name) {
    TopicMBean dest;
    try {
      dest = findTopic(name);
    } catch (TopicNotFoundException e) {
      System.err.println("Error: Topic \""+name+"\" not found.");
      return;
    }
    System.out.println("Topic name        : "+dest.getName());
    System.out.println("Destination ID    : "+dest.getDestinationId());
    System.out.println("Creation date     : "+dest.getCreationDate());
    System.out.println("Free reading      : "+(dest.isFreeReading()?"Yes":"No"));
    System.out.println("Free writing      : "+(dest.isFreeWriting()?"Yes":"No"));
    System.out.println("Message sent      : "+dest.getNbMsgsDeliverSinceCreation());
    System.out.println("Message received  : "+dest.getNbMsgsReceiveSinceCreation());
    System.out.println("Nb of subscribers : "+dest.getNumberOfSubscribers());
    System.out.println("Nb of DMQ messages: "+dest.getNbMsgsSentToDMQSinceCreation());
  }
