public static boolean registerDashboardComponent( IAdminDashboardComponent adminDashboardComponent )
    {
        String strName = adminDashboardComponent.getName( );

        if ( _mapAdminDashboardComponents.containsKey( strName ) )
        {
            AppLogService.error( "Error while registering admin dashboard for " + strName + " class=" + adminDashboardComponent.getClass( )
                    + ", factory already contains class=" + _mapAdminDashboardComponents.get( strName ) );

            return false;
        }

        _mapAdminDashboardComponents.put( strName, adminDashboardComponent );

        return true;
    }
