@Override
    public IDashboardComponent load( String strClassName )
    {
        DAOUtil daoUtil = new DAOUtil( SQL_QUERY_SELECT_BY_PRIMARY_KEY );

        daoUtil.setString( 1, strClassName );

        daoUtil.executeQuery( );

        IDashboardComponent dashboardComponent = null;

        if ( daoUtil.next( ) )
        {
            String strBeanName = daoUtil.getString( 1 );

            dashboardComponent = findDashboardFromFactory( strBeanName );

            if ( dashboardComponent != null )
            {
                load( dashboardComponent, daoUtil );
            }
            else
            {
                AppLogService.error( "Dashboard named " + strBeanName + " not found" );
            }
        }

        daoUtil.free( );

        return dashboardComponent;
    }
