public static boolean registerDashboardComponent( IDashboardComponent dashboardComponent )
    {
        String strName = dashboardComponent.getName( );

        if ( _mapDashboardComponents.containsKey( strName ) )
        {
            AppLogService.error( "Error while registering  dashboard for " + strName + " class=" + dashboardComponent.getClass( )
                    + ", factory already contains class=" + _mapDashboardComponents.get( strName ) );

            return false;
        }

        _mapDashboardComponents.put( strName, dashboardComponent );

        return true;
    }
