@Override
    public void store( File file )
    {
        DAOUtil daoUtil = new DAOUtil( SQL_QUERY_UPDATE );
        daoUtil.setInt( 1, file.getIdFile( ) );
        daoUtil.setString( 2, file.getTitle( ) );

        if ( file.getPhysicalFile( ) != null )
        {
            daoUtil.setInt( 3, file.getPhysicalFile( ).getIdPhysicalFile( ) );
        }
        else
        {
            daoUtil.setIntNull( 3 );
        }

        daoUtil.setInt( 4, file.getSize( ) );
        daoUtil.setString( 5, file.getMimeType( ) );
        daoUtil.setInt( 6, file.getIdFile( ) );
        daoUtil.executeUpdate( );
        daoUtil.free( );
    }
