@Override
    public Collection<RichTextEditor> findEditors( Boolean bBackOffice )
    {
        DAOUtil daoUtil = new DAOUtil( SQL_QUERY_FIND_EDITORS_BY_TYPE );
        daoUtil.setBoolean( 1, bBackOffice );

        Collection<RichTextEditor> listRes = new ArrayList<RichTextEditor>( );
        daoUtil.executeQuery( );

        while ( daoUtil.next( ) )
        {
            RichTextEditor editor = new RichTextEditor( );
            editor.setEditorName( daoUtil.getString( 1 ) );
            editor.setDescription( daoUtil.getString( 2 ) );
            editor.setBackOffice( bBackOffice );
            listRes.add( editor );
        }

        daoUtil.free( );

        return listRes;
    }
