@Override
    public synchronized void insert( MailItemQueue mailItemQueue )
    {
        try
        {
            ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream( );
            ObjectOutputStream objectOutputStream;
            objectOutputStream = new ObjectOutputStream( byteArrayOutputStream );
            objectOutputStream.writeObject( mailItemQueue.getMailItem( ) );
            objectOutputStream.close( );
            byteArrayOutputStream.close( );

            TransactionManager.beginTransaction( null );

            try
            {
                DAOUtil daoUtil = new DAOUtil( SQL_QUERY_INSERT, Statement.RETURN_GENERATED_KEYS );
                daoUtil.executeUpdate( );
                daoUtil.nextGeneratedKey( );
                int nNewPrimaryKey = daoUtil.getGeneratedKeyInt( 1 );
                mailItemQueue.setIdMailItemQueue( nNewPrimaryKey );
                daoUtil.free( );
                daoUtil = new DAOUtil( SQL_QUERY_INSERT_MAIL_ITEM );
                daoUtil.setInt( 1, nNewPrimaryKey );
                daoUtil.setBytes( 2, byteArrayOutputStream.toByteArray( ) );
                daoUtil.executeUpdate( );
                daoUtil.free( );
                TransactionManager.commitTransaction( null );
            }
            catch( Exception e )
            {
                TransactionManager.rollBack( null );
                AppLogService.error( e );
            }
        }
        catch( Exception e )
        {
            AppLogService.error( e );
        }
    }
