@Override
    public List<MailingList> selectByFilter( MailingListFilter filter )
    {
        List<MailingList> mailingListList = new ArrayList<MailingList>( );
        DAOUtil daoUtil = new DAOUtil( filter.buildSQLQuery( SQL_QUERY_SELECTALL ) );
        filter.setFilterValues( daoUtil );
        daoUtil.executeQuery( );

        while ( daoUtil.next( ) )
        {
            int nIndex = 1;
            MailingList mailingList = new MailingList( );

            mailingList.setId( daoUtil.getInt( nIndex++ ) );
            mailingList.setName( daoUtil.getString( nIndex++ ) );
            mailingList.setDescription( daoUtil.getString( nIndex++ ) );
            mailingList.setWorkgroup( daoUtil.getString( nIndex ) );

            mailingListList.add( mailingList );
        }

        daoUtil.free( );

        return mailingListList;
    }
