public Page loadPageByIdPortlet( int nPorletId )
    {
        DAOUtil daoUtil = new DAOUtil( SQL_QUERY_SELECT_BY_ID_PORTLET );
        daoUtil.setInt( 1, nPorletId );

        daoUtil.executeQuery( );

        Page page = new Page( );

        if ( daoUtil.next( ) )
        {
            page.setId( daoUtil.getInt( 1 ) );
            page.setParentPageId( daoUtil.getInt( 2 ) );
            page.setOrigParentPageId( daoUtil.getInt( 2 ) );
            page.setName( daoUtil.getString( 3 ) );
            page.setDescription( daoUtil.getString( 4 ) );
            page.setPageTemplateId( daoUtil.getInt( 5 ) );
            page.setOrder( daoUtil.getInt( 6 ) );
            page.setStatus( daoUtil.getInt( 7 ) );
            page.setRole( daoUtil.getString( 8 ) );
            page.setCodeTheme( daoUtil.getString( 9 ) );
            page.setNodeStatus( daoUtil.getInt( 10 ) );
            page.setImageContent( daoUtil.getBytes( 11 ) );
            page.setMimeType( daoUtil.getString( 12 ) );
            page.setMetaKeywords( daoUtil.getString( 13 ) );
            page.setMetaDescription( daoUtil.getString( 14 ) );
            page.setIdAuthorizationNode( daoUtil.getInt( 15 ) );
        }

        daoUtil.free( );

        return page;
    }
