public Collection<Page> selectChildPagesMinimalData( int nParentPageId )
    {
        Collection<Page> pageList = new ArrayList<Page>( );
        DAOUtil daoUtil = new DAOUtil( SQL_QUERY_CHILDPAGE_MINIMAL_DATA );
        daoUtil.setInt( 1, nParentPageId );

        daoUtil.executeQuery( );

        while ( daoUtil.next( ) )
        {
            Page page = new Page( );
            page.setId( daoUtil.getInt( 1 ) );
            page.setParentPageId( daoUtil.getInt( 2 ) );
            page.setOrigParentPageId( daoUtil.getInt( 2 ) );
            page.setName( daoUtil.getString( 3 ) );
            page.setDescription( daoUtil.getString( 4 ) );
            page.setRole( daoUtil.getString( 5 ) );
            pageList.add( page );
        }

        daoUtil.free( );

        return pageList;
    }
