public void store( Page page )
    {
        DAOUtil daoUtil = new DAOUtil( SQL_QUERY_UPDATE );

        daoUtil.setInt( 1, page.getParentPageId( ) );
        daoUtil.setString( 2, page.getName( ) );
        daoUtil.setString( 3, page.getDescription( ) );
        daoUtil.setTimestamp( 4, page.getDateUpdate( ) == null ? new Timestamp( new java.util.Date( ).getTime( ) ) : page.getDateUpdate( ) );
        daoUtil.setInt( 5, page.getPageTemplateId( ) );
        daoUtil.setInt( 6, page.getOrder( ) );
        daoUtil.setInt( 7, page.getStatus( ) );
        daoUtil.setString( 8, page.getRole( ) );
        daoUtil.setString( 9, page.getCodeTheme( ) );
        daoUtil.setInt( 10, page.getNodeStatus( ) );
        daoUtil.setBytes( 11, page.getImageContent( ) );
        daoUtil.setString( 12, page.getMimeType( ) );

        if ( ( page.getMetaKeywords( ) != null ) && ( page.getMetaKeywords( ).length( ) > 0 ) )
        {
            daoUtil.setString( 13, page.getMetaKeywords( ) );
        }
        else
        {
            daoUtil.setString( 13, null );
        }

        if ( ( page.getMetaDescription( ) != null ) && ( page.getMetaDescription( ).length( ) > 0 ) )
        {
            daoUtil.setString( 14, page.getMetaDescription( ) );
        }
        else
        {
            daoUtil.setString( 14, null );
        }

        if ( page.getIdAuthorizationNode( ) != null )
        {
            daoUtil.setInt( 15, page.getIdAuthorizationNode( ) );
        }
        else
        {
            daoUtil.setIntNull( 15 );
        }

        daoUtil.setBoolean( 16, page.getDisplayDateUpdate( ) );
        daoUtil.setBoolean( 17, page.getIsManualDateUpdate( ) );

        daoUtil.setInt( 18, page.getId( ) );

        daoUtil.executeUpdate( );
        daoUtil.free( );
    }
