public Collection<Portlet> selectPortletsByRole( String strRole )
    {
        DAOUtil daoUtil = new DAOUtil( SQL_QUERY_SELECT_PORTLET_LIST_BY_ROLE );
        daoUtil.setString( 1, strRole );
        daoUtil.executeQuery( );

        List<Portlet> list = new ArrayList<Portlet>( );

        while ( daoUtil.next( ) )
        {
            PortletImpl portlet = new PortletImpl( );
            portlet.setId( daoUtil.getInt( 1 ) );
            portlet.setPortletTypeId( daoUtil.getString( 2 ) );
            portlet.setPageId( daoUtil.getInt( 3 ) );

            list.add( portlet );
        }

        daoUtil.free( );

        return list;
    }
