public static Portlet findByPrimaryKey( int nKey )
    {
        Portlet portlet = _dao.load( nKey );
        String strHomeClass = portlet.getHomeClassName( );
        Portlet p = null;

        try
        {
            PortletHomeInterface home = (PortletHomeInterface) Class.forName( strHomeClass ).newInstance( );
            p = home.getDAO( ).load( nKey );
            p.copy( portlet );
        }
        catch( InstantiationException e )
        {
            AppLogService.error( e.getMessage( ), e );
        }
        catch( IllegalAccessException e )
        {
            AppLogService.error( e.getMessage( ), e );
        }
        catch( ClassNotFoundException e )
        {
            AppLogService.error( e.getMessage( ), e );
        }

        return p;
    }
