public static void invalidate( Portlet portlet )
    {
        PortletEvent event = new PortletEvent( PortletEvent.INVALIDATE, portlet.getId( ), portlet.getPageId( ) );
        notifyListeners( event );

        // invalidate aliases
        Collection<Portlet> listAliases = getAliasList( portlet.getId( ) );

        for ( Portlet alias : listAliases )
        {
            PortletEvent eventAlias = new PortletEvent( PortletEvent.INVALIDATE, alias.getId( ), alias.getPageId( ) );
            notifyListeners( eventAlias );
        }
    }
