public Collection<RBAC> selectRBACListByRoleKey( String strRoleKey )
    {
        Collection<RBAC> listRBACs = new ArrayList<RBAC>( );
        DAOUtil daoUtil = new DAOUtil( SQL_QUERY_SELECT_BY_ROLE );
        daoUtil.setString( 1, strRoleKey );
        daoUtil.executeQuery( );

        while ( daoUtil.next( ) )
        {
            RBAC rBAC = new RBAC( );
            rBAC.setRBACId( daoUtil.getInt( 1 ) );
            rBAC.setRoleKey( daoUtil.getString( 2 ) );
            rBAC.setResourceTypeKey( daoUtil.getString( 3 ) );
            rBAC.setResourceId( daoUtil.getString( 4 ) );
            rBAC.setPermissionKey( daoUtil.getString( 5 ) );

            listRBACs.add( rBAC );
        }

        daoUtil.free( );

        return listRBACs;
    }
