public String getResourceIdLabel( )
    {
        if ( getResourceId( ).equals( WILDCARD_RESOURCES_ID ) )
        {
            return WILDCARD_RESOURCES_ID;
        }
        else
        {
            ResourceType resourceType = ResourceTypeManager.getResourceType( getResourceTypeKey( ) );

            if ( resourceType != null )
            {
                ResourceIdService resourceManagerService = resourceType.getResourceIdService( );
                String strTitle = StringUtils.EMPTY;

                if ( resourceManagerService != null )
                {
                    strTitle = resourceManagerService.getTitle( getResourceId( ), _locale );
                }
                if ( strTitle != null && StringUtils.isNotEmpty( strTitle ) )
                {
                    return strTitle;
                }
                else
                {
                    return getResourceId( );
                }
            }

            return StringUtils.EMPTY;
        }
    }
