public static int changeRightOrder( FeatureGroup featureGroup, int nNewOrder )
    {
        if ( featureGroup == null )
        {
            return CONSTANT_ERROR_ORDER;
        }

        if ( nNewOrder < featureGroup.getOrder( ) )
        {
            for ( FeatureGroup featureGroupChange : getFeatureGroupsList( ) )
            {
                int nFeatureGroupToUpdateOrder = featureGroupChange.getOrder( );

                if ( ( nFeatureGroupToUpdateOrder >= nNewOrder ) && ( nFeatureGroupToUpdateOrder < featureGroup.getOrder( ) ) )
                {
                    featureGroupChange.setOrder( nFeatureGroupToUpdateOrder + CONSTANT_STEP_ORDER );
                    _dao.store( featureGroupChange );
                }
            }
        }
        else
            if ( nNewOrder > featureGroup.getOrder( ) )
            {
                for ( FeatureGroup featureGroupChange : getFeatureGroupsList( ) )
                {
                    int nFeatureGroupToUpdateOrder = featureGroupChange.getOrder( );

                    if ( ( nFeatureGroupToUpdateOrder <= nNewOrder ) && ( nFeatureGroupToUpdateOrder > featureGroup.getOrder( ) ) )
                    {
                        featureGroupChange.setOrder( nFeatureGroupToUpdateOrder - CONSTANT_STEP_ORDER );
                        _dao.store( featureGroupChange );
                    }
                }
            }

        return nNewOrder;
    }
