public static Right update( Right right )
    {
        Right oldRight = findByPrimaryKey( right.getId( ) );

        if ( oldRight == null )
        {
            return null;
        }

        // The feature group have changed
        if ( ( ( right.getFeatureGroup( ) != null ) && !right.getFeatureGroup( ).equals( oldRight.getFeatureGroup( ) ) )
                || ( ( right.getFeatureGroup( ) == null ) && ( oldRight.getFeatureGroup( ) != null ) ) )
        {
            deleteEntryFromList( oldRight.getFeatureGroup( ), oldRight.getOrder( ) );
            right.setOrder( getRightsList( right.getFeatureGroup( ) ).size( ) + CONSTANT_STEP_ORDER );
        }

        // The order have changed
        else
            if ( right.getOrder( ) != oldRight.getOrder( ) )
            {
                right.setOrder( changeRightOrder( oldRight, right.getOrder( ) ) );
            }

        _dao.store( right );

        return right;
    }
