@Override
    public List<Integer> getIdUsersWithExpiredLifeTimeList( Timestamp currentTimestamp )
    {
        DAOUtil daoUtil = new DAOUtil( SQL_QUERY_SELECT_EXPIRED_LIFE_TIME_USER_ID );
        daoUtil.setLong( 1, currentTimestamp.getTime( ) );
        daoUtil.setInt( 2, AdminUser.EXPIRED_CODE );

        List<Integer> listIdExpiredUser = new ArrayList<Integer>( );
        daoUtil.executeQuery( );

        while ( daoUtil.next( ) )
        {
            listIdExpiredUser.add( daoUtil.getInt( 1 ) );
        }

        daoUtil.free( );

        return listIdExpiredUser;
    }
