@Override
    public synchronized void insert( AdminUser user )
    {
        user.setUserId( newPrimaryKey( ) );

        DAOUtil daoUtil = new DAOUtil( SQL_QUERY_INSERT );

        daoUtil.setInt( 1, user.getUserId( ) );
        daoUtil.setString( 2, user.getAccessCode( ) );
        daoUtil.setString( 3, user.getLastName( ) );
        daoUtil.setString( 4, user.getFirstName( ) );
        daoUtil.setString( 5, user.getEmail( ) );
        daoUtil.setInt( 6, user.getStatus( ) );
        daoUtil.setString( 7, user.getLocale( ).toString( ) );
        daoUtil.setInt( 8, user.getUserLevel( ) );
        daoUtil.setBoolean( 9, user.getAccessibilityMode( ) );
        daoUtil.setTimestamp( 10, user.getPasswordMaxValidDate( ) );

        if ( user.getAccountMaxValidDate( ) == null )
        {
            daoUtil.setLongNull( 11 );
        }
        else
        {
            daoUtil.setLong( 11, user.getAccountMaxValidDate( ).getTime( ) );
        }

        daoUtil.executeUpdate( );
        daoUtil.free( );
    }
