@Override
    public LuteceDefaultAdminUser loadDefaultAdminUser( int nUserId )
    {
        LuteceDefaultAdminUser user = new LuteceDefaultAdminUser( );
        DAOUtil daoUtil = new DAOUtil( SQL_QUERY_SELECT_USER_FROM_USER_ID );
        daoUtil.setInt( 1, nUserId );
        daoUtil.executeQuery( );

        try
        {
            if ( daoUtil.next( ) )
            {
                user.setUserId( daoUtil.getInt( 1 ) );
                user.setAccessCode( daoUtil.getString( 2 ) );
                user.setLastName( daoUtil.getString( 3 ) );
                user.setFirstName( daoUtil.getString( 4 ) );
                user.setEmail( daoUtil.getString( 5 ) );
                user.setStatus( daoUtil.getInt( 6 ) );
                user.setPassword( _passwordFactory.getPassword( daoUtil.getString( 7 ) ) );

                Locale locale = new Locale( daoUtil.getString( 8 ) );
                user.setLocale( locale );
                user.setUserLevel( daoUtil.getInt( 9 ) );
                user.setPasswordReset( daoUtil.getBoolean( 10 ) );
                user.setAccessibilityMode( daoUtil.getBoolean( 11 ) );
                user.setWorkgroupKey( daoUtil.getString( 14 ) );
            }
        }
        finally
        {
            daoUtil.free( );
        }

        return user;
    }
