@Override
    public List<IPassword> selectUserPasswordHistory( int nUserID )
    {
        List<IPassword> listPasswordHistory = new ArrayList<IPassword>( );

        DAOUtil daoUtil = new DAOUtil( SQL_SELECT_USER_PASSWORD_HISTORY );
        daoUtil.setInt( 1, nUserID );
        daoUtil.executeQuery( );

        while ( daoUtil.next( ) )
        {
            listPasswordHistory.add( _passwordFactory.getPassword( daoUtil.getString( 1 ) ) );
        }

        daoUtil.free( );

        return listPasswordHistory;
    }
