@Override
    public void store( LuteceDefaultAdminUser user, PasswordUpdateMode passwordMode )
    {
        String query = SQL_QUERY_UPDATE_DEFAULT_USER_IGNORE_PASSWORD;
        if ( PasswordUpdateMode.UPDATE.equals( passwordMode ) )
        {
            query = SQL_QUERY_UPDATE_DEFAULT_USER;
        }
        DAOUtil daoUtil = new DAOUtil( query );

        int nArgIndex = 1;
        daoUtil.setString( nArgIndex++, user.getAccessCode( ) );
        daoUtil.setString( nArgIndex++, user.getLastName( ) );
        daoUtil.setString( nArgIndex++, user.getFirstName( ) );
        daoUtil.setString( nArgIndex++, user.getEmail( ) );
        daoUtil.setInt( nArgIndex++, user.getStatus( ) );
        if ( PasswordUpdateMode.UPDATE.equals( passwordMode ) )
        {
            daoUtil.setString( nArgIndex++, user.getPassword( ).getStorableRepresentation( ) );
        }
        daoUtil.setString( nArgIndex++, user.getLocale( ).toString( ) );
        daoUtil.setBoolean( nArgIndex++, user.isPasswordReset( ) );
        daoUtil.setBoolean( nArgIndex++, user.getAccessibilityMode( ) );
        daoUtil.setTimestamp( nArgIndex++, user.getPasswordMaxValidDate( ) );
        daoUtil.setString( nArgIndex++, user.getWorkgroupKey( ) );

        daoUtil.setInt( nArgIndex++, user.getUserId( ) );

        daoUtil.executeUpdate( );
        daoUtil.free( );
    }
