public static String getUserPasswordResetToken( int nIdUser, Date timestamp, String strSessionId )
    {
        LuteceDefaultAdminUser user = _dao.loadDefaultAdminUser( nIdUser );
        StringBuilder builder = new StringBuilder( );
        builder.append( "userId:" ).append( nIdUser );
        IPassword password = user.getPassword( );
        if ( password != null )
        {
            builder.append( ":password:" );
            if ( password.isLegacy( ) )
            {
                builder.append( "legacy" );
            }
            else
            {
                builder.append( password.getStorableRepresentation( ) );
            }
        }
        builder.append( ":timestamp:" ).append( timestamp.getTime( ) );
        if ( strSessionId != null )
        {
            builder.append( ":sessionId:" ).append( strSessionId );
        }
        return CryptoService.hmacSHA256( builder.toString( ) );
    }
