public String getHtmlFormSearchAttribute( AdminUserFieldFilter auFieldFilter, Locale locale )
    {
        Map<String, Object> model = new HashMap<String, Object>( );
        List<AdminUserField> listUserFields = auFieldFilter.getListUserFields( );
        List<AdminUserField> selectedUserFields = null;

        if ( ( listUserFields != null ) && ( !listUserFields.isEmpty( ) ) )
        {
            selectedUserFields = new ArrayList<AdminUserField>( );

            for ( AdminUserField userField : listUserFields )
            {
                if ( userField.getAttribute( ).getIdAttribute( ) == _nIdAttribute )
                {
                    selectedUserFields.add( userField );
                }
            }
        }

        model.put( MARK_DEFAULT_VALUES_LIST, selectedUserFields );
        model.put( MARK_ATTRIBUTE, this );

        HtmlTemplate template = AppTemplateService.getTemplate( getTemplateHtmlFormSearchAttribute( ), locale, model );

        return template.getHtml( );
    }
