@Override
    public void insert( AdminUserField userField )
    {
        userField.setIdUserField( newPrimaryKey( ) );

        DAOUtil daoUtil = new DAOUtil( SQL_QUERY_INSERT );
        daoUtil.setInt( 1, userField.getIdUserField( ) );
        daoUtil.setInt( 2, userField.getUser( ).getUserId( ) );
        daoUtil.setInt( 3, userField.getAttribute( ).getIdAttribute( ) );
        daoUtil.setInt( 4, userField.getAttributeField( ).getIdField( ) );

        if ( userField.getFile( ) != null )
        {
            daoUtil.setInt( 5, userField.getFile( ).getIdFile( ) );
        }
        else
        {
            daoUtil.setIntNull( 5 );
        }

        daoUtil.setString( 6, userField.getValue( ) );

        daoUtil.executeUpdate( );
        daoUtil.free( );
    }
