public String getUrlAttributes( )
    {
        StringBuilder sbUrlAttributes = new StringBuilder( );

        for ( AdminUserField userField : _listUserFields )
        {
            try
            {
                sbUrlAttributes.append( CONSTANT_ESPERLUETTE + PARAMETER_ATTRIBUTE + CONSTANT_UNDERSCORE + userField.getAttribute( ).getIdAttribute( )
                        + CONSTANT_EQUAL + URLEncoder.encode( userField.getValue( ), AppPropertiesService.getProperty( PROPERTY_ENCODING_URL ) ) );
            }
            catch( UnsupportedEncodingException e )
            {
                AppLogService.error( e.getMessage( ), e );
            }
        }

        return sbUrlAttributes.toString( );
    }
