public void setAdminUserFieldFilter( HttpServletRequest request, Locale locale )
    {
        _listUserFields = new ArrayList<AdminUserField>( );

        String strIsSearch = request.getParameter( PARAMETER_SEARCH_IS_SEARCH );

        if ( strIsSearch != null )
        {
            List<IAttribute> listAttributes = AttributeService.getInstance( ).getAllAttributesWithoutFields( locale );

            for ( IAttribute attribute : listAttributes )
            {
                for ( AdminUserField userField : attribute.getUserFieldsData( request, null ) )
                {
                    if ( ( userField != null ) && StringUtils.isNotBlank( userField.getValue( ) ) )
                    {
                        _listUserFields.add( userField );
                    }
                }
            }
        }
    }
