@Override
    public void store( String strAccessCode, IPassword password )
    {
        if ( password.isLegacy( ) )
        {
            throw new IllegalArgumentException( "Should not store password in legacy format " + password.getClass( ).getCanonicalName( ) );
        }
        DAOUtil daoUtil = new DAOUtil( SQL_QUERY_UPDATE_PASSWORD );
        try
        {
            daoUtil.setString( 1, password.getStorableRepresentation( ) );
            daoUtil.setString( 2, strAccessCode );
            daoUtil.executeUpdate( );
        }
        finally
        {
            daoUtil.free( );
        }
    }
