public static boolean checkEmail( String strEmail )
    {
        boolean bIsValid = true;

        if ( isEmailPatternSetManually( ) )
        {
            if ( StringUtils.isBlank( strEmail ) || !strEmail.matches( getEmailPattern( ) ) )
            {
                bIsValid = false;
            }
        }
        else
        {
            for ( RegularExpression regularExpression : getSelectedRegularExpressions( ) )
            {
                if ( !RegularExpressionService.getInstance( ).isMatches( strEmail, regularExpression ) )
                {
                    bIsValid = false;

                    break;
                }
            }
        }

        if ( bIsValid )
        {
            String strBannedDomainNames = AdminUserService.getSecurityParameter( DSKEY_BANNED_DOMAIN_NAMES );

            if ( !StringUtils.isEmpty( strBannedDomainNames ) )
            {
                String [ ] strListBannedDomainNames = strBannedDomainNames.split( SEMICOLON );
                String strDomainName = strEmail.substring( strEmail.indexOf( CONSTANT_AT ) + 1 );

                if ( ( strDomainName != null ) && ( strListBannedDomainNames != null ) && ( strListBannedDomainNames.length > 0 ) )
                {
                    for ( String strDomain : strListBannedDomainNames )
                    {
                        if ( strDomainName.equals( strDomain ) )
                        {
                            bIsValid = false;

                            break;
                        }
                    }
                }
            }
        }

        return bIsValid;
    }
