public static void doRemoveRegularExpression( int nRegularExpressionId )
    {
        if ( !isEmailPatternSetManually( ) )
        {
            List<Integer> listRegularExpressionIds = new ArrayList<Integer>( );

            // Retrieve the rules from the database
            String emailPatternVerifyBy = DefaultUserParameterHome.findByKey( DSKEY_EMAIL_PATTERN_VERIFY_BY );
            String [ ] regularExpressionIds = emailPatternVerifyBy.split( COMMA );

            // Build the list of regular expression without the regular expression id to delete
            for ( String strRegularExpressionId : regularExpressionIds )
            {
                strRegularExpressionId.trim( );

                if ( StringUtils.isNotBlank( strRegularExpressionId ) && StringUtils.isNumeric( strRegularExpressionId ) )
                {
                    int nRegexId = Integer.parseInt( strRegularExpressionId );

                    if ( nRegexId != nRegularExpressionId )
                    {
                        listRegularExpressionIds.add( nRegexId );
                    }
                }
            }

            StringBuilder sbRegularExpressionIds = new StringBuilder( );

            for ( int i = 0; i < listRegularExpressionIds.size( ); i++ )
            {
                sbRegularExpressionIds.append( listRegularExpressionIds.get( i ) );

                if ( i < ( listRegularExpressionIds.size( ) - 1 ) )
                {
                    sbRegularExpressionIds.append( COMMA );
                }
            }

            DefaultUserParameterHome.update( DSKEY_EMAIL_PATTERN_VERIFY_BY, sbRegularExpressionIds.toString( ) );
        }
    }
