public static Timestamp getAccountMaxValidDate( )
    {
        int nbMonthsAccountValid = getIntegerSecurityParameter( DSKEY_ACCOUNT_LIFE_TIME );

        if ( nbMonthsAccountValid <= 0 )
        {
            return null;
        }

        Calendar calendar = new GregorianCalendar( LocaleService.getDefault( ) );
        calendar.add( Calendar.MONTH, nbMonthsAccountValid );

        return new Timestamp( calendar.getTimeInMillis( ) );
    }
