public static Locale getLocale( HttpServletRequest request )
    {
        Locale locale;
        AdminUser user = getAdminUser( request );

        if ( user != null )
        {
            // Take the locale of the current user if exists
            locale = user.getLocale( );
        }
        else
        {
            // TODO : Add cookie search

            // Take the locale of the browser
            locale = request.getLocale( );
        }

        return locale;
    }
