private int getIntProperty( String strCacheName, String strProperty, int nDefault )
    {
        String strKey = getDSKey( strCacheName, strProperty );

        if ( DatastoreService.existsInstanceKey( strKey ) )
        {
            String strValue = NOT_FOUND;

            try
            {
                strValue = DatastoreService.getInstanceDataValue( strKey, strValue );

                int nValue = Integer.parseInt( strValue );

                return nValue;
            }
            catch( NumberFormatException e )
            {
                AppLogService.error( "Invalid numeric property : " + strCacheName + strProperty + "=" + strValue, e );
            }
        }

        return nDefault;
    }
