@Override
    public int compareTo( CSVMessageDescriptor o )
    {
        if ( null == o )
        {
            return 1;
        }

        if ( this.getLineNumber( ) == o.getLineNumber( ) )
        {
            if ( this.getMessageLevel( ) == CSVMessageLevel.ERROR )
            {
                if ( o.getMessageLevel( ) == CSVMessageLevel.ERROR )
                {
                    return getMessageContent( ).compareTo( o.getMessageContent( ) );
                }

                return 1;
            }

            if ( o.getMessageLevel( ) == CSVMessageLevel.INFO )
            {
                return getMessageContent( ).compareTo( o.getMessageContent( ) );
            }

            return -1;
        }

        if ( this.getLineNumber( ) > o.getLineNumber( ) )
        {
            return 1;
        }

        return -1;
    }
