@Override
    public void unSchedule( DaemonEntry entry )
    {
        synchronized( _scheduledDaemons )
        {
            DaemonTimerTask daemonTimerTask = _scheduledDaemons.get( entry.getId( ) );
            if ( daemonTimerTask == null )
            {
                AppLogService.error( "Could not unschedule daemon " + entry.getId( ) + " which was not scheduled" );
            }
            else
            {
                daemonTimerTask.cancel( );
                _scheduledDaemonsTimer.purge( );
                _scheduledDaemons.remove( entry.getId( ) );
            }
        }
    }
