@Override
    public Thread newThread( Runnable runnable )
    {
        Thread thread = _defaultThreadFactory.newThread( runnable );
        thread.setDaemon( RUN_THREAD_AS_DAEMON );
        thread.setPriority( Thread.MIN_PRIORITY );
        thread.setName( DAEMONS_NAME_PREFIX + _nIndex );
        AppLogService.info( "New Scheduled Thread added to the pool for daemons. Index:" + _nIndex );
        _nIndex++;

        return thread;
    }
