public String getDashboardData( AdminUser user, int nZone, HttpServletRequest request )
    {
        StringBuffer sbDashboardData = new StringBuffer( );

        for ( IDashboardComponent dc : getDashboardComponents( nZone ) )
        {
            boolean bRight = user.checkRight( dc.getRight( ) ) || dc.getRight( ).equalsIgnoreCase( ALL );

            if ( ( dc.getZone( ) == nZone ) && dc.isEnabled( ) && bRight )
            {
                sbDashboardData.append( dc.getDashboardData( user, request ) );
            }
        }

        return sbDashboardData.toString( );
    }
