public Map<String, List<IAdminDashboardComponent>> getAllSetDashboards( )
    {
        Map<String, List<IAdminDashboardComponent>> mapDashboardComponents = new HashMap<String, List<IAdminDashboardComponent>>( );

        List<IAdminDashboardComponent> listDashboards = AdminDashboardHome.findAll( );

        for ( IAdminDashboardComponent dashboard : listDashboards )
        {
            int nColumn = dashboard.getZone( );

            String strColumn = Integer.toString( nColumn );

            // find this column list
            List<IAdminDashboardComponent> listDashboardsColumn = mapDashboardComponents.get( strColumn );

            if ( listDashboardsColumn == null )
            {
                // the list does not exist, create it
                listDashboardsColumn = new ArrayList<IAdminDashboardComponent>( );
                mapDashboardComponents.put( strColumn, listDashboardsColumn );
            }

            // add dashboard to the list
            listDashboardsColumn.add( dashboard );
        }

        return mapDashboardComponents;
    }
