public String getDashboardData( AdminUser user, int nColumn, HttpServletRequest request )
    {
        StringBuilder sbDashboardData = new StringBuilder( );

        for ( IAdminDashboardComponent dc : getAdminDashboardComponents( nColumn ) )
        {
            boolean bRight = ( dc.getRight( ) == null ) || user.checkRight( dc.getRight( ) ) || dc.getRight( ).equalsIgnoreCase( ALL );

            if ( dc.isEnabled( ) && bRight )
            {
                sbDashboardData.append( dc.getDashboardData( user, request ) );
            }
        }

        return sbDashboardData.toString( );
    }
