public static void init( String strConfigPath, String strConfigFilename, String strPoolName ) throws LuteceInitException
    {
        try
        {
            InputStream is = AppPathService.getResourceAsStream( strConfigPath, strConfigFilename );
            _poolManager = PoolManager.getInstance( is );
            _connectionService = new PluginConnectionService( strPoolName );
            is.close( );
        }
        catch( Exception e )
        {
            throw new LuteceInitException( "Error initializing pool : " + e.getMessage( ), e );
        }
    }
