public static boolean existsKey( String strKey )
    {
        try
        {
            if ( _bDatabase )
            {
                DataEntity entity = null;

                if ( _cache != null )
                {
                    entity = (DataEntity) _cache.getFromCache( strKey );
                }

                if ( entity == null )
                {
                    entity = DataEntityHome.findByPrimaryKey( strKey );

                    if ( entity == null )
                    {
                        return false;
                    }
                }

                return true;
            }
        }
        catch( NoDatabaseException e )
        {
            disableDatastore( e );
        }

        return false;
    }
