public static ReferenceList getDataByPrefix( String strPrefix )
    {
        ReferenceList list = new ReferenceList( );

        try
        {
            if ( _bDatabase )
            {
                List<DataEntity> listEntities = DataEntityHome.findAll( );

                for ( DataEntity entity : listEntities )
                {
                    if ( entity.getKey( ).startsWith( strPrefix ) )
                    {
                        list.addItem( entity.getKey( ), entity.getValue( ) );
                    }
                }
            }
        }
        catch( NoDatabaseException e )
        {
            disableDatastore( e );
        }

        return list;
    }
