public static void setDataValue( String strKey, String strValue )
    {
        try
        {
            if ( _bDatabase )
            {
                DataEntity p = new DataEntity( strKey, strValue );
                DataEntity entity = DataEntityHome.findByPrimaryKey( strKey );

                if ( entity != null )
                {
                    DataEntityHome.update( p );

                    if ( _cache != null )
                    {
                        _cache.removeKey( strKey );
                    }
                }
                else
                {
                    DataEntityHome.create( p );
                }
            }
        }
        catch( NoDatabaseException e )
        {
            disableDatastore( e );
        }
    }
