public ImageResource getImageResource( int nIdResource )
    {
        HttpServletRequest request = LocalVariables.getRequest( );
        AdminUser user = AdminUserService.getAdminUser( request );

        if ( user != null && AdminUserFieldHome.existsWithFile( nIdResource ) )
        {

            File file = FileHome.findByPrimaryKey( nIdResource );

            if ( ( file != null ) && ( file.getPhysicalFile( ) != null ) && FileUtil.hasImageExtension( file.getTitle( ) ) )
            {
                PhysicalFile physicalFile = PhysicalFileHome.findByPrimaryKey( file.getPhysicalFile( ).getIdPhysicalFile( ) );
                ImageResource imageResource = new ImageResource( );
                imageResource.setImage( physicalFile.getValue( ) );
                imageResource.setMimeType( file.getMimeType( ) );

                return imageResource;
            }
        }

        return null;
    }
