public static ReferenceList getListEditorsForFrontOffice( Locale locale )
    {
        Collection<RichTextEditor> listRichTextEditor = RichTextEditorHome.findListEditorsForFrontOffice( );
        ReferenceList refList = new ReferenceList( );

        for ( RichTextEditor editor : listRichTextEditor )
        {
            ReferenceItem refItem = new ReferenceItem( );
            refItem.setCode( editor.getEditorName( ) );
            refItem.setName( I18nService.getLocalizedString( editor.getDescription( ), locale ) );
            refList.add( refItem );
        }

        return refList;
    }
