public String transformBySourceWithXslCache( String strXml, Source sourceStyleSheet, String strStyleSheetId, Map<String, String> params,
            Properties outputProperties )
    {
        StringReader srInputXml = new StringReader( strXml );
        StreamSource sourceDocument = new StreamSource( srInputXml );
        String strContent = null;
        XmlTransformer xmlTransformer = new XmlTransformer( );

        try
        {
            if ( AppLogService.isDebugEnabled( LOGGER_XML_CONTENT ) )
            {
                AppLogService.debug( LOGGER_XML_CONTENT, strXml );
            }

            strContent = xmlTransformer.transform( sourceDocument, sourceStyleSheet, strStyleSheetId, params, outputProperties );
        }
        catch( Exception e )
        {
            strContent = e.getMessage( );
            AppLogService.error( e.getMessage( ), e );
        }

        return strContent;
    }
