public static void registerPageInclude( PageIncludeEntry entry ) throws LuteceInitException
    {
        try
        {
            PageInclude pageInclude = (PageInclude) Class.forName( entry.getClassName( ) ).newInstance( );
            entry.setPageInclude( pageInclude );
            _mapPageIncludes.put( entry.getId( ), entry );
            AppLogService.info( "New Page Include Service registered : " + entry.getId( ) + ( ( !entry.isEnabled( ) ) ? " (disabled)" : "" ) );
        }
        catch( ClassNotFoundException e )
        {
            throw new LuteceInitException( e.getMessage( ), e );
        }
        catch( IllegalAccessException e )
        {
            throw new LuteceInitException( e.getMessage( ), e );
        }
        catch( InstantiationException e )
        {
            throw new LuteceInitException( e.getMessage( ), e );
        }
    }
