protected static void sendMessageCalendar( String strRecipientsTo, String strRecipientsCc, String strRecipientsBcc, String strSenderName,
            String strSenderEmail, String strSubject, String strMessage, String strCalendarMessage, boolean bCreateEvent, Transport transport, Session session )
            throws MessagingException, AddressException, SendFailedException
    {
        Message msg = prepareMessage( strRecipientsTo, strRecipientsCc, strRecipientsBcc, strSenderName, strSenderEmail, strSubject, session );
        msg.setHeader( HEADER_NAME, HEADER_VALUE );

        MimeMultipart multipart = new MimeMultipart( );
        BodyPart msgBodyPart = new MimeBodyPart( );
        msgBodyPart.setDataHandler( new DataHandler( new ByteArrayDataSource( strMessage, AppPropertiesService.getProperty( PROPERTY_MAIL_TYPE_HTML )
                + AppPropertiesService.getProperty( PROPERTY_CHARSET ) ) ) );

        multipart.addBodyPart( msgBodyPart );

        BodyPart calendarBodyPart = new MimeBodyPart( );
        // calendarBodyPart.addHeader( "Content-Class", "urn:content-classes:calendarmessage" );
        calendarBodyPart.setContent(
                strCalendarMessage,
                AppPropertiesService.getProperty( PROPERTY_MAIL_TYPE_CALENDAR ) + AppPropertiesService.getProperty( PROPERTY_CHARSET )
                        + AppPropertiesService.getProperty( PROPERTY_CALENDAR_SEPARATOR )
                        + AppPropertiesService.getProperty( bCreateEvent ? PROPERTY_CALENDAR_METHOD_CREATE : PROPERTY_CALENDAR_METHOD_CANCEL ) );
        calendarBodyPart.addHeader( HEADER_NAME, CONSTANT_BASE64 );
        multipart.addBodyPart( calendarBodyPart );

        msg.setContent( multipart );

        sendMessage( msg, transport );
    }
