public static Collection<Recipient> getRecipients( int nIdMailingList )
    {
        Collection<Recipient> listRecipients = new ArrayList<Recipient>( );
        MailingList mailinglist = MailingListHome.findByPrimaryKey( nIdMailingList );

        if ( mailinglist != null )
        {
            for ( MailingListUsersFilter filter : mailinglist.getFilters( ) )
            {
                listRecipients.addAll( getRecipients( filter.getWorkgroup( ), filter.getRole( ) ) );
            }
        }

        return listRecipients;
    }
