public static synchronized <T extends LutecePanel> LutecePanelService<T> instance( Class<T> clazz )
    {
        for ( LutecePanelService<? extends LutecePanel> storedPanelService : _listSingletons )
        {
            if ( storedPanelService.getGenericTypeClass( ).equals( clazz ) )
            {
                return (LutecePanelService<T>) storedPanelService;
            }
        }

        LutecePanelService<T> panelService = new LutecePanelService<T>( clazz );
        _listSingletons.add( panelService );

        return panelService;
    }
