protected void registerSearchIndexers( ) throws LuteceInitException
    {
        for ( SearchIndexerEntry entry : _listSearchIndexers )
        {
            try
            {
                SearchIndexer indexer = (SearchIndexer) Class.forName( entry.getClassName( ) ).newInstance( );
                IndexationService.registerIndexer( indexer );
            }
            catch( IllegalAccessException e )
            {
                throw new LuteceInitException( e.getMessage( ), e );
            }
            catch( ClassNotFoundException e )
            {
                throw new LuteceInitException( e.getMessage( ), e );
            }
            catch( InstantiationException e )
            {
                throw new LuteceInitException( e.getMessage( ), e );
            }
        }
    }
