public static Theme create( Theme theme )
    {
        try
        {
            IThemeService themeService = getThemeService( );

            return themeService.create( theme );
        }
        catch( ThemeNotAvailableException e )
        {
            AppLogService.info( MESSAGE_THEME_NOT_AVAILABLE );

            return null;
        }
    }
