public static ReferenceList getThemes( )
    {
        ReferenceList listThemes = new ReferenceList( );

        try
        {
            IThemeService themeService = getThemeService( );
            listThemes = themeService.getThemes( );
        }
        catch( ThemeNotAvailableException e )
        {
            Theme theme = getDefaultTheme( );
            listThemes.addItem( theme.getCodeTheme( ), theme.getThemeDescription( ) );
        }

        return listThemes;
    }
