public static <E extends RBACResource> Collection<E> getAuthorizedCollection( Collection<E> collection, String strPermission, AdminUser user )
    {
        Collection<E> list = new ArrayList<E>( );

        for ( E resource : collection )
        {
            if ( isAuthorized( resource, strPermission, user ) )
            {
                list.add( resource );
            }
        }

        return list;
    }
