public static ReferenceList getAuthorizedReferenceList( ReferenceList listResources, String strResourceType, String strPermission, AdminUser user )
    {
        ReferenceList list = new ReferenceList( );

        for ( ReferenceItem item : listResources )
        {
            if ( isAuthorized( strResourceType, item.getCode( ), strPermission, user ) )
            {
                list.addItem( item.getCode( ), item.getName( ) );
            }
        }

        return list;
    }
