public static ReferenceList getPermissionsList( String strResourceType, Locale locale )
    {
        ReferenceList list = new ReferenceList( );
        ResourceType resourceType = getResourceType( strResourceType );
        Collection<Permission> listPermissions = resourceType.getPermissionList( );
        I18nService.localizeCollection( listPermissions, locale );

        for ( Permission permission : listPermissions )
        {
            list.addItem( permission.getPermissionKey( ), permission.getPermissionTitle( ) );
        }

        return list;
    }
