protected Resource getResource( String strId )
    {
        Resource resource = null;

        if ( isCacheEnable( ) )
        {
            resource = (Resource) getFromCache( strId );

            if ( resource == null )
            {
                resource = loadResource( strId );

                if ( resource != null )
                {
                    putInCache( strId, resource );
                }
            }
        }
        else
        {
            resource = loadResource( strId );
        }

        return resource;
    }
