public Date scheduleJob( JobDetail job, CronTrigger trigger )
    {
        Date date = null;

        if ( _scheduler != null )
        {
            try
            {
                date = _scheduler.scheduleJob( job, trigger );
                AppLogService.info( "New job scheduled : " + job.getKey( ).getName( ) );
            }
            catch( SchedulerException e )
            {
                AppLogService.error( "Error scheduling job " + job.getKey( ).getName( ), e );
            }
        }

        return date;
    }
