public static List<Map<String, Object>> getSearchTypesAndLinks( )
    {
        List<Map<String, Object>> listTypesAndLinks = new ArrayList<Map<String, Object>>( );
        Map<String, Object> model = new HashMap<String, Object>( );
        model.put( MARK_TYPE, TYPE_FILTER_NONE );
        model.put( MARK_LINK, null );
        listTypesAndLinks.add( model );

        List<SearchIndexer> listIndexer = new ArrayList<SearchIndexer>( IndexationService.getIndexers( ) );

        for ( SearchIndexer indexer : listIndexer )
        {
            String strLink = indexer.getSpecificSearchAppUrl( );

            for ( String strType : indexer.getListType( ) )
            {
                model = new HashMap<String, Object>( );
                model.put( MARK_TYPE, strType );
                model.put( MARK_LINK, strLink );
                listTypesAndLinks.add( model );
            }
        }

        return listTypesAndLinks;
    }
