public static void registerListener( HttpSessionListenerEntry entry )
    {
        String strListenerClass = entry.getListenerClass( );

        try
        {
            HttpSessionListener listener = (HttpSessionListener) Class.forName( strListenerClass ).newInstance( );
            LIST_LISTENERS.add( listener );
            AppLogService.info( "New Listener registered : " + strListenerClass );
        }
        catch( InstantiationException e )
        {
            AppLogService.error( "Error registering the listener " + strListenerClass + " : " + e.getMessage( ), e );
        }
        catch( IllegalAccessException e )
        {
            AppLogService.error( "Error registering the listener " + strListenerClass + " : " + e.getMessage( ), e );
        }
        catch( ClassNotFoundException e )
        {
            AppLogService.error( "Error registering the listener " + strListenerClass + " : " + e.getMessage( ), e );
        }
    }
