private static String getContextName( ServletContext servletContext )
    {
        String name = "lutece";

        if ( servletContext != null )
        {
            String contextName = servletContext.getServletContextName( );

            if ( contextName == null )
            {
                contextName = servletContext.getContextPath( );
            }

            if ( StringUtils.isNotBlank( contextName ) )
            {
                name = contextName;
            }
        }

        return name;
    }
