private static HtmlTemplate loadTemplate( String strPath, String strTemplate, Locale locale, Object model )
    {
        HtmlTemplate template;
        template = getFreeMarkerTemplateService( ).loadTemplate( strPath, strTemplate, locale, model );

        if ( locale != null )
        {
            String strLocalized = I18nService.localize( template.getHtml( ), locale );
            template = new HtmlTemplate( strLocalized );
        }

        template = new HtmlTemplate( DatastoreService.replaceKeys( template.getHtml( ) ) );

        return template;
    }
