public static void doRemoveUserFields( AdminUser user, HttpServletRequest request, Locale locale )
    {
        AdminUserFieldFilter auFieldFilter = new AdminUserFieldFilter( );
        auFieldFilter.setIdUser( user.getUserId( ) );
        AdminUserFieldHome.removeByFilter( auFieldFilter );

        // Attributes associated to the plugins
        for ( AdminUserFieldListenerService adminUserFieldListenerService : SpringContextService.getBeansOfType( AdminUserFieldListenerService.class ) )
        {
            adminUserFieldListenerService.doRemoveUserFields( user, request, locale );
        }
    }
