public Object getAdminUserField( IAttribute attribute, int nUserId, Locale locale )
    {
        List<AdminUserField> listUserFields = AdminUserFieldHome.selectUserFieldsByIdUserIdAttribute( nUserId, attribute.getIdAttribute( ) );

        if ( attribute.isAttributeImage( ) )
        {
            if ( listUserFields.size( ) > 0 )
            {
                AdminUserField userField = listUserFields.get( 0 );

                if ( userField.getFile( ) != null )
                {
                    return userField.getFile( );
                }
            }
        }
        else
        {
            if ( listUserFields.size( ) == 0 )
            {
                AdminUserField userField = new AdminUserField( );
                userField.setValue( StringUtils.EMPTY );
                listUserFields.add( userField );
            }

            return listUserFields;
        }

        return null;
    }
