private void writeToLogs( )
    {
        StringBuilder sb = new StringBuilder( "Critical AppException" );

        Throwable strRootCause = ExceptionUtils.getRootCause( this );
        if ( strRootCause != null )
        {
            sb.append ( ", root cause: " );
            String strShortName = strRootCause.getClass( ).getSimpleName( );
            sb.append( strShortName );
        }

        Throwable throwableForMessage = strRootCause == null ? this : strRootCause;
        String strMessage = throwableForMessage.getMessage( );
        if ( strMessage != null )
        {
            sb.append ( ": " );
            sb.append( strMessage );
        }

        String strHeader = sb.toString( );
        AppLogService.error( strHeader, this );
    }
