public boolean checkForRemoval( String strIdToRemove, List<String> listMessages, Locale locale )
    {
        boolean bCheck = true;

        for ( RemovalListener listener : _listRegisteredListeners )
        {
            if ( !listener.canBeRemoved( strIdToRemove ) )
            {
                listMessages.add( listener.getRemovalRefusedMessage( strIdToRemove, locale ) );
                bCheck = false;
            }
        }

        return bCheck;
    }
