public static String redirectLogin( HttpServletRequest request )
    {
        String strNextUrl = request.getRequestURI( );
        UrlItem url = new UrlItem( strNextUrl );
        Enumeration<String> enumParams = request.getParameterNames( );

        while ( enumParams.hasMoreElements( ) )
        {
            String strParamName = enumParams.nextElement( );

            try
            {
                url.addParameter( strParamName, URLEncoder.encode( request.getParameter( strParamName ), "UTF-8" ) );
            }
            catch( UnsupportedEncodingException ex )
            {
                AppLogService.error( "Redirection error while encoding URL : " + ex.getMessage( ), ex );
            }
        }

        HttpSession session = request.getSession( true );
        session.setAttribute( ATTRIBUTE_LOGIN_NEXT_URL, url.getUrl( ) );

        String strRedirect = SecurityService.getInstance( ).getLoginPageUrl( );

        return AppPathService.getAbsoluteUrl( request, strRedirect );
    }
