public String getContent( HttpServletRequest request, int nMode ) throws UserNotSignedException, SiteMessageException
    {
        // Handle site messages first
        ISiteMessageHandler handlerSiteMessage = (ISiteMessageHandler) SpringContextService.getBean( BEAN_SITE_MESSAGE_HANDLER );

        if ( handlerSiteMessage.hasMessage( request ) )
        {
            return handlerSiteMessage.getPage( request, nMode );
        }

        ContentService csStandalone = new StandaloneAppService( );
        String htmlPage = csStandalone.getPage( request, nMode );

        if ( htmlPage == null )
        {
            // Return the welcome page
            return getPluginList( request );
        }

        return htmlPage;
    }
