public String getAdminMenuUser( HttpServletRequest request )
    {
        AdminUser user = AdminUserService.getAdminUser( request );

        Locale locale = user.getLocale( );

        // Displays the menus according to the users rights
        List<FeatureGroup> listFeatureGroups = getFeatureGroupsList( user );

        Map<String, Object> model = new HashMap<String, Object>( );

        model.put( MARK_FEATURE_GROUP_LIST, listFeatureGroups );
        model.put( MARK_USER, user );
        model.put( MARK_LANGUAGES_LIST, I18nService.getAdminLocales( locale ) );
        model.put( MARK_CURRENT_LANGUAGE, locale.getLanguage( ) );
        model.put( MARK_MODIFY_PASSWORD_URL, AdminAuthenticationService.getInstance( ).getChangePasswordPageUrl( ) );

        setDashboardData( model, user, request );

        HtmlTemplate template = AppTemplateService.getTemplate( TEMPLATE_ADMIN_HOME, locale, model );

        return template.getHtml( );
    }
