public String getAdminStyleSheets( )
    {
        if ( _strStylesheets == null )
        {
            StringBuilder sbCssLinks = new StringBuilder( );
            List<Plugin> listPlugins = new ArrayList<Plugin>( );
            listPlugins.add( PluginService.getCore( ) );
            listPlugins.addAll( PluginService.getPluginList( ) );

            for ( Plugin plugin : listPlugins )
            {
                if ( plugin.getAdminCssStyleSheets( ) != null )
                {
                    for ( String strStyleSheet : plugin.getAdminCssStyleSheets( ) )
                    {
                        Map<String, Object> model = new HashMap<String, Object>( );
                        model.put( MARK_URL_CSS, strStyleSheet );
                        model.put( MARK_PLUGIN_NAME, plugin.getName( ) );
                        sbCssLinks.append( AppTemplateService.getTemplate( TEMPLATE_STYLESHEET_LINK, LocaleService.getDefault( ), model ).getHtml( ) );
                    }
                }
            }

            _strStylesheets = sbCssLinks.toString( );
        }

        return _strStylesheets;
    }
