public String getAdminDashboards( HttpServletRequest request )
    {
        AdminUser user = AdminUserService.getAdminUser( request );
        Map<String, Object> model = new HashMap<String, Object>( );

        // put each column data
        for ( int nColumn = 1; nColumn <= _service.getColumnCount( ); nColumn++ )
        {
            String strColumnData = _service.getDashboardData( user, nColumn, request );

            model.put( MARK_COLUMN_CONTENT_PREFIX + nColumn, strColumnData );
        }

        HtmlTemplate template = AppTemplateService.getTemplate( TEMPLATE_VIEW_DASHBOARDS, user.getLocale( ), model );

        return template.getHtml( );
    }
