public void doFilter( ServletRequest request, ServletResponse response, FilterChain filterChain ) throws IOException, ServletException
    {
        // Wrap the response object. You should create a mechanism
        // to ensure the response object only gets wrapped once.
        // In this example, the response object will inappropriately
        // get wrapped multiple times during a forward.
        response = new EncodingServletResponse( (HttpServletResponse) response );

        // Specify the encoding to assume for the request so
        // the parameters can be properly decoded/.
        request.setCharacterEncoding( REQUEST_ENCODING );

        filterChain.doFilter( request, response );
    }
