public String doCreateExternalFeature( HttpServletRequest request ) throws AccessDeniedException
    {
        if ( !SecurityTokenService.getInstance( ).validate( request, TEMPLATE_CREATE_EXTERNAL_FEATURE ) )
        {
            throw new AccessDeniedException( "Invalid security token" );
        }
        _externalFeature = new Right( );
        populate( _externalFeature, request );
        _externalFeature.setFeatureGroup( FeatureGroupHome.findByPrimaryKey( request.getParameter( PARAMETER_ID_FEATURE_GROUP ) ).getId( ) );
        _externalFeature.setExternalFeature( true );
        _externalFeature.setLevel( Integer.parseInt( request.getParameter( PARAMETER_ID_LEVEL ) ) );

        RightHome.create( _externalFeature );
        return JSP_MANAGE_EXTERNAL_FEATURES;
    }
