public String doModifyExternalFeature( HttpServletRequest request ) throws AccessDeniedException
    {
        if ( !SecurityTokenService.getInstance( ).validate( request, TEMPLATE_MODIFY_EXTERNAL_FEATURE ) )
        {
            throw new AccessDeniedException( "Invalid security token" );
        }
        int nIdOrder = _externalFeature.getOrder( );
        String strIdExternalFeature = _externalFeature.getId( );

        _externalFeature = new Right( );
        populate( _externalFeature, request );

        _externalFeature.setId( strIdExternalFeature );
        _externalFeature.setFeatureGroup( FeatureGroupHome.findByPrimaryKey( request.getParameter( PARAMETER_ID_FEATURE_GROUP ) ).getId( ) );
        _externalFeature.setExternalFeature( true );
        _externalFeature.setOrder( nIdOrder );
        _externalFeature.setLevel( Integer.parseInt( request.getParameter( PARAMETER_ID_LEVEL ) ) );

        RightHome.update( _externalFeature );

        // update this right for user if he or she already have it
        AdminUser user = AdminUserService.getAdminUser( request );
        if ( user.checkRight( _externalFeature.getId( ) ) )
        {
            user.updateRight( _externalFeature );
        }

        return JSP_MANAGE_EXTERNAL_FEATURES;
    }
