public String getCreateExternalFeature( HttpServletRequest request )
    {
        setPageTitleProperty( PROPERTY_CREATE_EXTERNAL_FEATURE_PAGETITLE );

        Map<String, Object> model = new HashMap<String, Object>( );

        Collection<FeatureGroup> featureGroups = FeatureGroupHome.getFeatureGroupsList( );
        ReferenceList featureGroupsReferenceList = new ReferenceList( );
        for ( FeatureGroup featureGroup : featureGroups )
        {
            featureGroup.setLocale( getUser( ).getLocale( ) );
            featureGroupsReferenceList.add( featureGroup.getReferenceItem( ) );
        }
        model.put( MARK_FEATURES_GROUPS_REFERENCE_LIST, featureGroupsReferenceList );

        Collection<Level> rightLevels = LevelHome.getLevelsList( );
        ReferenceList rightLevelsReferenceList = new ReferenceList( );
        for ( Level rightLevel : rightLevels )
        {
            rightLevelsReferenceList.add( rightLevel.getReferenceItem( ) );
        }
        model.put( MARK_RIGHT_LEVELS_REFERENCE_LIST, rightLevelsReferenceList );
        model.put( SecurityTokenService.MARK_TOKEN, SecurityTokenService.getInstance( ).getToken( request, TEMPLATE_CREATE_EXTERNAL_FEATURE ) );

        HtmlTemplate template = AppTemplateService.getTemplate( TEMPLATE_CREATE_EXTERNAL_FEATURE, getLocale( ), model );

        return getAdminPage( template.getHtml( ) );
    }
