public String doRemoveGroup( HttpServletRequest request ) throws AccessDeniedException
    {
        String strGroupId = request.getParameter( PARAMETER_GROUP_ID );

        if ( RightHome.getRightsList( strGroupId ).size( ) > 0 )
        {
            return AdminMessageService.getMessageUrl( request, MESSAGE_RIGHT_ALREADY_ASSIGN, AdminMessage.TYPE_STOP );
        }
        if ( !SecurityTokenService.getInstance( ).validate( request, JSP_REMOVE_GROUPS ) )
        {
            throw new AccessDeniedException( "Invalid security token" );
        }

        FeatureGroupHome.remove( strGroupId );

        return JSP_MANAGE_GROUPS;
    }
