public String getDispatchFeatures( HttpServletRequest request )
    {
        Locale locale = getLocale( );

        Map<String, Object> model = new HashMap<String, Object>( );
        model.put( MARK_FEATURE_NO_GROUP, getNoGroup( locale ) );
        model.put( MARK_FEATURE_GROUP_LIST, getRefListFeatureGroups( locale ) );
        model.put( SecurityTokenService.MARK_TOKEN, SecurityTokenService.getInstance( ).getToken( request, TEMPLATE_DISPATCH_FEATURES ) );

        HtmlTemplate tPage = AppTemplateService.getTemplate( TEMPLATE_DISPATCH_FEATURES, locale, model );

        return getAdminPage( tPage.getHtml( ) );
    }
