public String getModifyGroup( HttpServletRequest request )
    {
        String strGroupId = request.getParameter( PARAMETER_GROUP_ID );

        FeatureGroup group = FeatureGroupHome.findByPrimaryKey( strGroupId );

        if ( group == null )
        {
            return getManageGroups( request );
        }

        Map<String, Object> model = new HashMap<String, Object>( );
        model.put( MARK_ORDER_LIST, getOrderRefList( ) );
        model.put( MARK_FEATURE_GROUP, group );
        model.put( SecurityTokenService.MARK_TOKEN, SecurityTokenService.getInstance( ).getToken( request, TEMPLATE_MODIFY_GROUP ) );

        HtmlTemplate t = AppTemplateService.getTemplate( TEMPLATE_MODIFY_GROUP, getLocale( ), model );

        return getAdminPage( t.getHtml( ) );
    }
