private void setItemNavigator( String strIdRight, String strUrl )
    {
        if ( _itemNavigator == null )
        {
            List<String> listIdsRight = new ArrayList<String>( );
            int nCurrentItemId = 0;
            int nIndex = 0;

            for ( Right right : RightHome.getRightsList( ) )
            {
                if ( ( right != null ) && StringUtils.isNotBlank( right.getId( ) ) )
                {
                    listIdsRight.add( right.getId( ) );

                    if ( right.getId( ).equals( strIdRight ) )
                    {
                        nCurrentItemId = nIndex;
                    }

                    nIndex++;
                }
            }

            _itemNavigator = new ItemNavigator( listIdsRight, nCurrentItemId, strUrl, PARAMETER_ID_RIGHT );
        }
        else
        {
            _itemNavigator.setCurrentItemId( strIdRight );
        }
    }
