public String getGlobalManagement( HttpServletRequest request )
    {
        LutecePanelService<AbstractGMLutecePanel> gmLutecePanel = LutecePanelService.instance( AbstractGMLutecePanel.class );

        List<AbstractGMLutecePanel> listPanels = gmLutecePanel.getPanels( );

        for ( AbstractGMLutecePanel panel : listPanels )
        {
            panel.setPanelLocale( AdminUserService.getLocale( request ) );
            panel.setRequest( request );
        }

        Map<String, Object> model = new HashMap<String, Object>( );
        model.put( MARK_PANELS_LIST, listPanels );

        HtmlTemplate template = AppTemplateService.getTemplate( TEMPLATE_GLOBAL_MANAGEMENT, AdminUserService.getLocale( request ), model );

        return getAdminPage( template.getHtml( ) );
    }
