private void appendStyleSheet( ServletContext servletContext, StringBuilder sbCssLinks, String strCssStyleSheet, Locale locale )
    {
        URI styleSheetURI = getURI( servletContext, strCssStyleSheet, PREFIX_PLUGINS_CSS );

        if ( styleSheetURI == null )
        {
            return;
        }

        Map<String, String> model = new HashMap<String, String>( 2 );
        model.put( MARK_PLUGIN_CSS_STYLESHEET, styleSheetURI.toString( ) );

        HtmlTemplate tCss = AppTemplateService.getTemplate( TEMPLATE_PLUGIN_CSS_LINK, locale, model );
        sbCssLinks.append( tCss.getHtml( ) );
    }
