public void fillTemplate( Map<String, Object> rootModel, PageData data, int nMode, HttpServletRequest request )
    {
        if ( request != null )
        {
            int nCurrentPageId;

            try
            {
                nCurrentPageId = ( request.getParameter( Parameters.PAGE_ID ) == null ) ? PortalService.getRootPageId( ) : Integer.parseInt( request
                        .getParameter( Parameters.PAGE_ID ) );
            }
            catch( NumberFormatException nfe )
            {
                AppLogService.info( "TreeMenuInclude.fillTemplate() : " + nfe.getLocalizedMessage( ) );
                nCurrentPageId = 0;
            }

            data.setTreeMenu( buildTreeMenuContent( nCurrentPageId, nMode, request ) );
            rootModel.put( Markers.PAGE_TREE_MENU, ( data.getTreeMenu( ) == null ) ? "" : data.getTreeMenu( ) );
        }
    }
