public String getServicesListPage( HttpServletRequest request )
    {
        String strInput = request.getParameter( PARAMETER_INPUT );
        String strText = request.getParameter( PARAMETER_SELECTED_TEXT );

        // Encode the HTML code to insert
        strText = EncodingService.encodeUrl( strText );

        Collection<InsertService> listServices = InsertServiceManager.getInsertServicesList( );

        // building from a template
        Map<String, Object> model = new HashMap<String, Object>( );
        model.put( MARK_INSERT_SERVICES_LIST, RBACService.getAuthorizedCollection( listServices, InsertResourceIdService.PERMISSION_USE, getUser( ) ) );
        model.put( MARK_SELECTED_TEXT, strText );
        model.put( MARK_INPUT, strInput );

        HtmlTemplate t = AppTemplateService.getTemplate( TEMPLATE_INSERT_TYPE_PAGE, getLocale( ), model );

        return t.getHtml( );
    }
