public static Locale getContextUserLocale( HttpServletRequest request )
    {
        Locale locale = null ;

        // consider the current session locale
        locale = getUserSelectedLocale( request );
        
        if ( locale == null || !isSupported( locale ) ) 
        {
            // consider the browser language
            locale = new Locale( request.getLocale( ).getLanguage( ).substring( 0, 2 ) );
            
            if ( !isSupported( locale ) ) 
            {
                // consider the server default
                locale = getDefault( );
            }
        }
        
        return locale;
    }
