public static <A extends IPluginAction<?>> void fillModel( HttpServletRequest request, AdminUser adminUser, Map<String, Object> model,
            Class<A> pluginActionClass, String strMark )
    {
        for ( A action : SpringContextService.getBeansOfType( pluginActionClass ) )
        {
            action.fillModel( request, adminUser, model );
        }

        // add the action list
        model.put( strMark, getListPluginAction( pluginActionClass ) );
    }
