public static <A extends IPluginAction<?>> A getPluginAction( HttpServletRequest request, Class<A> pluginActionClass )
    {
        for ( A action : getListPluginAction( pluginActionClass ) )
        {
            if ( action.isInvoked( request ) )
            {
                return action;
            }
        }

        return null;
    }
