@Override
    public String doCreate( HttpServletRequest request )
    {
        AliasPortlet aliasPortlet = new AliasPortlet( );
        String strAliasId = request.getParameter( PARAM_ALIAS_ID );

        // if no portlet has the accept alias field true
        if ( strAliasId == null )
        {
            return AdminMessageService.getMessageUrl( request, Messages.MANDATORY_FIELDS, AdminMessage.TYPE_STOP );
        }

        // Gets the parameters of the alias portlet posted in the request
        String strName = request.getParameter( PARAM_PORTLET_NAME );

        // mandatory field
        if ( ( strName == null ) || strName.trim( ).equals( "" ) )
        {
            return AdminMessageService.getMessageUrl( request, Messages.MANDATORY_FIELDS, AdminMessage.TYPE_STOP );
        }

        String strOrder = request.getParameter( PARAM_ORDER );
        int nOrder = Integer.parseInt( strOrder );
        String strColumn = request.getParameter( PARAM_COLUMN );
        int nColumn = Integer.parseInt( strColumn );
        String strAcceptAlias = request.getParameter( PARAM_ACCEPT_ALIAS );
        int nAcceptAlias = Integer.parseInt( strAcceptAlias );
        aliasPortlet.setName( strName );
        aliasPortlet.setOrder( nOrder );
        aliasPortlet.setColumn( nColumn );
        aliasPortlet.setAcceptAlias( nAcceptAlias );

        String strPageId = request.getParameter( PARAMETER_PAGE_ID );
        int nPageId = Integer.parseInt( strPageId );
        int nAliasId = Integer.parseInt( strAliasId );
        aliasPortlet.setPageId( nPageId );
        aliasPortlet.setAliasId( nAliasId );

        // gets the style of the parent portlet
        Portlet portlet = PortletHome.findByPrimaryKey( nAliasId );
        aliasPortlet.setStyleId( portlet.getStyleId( ) );

        // creates the alias portlet
        AliasPortletHome.getInstance( ).create( aliasPortlet );

        // Displays the page with the new portlet
        return getPageUrl( nPageId );
    }
