public String doRemovePageTemplate( HttpServletRequest request ) throws AccessDeniedException
    {
        if ( !SecurityTokenService.getInstance( ).validate( request, JSP_DO_REMOVE_PAGE_TEMPLATE ) )
        {
            throw new AccessDeniedException( "Invalid security token" );
        }

        String strId = request.getParameter( Parameters.PAGE_TEMPLATE_ID );
        int nId = Integer.parseInt( strId );

        // Delete files associated
        PageTemplate pageTemplate = PageTemplateHome.findByPrimaryKey( Integer.parseInt( strId ) );

        File filePageTemplateToDelete = new File( AppPathService.getPath( PROPERTY_PATH_TEMPLATE ), pageTemplate.getFile( ) );

        if ( filePageTemplateToDelete.exists( ) )
        {
            filePageTemplateToDelete.delete( );
        }

        File filePictureToDelete = new File( PATH_IMAGE_PAGE_TEMPLATE, pageTemplate.getPicture( ) );

        if ( filePictureToDelete.exists( ) )
        {
            filePictureToDelete.delete( );
        }

        PageTemplateHome.remove( nId );

        return getHomeUrl( request );
    }
