public String doCreateStyleSheet( HttpServletRequest request ) throws AccessDeniedException
    {
        StyleSheet stylesheet = new StyleSheet( );
        MultipartHttpServletRequest multipartRequest = ( MultipartHttpServletRequest ) request;
        String strErrorUrl = getData( multipartRequest, stylesheet );

        if ( strErrorUrl != null )
        {
            return strErrorUrl;
        }
        if ( !SecurityTokenService.getInstance( ).validate( multipartRequest, TEMPLATE_CREATE_STYLESHEET ) )
        {
            throw new AccessDeniedException( "Invalid security token" );
        }

        // insert in the table stylesheet of the database
        StyleSheetHome.create( stylesheet );

        // create a local file
        localStyleSheetFile( stylesheet );

        // Displays the list of the stylesheet files
        return getHomeUrl( request );
    }
