private void localStyleSheetFile( StyleSheet stylesheet )
    {
        int nModeId = stylesheet.getModeId( );
        Mode mode = ModeHome.findByPrimaryKey( nModeId );
        String strPathStyleSheet = AppPathService.getPath( PROPERTY_PATH_XSL ) + mode.getPath( );
        String strFileName = stylesheet.getFile( );
        String strFilePath = strPathStyleSheet + strFileName;

        FileOutputStream fos = null;

        try
        {
            File file = new File( strFilePath );

            if ( file.exists( ) )
            {
                file.delete( );
            }

            fos = new FileOutputStream( file );
            fos.write( stylesheet.getSource( ) );
            fos.flush( );
        }
        catch( IOException e )
        {
            AppLogService.error( e.getMessage( ), e );
        }
        finally
        {
            StreamUtil.safeClose( fos );
        }
    }
