public static String doToggleCache( HttpServletRequest request ) throws AccessDeniedException
    {
        if ( !SecurityTokenService.getInstance( ).validate( request, JSP_TOGGLE_CACHE ) )
        {
            throw new AccessDeniedException( "Invalid security token" );
        }
        String strCacheIndex = request.getParameter( PARAMETER_ID_CACHE );

        if ( strCacheIndex != null )
        {
            int nCacheIndex = Integer.parseInt( strCacheIndex );
            CacheableService cs = CacheService.getCacheableServicesList( ).get( nCacheIndex );
            cs.enableCache( !cs.isCacheEnable( ) );
        }

        return JSP_MANAGE_CACHES;
    }
