public String getCacheInfos( HttpServletRequest request )
    {
        List<CacheableService> list;
        String strCacheIndex = request.getParameter( PARAMETER_ID_CACHE );

        if ( strCacheIndex != null )
        {
            int nCacheIndex = Integer.parseInt( strCacheIndex );
            CacheableService cs = CacheService.getCacheableServicesList( ).get( nCacheIndex );
            list = new ArrayList<CacheableService>( );
            list.add( cs );
        }
        else
        {
            list = CacheService.getCacheableServicesList( );
        }

        HashMap<String, Collection<CacheableService>> model = new HashMap<String, Collection<CacheableService>>( );
        model.put( MARK_SERVICES_LIST, list );

        HtmlTemplate template = AppTemplateService.getTemplate( TEMPLATE_CACHE_INFOS, getLocale( ), model );

        return getAdminPage( template.getHtml( ) );
    }
