public String doUninstallPlugin( HttpServletRequest request, ServletContext context ) throws AccessDeniedException
    {
        if ( !SecurityTokenService.getInstance( ).validate( request, JSP_UNINSTALL_PLUGIN ) )
        {
            throw new AccessDeniedException( "Invalid security token" );
        }
        try
        {
            String strPluginName = request.getParameter( PARAM_PLUGIN_NAME );
            Plugin plugin = PluginService.getPlugin( strPluginName );
            plugin.uninstall( );
        }
        catch( Exception e )
        {
            AppLogService.error( e.getMessage( ), e );
        }

        return getHomeUrl( request );
    }
