private Collection<Plugin> filterPluginsList( Collection<Plugin> listPlugins, String strPluginTypeFilter )
    {
        Collection<Plugin> list = new ArrayList<Plugin>( );

        for ( Plugin plugin : listPlugins )
        {
            // Checks for filtering the plugin list
            if ( strPluginTypeFilter != null )
            {
                if ( strPluginTypeFilter.equals( PARAM_PLUGIN_TYPE_APPLICATION ) && ( ( plugin.getType( ) & Plugin.PLUGIN_TYPE_APPLICATION ) == 0 ) )
                {
                    // skip this plugin
                    continue;
                }

                if ( strPluginTypeFilter.equals( PARAM_PLUGIN_TYPE_PORTLET ) && ( ( plugin.getType( ) & Plugin.PLUGIN_TYPE_PORTLET ) == 0 ) )
                {
                    // skip this plugin
                    continue;
                }

                if ( strPluginTypeFilter.equals( PARAM_PLUGIN_TYPE_FEATURE ) && ( ( plugin.getType( ) & Plugin.PLUGIN_TYPE_FEATURE ) == 0 ) )
                {
                    // skip this plugin
                    continue;
                }

                if ( strPluginTypeFilter.equals( PARAM_PLUGIN_TYPE_INSERTSERVICE ) && ( ( plugin.getType( ) & Plugin.PLUGIN_TYPE_INSERTSERVICE ) == 0 ) )
                {
                    // skip this plugin
                    continue;
                }

                if ( strPluginTypeFilter.equals( PARAM_PLUGIN_TYPE_CONTENTSERVICE ) && ( ( plugin.getType( ) & Plugin.PLUGIN_TYPE_CONTENTSERVICE ) == 0 ) )
                {
                    // skip this plugin
                    continue;
                }
            }

            list.add( plugin );
        }

        return list;
    }
