public String getConfirmUninstallPlugin( HttpServletRequest request )
    {
        String strPluginName = request.getParameter( PARAM_PLUGIN_NAME );
        Plugin plugin = PluginService.getPlugin( strPluginName );
        Collection<PortletType> listPortletTypes = plugin.getPortletTypes( );
        String strMessageKey = PROPERTY_PLUGIN_MESSAGE;
        Map<String, String> parameters = new HashMap<>( );
        parameters.put( PARAM_PLUGIN_NAME, strPluginName );
        parameters.put( SecurityTokenService.PARAMETER_TOKEN, SecurityTokenService.getInstance( ).getToken( request, JSP_UNINSTALL_PLUGIN ) );
        String strAdminMessageUrl = AdminMessageService.getMessageUrl( request, strMessageKey, JSP_UNINSTALL_PLUGIN, AdminMessage.TYPE_CONFIRMATION, parameters );

        for ( PortletType portletType : listPortletTypes )
        {
            String strPluginHomeClass = portletType.getHomeClass( );

            if ( ( plugin.getType( ) & Plugin.PLUGIN_TYPE_PORTLET ) != 0 )
            {
                if ( isPortletExists( strPluginHomeClass ) )
                {
                    strMessageKey = PROPERTY_PLUGIN_PORTLET_EXIST_MESSAGE;
                    strAdminMessageUrl = AdminMessageService.getMessageUrl( request, strMessageKey, AdminMessage.TYPE_CONFIRMATION );
                }
            }
        }

        return strAdminMessageUrl;
    }
