public String getPluginDescription( HttpServletRequest request )
    {
        String strPluginName = request.getParameter( PARAM_PLUGIN_NAME );
        Plugin plugin;
        if ( PluginService.getCore( ).getName( ).equals( strPluginName ) )
        {
            plugin = PluginService.getCore( );
        }
        else
        {
            plugin = PluginService.getPlugin( strPluginName );
        }

        // set the locale for the feature labels
        I18nService.localizeCollection( plugin.getRights( ), getLocale( ) );
        // set the locale for the portlet types labels
        I18nService.localizeCollection( plugin.getPortletTypes( ), getLocale( ) );
        // set the locale for the link services labels
        I18nService.localizeCollection( plugin.getInsertServices( ), getLocale( ) );

        HtmlTemplate template = AppTemplateService.getTemplate( TEMPLATE_PLUGIN_DETAILS, getLocale( ), plugin );

        return getAdminPage( template.getHtml( ) );
    }
