public String getManageFilesSystem( HttpServletRequest request )
    {
        setPageTitleProperty( PROPERTY_TITLE_MANAGE_FILES_SYSTEM );
        ArrayList<SystemFile> list = new ArrayList<SystemFile>( );

        for ( String strDirectory : getDirectories( ) )
        {
            SystemFile file = new SystemFile( );
            file.setName( I18nService.getLocalizedString( PROPERTY_FILE_NAME + strDirectory, request.getLocale( ) ) );
            file.setDescription( I18nService.getLocalizedString( PROPERTY_FILE_DESCRIPTION + strDirectory, request.getLocale( ) ) );
            file.setDirectory( AppPropertiesService.getProperty( "system." + strDirectory + ".directory" ) );
            list.add( file );
        }

        Map<String, Collection<SystemFile>> model = new HashMap<String, Collection<SystemFile>>( );
        model.put( MARK_FILES_LIST, list );

        HtmlTemplate template = AppTemplateService.getTemplate( TEMPLATE_MANAGE_FILES_SYSTEM, getLocale( ), model );

        return getAdminPage( template.getHtml( ) );
    }
