public String getResetPassword( HttpServletRequest request )
    {
        // Invalidate a previous session
        HttpSession session = request.getSession( false );

        if ( session != null )
        {
            session.removeAttribute( SESSION_ATTRIBUTE_USER );
        }

        Map<String, Object> model = new HashMap<String, Object>( );

        Locale locale = AdminUserService.getLocale( request );

        Enumeration<String> enumParams = request.getParameterNames( );
        ReferenceList listParams = new ReferenceList( );
        String strParamName;

        while ( enumParams.hasMoreElements( ) )
        {
            strParamName = enumParams.nextElement( );

            String strParamValue = request.getParameter( strParamName );
            listParams.addItem( strParamName, strParamValue );
        }

        model.put( MARK_PARAM_VERSION, AppInfo.getVersion( ) );
        model.put( MARK_PARAMS_LIST, listParams );
        model.put( MARK_SITE_NAME, PortalService.getSiteName( ) );

        HtmlTemplate template = AppTemplateService.getTemplate( TEMPLATE_ADMIN_RESET_PASSWORD, locale, model );

        return template.getHtml( );
    }
