private void setItemNavigator( int nIdAdminUser, String strUrl )
    {
        if ( _itemNavigator == null )
        {
            List<String> listIdsRight = new ArrayList<String>( );
            int nCurrentItemId = 0;
            int nIndex = 0;

            AdminUser currentUser = getUser( );

            for ( AdminUser adminUser : AdminUserHome.findUserList( ) )
            {
                if ( ( adminUser != null ) && isUserAuthorizedToModifyUser( currentUser, adminUser ) )
                {
                    listIdsRight.add( Integer.toString( adminUser.getUserId( ) ) );

                    if ( adminUser.getUserId( ) == nIdAdminUser )
                    {
                        nCurrentItemId = nIndex;
                    }

                    nIndex++;
                }
            }

            _itemNavigator = new ItemNavigator( listIdsRight, nCurrentItemId, strUrl, PARAMETER_USER_ID );
        }
        else
        {
            _itemNavigator.setCurrentItemId( Integer.toString( nIdAdminUser ) );
            _itemNavigator.setBaseUrl( strUrl );
        }
    }
