public String getManageAttributes( HttpServletRequest request )
    {
        setPageTitleProperty( PROPERTY_MANAGE_ATTRIBUTES_PAGETITLE );

        List<IAttribute> listAttributes = _attributeService.getAllAttributesWithoutFields( getLocale( ) );

        // ATTRIBUTE TYPES
        List<AttributeType> listAttributeTypes = _attributeTypeService.getAttributeTypes( getLocale( ) );

        HtmlTemplate template;
        Map<String, Object> model = new HashMap<String, Object>( );
        model.put( MARK_ATTRIBUTES_LIST, listAttributes );
        model.put( MARK_ATTRIBUTE_TYPES_LIST, listAttributeTypes );
        model.put( SecurityTokenService.MARK_TOKEN, SecurityTokenService.getInstance( ).getToken( request, TEMPLATE_MANAGE_ATTRIBUTES ) );

        template = AppTemplateService.getTemplate( TEMPLATE_MANAGE_ATTRIBUTES, getLocale( ), model );

        return getAdminPage( template.getHtml( ) );
    }
