public static ReferenceList convert( Collection collection, String strCodeAttribute, String strNameAttribute, boolean bNumericCode )
    {
        ReferenceList list = new ReferenceList( );
        String strCodeGetter = "get" + Character.toUpperCase( strCodeAttribute.charAt( 0 ) ) + strCodeAttribute.substring( 1 );
        String strNameGetter = "get" + Character.toUpperCase( strNameAttribute.charAt( 0 ) ) + strNameAttribute.substring( 1 );
        String strCode;
        String strName;

        try
        {
            for ( Object o : collection )
            {
                // build getter method name
                if ( bNumericCode )
                {
                    Integer nCode = (Integer) o.getClass( ).getMethod( strCodeGetter, (Class [ ]) null ).invoke( o, (Object [ ]) null );
                    strCode = nCode.toString( );
                }
                else
                {
                    strCode = (String) o.getClass( ).getMethod( strCodeGetter, (Class [ ]) null ).invoke( o, (Object [ ]) null );
                }

                strName = (String) o.getClass( ).getMethod( strNameGetter, (Class [ ]) null ).invoke( o, (Object [ ]) null );
                list.addItem( strCode, strName );
            }
        }
        catch( Exception ex )
        {
            return null;
        }

        return list;
    }
