public static void init( )
    {
        mapBeanUtilsBeans = new HashMap<>( );
        
        for ( Locale locale : I18nService.getAdminAvailableLocales( ) )
        {
            BeanUtilsBean beanUtilsBean = new BeanUtilsBean( );
            beanUtilsBean.getPropertyUtils( ).addBeanIntrospector( SuppressPropertiesBeanIntrospector.SUPPRESS_CLASS );
    
            DateConverter dateConverter = new DateConverter( null );
            dateConverter.setPattern( I18nService.getDateFormatShortPattern( locale ) );
            beanUtilsBean.getConvertUtils( ).register( dateConverter, Date.class );
            mapBeanUtilsBeans.put( locale.getLanguage( ), beanUtilsBean );
        }
    }
