public static <T> List<ValidationError> validate( T bean, Locale locale, ValidationErrorConfig config )
    {
        List<ValidationError> list = new ArrayList<ValidationError>( );
        Set<ConstraintViolation<T>> setViolation = validate( bean );

        for ( ConstraintViolation<T> cv : setViolation )
        {
            list.add( new ValidationError( cv, locale, config ) );
        }

        return list;
    }
