protected static String interpolateMessage( String strMessage, Locale locale )
    {
        Matcher matcher = PATTERN_LOCALIZED_KEY.matcher( strMessage );

        if ( matcher.find( ) )
        {
            StringBuffer sb = new StringBuffer( );

            do
            {
                matcher.appendReplacement( sb, getLocalizedString( matcher.group( 1 ), locale ) );
            }
            while ( matcher.find( ) );

            matcher.appendTail( sb );

            return sb.toString( );
        }

        return strMessage;
    }
