public static String getFieldname( ConstraintViolation constraintViolation, ValidationErrorConfig config, Locale locale )
    {
        String strField = constraintViolation.getPropertyPath( ).toString( );

        // remove the variable prefix
        String [ ] prefix = config.getVariablesPrefix( );

        for ( int i = 0; i < prefix.length; i++ )
        {
            strField = removePrefix( strField, prefix [i] );
        }

        // set first letter in lower case
        strField = strField.substring( 0, 1 ).toLowerCase( ) + strField.substring( 1 );

        String strKey = config.getFieldKeysPrefix( ) + strField;

        String strFieldName = I18nService.getLocalizedString( strKey, locale );

        // if the key isn't found
        if ( strFieldName.equals( "" ) )
        {
            // display the missing key as the field name
            strFieldName = "[" + strKey + "]";
        }

        strFieldName = config.getFieldWrapperBegin( ) + strFieldName + config.getFieldWrapperEnd( );

        return strFieldName;
    }
