public DataTablePaginationProperties getAndUpdatePaginator( HttpServletRequest request )
    {
        DataTablePaginationProperties paginationProperties = null;

        if ( _bEnablePaginator )
        {
            paginationProperties = new DataTablePaginationProperties( );

            if ( hasDataTableFormBeenSubmited( request ) )
            {
                _strCurrentPageIndex = Paginator.getPageIndex( request, Paginator.PARAMETER_PAGE_INDEX, _strCurrentPageIndex );
                _nItemsPerPage = Paginator.getItemsPerPage( request, Paginator.PARAMETER_ITEMS_PER_PAGE, _nItemsPerPage, _nDefautlItemsPerPage );
            }

            paginationProperties.setItemsPerPage( _nItemsPerPage );

            int nCurrentPageIndex = 1;

            if ( !StringUtils.isEmpty( _strCurrentPageIndex ) )
            {
                nCurrentPageIndex = Integer.parseInt( _strCurrentPageIndex );
            }

            paginationProperties.setCurrentPageIndex( nCurrentPageIndex );
        }

        _locale = ( request != null ) ? request.getLocale( ) : LocaleService.getDefault( );

        return paginationProperties;
    }
