private static void addEntryToZip( ZipOutputStream zos, Path file ) throws IOException
    {
        try ( InputStream fis = Files.newInputStream( file ) )
        {
            ZipEntry zipEntry = new ZipEntry( file.toFile( ).getName( ) );
            zos.putNextEntry( zipEntry );
            
            byte[] bytes = new byte[1024];
            int length;
            while ( ( length = fis.read( bytes ) ) >= 0 )
            {
                zos.write( bytes, 0, length );
            }
            zos.closeEntry( );
        }
    }
