public static List<File> getSubDirectories( String strRoot, String strDirectoryRelativePath ) throws DirectoryNotFoundException
    {
        // Files' list init
        ArrayList<File> listFiles = new ArrayList<File>( );

        // Directory path
        String strDirectory = strRoot + strDirectoryRelativePath;

        // Directory
        File fDirectory = new File( strDirectory );

        if ( !fDirectory.exists( ) )
        {
            throw new DirectoryNotFoundException( );
        }

        File [ ] files = fDirectory.listFiles( );

        for ( int i = 0; i < files.length; i++ )
        {
            File file = files [i];

            if ( file.isDirectory( ) )
            {
                listFiles.add( file );
            }
        }

        return listFiles;
    }
