public void rollback( TransactionStatus status ) throws TransactionException
    {
        for ( PlatformTransactionManager dataSourceManager : _transactionManagers )
        {
            try
            {
                dataSourceManager.rollback( ( ( (MultiTransactionStatus) status ).getTransactionStatus( dataSourceManager ) ) );
            }
            catch( Exception ex )
            {
                _log.error( ex.getMessage( ), ex );
            }
        }

        if ( ( (MultiTransactionStatus) status ).isNewSynchonization( ) )
        {
            TransactionSynchronizationManager.clear( );
        }
    }
