public static String parse( String value, List<ParserElement> listParserElement, List<ParserComplexElement> listParserComplexElement )
    {
        StringBuffer buffer = new StringBuffer( value );

        // complex Element
        if ( listParserComplexElement != null )
        {
            for ( ParserComplexElement element : listParserComplexElement )
            {
                processNestedTags( buffer, element.getTagName( ), element.getOpenSubstWithParam( ), element.getCloseSubstWithParam( ),
                        element.getOpenSubstWithoutParam( ), element.getCloseSubstWithoutParam( ), element.getInternalSubst( ),
                        element.isProcessInternalTags( ), element.isAcceptParam( ), element.isRequiresQuotedParam( ) );
            }
        }

        String str = buffer.toString( );

        // SimpleElement
        if ( listParserElement != null )
        {
            for ( ParserElement element : listParserElement )
            {
                str = str.replaceAll( element.getCode( ), element.getValue( ) );
            }
        }

        return str;
    }
