public ReferenceList getPoolsInfos( )
    {
        ReferenceList listPoolsInfos = new ReferenceList( );
        Collection<ConnectionService> listPools = getPools( );

        for ( ConnectionService cs : listPools )
        {
            String strCurrentConnections = ( cs.getCurrentConnections( ) == cs.INFO_NOT_AVAILABLE ) ? "-" : ( "" + cs.getCurrentConnections( ) );
            String strMaxConnections = ( cs.getMaxConnections( ) == cs.INFO_NOT_AVAILABLE ) ? "-" : ( "" + cs.getMaxConnections( ) );
            listPoolsInfos.addItem( cs.getPoolName( ), strCurrentConnections + " / " + strMaxConnections + " (" + cs.getPoolProvider( ) + ")" );
        }

        return listPoolsInfos;
    }
