public void freeConnection( Connection conn )
    {
        try
        {
            conn.close( );

            _logger.debug( "The connexion is released, Current/Max pool : " + _dataSource.getNumConnectionsAllUsers( ) + "/" + _dataSource.getMaxPoolSize( ) );
        }
        catch( SQLException e )
        {
            _logger.error( "SQL error when releasing the connexion with the pool : " + getPoolName( ), e );
        }
        catch( Exception e )
        {
            _logger.error( "Error while releasing the connexion with the pool : " + getPoolName( ), e );
        }
    }
