private Connection getPooledConnection( ) throws SQLException
    {
        Connection conn = null;

        if ( _freeConnections.size( ) > 0 )
        {
            // Pick the first Connection in the Vector
            // to get round-robin usage
            conn = _freeConnections.get( 0 );
            _freeConnections.remove( 0 );
        }
        else
            if ( ( _nMaxConns == 0 ) || ( _nCheckedOut < _nMaxConns ) )
            {
                conn = newConnection( );
            }

        return conn;
    }
