public final void free( )
    {
        if ( !_bReleased )
        {
            writeLogs( );
        }

        try
        {
            // Close statement if necessary
            if ( _statement != null )
            {
                _statement.close( );
            }
            if ( _arrays != null )
            {
                for ( Array array : _arrays )
                {
                    array.free( );
                }
            }
        }
        catch( SQLException e )
        {
            throw new AppException( e.getMessage( ), e );
        }
        finally
        {
            // Free the connection - the connection is freed some other way in transactionnal context.
            if ( ( _connectionService != null ) && !_bTransactionnal )
            {
                _connectionService.freeConnection( _connection );
                _connectionService = null;
            }

            _bReleased = true;
        }
    }
