public void rollback( Exception e )
    {
        if ( e != null )
        {
            _logger.error( "Transaction Error - Rollback in progress " + e.getMessage( ), e.getCause( ) );
        }

        try
        {
            if ( _connection != null )
            {
                _connection.rollback( );
                _logger.debug( "Plugin : '" + _strPluginName + "' - ROLLBACK TRANSACTION" );
            }
            else
            {
                _logger.debug( "Plugin : '" + _strPluginName + "' - TRANSACTION HAS ALREADY BEEN ROLLED BACK" );
            }
        }
        catch( SQLException ex )
        {
            _logger.error( "Transaction Error - Rollback error : " + ex.getMessage( ), ex.getCause( ) );
        }
        finally
        {
            closeTransaction( ROLLEDBACK );
        }
    }
