public static void addElement( StringBuffer strXmlBuffer, String strTag, String strValue, Map<?, ?> attrList )
    {
        if ( SecurityUtil.containsXmlExternalEntityInjectionTerms( strValue ) )
        {
            return;
        }

        strXmlBuffer.append( TAG_BEGIN );
        strXmlBuffer.append( strTag );

        if ( attrList != null )
        {
            for ( Entry<?, ?> entry : attrList.entrySet( ) )
            {
                String code = (String) entry.getKey( );
                strXmlBuffer.append( TAG_SEPARATOR + code + TAG_ASSIGNMENT + TAG_ENCLOSED + entry.getValue( ) + TAG_ENCLOSED );
            }
        }

        strXmlBuffer.append( ">" );
        strXmlBuffer.append( strValue );
        strXmlBuffer.append( TAG_CLOSE_BEGIN );
        strXmlBuffer.append( strTag );
        strXmlBuffer.append( TAG_END );
    }
