public void testBusinessPortalComponent( )
    {
        // Initialize an object
        PortalComponent portalComponent = new PortalComponent( );
        portalComponent.setId( PORTAL_COMPONENT_ID );
        portalComponent.setName( STRNAME1 );

        // Create test
        PortalComponentHome.create( portalComponent );

        PortalComponent portalComponentStored = PortalComponentHome.findByPrimaryKey( portalComponent.getId( ) );
        assertEquals( portalComponentStored.getName( ), portalComponent.getName( ) );

        // Update test
        portalComponent.setName( STRNAME2 );

        PortalComponentHome.update( portalComponent );
        portalComponentStored = PortalComponentHome.findByPrimaryKey( portalComponent.getId( ) );
        assertEquals( portalComponentStored.getName( ), portalComponent.getName( ) );

        // Delete test
        PortalComponentHome.remove( portalComponent.getId( ) );
        portalComponentStored = PortalComponentHome.findByPrimaryKey( portalComponent.getId( ) );
        assertNull( portalComponentStored );

        // getXsl test
        PortalComponentHome.getXsl( TEST_PORTALCOMPONENT_ID, INTMODE );
    }
