public void testBusiness( )
    {
        // Initialize an object
        AdminRole adminRole = new AdminRole( );
        adminRole.setKey( ROLEKEY1 );
        adminRole.setDescription( ROLEDESCRIPTION1 );

        // Create test
        AdminRoleHome.create( adminRole );

        AdminRole adminRoleStored = AdminRoleHome.findByPrimaryKey( adminRole.getKey( ) );
        assertEquals( adminRoleStored.getKey( ), adminRole.getKey( ) );
        assertEquals( adminRoleStored.getDescription( ), adminRole.getDescription( ) );

        // Update test
        adminRole.setKey( ROLEKEY2 );
        adminRole.setDescription( ROLEDESCRIPTION2 );

        AdminRoleHome.update( adminRoleStored.getKey( ), adminRole );
        adminRoleStored = AdminRoleHome.findByPrimaryKey( adminRole.getKey( ) );
        assertEquals( adminRoleStored.getKey( ), adminRole.getKey( ) );
        assertEquals( adminRoleStored.getDescription( ), adminRole.getDescription( ) );

        // list test
        Collection list = AdminRoleHome.findAll( );
        assertTrue( list.size( ) > 0 );

        // check exist Test
        boolean bCheck = AdminRoleHome.checkExistRole( ROLEKEY2 );
        assertTrue( bCheck );
        bCheck = AdminRoleHome.checkExistRole( ROLEKEY1 );
        assertFalse( bCheck );

        // Delete test
        AdminRoleHome.remove( adminRole.getKey( ) );
        adminRoleStored = AdminRoleHome.findByPrimaryKey( adminRole.getKey( ) );
        assertNull( adminRoleStored );
    }
