public void testBusiness( )
    {
        // Initialize an object
        StyleSheet styleSheet = new StyleSheet( );
        styleSheet.setDescription( DESCRIPTION1 );
        styleSheet.setFile( FILE1 );
        styleSheet.setSource( SOURCE1.getBytes( ) );

        // Create test
        StyleSheetHome.create( styleSheet );

        StyleSheet styleSheetStored = StyleSheetHome.findByPrimaryKey( styleSheet.getId( ) );
        assertEquals( styleSheetStored.getDescription( ), styleSheet.getDescription( ) );
        assertEquals( styleSheetStored.getFile( ), styleSheet.getFile( ) );
        assertEquals( styleSheetStored.getSource( ).length, styleSheet.getSource( ).length );

        // Update test
        styleSheet.setDescription( DESCRIPTION2 );
        styleSheet.setFile( FILE2 );
        styleSheet.setSource( SOURCE2.getBytes( ) );

        StyleSheetHome.update( styleSheet );
        styleSheetStored = StyleSheetHome.findByPrimaryKey( styleSheet.getId( ) );
        assertEquals( styleSheetStored.getDescription( ), styleSheet.getDescription( ) );
        assertEquals( styleSheetStored.getFile( ), styleSheet.getFile( ) );
        assertEquals( styleSheetStored.getSource( ).length, styleSheet.getSource( ).length );

        // List Test
        StyleSheetHome.getStyleSheetList( 0 );

        // Delete test
        StyleSheetHome.remove( styleSheet.getId( ) );
        styleSheetStored = StyleSheetHome.findByPrimaryKey( styleSheet.getId( ) );
        assertNull( styleSheetStored );
    }
