public void testLoadDefaultAdminUser( )
    {
        AdminUserDAO adminUserDAO = getAdminUserDAO( );
        LuteceDefaultAdminUser storedUser = adminUserDAO.loadDefaultAdminUser( 1 );
        assertEquals( "admin", storedUser.getAccessCode( ) );
        assertEquals( "admin", storedUser.getFirstName( ) );
        assertEquals( "Admin", storedUser.getLastName( ) );
        assertEquals( "admin@lutece.fr", storedUser.getEmail( ) );
        assertEquals( AdminUser.ACTIVE_CODE, storedUser.getStatus( ) );
        assertTrue( storedUser.getPassword( ).check( "adminadmin" ) );
        assertEquals( Locale.FRENCH, storedUser.getLocale( ) );
        assertEquals( 0, storedUser.getUserLevel( ) );
        assertFalse( storedUser.getAccessibilityMode( ) );
        assertNull( storedUser.getAccountMaxValidDate( ) );
        assertEquals( "all", storedUser.getWorkgroupKey( ) );
    }
