public void testStore( )
    {
        LuteceDefaultAdminUserDAO dao = getLuteceDefaultAdminUserDAO( );
        PasswordFactory passwordFactory = new PasswordFactory( );

        IPassword password = passwordFactory.getPassword( "PLAINTEXT:PASSWORD" );
        try
        {
            dao.store( "DOES_NOT_EXIST", password );
            fail( );
        }
        catch( IllegalArgumentException e )
        {
        }
        password = passwordFactory.getPassword( "MD5:319f4d26e3c536b5dd871bb2c52e3178" );
        try
        {
            dao.store( "DOES_NOT_EXIST", password );
            fail( );
        }
        catch( IllegalArgumentException e )
        {
        }
        password = passwordFactory.getPassword( "SHA-1:112bb791304791ddcf692e29fd5cf149b35fea37" );
        try
        {
            dao.store( "DOES_NOT_EXIST", password );
            fail( );
        }
        catch( IllegalArgumentException e )
        {
        }
        password = passwordFactory.getPassword( "SHA-256:0be64ae89ddd24e225434de95d501711339baeee18f009ba9b4369af27d30d60" );
        try
        {
            dao.store( "DOES_NOT_EXIST", password );
            fail( );
        }
        catch( IllegalArgumentException e )
        {
        }
        password = passwordFactory.getDummyPassword( );
        try
        {
            dao.store( "DOES_NOT_EXIST", password );
            fail( );
        }
        catch( UnsupportedOperationException e )
        {
        }
        password = passwordFactory.getPasswordFromCleartext( "PASSWORD" );
        dao.store( "DOES_NOT_EXIST", password );
    }
