public void testGetDummyPassword( )
    {
        PasswordFactory passwordFactory = new PasswordFactory( );
        IPassword password = passwordFactory.getDummyPassword( );
        assertEquals( false, password.check( "PASSWORD" ) );
        assertEquals( false, password.check( "BAR" ) );
        assertEquals( false, password.check( "\0" ) );
        assertEquals( false, password.check( "" ) );
        assertFalse( password.isLegacy( ) );
        try
        {
            password.getStorableRepresentation( );
            fail( );
        }
        catch( UnsupportedOperationException e )
        {
        }
    }
