public void testGetPasswordPBKDF2WithHmacSHA1( )
    {
        PasswordFactory passwordFactory = new PasswordFactory( );
        String storedPassword = "PBKDF2:40000:c2d05d21e68313aaf55cf16751c53dd9:da09ad1888f548ddf5f2cb0a0b9904aaf547e4b6722d4e04ac75dab73b87d379"
                + "be5b312a50b15c2dcdd9b745b616492c85a8e8e4a8b75e8abf1b99507680e30befb6bfdc9b3e0493dcccc43be6dcc24be3015bf966a66797047d75b938784921"
                + "710b0de6e3643cc8088ec7315e1e03c91250b5c4a65de8adb0a7351a1564bbb7";
        IPassword password = passwordFactory.getPassword( storedPassword );
        assertEquals( true, password.check( "PASSWORD" ) );
        assertEquals( false, password.check( "BAR" ) );
        assertTrue( password.isLegacy( ) );
        try
        {
            password.getStorableRepresentation( );
            fail( );
        }
        catch( UnsupportedOperationException e )
        {
        }
    }
