public void testGetPasswordPBKDF2WithHmacSHA512( )
    {
        PasswordFactory passwordFactory = new PasswordFactory( );
        String storedPassword = "PBKDF2WITHHMACSHA512:40000:90be05c0b062cdc94fd6124a88f95523:4e574b19813e5e5af7ae936a1798b0c12f28b79bb761f32f94270b31"
                + "731f44bca37513855af9c08f7abf09e65bc46f9f1b25d39b31a657b5649c7bc8020e1486ae854c5aefdb73a74e4ceb0acd96abee24ca68cf8c0403b7602952f0a0"
                + "bf8662a4c83c4c28ecb0c282d2afe49e71870e260c07f419c9ddd3c63115694864b1e5";
        IPassword password = passwordFactory.getPassword( storedPassword );
        assertEquals( true, password.check( "PASSWORD" ) );
        assertEquals( false, password.check( "BAR" ) );
        assertFalse( password.isLegacy( ) );
        assertEquals( storedPassword, password.getStorableRepresentation( ) );
    }
