public void testGetKeyWithTitleUrls( )
    {
        Set<String> keys = new HashSet<>( );
        for ( String xpageName : new String [ ] {
                "name", "name2"
        } )
        {
            for ( int mode : new int [ ] {
                    0, 1, 2
            } )
            {
                for ( String titleUrls : new String [ ] {
                        null, "title1", "title2"
                } )
                {
                    String key = service.getKey( xpageName, mode, titleUrls, null );
                    checkKey( keys, key );
                    MockHttpServletRequest request = new MockHttpServletRequest( );
                    request.addPreferredLocale( Locale.FRANCE );
                    key = service.getKey( xpageName, mode, titleUrls, request );
                    checkKey( keys, key );
                    request = new MockHttpServletRequest( );
                    request.addPreferredLocale( Locale.ITALY );
                    key = service.getKey( xpageName, mode, titleUrls, request );
                    checkKey( keys, key );
                    request = new MockHttpServletRequest( );
                    request.addParameter( Parameters.PAGE_ID, "1" );
                    key = service.getKey( xpageName, mode, titleUrls, request );
                    checkKey( keys, key );
                    request = new MockHttpServletRequest( );
                    request.addParameter( Parameters.PAGE_ID, "2" );
                    key = service.getKey( xpageName, mode, titleUrls, request );
                    checkKey( keys, key );
                    request = new MockHttpServletRequest( );
                    request.addParameter( Parameters.PORTLET_ID, "1" );
                    key = service.getKey( xpageName, mode, titleUrls, request );
                    checkKey( keys, key );
                    request = new MockHttpServletRequest( );
                    request.addParameter( Parameters.PORTLET_ID, "2" );
                    key = service.getKey( xpageName, mode, titleUrls, request );
                    checkKey( keys, key );
                }
            }
        }
    }
