public void testProcessPageEvent( )
    {
        String key = service.getKey( "junit", 0, null );
        service.putInCache( key, "junit" );
        PageEvent event = new PageEvent( new Page( ), PageEvent.PAGE_CREATED );
        ( (PathCacheService) service ).processPageEvent( event );
        assertEquals( "junit", service.getFromCache( key ) );
        for ( int nEventType : new int [ ] {
                PageEvent.PAGE_CONTENT_MODIFIED, PageEvent.PAGE_DELETED, PageEvent.PAGE_MOVED, PageEvent.PAGE_STATE_CHANGED
        } )
        {
            service.putInCache( key, "junit" );
            event = new PageEvent( new Page( ), nEventType );
            ( (PathCacheService) service ).processPageEvent( event );
            assertNull( service.getFromCache( key ) );
        }
    }
