public void testRegisteredPageEventListener( )
    {
        String key = service.getKey( "junit", 0, null );
        service.putInCache( key, "junit" );
        PageService pageService = SpringContextService.getBean( BEAN_PAGE_SERVICE );
        Page page = new Page( );
        page.setName( getRandomName( ) );
        page.setDescription( page.getName( ) );
        page.setParentPageId( PortalService.getRootPageId( ) );
        pageService.createPage( page );
        try
        {
            // FIXME : change when LUTECE-1834 Adding or removing a page blows up all caches
            // is fixed
            // assertEquals( "junit", service.getFromCache( key ) );
            assertNull( service.getFromCache( key ) );
            service.putInCache( key, "junit" );
            page.setDescription( page.getName( ) + page.getName( ) );
            pageService.updatePage( page );
            assertNull( service.getFromCache( key ) );
            service.putInCache( key, "junit" );
        }
        finally
        {
            pageService.removePage( page.getId( ) );
            assertNull( service.getFromCache( key ) );
        }
    }
