public void testEnabledState( ) throws LuteceInitException
    {
        XPageApplicationEntry entry = new XPageApplicationEntry( );
        entry.setClassName( TestXPageApplication.class.getName( ) );
        entry.setId( "testEnableXPageApplication" );
        entry.setPluginName( "core" ); // core is an always enabled plugin

        XPageAppService.registerXPageApplication( entry );

        assertTrue( isTestXPageApplicationActive( entry ) );

        entry.setEnabled( false );
        XPageAppService.registerXPageApplication( entry );
        assertFalse( isTestXPageApplicationActive( entry ) );

        entry.setPluginName( "bogus_inexistant_plugin" );
        XPageAppService.registerXPageApplication( entry );
        assertFalse( isTestXPageApplicationActive( entry ) );

        entry.setEnabled( true );
        XPageAppService.registerXPageApplication( entry );
        assertFalse( isTestXPageApplicationActive( entry ) );
    }
