public void testLoad( ) throws LuteceInitException
    {
        System.out.println( "load" );

        PluginFile instance = new PluginFile( );

        // TODO path en dur...
        String strFilename = getResourcesDir( ) + "../test-classes/plugin-test.xml";
        instance.load( strFilename );

        assertNotNull( instance.getParams( ) );
        assertEquals( AppPropertiesService.getProperty( "lutece.encoding" ), instance.getParams( ).get( "test_properties" ) );

        List<PageIncludeEntry> includes = instance.getPageIncludes( );
        assertEquals( 3, includes.size( ) );

        for ( PageIncludeEntry anInclude : includes )
        {
            if ( anInclude.getId( ).contains( "disabled" ) )
            {
                assertFalse( anInclude.isEnabled( ) );
            }
            else
            {
                assertTrue( anInclude.isEnabled( ) );
            }
        }
    }
