@Override
    protected void setUp( ) throws Exception
    {
        super.setUp( );
        pathCacheService = null;
        List<CacheableService> serviceList = CacheService.getCacheableServicesList( );
        for ( CacheableService aService : serviceList )
        {
            if ( aService instanceof IPathCacheService )
            {
                pathCacheService = (IPathCacheService) aService;
                bPathCacheServiceEnabled = aService.isCacheEnable( );
                aService.enableCache( true );
                aService.resetCache( );
                break;
            }
        }
        assertNotNull( pathCacheService );
    }
