public void testGetXPagePathContentWithTitleUrls( ) throws IOException
    {
        String strTitleUrls = "<page><page-id>junit</page-id><page-name>junit</page-name></page>";
        MockHttpServletRequest request = new MockHttpServletRequest( );
        String strPath_normal = PortalService.getXPagePathContent( "junit", MODE_NORMAL, strTitleUrls, request );
        assertEquals( loadExpected( "getXPagePathContentWithTitleUrls_1.txt" ), strPath_normal );
        assertSame( strPath_normal, PortalService.getXPagePathContent( "junit", MODE_NORMAL, strTitleUrls, request ) );

        String strPath_admin = PortalService.getXPagePathContent( "junit", MODE_ADMIN, strTitleUrls, request );
        assertEquals( loadExpected( "getXPagePathContentWithTitleUrls_1_admin.txt" ), strPath_admin );
        assertNotSame( strPath_admin, strPath_normal );
        assertSame( strPath_admin, PortalService.getXPagePathContent( "junit", MODE_ADMIN, strTitleUrls, request ) );
    }
