public void testLoginUser( ) throws LoginException
    {
        MockHttpServletRequest request = new MockHttpServletRequest( );
        String strUserName = "";
        String strPassword = "";

        try
        {
            SecurityService.getInstance( ).loginUser( request, strUserName, strPassword );

            // Exception should be thrown before this assertion
            assertTrue( false );
        }
        catch( LoginException e )
        {
            assertEquals( e.getClass( ), FailedLoginException.class );
        }
        catch( NullPointerException e )
        {
            assertEquals( e.getClass( ), NullPointerException.class );
        }
        catch( LoginRedirectException e )
        {
            assertEquals( e.getClass( ), LoginRedirectException.class );
        }
    }
