@Override
    protected void setUp( ) throws Exception
    {
        super.setUp( );
        _randomPageName = "page" + new SecureRandom( ).nextLong( );
        IPageService pageService = (IPageService) SpringContextService.getBean( "pageService" );
        _page = new Page( );
        _page.setParentPageId( PortalService.getRootPageId( ) );
        _page.setPageTemplateId( PageTemplateHome.getPageTemplatesList( ).get( 0 ).getId( ) );
        _page.setName( _randomPageName );
        _page.setDescription( _randomPageName );
        _page.setMetaKeywords( "" );
        _page.setMetaDescription( "" );
        _page.setNodeStatus( 1 );
        _page.setDateUpdate( new Timestamp( new java.util.Date( ).getTime( ) ) );
        _page.setDisplayDateUpdate( true );
        _page.setIsManualDateUpdate( true );
        pageService.createPage( _page );
        _bean = new AdminPageJspBean( );
        _adminUser = getAdminUser( );
    }
