@Override
    protected void tearDown( ) throws Exception
    {
        IPageService pageService = (IPageService) SpringContextService.getBean( "pageService" );
        if ( _page != null )
        {
            try
            {
                Collection<Page> children = PageHome.getChildPages( _page.getId( ) );
                children.stream( ).forEach( page -> pageService.removePage( page.getId( ) ) );
                pageService.removePage( _page.getId( ) );
            }
            finally
            {
            }
        }
        removeUser( _adminUser );
        super.tearDown( );
    }
