public void testDoModifyPageNoToken( ) throws AccessDeniedException, SizeLimitExceededException, FileUploadException
    {
        MockHttpServletRequest request = new MockHttpServletRequest( );
        String descriptionMod = _page.getDescription( ) + "_mod";
        assertEquals( _randomPageName, _page.getDescription( ) );
        Map<String, String [ ]> parameters = new HashMap<>( );
        parameters.put( Parameters.PAGE_ID, new String [ ] {
            Integer.toString( _page.getId( ) )
        } );
        parameters.put( Parameters.PAGE_DESCRIPTION, new String [ ] {
            descriptionMod
        } );
        parameters.put( Parameters.PAGE_TEMPLATE_ID, new String [ ] {
            Integer.toString( _page.getPageTemplateId( ) )
        } );
        parameters.put( Parameters.META_KEYWORDS, new String [ ] {
            _page.getMetaKeywords( )
        } );
        parameters.put( Parameters.META_DESCRIPTION, new String [ ] {
            _page.getMetaDescription( )
        } );
        parameters.put( "node_status", new String [ ] {
            Integer.toString( _page.getNodeStatus( ) )
        } );
        parameters.put( Parameters.PAGE_NAME, new String [ ] {
            _page.getName( )
        } );
        parameters.put( Parameters.PARENT_ID, new String [ ] {
            Integer.toString( _page.getParentPageId( ) )
        } );
        try
        {
            _bean.doModifyPage( new MultipartHttpServletRequest( request, Collections.emptyMap( ), parameters ) );
            fail( "Should have thrown" );
        }
        catch( AccessDeniedException e )
        {
            Page page = PageHome.findByPrimaryKey( _page.getId( ) );
            assertEquals( _randomPageName, page.getDescription( ) );
        }
    }
