public void testDoRemovePageInvalidToken( ) throws AccessDeniedException
    {
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.addParameter( Parameters.PAGE_ID, Integer.toString( _page.getId( ) ) );
        request.addParameter( SecurityTokenService.PARAMETER_TOKEN, SecurityTokenService.getInstance( ).getToken( request, "jsp/admin/site/DoRemovePage.jsp" )
                + "b" );
        try
        {
            _bean.doRemovePage( request );
            fail( "Should have thrown" );
        }
        catch( AccessDeniedException e )
        {
            assertTrue( PageHome.checkPageExist( _page.getId( ) ) );
        }
    }
