public void testDoRemovePortletInexistantPortletID( ) throws AccessDeniedException
    {
        AdminPagePortletJspBean bean = new AdminPagePortletJspBean( );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        Portlet portlet = getPortlet( );
        try
        {
            request.addParameter( Parameters.PORTLET_ID, "31415925" );
            request.addParameter( SecurityTokenService.PARAMETER_TOKEN,
                    SecurityTokenService.getInstance( ).getToken( request, "jsp/admin/site/DoRemovePortlet.jsp" ) );
            String url = bean.doRemovePortlet( request );
            assertNotNull( url );
            AdminMessage message = AdminMessageService.getMessage( request );
            assertNotNull( message );
            assertEquals( message.getType( ), AdminMessage.TYPE_ERROR );
        }
        finally
        {
            removePortlet( portlet );
        }
    }
