public void testDoRemovePortletInvalidPortletID( ) throws AccessDeniedException
    {
        AdminPagePortletJspBean bean = new AdminPagePortletJspBean( );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.addParameter( SecurityTokenService.PARAMETER_TOKEN, SecurityTokenService.getInstance( )
                .getToken( request, "jsp/admin/site/DoRemovePortlet.jsp" ) );
        request.addParameter( Parameters.PORTLET_ID, "NOT_NUMERIC" );
        String url = bean.doRemovePortlet( request );
        assertNotNull( url );
        AdminMessage message = AdminMessageService.getMessage( request );
        assertNotNull( message );
        assertEquals( message.getType( ), AdminMessage.TYPE_ERROR );
    }
