public void testGetRemovePortletInexistantPortletID( ) throws AccessDeniedException
    {
        AdminPagePortletJspBean bean = new AdminPagePortletJspBean( );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        Portlet portlet = getPortlet( );
        try
        {
            request.addParameter( Parameters.PORTLET_ID, "31415925" );
            String url = bean.getRemovePortlet( request );
            assertNotNull( url );
            AdminMessage message = AdminMessageService.getMessage( request );
            assertNotNull( message );
            assertEquals( message.getType( ), AdminMessage.TYPE_ERROR );
        }
        finally
        {
            removePortlet( portlet );
        }
    }
