public void testGetManageDashboards( ) throws PasswordResetException, AccessDeniedException
    {
        MockHttpServletRequest request = new MockHttpServletRequest( );
        AdminUser user = new AdminUser( );
        // set all rights to have all dashboards
        user.setRights( RightHome.getRightsList( ).stream( )
                .collect( Collectors.toMap( Right::getId, Function.identity( ) ) ) );
        Utils.registerAdminUser( request, user );
        _instance.init( request, DashboardJspBean.RIGHT_MANAGE_DASHBOARD );

        String html = _instance.getManageDashboards( request );
        assertNotNull( html );
        assertTrue( html.contains( _dashboard.getName( ) ) );
    }
