public void testDoCreateGroupInvalidToken( ) throws AccessDeniedException
    {
        String strGroupName = getRandomName( );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.addParameter( "group_id", strGroupName );
        request.addParameter( "group_name", strGroupName );
        request.addParameter( "group_description", strGroupName );
        request.addParameter( "group_order", "1" );
        request.addParameter( SecurityTokenService.PARAMETER_TOKEN,
                SecurityTokenService.getInstance( ).getToken( request, "admin/features/create_group.html" ) + "b" );

        try
        {
            instance.doCreateGroup( request );
            fail( "Should have thrown" );
        }
        catch ( AccessDeniedException e )
        { 
            FeatureGroup group = FeatureGroupHome.findByPrimaryKey( strGroupName );
            assertNull( group );
        }
        finally
        {
            FeatureGroupHome.remove( strGroupName );
        }
    }
