public void testDoDispatchFeature( ) throws AccessDeniedException
    {
        Right stored = RightHome.findByPrimaryKey( right.getId( ) );
        assertNotNull( stored );
        assertNull( stored.getFeatureGroup( ) );

        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.addParameter( "right_id", right.getId( ) );
        request.addParameter( "group_name", featureGroup.getId( ) );
        request.addParameter( "order_id", Integer.toString( stored.getOrder( ) + 1 ) );
        request.addParameter( SecurityTokenService.PARAMETER_TOKEN,
                SecurityTokenService.getInstance( ).getToken( request, "admin/features/dispatch_features.html" ) );

        instance.doDispatchFeature( request );
        stored = RightHome.findByPrimaryKey( right.getId( ) );
        assertNotNull( stored );
        assertEquals( featureGroup.getId( ), stored.getFeatureGroup( ) );
        assertEquals( stored.getOrder( ) + 1, right.getOrder( ) );
    }
