public void testDoDispatchFeatureGroup( ) throws AccessDeniedException
    {
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.addParameter( "group_id", featureGroup.getId( ) );
        request.addParameter( "order_id", Integer.toString( featureGroup.getOrder( ) + 1 ) );
        request.addParameter( SecurityTokenService.PARAMETER_TOKEN,
                SecurityTokenService.getInstance( ).getToken( request, "admin/features/manage_groups.html" ) );

        instance.doDispatchFeatureGroup( request );
        FeatureGroup stored = FeatureGroupHome.findByPrimaryKey( featureGroup.getId( ) );
        assertNotNull( stored );
        assertEquals( featureGroup.getOrder( ) + 1, stored.getOrder( ) );

    }
