public void testDoDispatchFeatureGroupNoToken( ) throws AccessDeniedException
    {
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.addParameter( "group_id", featureGroup.getId( ) );
        request.addParameter( "order_id", Integer.toString( featureGroup.getOrder( ) + 1 ) );

        try
        {
            instance.doDispatchFeatureGroup( request );
            fail( "Should have thrown" );
        }
        catch ( AccessDeniedException e )
        {
            FeatureGroup stored = FeatureGroupHome.findByPrimaryKey( featureGroup.getId( ) );
            assertNotNull( stored );
            assertEquals( featureGroup.getOrder( ), stored.getOrder( ) );
        }
    }
