public void testDoModifyGroup( ) throws AccessDeniedException
    {
        String strGroupName = getRandomName( );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.addParameter( "group_id", featureGroup.getId( ) );
        request.addParameter( "group_name", strGroupName );
        request.addParameter( "group_description", strGroupName );
        request.addParameter( "group_order", Integer.toString( featureGroup.getOrder( ) + 1 ) );
        request.addParameter( SecurityTokenService.PARAMETER_TOKEN,
                SecurityTokenService.getInstance( ).getToken( request, "admin/features/modify_group.html" ) );

        instance.doModifyGroup( request );
        FeatureGroup group = FeatureGroupHome.findByPrimaryKey( featureGroup.getId( ) );
        assertNotNull( group );
        assertEquals( featureGroup.getId( ), group.getId( ) );
        assertEquals( strGroupName, group.getLabelKey( ) );
        assertEquals( strGroupName, group.getDescriptionKey( ) );
        assertEquals( featureGroup.getOrder( ) + 1, group.getOrder( ) );
    }
