public void testDoCreateLevel( ) throws AccessDeniedException
    {
        final String name = getRandomName( );
        request.setParameter( "level_name", name );
        request.setParameter( SecurityTokenService.PARAMETER_TOKEN, SecurityTokenService.getInstance( ).getToken( request, "admin/features/create_level.html" ) );

        LevelHome.getLevelsList( ).forEach( level -> {
            assertFalse( name.equals( level.getName( ) ) );
        } );
        try
        {
            instance.doCreateLevel( request );
            assertEquals( 1, LevelHome.getLevelsList( ).stream( ).filter( level -> {
                return name.equals( level.getName( ) );
            } ).count( ) );
        }
        finally
        {
            LevelHome.getLevelsList( ).stream( ).filter( level -> {
                return name.equals( level.getName( ) );
            } ).forEach( level -> {
                LevelHome.remove( level.getId( ) );
            } );
        }
    }
