public void testDoCreateLevelNoToken( ) throws AccessDeniedException
    {
        final String name = getRandomName( );
        request.setParameter( "level_name", name );

        LevelHome.getLevelsList( ).forEach( level -> {
            assertFalse( name.equals( level.getName( ) ) );
        } );
        try
        {
            instance.doCreateLevel( request );
            fail( "Should have thrown" );
        }
        catch( AccessDeniedException e )
        {
            LevelHome.getLevelsList( ).forEach( level -> {
                assertFalse( name.equals( level.getName( ) ) );
            } );
        }
        finally
        {
            LevelHome.getLevelsList( ).stream( ).filter( level -> {
                return name.equals( level.getName( ) );
            } ).forEach( level -> {
                LevelHome.remove( level.getId( ) );
            } );
        }
    }
