public void testDoModifyLevel( ) throws AccessDeniedException
    {
        final String name = getRandomName( );
        Level level = new Level( );
        level.setName( name );
        LevelHome.create( level );
        request.setParameter( Parameters.LEVEL_ID, Integer.toString( level.getId( ) ) );
        request.setParameter( Parameters.LEVEL_NAME, name + "_mod" );
        request.setParameter( SecurityTokenService.PARAMETER_TOKEN, SecurityTokenService.getInstance( ).getToken( request, "admin/features/modify_level.html" ) );
        try
        {
            assertEquals( name, LevelHome.findByPrimaryKey( level.getId( ) ).getName( ) );
            instance.doModifyLevel( request );
            assertEquals( name + "_mod", LevelHome.findByPrimaryKey( level.getId( ) ).getName( ) );
        }
        finally
        {
            LevelHome.remove( level.getId( ) );
        }
    }
