public void testProcessPluginEvent( )
    {
        service.putInCache( "key", "value" );
        assertEquals( "value", service.getFromCache( "key" ) );
        service.processPluginEvent( null );
        assertNull( service.getFromCache( "key" ) );
        for ( Plugin plugin : new Plugin [ ] {
                null, PluginService.getCore( )
        } )
        {
            for ( int eventType : new int [ ] {
                    PluginEvent.PLUGIN_INSTALLED, PluginEvent.PLUGIN_POOL_CHANGED, PluginEvent.PLUGIN_UNINSTALLED
            } )
            {
                service.putInCache( "key", "value" );
                assertEquals( "value", service.getFromCache( "key" ) );
                PluginEvent event = new PluginEvent( plugin, eventType );
                service.processPluginEvent( event );
                assertNull( service.getFromCache( "key" ) );
            }
        }
    }
