@Override
    protected void tearDown( ) throws Exception
    {
        List<CacheableService> caches = CacheService.getCacheableServicesList( );
        for ( CacheableService cacheService : caches )
        {
            if ( LinksIncludeCacheService.SERVICE_NAME.equals( cacheService.getName( ) ) )
            {
                cacheService.enableCache( bOrigCacheEnabled );
                break;
            }
        }
        PluginService.getPlugin( PLUGIN_NAME ).uninstall( );
        File dirPlugin = new File( AppPathService.getPath( "path.plugins" ) );
        File testPluginFile = new File( dirPlugin, PLUGIN_NAME + ".xml" );
        testPluginFile.delete( );
        PluginService.init( );
        super.tearDown( );
    }
