@Override
    protected void tearDown( ) throws Exception
    {
        MailingList storedMailinglist = MailingListHome.findByPrimaryKey( mailingList.getId( ) );
        if ( storedMailinglist != null )
        {
            for ( MailingListUsersFilter filter : storedMailinglist.getFilters( ) )
            {
                MailingListHome.deleteFilterToMailingList( filter, mailingList.getId( ) );
            }
            MailingListHome.remove( mailingList.getId( ) );
        }
        super.tearDown( );
    }
