public void testDoModifyMailingList( ) throws AccessDeniedException
    {
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.setParameter( "id_mailinglist", Integer.toString( mailingList.getId( ) ) );
        request.setParameter( "name", mailingList.getName( ) + "_mod" );
        request.setParameter( "description", mailingList.getDescription( ) + "_mod" );
        request.setParameter( "workgroup", AdminWorkgroupService.ALL_GROUPS );
        request.setParameter( SecurityTokenService.PARAMETER_TOKEN,
                SecurityTokenService.getInstance( ).getToken( request, "admin/mailinglist/modify_mailinglist.html" ) );

        MailingList storedMailling = MailingListHome.findByPrimaryKey( mailingList.getId( ) );
        assertEquals( mailingList.getName( ), storedMailling.getName( ) );
        assertEquals( mailingList.getDescription( ), storedMailling.getDescription( ) );

        bean.doModifyMailingList( request );

        storedMailling = MailingListHome.findByPrimaryKey( mailingList.getId( ) );
        assertEquals( mailingList.getName( ) + "_mod", storedMailling.getName( ) );
        assertEquals( mailingList.getDescription( ) + "_mod", storedMailling.getDescription( ) );
    }
