public void testDoRemoveMailingListInvalidToken( ) throws AccessDeniedException
    {
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.setParameter( "id_mailinglist", Integer.toString( mailingList.getId( ) ) );
        request.setParameter( SecurityTokenService.PARAMETER_TOKEN,
                SecurityTokenService.getInstance( ).getToken( request, "jsp/admin/mailinglist/DoRemoveMailingList.jsp" ) + "b" );

        assertNotNull( MailingListHome.findByPrimaryKey( mailingList.getId( ) ) );
        try
        {
            bean.doRemoveMailingList( request );
            fail( "Should have thrown" );
        }
        catch( AccessDeniedException e )
        {
            assertNotNull( MailingListHome.findByPrimaryKey( mailingList.getId( ) ) );
        }
    }
