public void testDoCreateRole( ) throws AccessDeniedException
    {
        RoleManagementJspBean bean = new RoleManagementJspBean( );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        final String roleName = getRandomName( );
        request.setParameter( "role_key", roleName );
        request.setParameter( "role_description", roleName );
        request.setParameter( SecurityTokenService.PARAMETER_TOKEN, SecurityTokenService.getInstance( ).getToken( request, "admin/rbac/create_role.html" ) );
        try
        {
            assertFalse( AdminRoleHome.checkExistRole( roleName ) );
            bean.doCreateRole( request );
            assertTrue( AdminRoleHome.checkExistRole( roleName ) );
        }
        finally
        {
            AdminRoleHome.remove( roleName );
        }
    }
