public void testDoSelectPermissionsNoToken( ) throws AccessDeniedException
    {
        AdminRole role = new AdminRole( );
        role.setKey( getRandomName( ) );
        role.setDescription( role.getKey( ) );
        AdminRoleHome.create( role );
        RoleManagementJspBean bean = new RoleManagementJspBean( );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.setParameter( "role_key", role.getKey( ) );
        request.setParameter( "select_resources", "all" );
        request.setParameter( "select_permissions", "all" );
        request.setParameter( "resource_type", Page.RESOURCE_TYPE );
        try
        {
            Collection<RBAC> rbacs = RBACHome.findResourcesByCode( role.getKey( ) );
            assertTrue( rbacs.isEmpty( ) );
            bean.doSelectPermissions( request );
            fail( "Should have thrown" );
        }
        catch( AccessDeniedException e )
        {
            Collection<RBAC> rbacs = RBACHome.findResourcesByCode( role.getKey( ) );
            assertTrue( rbacs.isEmpty( ) );
        }
        finally
        {
            RBACHome.removeForRoleKey( role.getKey( ) );
            AdminRoleHome.remove( role.getKey( ) );
        }
    }
