public void testDoModifyPageRole( ) throws AccessDeniedException
    {
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.setParameter( "role", role.getRole( ) );
        request.setParameter( "role_description", role.getRoleDescription( ) + "_mod" );
        request.setParameter( "workgroup_key", AdminWorkgroupService.ALL_GROUPS );
        request.setParameter( SecurityTokenService.PARAMETER_TOKEN, SecurityTokenService.getInstance( ).getToken( request, "admin/role/modify_page_role.html" ) );

        assertEquals( role.getRoleDescription( ), RoleHome.findByPrimaryKey( role.getRole( ) ).getRoleDescription( ) );
        bean.doModifyPageRole( request );
        assertEquals( role.getRoleDescription( ) + "_mod", RoleHome.findByPrimaryKey( role.getRole( ) ).getRoleDescription( ) );
    }
