public void testDoModifyPageRoleNotoken( ) throws AccessDeniedException
    {
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.setParameter( "role", role.getRole( ) );
        request.setParameter( "role_description", role.getRoleDescription( ) + "_mod" );
        request.setParameter( "workgroup_key", AdminWorkgroupService.ALL_GROUPS );

        assertEquals( role.getRoleDescription( ), RoleHome.findByPrimaryKey( role.getRole( ) ).getRoleDescription( ) );
        try
        {
            bean.doModifyPageRole( request );
            fail( "Should have thrown" );
        }
        catch( AccessDeniedException e )
        {
            assertEquals( role.getRoleDescription( ), RoleHome.findByPrimaryKey( role.getRole( ) ).getRoleDescription( ) );
        }
    }
