public void testDoModifyTagList( ) throws AccessDeniedException
    {
        MockHttpServletRequest request = new MockHttpServletRequest( );
        String taglist = getRandomName( );
        request.addParameter( PARAMETER_TAGLIST, taglist );
        request.addParameter( SecurityTokenService.PARAMETER_TOKEN,
                SecurityTokenService.getInstance( ).getToken( request, "admin/search/modify_taglist.html" ) );

        assertFalse( taglist.equals( SearchParameterHome.findByKey( PARAMETER_TAGLIST ).getName( ) ) );

        _bean.doModifyTagList( request );

        assertEquals( taglist, SearchParameterHome.findByKey( PARAMETER_TAGLIST ).getName( ) );
    }
