public void testDoCreateMode( ) throws AccessDeniedException
    {
        final String desc = getRandomName( );
        request.addParameter( Parameters.MODE_DESCRIPTION, desc );
        request.addParameter( Parameters.MODE_PATH, desc );
        request.addParameter( SecurityTokenService.PARAMETER_TOKEN, SecurityTokenService.getInstance( ).getToken( request, "admin/style/create_mode.html" ) );
        try
        {
            instance.doCreateMode( request );
            assertTrue( ModeHome.getModesList( ).stream( ).anyMatch( m -> m.getDescription( ).equals( desc ) ) );
        }
        finally
        {
            ModeHome.getModesList( ).stream( ).filter( m -> m.getDescription( ).equals( desc ) ).forEach( m -> ModeHome.remove( m.getId( ) ) );
        }
    }
