public void testDoModifyStyle( ) throws AccessDeniedException
    {
        int nStyleId = style.getId( );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.addParameter( Parameters.STYLE_ID, Integer.toString( nStyleId ) );
        request.addParameter( Parameters.PORTAL_COMPONENT, Integer.toString( style.getPortalComponentId( ) ) );
        request.addParameter( Parameters.STYLE_NAME, style.getDescription( ) + "_mod" );
        request.addParameter( SecurityTokenService.PARAMETER_TOKEN, SecurityTokenService.getInstance( ).getToken( request, "admin/style/modify_style.html" ) );
        instance.doModifyStyle( request );
        AdminMessage message = AdminMessageService.getMessage( request );
        assertNull( message );
        Style stored = StyleHome.findByPrimaryKey( style.getId( ) );
        assertNotNull( stored );
        assertEquals( style.getId( ), stored.getId( ) );
        assertEquals( style.getDescription( ) + "_mod", stored.getDescription( ) );
    }
