public void testDoModifyStyleNoToken( ) throws AccessDeniedException
    {
        int nStyleId = style.getId( );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.addParameter( Parameters.STYLE_ID, Integer.toString( nStyleId ) );
        request.addParameter( Parameters.PORTAL_COMPONENT, Integer.toString( style.getPortalComponentId( ) ) );
        request.addParameter( Parameters.STYLE_NAME, style.getDescription( ) + "_mod" );
        try
        {
            instance.doModifyStyle( request );
            fail( "Should have thrown" );
        }
        catch ( AccessDeniedException e )
        {
            Style stored = StyleHome.findByPrimaryKey( style.getId( ) );
            assertNotNull( stored );
            assertEquals( style.getId( ), stored.getId( ) );
            assertEquals( style.getDescription( ), stored.getDescription( ) );
        }
    }
