public void testDoRemoveStyleInvalidToken( ) throws AccessDeniedException
    {
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.addParameter( Parameters.STYLE_ID, Integer.toString( style.getId( ) ) );
        request.addParameter( SecurityTokenService.PARAMETER_TOKEN,
                SecurityTokenService.getInstance( ).getToken( request, "jsp/admin/style/DoRemoveStyle.jsp" ) + "b" );
        try
        {
            instance.doRemoveStyle( request );
            fail( "Should have thrown" );
        }
        catch ( AccessDeniedException e )
        {
            assertNotNull( StyleHome.findByPrimaryKey( style.getId( ) ) );
        }
    }
