public void testDoRemoveStyleSheetInvalidToken( ) throws AccessDeniedException
    {
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.addParameter( Parameters.STYLESHEET_ID, Integer.toString( stylesheet.getId( ) ) );
        request.addParameter( Parameters.STYLE_ID, Integer.toString( style.getId( ) ) );
        request.addParameter( SecurityTokenService.PARAMETER_TOKEN,
                SecurityTokenService.getInstance( ).getToken( request, "jsp/admin/style/DoRemoveStyleSheet.jsp" )
                        + "b" );

        try
        {
            instance.doRemoveStyleSheet( request );
            fail( "Should have thrown" );
        }
        catch ( AccessDeniedException e )
        {
            StyleSheet stored = StyleSheetHome.findByPrimaryKey( stylesheet.getId( ) );
            assertNotNull( stored );
            assertEquals( stylesheet.getId( ), stored.getId( ) );
        }
    }
