public void testGetConfirmToggleCache( )
    {
        CacheJspBean instance = new CacheJspBean( );
        int cacheIndex = -1;
        for ( CacheableService service : CacheService.getCacheableServicesList( ) )
        {
            cacheIndex++;
            MockHttpServletRequest request = new MockHttpServletRequest( );
            request.addParameter( "id_cache", Integer.toString( cacheIndex ) );
            instance.getConfirmToggleCache( request );
            AdminMessage message = AdminMessageService.getMessage( request );
            assertNotNull( message );
            assertEquals( AdminMessage.TYPE_CONFIRMATION, message.getType( ) );
            for ( Locale locale : I18nService.getAdminAvailableLocales( ) ) 
            {
                assertTrue( message.getText( locale ).contains( service.getName( ) ) );
            }
            assertTrue( message.getRequestParameters( ).containsKey( SecurityTokenService.PARAMETER_TOKEN ) );
        }
    }
