public void testDoDaemonActionStopNoToken( )
            throws InterruptedException, BrokenBarrierException, TimeoutException, AccessDeniedException
    {
        assertFalse( _entry.isRunning( ) );
        AppDaemonService.startDaemon( JUNIT_DAEMON ); // Daemon should run
                                                      // periodically with
                                                      // interval of 1s
        _testDaemon.go( );
        _testDaemon.waitForCompletion( );
        // We have about 1 second to stop the daemon
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.setParameter( "action", "STOP" );
        request.setParameter( "daemon", JUNIT_DAEMON );
        try
        {
            bean.doDaemonAction( request );
            fail( "Should have thrown" );
        }
        catch ( AccessDeniedException e )
        {
            assertTrue( _entry.isRunning( ) );
            _testDaemon.go( );
            _testDaemon.waitForCompletion( );
        }
    }
