public void testDoDaemonActionUpdateIntervalNoToken( ) throws AccessDeniedException
    {
        final long lTestInterval = 314159L;
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.setParameter( "action", "UPDATE_INTERVAL" );
        request.setParameter( "daemon", JUNIT_DAEMON );
        request.setParameter( "interval", Long.toString( lTestInterval ) );

        try
        {
            bean.doDaemonAction( request );
            fail( "Should have thrown" );
        }
        catch ( AccessDeniedException e )
        {
            assertEquals( 1, _entry.getInterval( ) );
        }
    }
