public void testDoModifyPluginPool( ) throws AccessDeniedException
    {
        assertNull( PluginService.getPlugin( PLUGIN_NAME ).getDbPoolName( ) );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.addParameter( "plugin_name", PLUGIN_NAME );
        request.addParameter( PARAM_DB_POOL_NAME, "junit" );
        request.addParameter( SecurityTokenService.PARAMETER_TOKEN,
                SecurityTokenService.getInstance( ).getToken( request, "admin/system/manage_plugins.html" ) );
        instance.doModifyPluginPool( request );
        assertEquals( "junit", PluginService.getPlugin( PLUGIN_NAME ).getDbPoolName( ) );
    }
