public void testDoForgotPassword( ) throws Exception
    {
        AdminLoginJspBean bean = new AdminLoginJspBean( );

        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.addParameter( Parameters.ACCESS_CODE, user.getAccessCode( ) );
        bean.doForgotPassword( request );
        AdminMessage message = AdminMessageService.getMessage( request );
        assertNotNull( message );
        assertEquals( I18nService.getLocalizedString( "portal.admin.message.admin_forgot_password.sendingSuccess", Locale.FRENCH ),
                message.getText( Locale.FRENCH ) );
        LuteceDefaultAdminUser storedUser = getAdminUserDAO( ).loadDefaultAdminUser( user.getUserId( ) );
        assertNotNull( storedUser );
        assertTrue( storedUser.getPassword( ).check( PASSWORD ) );
    }
