public void testDoResetPasswordGET( )
    {
        AdminLoginJspBean bean = new AdminLoginJspBean( );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.setMethod( "GET" );
        request.setParameter( Parameters.USER_ID, Integer.toString( user.getUserId( ) ) );
        Date timestamp = new Date( );
        String token = AdminUserService.getUserPasswordResetToken( user, timestamp, request );
        request.setParameter( "ts", Long.toString( timestamp.getTime( ) ) );
        request.setParameter( "token", token );
        request.setParameter( Parameters.NEW_PASSWORD, NEW_PASSWORD );
        request.setParameter( Parameters.CONFIRM_NEW_PASSWORD, NEW_PASSWORD );

        try
        {
            bean.doResetPassword( request );
            fail( "should have thrown" );
        }
        catch( AppException e )
        {
        }
        LuteceDefaultAdminUser storedUser = getAdminUserDAO( ).loadDefaultAdminUser( user.getUserId( ) );
        assertNotNull( storedUser );
        assertTrue( storedUser.getPassword( ).check( PASSWORD ) );
    }
