private AdminUser getUserToModify( )
    {
        String randomName = "User_" + new SecureRandom( ).nextLong( );
        LuteceDefaultAdminUser user = new LuteceDefaultAdminUser( );
        user.setAccessCode( randomName );
        user.setFirstName( randomName );
        user.setLastName( randomName );
        user.setEmail( randomName + "@lutece.fr" );
        user.setUserLevel( 0 );
        user.setStatus( AdminUser.ACTIVE_CODE );
        IPasswordFactory passwordFactory = SpringContextService.getBean( IPasswordFactory.BEAN_NAME );
        user.setPassword( passwordFactory.getPasswordFromCleartext( "PASSWORD" ) );
        AdminUserHome.create( user );
        AdminUserHome.createRightForUser( user.getUserId( ), "CORE_USERS_MANAGEMENT" );
        AdminUserHome.createRoleForUser( user.getUserId( ), "all_site_manager" );
        return AdminUserHome.findByPrimaryKey( user.getUserId( ) );
    }
