public void testDoAnonymizeAdminUser( ) throws AccessDeniedException
    {
        AdminUserJspBean bean = new AdminUserJspBean( );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        AdminUser user = getUserToModify( );
        try
        {
            request.addParameter( "id_user", Integer.toString( user.getUserId( ) ) );
            request.addParameter( SecurityTokenService.PARAMETER_TOKEN,
                    SecurityTokenService.getInstance( ).getToken( request, "jsp/admin/user/DoAnonymizeAdminUser.jsp" ) );
            bean.doAnonymizeAdminUser( request );
            assertNull( AdminMessageService.getMessage( request ) );
            AdminUser stored = AdminUserHome.findByPrimaryKey( user.getUserId( ) );
            assertFalse( user.getAccessCode( ).equals( stored.getAccessCode( ) ) );
            assertFalse( user.getFirstName( ).equals( stored.getFirstName( ) ) );
            assertFalse( user.getLastName( ).equals( stored.getLastName( ) ) );
            assertFalse( user.getEmail( ).equals( stored.getEmail( ) ) );
        }
        finally
        {
            disposeOfUser( user );
        }
    }
