public void testDoChangeFieldAnonymizeAdminUsersNoToken( ) throws AccessDeniedException
    {
        AdminUserJspBean bean = new AdminUserJspBean( );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        Map<String, Boolean> origStatusMap = AdminUserHome.getAnonymizationStatusUserStaticField( );
        try
        {
            for ( Entry<String, Boolean> entry : origStatusMap.entrySet( ) )
            {
                assertTrue( entry.getValue( ) );
            }
            bean.doChangeFieldAnonymizeAdminUsers( request );
            fail( "Should have thrown" );
        }
        catch( AccessDeniedException e )
        {
            for ( Entry<String, Boolean> entry : AdminUserHome.getAnonymizationStatusUserStaticField( ).entrySet( ) )
            {
                assertTrue( entry.getValue( ) );
            }
        }
        finally
        {
            for ( Entry<String, Boolean> entry : origStatusMap.entrySet( ) )
            {
                AdminUserHome.updateAnonymizationStatusUserStaticField( entry.getKey( ), entry.getValue( ) );
            }
        }
    }
