public void testDoInsertRegularExpressionInvalidToken( ) throws AccessDeniedException, UserNotSignedException
    {
        AdminUserJspBean bean = new AdminUserJspBean( );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        AdminUser user = getUserToModify( );
        AdminAuthenticationService.getInstance( ).registerUser( request, user );
        request.setParameter( "id_expression", "1" );
        request.addParameter( SecurityTokenService.PARAMETER_TOKEN, SecurityTokenService.getInstance( ).getToken( request, "ManageAdvancedParameters.jsp" )
                + "b" );
        bean.init( request, "CORE_USERS_MANAGEMENT" );
        try
        {
            bean.doInsertRegularExpression( request ); // FIXME not really testing this plugin-regularexpression is not there
            fail( "Should have thrown" );
        }
        catch( AccessDeniedException e )
        {
            // OK
        }
        finally
        {
            AdminUserService.doRemoveRegularExpression( 1 );
            disposeOfUser( user );
        }
    }
