public void testDoModifyAdminUserInvalidToken( ) throws AccessDeniedException, UserNotSignedException
    {
        AdminUser userToModify = getUserToModify( );
        try
        {
            AdminUserJspBean bean = new AdminUserJspBean( );
            MockHttpServletRequest request = new MockHttpServletRequest( );
            request = new MockHttpServletRequest( );
            AdminAuthenticationService.getInstance( ).registerUser( request, AdminUserHome.findUserByLogin( "admin" ) );
            request.addParameter( "id_user", Integer.toString( userToModify.getUserId( ) ) );
            final String modifiedName = userToModify.getAccessCode( ) + "_mod";
            request.addParameter( "access_code", modifiedName );
            request.addParameter( "last_name", modifiedName );
            request.addParameter( "first_name", modifiedName );
            request.addParameter( "email", userToModify.getEmail( ) );
            request.addParameter( "status", Integer.toString( AdminUser.NOT_ACTIVE_CODE ) );
            request.addParameter( "language", Locale.KOREA.toString( ) );
            request.setParameter( SecurityTokenService.PARAMETER_TOKEN, SecurityTokenService.getInstance( ).getToken( request, "jsp/admin/user/ModifyUser.jsp" )
                    + "b" );
            bean.doModifyAdminUser( request );
            fail( "Should have thrown " );
        }
        catch( AccessDeniedException e )
        {
            AdminUser stored = AdminUserHome.findByPrimaryKey( userToModify.getUserId( ) );
            assertNotNull( stored );
            assertEquals( userToModify.getAccessCode( ), stored.getAccessCode( ) );
            assertEquals( userToModify.getFirstName( ), stored.getFirstName( ) );
            assertEquals( userToModify.getLastName( ), stored.getLastName( ) );
            assertEquals( AdminUser.ACTIVE_CODE, stored.getStatus( ) );
            assertEquals( LocaleService.getDefault( ), stored.getLocale( ) );
        }
        finally
        {
            disposeOfUser( userToModify );
        }
    }
