public void testDoModifyAdminUserSuccess( ) throws AccessDeniedException, UserNotSignedException
    {
        AdminUser userToModify = getUserToModify( );
        try
        {
            AdminUserJspBean bean = new AdminUserJspBean( );
            MockHttpServletRequest request = new MockHttpServletRequest( );
            request = new MockHttpServletRequest( );
            AdminAuthenticationService.getInstance( ).registerUser( request, AdminUserHome.findUserByLogin( "admin" ) );
            request.addParameter( "id_user", Integer.toString( userToModify.getUserId( ) ) );
            final String modifiedName = userToModify.getAccessCode( ) + "_mod";
            request.addParameter( "access_code", modifiedName );
            request.addParameter( "last_name", modifiedName );
            request.addParameter( "first_name", modifiedName );
            request.addParameter( "email", userToModify.getEmail( ) );
            request.addParameter( "status", Integer.toString( AdminUser.NOT_ACTIVE_CODE ) );
            request.addParameter( "language", Locale.KOREA.toString( ) );
            request.setParameter( SecurityTokenService.PARAMETER_TOKEN, SecurityTokenService.getInstance( ).getToken( request, "jsp/admin/user/ModifyUser.jsp" ) );
            bean.doModifyAdminUser( request );
            AdminMessage message = AdminMessageService.getMessage( request );
            assertNull( message );
            AdminUser stored = AdminUserHome.findByPrimaryKey( userToModify.getUserId( ) );
            assertNotNull( stored );
            assertEquals( modifiedName, stored.getAccessCode( ) );
            assertEquals( modifiedName, stored.getFirstName( ) );
            assertEquals( modifiedName, stored.getLastName( ) );
            assertEquals( AdminUser.NOT_ACTIVE_CODE, stored.getStatus( ) );
            assertEquals( Locale.KOREA.toString( ).toLowerCase( ), stored.getLocale( ).toString( ).toLowerCase( ) );
        }
        finally
        {
            disposeOfUser( userToModify );
        }
    }
