public void testDoModifyEmailPatternNoToken( ) throws PasswordResetException, AccessDeniedException, UserNotSignedException
    {
        String origEmailPattern = getEmailPattern( );
        assertTrue( "plugin-regularexpression is not there", isEmailPatternSetManually( ) );
        AdminUserJspBean bean = new AdminUserJspBean( );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        AdminUser user = getUserToModify( );
        AdminAuthenticationService.getInstance( ).registerUser( request, user );
        bean.init( request, "CORE_USERS_MANAGEMENT" );
        request.addParameter( SecurityTokenService.PARAMETER_TOKEN, SecurityTokenService.getInstance( ).getToken( request, "ManageAdvancedParameters.jsp" )
                + "b" );
        request.setParameter( "is_email_pattern_set_manually", Boolean.FALSE.toString( ) );
        request.setParameter( "email_pattern", origEmailPattern + "b" );
        try
        {
            bean.doModifyEmailPattern( request );
            fail( "Should have thrown" );
        }
        catch( AccessDeniedException e )
        {
            assertEquals( origEmailPattern, getEmailPattern( ) );
            assertTrue( isEmailPatternSetManually( ) );
        }
        finally
        {
            AdminUserService.doModifyEmailPattern( origEmailPattern, isEmailPatternSetManually( ) );
            disposeOfUser( user );
        }
    }
