public void testDoRemoveRegularExpressionInvalidToken( ) throws AccessDeniedException, UserNotSignedException
    {
        AdminUserJspBean bean = new AdminUserJspBean( );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        AdminUser user = getUserToModify( );
        try
        {
            AdminAuthenticationService.getInstance( ).registerUser( request, user );
            bean.init( request, "CORE_USERS_MANAGEMENT" );
            request.setParameter( "id_expression", "1" );
            request.addParameter( SecurityTokenService.PARAMETER_TOKEN, SecurityTokenService.getInstance( ).getToken( request, "ManageAdvancedParameters.jsp" )
                    + "b" );
            bean.doRemoveRegularExpression( request ); // FIXME not really testing this plugin-regularexpression is not there
            fail( "Should have thrown" );
        }
        catch( AccessDeniedException e )
        {
            // ok
        }
        finally
        {
            disposeOfUser( user );
        }
    }
