public void testDoUseAdvancedSecurityParametersDoNotChangePassword( ) throws AccessDeniedException
    {
        boolean bUseAdvancesSecurityParameters = AdminUserService.getBooleanSecurityParameter( AdminUserService.DSKEY_USE_ADVANCED_SECURITY_PARAMETERS );
        AdminUserJspBean bean = new AdminUserJspBean( );
        try
        {
            LuteceDefaultAdminUser admin = AdminUserHome.findLuteceDefaultAdminUserByPrimaryKey( 1 );
            assertTrue( admin.getPassword( ).check( "adminadmin" ) );
            MockHttpServletRequest request = new MockHttpServletRequest( );
            request.addParameter( SecurityTokenService.PARAMETER_TOKEN, SecurityTokenService.getInstance( ).getToken( request, "ManageAdvancedParameters.jsp" ) );
            bean.doUseAdvancedSecurityParameters( request );
            admin = AdminUserHome.findLuteceDefaultAdminUserByPrimaryKey( 1 );
            assertTrue( admin.getPassword( ).check( "adminadmin" ) );
        }
        finally
        {
            if ( bUseAdvancesSecurityParameters )
            {
                AdminUserService.useAdvancedSecurityParameters( );
            }
            else
            {
                AdminUserService.removeAdvancedSecurityParameters( );
            }
        }
    }
