public void testDoUseAdvancedSecurityParametersNoToken( ) throws AccessDeniedException
    {
        boolean origUseAdvancedSecurityParameters = AdminUserService.getBooleanSecurityParameter( AdminUserService.DSKEY_USE_ADVANCED_SECURITY_PARAMETERS );
        AdminUserService.updateSecurityParameter( AdminUserService.DSKEY_USE_ADVANCED_SECURITY_PARAMETERS, Boolean.FALSE.toString( ) );
        try
        {
            AdminUserJspBean bean = new AdminUserJspBean( );
            MockHttpServletRequest request = new MockHttpServletRequest( );
            bean.doUseAdvancedSecurityParameters( request );
            fail( "should have thrown" );
        }
        catch( AccessDeniedException e )
        {
            assertFalse( AdminUserService.getBooleanSecurityParameter( AdminUserService.DSKEY_USE_ADVANCED_SECURITY_PARAMETERS ) );
        }
        finally
        {
            if ( origUseAdvancedSecurityParameters )
            {
                AdminUserService.useAdvancedSecurityParameters( );
            }
            else
            {
                AdminUserService.removeAdvancedSecurityParameters( );
            }
        }
    }
