public void testGetChangeUseAdvancedSecurityParametersToFalse( )
    {
        boolean origUseAdvancedSecurityParameters = AdminUserService.getBooleanSecurityParameter( AdminUserService.DSKEY_USE_ADVANCED_SECURITY_PARAMETERS );
        AdminUserService.updateSecurityParameter( AdminUserService.DSKEY_USE_ADVANCED_SECURITY_PARAMETERS, Boolean.TRUE.toString( ) );
        try
        {
            AdminUserJspBean bean = new AdminUserJspBean( );
            MockHttpServletRequest request = new MockHttpServletRequest( );
            bean.getChangeUseAdvancedSecurityParameters( request );
            AdminMessage message = AdminMessageService.getMessage( request );
            assertNotNull( message );
            assertTrue( message.getRequestParameters( ).containsKey( SecurityTokenService.PARAMETER_TOKEN ) );
        }
        finally
        {
            if ( origUseAdvancedSecurityParameters )
            {
                AdminUserService.useAdvancedSecurityParameters( );
            }
            else
            {
                AdminUserService.removeAdvancedSecurityParameters( );
            }
        }
    }
