public void testDoRemoveAttribute( ) throws AccessDeniedException
    {
        MockHttpServletRequest request = new MockHttpServletRequest( );
        int idAttribute = _attributes.values( ).stream( ).findFirst( ).orElseThrow( IllegalStateException::new )
                .getIdAttribute( );
        request.setParameter( "id_attribute", Integer.toString( idAttribute ) );
        request.setParameter( SecurityTokenService.PARAMETER_TOKEN, SecurityTokenService.getInstance( )
                .getToken( request, "jsp/admin/user/attribute/DoRemoveAttribute.jsp" ) );

        AttributeJspBean instance = new AttributeJspBean( );
        instance.doRemoveAttribute( request );

        IAttribute stored = AttributeService.getInstance( ).getAttributeWithoutFields( idAttribute, Locale.FRANCE );
        assertNull( stored );
    }
