public void testDoCreateWorkgroup( ) throws AccessDeniedException
    {
        final String key = getRandomName( );
        MockHttpServletRequest request = new MockHttpServletRequest( );
        AdminUser user = new AdminUser( );
        Utils.registerAdminUserWithRigth( request, user, "CORE_WORKGROUPS_MANAGEMENT" );
        request.setParameter( "workgroup_key", key );
        request.setParameter( "workgroup_description", key );
        request.setParameter( SecurityTokenService.PARAMETER_TOKEN,
                SecurityTokenService.getInstance( ).getToken( request, "admin/workgroup/create_workgroup.html" ) );

        assertFalse( AdminWorkgroupHome.checkExistWorkgroup( key ) );
        bean.init( request, "CORE_WORKGROUPS_MANAGEMENT" );
        bean.doCreateWorkgroup( request );
        assertTrue( AdminWorkgroupHome.checkExistWorkgroup( key ) );

        AdminWorkgroupHome.remove( key );
    }
