public void testGetCreateXslExport( ) throws AccessDeniedException
    {
        MockHttpServletRequest request = new MockHttpServletRequest( );
        AdminUser user = new AdminUser( );
        user.setRoles( AdminRoleHome.findAll( ).stream( )
                .collect( Collectors.toMap( AdminRole::getKey, Function.identity( ) ) ) );
        Utils.registerAdminUserWithRigth( request, user, XslExportJspBean.RIGHT_MANAGE_XSL_EXPORT );

        _instance.init( request, XslExportJspBean.RIGHT_MANAGE_XSL_EXPORT );
        assertNotNull( _instance.getCreateXslExport( request ) );
    }
