public void testPaginator( )
    {
        List list = new ArrayList( );

        for ( int i = 0; i < ITEMS_COUNT; i++ )
        {
            list.add( "Item" + i );
        }

        String strPageIndex = "1";
        Paginator paginator = new Paginator( list, NB_ITEMS_PER_PAGE, BASE_URL, PARAMETER_PAGE_INDEX, strPageIndex );

        assertEquals( ITEMS_COUNT, paginator.getItemsCount( ) );
        assertEquals( 1, paginator.getRangeMin( ) );
        assertEquals( 5, paginator.getRangeMax( ) );
        assertEquals( 3, paginator.getPagesCount( ) );
        assertEquals( 1, paginator.getPageCurrent( ) );
        assertEquals( BASE_URL + "?" + PARAMETER_PAGE_INDEX + "=" + 2, paginator.getNextPageLink( ) );
        assertEquals( 5, paginator.getPageItems( ).size( ) );

        strPageIndex = "3";
        paginator = new Paginator( list, NB_ITEMS_PER_PAGE, BASE_URL, PARAMETER_PAGE_INDEX, strPageIndex );

        assertEquals( ITEMS_COUNT, paginator.getItemsCount( ) );
        assertEquals( 11, paginator.getRangeMin( ) );
        // assertEquals( 14 , paginator.getRangeMax() );
        assertEquals( 3, paginator.getPagesCount( ) );
        assertEquals( 3, paginator.getPageCurrent( ) );
        assertEquals( BASE_URL + "?" + PARAMETER_PAGE_INDEX + "=" + 2, paginator.getPreviousPageLink( ) );
        assertEquals( 4, paginator.getPageItems( ).size( ) );

        // List test
        paginator.getPagesLinks( );
    }
