@Test
    public void testContainsCleanParameters( )
    {
        System.out.println( "containsCleanParameters" );

        MockHttpServletRequest request = new MockHttpServletRequest( );
        request.setParameter( "param1", "AZ" );
        request.setParameter( "param2", "09" );
        request.setParameter( "param3", "az" );
        request.setParameter( "param4", "/" );

        assertTrue( SecurityUtil.containsCleanParameters( request ) );

        request.setParameter( "param4", "%" );
        assertTrue( SecurityUtil.containsCleanParameters( request ) );
        request.setParameter( "param4", ">" );
        assertFalse( SecurityUtil.containsCleanParameters( request ) );
        request.setParameter( "param4", "<" );
        assertFalse( SecurityUtil.containsCleanParameters( request ) );
        request.setParameter( "param4", "#" );
        assertFalse( SecurityUtil.containsCleanParameters( request ) );
        request.setParameter( "param4", "\"" );
        assertFalse( SecurityUtil.containsCleanParameters( request ) );
        request.setParameter( "param4", ";" );
        assertTrue( SecurityUtil.containsCleanParameters( request ) );
        request.setParameter( "param4", "&" );
        assertTrue( SecurityUtil.containsCleanParameters( request ) );
        request.setParameter( "param4", "[" );
        assertTrue( SecurityUtil.containsCleanParameters( request ) );
        request.setParameter( "param4", "]" );
        assertTrue( SecurityUtil.containsCleanParameters( request ) );
        request.setParameter( "param4", ";" );
        assertTrue( SecurityUtil.containsCleanParameters( request ) );
        request.setParameter( "param4", "{" );
        assertTrue( SecurityUtil.containsCleanParameters( request ) );
        request.setParameter( "param4", "}" );
        assertTrue( SecurityUtil.containsCleanParameters( request ) );
    }
