public void testUrlItem( )
    {
        System.out.println( "addParameter" );

        String strName = "param";
        String strValue = "value";

        // Add a parameter to an url that have no parameter
        UrlItem url = new UrlItem( "http://myhost/mypage.jsp" );
        url.addParameter( strName, strValue );
        assertEquals( "http://myhost/mypage.jsp?param=value", url.getUrl( ) );

        // Add a parameter to an url that have already one or more parameters
        url = new UrlItem( "http://myhost/mypage.jsp?param2=value2" );
        url.addParameter( strName, strValue );

        assertEquals( "http://myhost/mypage.jsp?param2=value2&param=value", url.toString( ) );
    }
