private LogicFormulaNode readExpression(String s) {
		char firstChar = s.charAt(0);
		if (isTerm(s)) {
			return readTerm(s);
		}
		if (isDisjunction(s)) {
			return readDisjunction(s);
		}
		if (isConjunction(s)) {
			return readConjunction(s);
		}
		if (isImplication(s)) {
			return readImplication(s);
		}
		if (isEquivalence(s)) {
			return readEquivalence(s);
		}
		if ((firstChar == '(') && (s.charAt(s.length() - 1) == ')')) {
			return readExpressionWithinParanthesis(s);
		}
		if (firstChar == '-') {
			return readNegated(s);
		}
		throw new IllegalArgumentException("\"" + s
				+ "\" is not a valid expression");
	}
