public void initialize() {
		long startTime = System.currentTimeMillis();
		this.outStream.println("computing problem backbone...");
		backboneComputer = Options.getInstance().getBackboneComputer(solver,
				varMap);
		printAsserted(backboneComputer, "rootPropagated:", "rootReduced:");
		timeReduced = (System.currentTimeMillis() - startTime) / 1000.0;
		this.outStream.printf("done in %.3fs with %d SAT calls.%n%n",
				timeReduced, backboneComputer.getNumberOfSATCalls());
	}
