@SuppressWarnings("unused")
	public boolean minimize() throws Exception {
		if (optimizer.getObjectiveFunction() == null) {
			return false;
		}
		muses.reset();
		IVecInt assumptions = new VecInt();
		for (Set<Integer> assumpsSet : this.backboneComputer
				.getSolverAssumptions()) {
			for (Integer n : assumpsSet) {
				assumptions.push(n);
			}
		}
		for (int p : solver.getAddedVars()) {
			assumptions.push(-p);
		}
		try {
			return optimizer.isSatisfiable(assumptions);
		} catch (TimeoutException e) {
			e.printStackTrace();
		}
		return false;
	}
