@SuppressWarnings("unused")
	public void minimize(String line) throws Exception {
		if (optimizer.getObjectiveFunction() == null) {
			this.outStream
					.println("nothing to minimize. requires a price file.");
			return;
		}
		try {
			if (minimize()) {
				this.outStream.println(optimizer.getCurrentObjectiveValue());
				int[] model = optimizer.model();
				String varName;
				for (int p : model) {
					if (p > 0) {
						varName = varMap.getConfigVar(p);
						if (varName != null) {
							if (varName.contains(".")
									&& !varName.contains("Serie")
									&& !varName.contains("Pack")
									&& !varName.contains("Option")) {
								varName = varName.replace("_", "=");
							}
							this.outStream.print(varName + " ");
						}
					}
				}
				this.outStream.println();
			} else {
				this.outStream
						.println("ERROR: unsatisfiable, nothing to minimize");
			}
		} catch (TimeoutException e) {
			e.printStackTrace();
		}
	}
