public void addAssumption(String configVar) throws TimeoutException,
			ContradictionException {
		if (this.varMap.configVarExists(configVar)) {
			int lastDotIndex = configVar.lastIndexOf('_');
			String configVarName = configVar.substring(0, lastDotIndex);
			if (this.fixedVars.contains(configVarName)
					&& Options.getInstance().areReplacementAllowed()) {
				removeAssumedConfigVar(configVarName);
			}
			Set<Integer> newAssumpSet = new HashSet<Integer>();
			newAssumpSet.add(this.varMap.getSolverVar(configVar));
			this.solverAssumptions.add(newAssumpSet);
			this.fixedVars.add(configVarName);
			computeBackbone(solver);
		} else {
			throw new IllegalArgumentException(configVar + " is not defined");
		}
	}
