protected void computeBackbone(ISolver solver) throws TimeoutException {
		IVecInt assumps = new VecInt();
		for (Iterator<Set<Integer>> it = solverAssumptions.iterator(); it
				.hasNext();) {
			for (Iterator<Integer> it2 = it.next().iterator(); it2.hasNext();)
				assumps.push(it2.next());
		}
		try {
			IVecInt backbone = Backbone.instance().compute(solver, assumps,
					filter);
			computePropagationsAndReductions(backbone);
		} catch (IllegalArgumentException ise) {
			ise.printStackTrace();
			if (this.solverAssumptions.isEmpty()) {
				throw ise;
			}
			Set<Integer> removed = this.solverAssumptions
					.remove(this.solverAssumptions.size() - 1);
			for (Iterator<Integer> it = removed.iterator(); it.hasNext();) {
				String nextVar = this.varMap.getConfigVar(Math.abs(it.next()));
				this.fixedVars.remove(nextVar.substring(0,
						nextVar.lastIndexOf('_')));
			}
			throw new IllegalArgumentException(
					"last assumption implies a contradiction");
		}
	}
