private Integer getTermId(IGroupSolver solver, LogicFormulaNode formula) {
		String label = (formula.getNodeType() == LogicFormulaNodeType.TERM) ? (formula
				.getLabel()) : (formula.getSons().iterator().next().getLabel());
		if (!this.varMap.configVarExists(label)) {
			throw new IllegalArgumentException("var \"" + label
					+ "\" has not been defined");
		}
		Integer id = this.varMap.getSolverVar(label);
		return (formula.getNodeType() == LogicFormulaNodeType.TERM) ? (id)
				: (-id);
	}
