@Test
	public void testIsComplete() {
		Random rand = new Random(12345);
		assertFalse(configurator.isConfigurationComplete());
		while (!configurator.isConfigurationComplete()) {
			Set<String> free = configurator.getFreeVariables();
			String var = (String) free.toArray()[rand.nextInt(free.size())];
			Set<String> domain = configurator.getCurrentDomainOf(var);
			String val = (String) domain.toArray()[rand.nextInt(domain.size())];
			System.out.println("assigning and propagating var \"" + var
					+ "\" to value: " + val);
			configurator.assignAndPropagate(var, val);
		}
	}
