protected void configureLauncher() {
        String all = System.getProperty("all");
        if (all != null) {
            if ("external".equals(all)) {
                feedWithDecorated = true;
                this.solver = new ModelIteratorToSATAdapter(this.solver,
                        launcherMode);
                System.out.println(this.solver.getLogPrefix()
                        + "model enumeration using the external way");
            } else {
                SearchEnumeratorListener enumerator = new SearchEnumeratorListener(
                        launcherMode);
                this.solver.setSearchListener(enumerator);
                System.out.println(this.solver.getLogPrefix()
                        + "model enumeration using the internal way");
            }
        }
        if (System.getProperty("minone") != null) {
            SearchMinOneListener minone = new SearchMinOneListener(
                    launcherMode);
            this.solver.setSearchListener(minone);
        }
    }
