public void solve(IProblem problem, Reader reader, ILogAble logger,
            PrintWriter out, long beginTime) {
        this.exitCode = ExitCode.UNKNOWN;
        this.out = out;
        this.nbSolutionFound = 0;
        this.beginTime = beginTime;
        try {
            if (problem.isSatisfiable()) {
                if (this.exitCode == ExitCode.UNKNOWN) {
                    this.exitCode = ExitCode.SATISFIABLE;
                }
            } else {
                if (this.exitCode == ExitCode.UNKNOWN) {
                    this.exitCode = ExitCode.UNSATISFIABLE;
                }
            }
        } catch (TimeoutException e) {
            logger.log("timeout");
        }

    }
