public static ICDCL<DataStructureFactory> newGreedySolver() {
        MiniSATLearning<DataStructureFactory> learning = new MiniSATLearning<DataStructureFactory>();
        Solver<DataStructureFactory> solver = new Solver<DataStructureFactory>(
                learning, new MixedDataStructureDanielWL(),
                new RandomWalkDecorator(
                        new VarOrderHeap(new RSATPhaseSelectionStrategy())),
                new NoRestarts());
        // solver.setSearchParams(new SearchParams(1.1, 100));
        solver.setSimplifier(solver.EXPENSIVE_SIMPLIFICATION);
        return solver;
    }
