public static Solver<DataStructureFactory> newMiniLearning(
            DataStructureFactory dsf, IOrder order) {
        // LimitedLearning<DataStructureFactory> learning = new
        // PercentLengthLearning<DataStructureFactory>(10);
        MiniSATLearning<DataStructureFactory> learning = new MiniSATLearning<DataStructureFactory>();
        Solver<DataStructureFactory> solver = new Solver<DataStructureFactory>(
                learning, dsf, order, new MiniSATRestarts());
        return solver;
    }
