private Constr createConciseBinaryClause(IVecInt literals) {
        assert literals.size() == 2;
        if (binaryClauses == null) {
            binaryClauses = new BinaryClauses[getVocabulary().nVars() * 2 + 2];
        } else if (binaryClauses.length < getVocabulary().nVars() * 2) {
            BinaryClauses[] newBinaryClauses = new BinaryClauses[getVocabulary()
                    .nVars() * 2 + 2];
            System.arraycopy(binaryClauses, 0, newBinaryClauses, 0,
                    binaryClauses.length);
            binaryClauses = newBinaryClauses;
        }
        BinaryClauses first, second;
        if ((first = binaryClauses[literals.get(0)]) == null) {
            first = new BinaryClauses(getVocabulary(), literals.get(0));
            getVocabulary().watch(literals.get(0) ^ 1, first);
            binaryClauses[literals.get(0)] = first;
        }
        if ((second = binaryClauses[literals.get(1)]) == null) {
            second = new BinaryClauses(getVocabulary(), literals.get(1));
            getVocabulary().watch(literals.get(1) ^ 1, second);
            binaryClauses[literals.get(1)] = second;
        }
        first.addBinaryClause(literals.get(1));
        second.addBinaryClause(literals.get(0));
        return first;
    }
