public static Constr atLeastNew(UnitPropagationListener s, ILits voc,
            IVecInt ps, int n) throws ContradictionException {
        int degree = niceParameters(s, voc, ps, n);
        if (degree == 0) {
            return new UnitClauses(ps);
        }
        if (degree == 1) {
            return OriginalWLClause.brandNewClause(s, voc, ps);
        }
        Constr constr = new AtLeast(voc, ps, degree);
        constr.register();
        return constr;
    }
