protected void computeWatches() {
        int indSwap = this.lits.length;
        int tmpInt;
        for (int i = 0; i <= this.degree && i < indSwap; i++) {
            while (this.voc.isFalsified(this.lits[i]) && --indSwap > i) {
                tmpInt = this.lits[i];
                this.lits[i] = this.lits[indSwap];
                this.lits[indSwap] = tmpInt;
            }

            // Si le litteral est observable
            if (!this.voc.isFalsified(this.lits[i])) {
                this.watchCumul++;
                this.voc.watch(this.lits[i] ^ 1, this);
            }
        }
        if (this.watchCumul <= this.degree) {
            // chercher tous les litteraux a regarder
            // par ordre de niveau decroissant
            int free = 1;
            while (this.watchCumul <= this.degree && free > 0) {
                free = 0;
                // regarder le litteral falsifie au plus bas niveau
                int maxlevel = -1, maxi = -1;
                for (int i = this.watchCumul; i < this.lits.length; i++) {
                    if (this.voc.isFalsified(this.lits[i])) {
                        free++;
                        int level = this.voc.getLevel(this.lits[i]);
                        if (level > maxlevel) {
                            maxi = i;
                            maxlevel = level;
                        }
                    }
                }
                if (free > 0) {
                    assert maxi >= 0;
                    this.voc.watch(this.lits[maxi] ^ 1, this);
                    tmpInt = this.lits[maxi];
                    this.lits[maxi] = this.lits[this.watchCumul];
                    this.lits[this.watchCumul] = tmpInt;
                    this.watchCumul++;
                    free--;
                    assert free >= 0;
                }
            }
            assert this.lits.length == 1 || this.watchCumul > 1;
        }

    }
