@Override
    public boolean equals(Object card) {
        if (card == null) {
            return false;
        }
        if (this.getClass() != card.getClass()) {
            return false;
        }
        try {
            MinWatchCard mcard = (MinWatchCard) card;
            if (mcard.degree != this.degree) {
                return false;
            }
            if (this.lits.length != mcard.lits.length) {
                return false;
            }
            boolean ok;
            for (int lit : this.lits) {
                ok = false;
                for (int lit2 : mcard.lits) {
                    if (lit == lit2) {
                        ok = true;
                        break;
                    }
                }
                if (!ok) {
                    return false;
                }
            }
            return true;
        } catch (ClassCastException e) {
            return false;
        }
    }
