public boolean propagatePI(MandatoryLiteralListener s, int p) {
        final int[] mylits = this.lits;
        // Lits[1] must contain a falsified literal
        if (mylits[0] == (p ^ 1)) {
            mylits[0] = mylits[1];
            mylits[1] = p ^ 1;
        }
        // assert mylits[1] == (p ^ 1);
        int previous = p ^ 1;
        // look for a new satisfied literal to watch
        for (int i = savedindex; i < mylits.length; i++) {
            if (this.voc.isSatisfied(mylits[i])) {
                mylits[1] = mylits[i];
                mylits[i] = previous;
                this.voc.watch(mylits[1] ^ 1, this);
                savedindex = i + 1;
                return true;
            }
        }
        // the clause is now either unit
        this.voc.watch(p, this);
        // first literal is mandatory
        s.isMandatory(mylits[0]);
        return true;
    }
