public int[] primeImplicant() {
        String primeApproach = System.getProperty("prime");
        PrimeImplicantStrategy strategy;
        if ("OLD".equals(primeApproach)) {
            strategy = new QuadraticPrimeImplicantStrategy();
        } else if ("ALGO2".equals(primeApproach)) {
            strategy = new CounterBasedPrimeImplicantStrategy();
        } else {
            strategy = new WatcherBasedPrimeImplicantStrategy();
        }
        int[] implicant = strategy.compute(this);
        this.prime = strategy.getPrimeImplicantAsArrayWithHoles();
        return implicant;
    }
