public final Constr propagate() {
        IVecInt ltrail = this.trail;
        SolverStats lstats = this.stats;
        IOrder lorder = this.order;
        SearchListener lslistener = this.slistener;
        // ltrail.size() changes due to propagation
        // cannot cache that value.
        while (this.qhead < ltrail.size()) {
            lstats.incPropagations();
            int p = ltrail.get(this.qhead++);
            lslistener.propagating(toDimacs(p));
            lorder.assignLiteral(p);
            Constr confl = reduceClausesContainingTheNegationOf(p);
            if (confl != null) {
                return confl;
            }
        }
        return null;
    }
