private Constr reduceClausesContainingTheNegationOf(int p) {
        // p is the literal to propagate
        // Moved original MiniSAT code to dsfactory to avoid
        // watches manipulation in counter Based clauses for instance.
        assert p > 1;
        IVec<Propagatable> lwatched = this.watched;
        lwatched.clear();
        this.voc.watches(p).moveTo(lwatched);
        final int size = lwatched.size();
        for (int i = 0; i < size; i++) {
            this.stats.incInspects();
            // try shortcut
            // shortcut = shortcuts.get(i);
            // if (shortcut != ILits.UNDEFINED && voc.isSatisfied(shortcut))
            // {
            // voc.watch(p, watched.get(i), shortcut);
            // stats.shortcuts++;
            // continue;
            // }
            if (!lwatched.get(i).propagate(this, p)) {
                // Constraint is conflicting: copy remaining watches to
                // watches[p]
                // and return constraint
                final int sizew = lwatched.size();
                for (int j = i + 1; j < sizew; j++) {
                    this.voc.watch(p, lwatched.get(j));
                }
                this.qhead = this.trail.size(); // propQ.clear();
                return lwatched.get(i).toConstraint();
            }
        }
        return null;
    }
