private final Comparator<Integer> trailComparator() {
        return new Comparator<Integer>() {

            private final Map<Integer, Integer> trailLevel = new HashMap<Integer, Integer>();

            {
                for (int i = 0; i < trail.size(); i++) {
                    trailLevel.put(var(trail.get(i)), i);
                }
            }

            public int compare(Integer i1, Integer i2) {
                Integer trail1 = trailLevel.get(Math.abs(i1));
                Integer trail2 = trailLevel.get(Math.abs(i2));
                if (trail1 == null) {
                    return -1;
                }
                if (trail2 == null) {
                    return -1;
                }
                return trail2 - trail1;
            }
        };
    }
