Constr reduceClausesContainingTheNegationOfPI(
            Solver<? extends DataStructureFactory> solver, int p) {
        assert p > 1;
        IVec<Propagatable> lwatched = solver.watched;
        lwatched.clear();
        solver.voc.watches(p).moveTo(lwatched);
        final int size = lwatched.size();
        for (int i = 0; i < size; i++) {
            solver.stats.incInspects();
            lwatched.get(i).propagatePI(this, p);
        }
        return null;
    }
