@Override
    public IConstr addClause(IVecInt literals) throws ContradictionException {
        int newvar = nextFreeVarId(true);
        this.lits.push(newvar);
        literals.push(newvar);
        if (this.equivalence) {
            ConstrGroup constrs = new ConstrGroup();
            constrs.add(super.addClause(literals));
            IVecInt clause = new VecInt(2);
            clause.push(-newvar);
            for (int i = 0; i < literals.size() - 1; i++) {
                clause.push(-literals.get(i));
                constrs.add(super.addClause(clause));
            }
            clause.pop();
            return constrs;
        }
        return super.addClause(literals);
    }
