int parseInt(InputStream in, char expected) throws IOException,
            ParseFormatException {
        int res, ch;
        ch = in.read();

        if (ch < '0' || ch > '9') {
            throw new ParseFormatException("expected digit");
        }
        res = ch - '0';

        while ((ch = in.read()) >= '0' && ch <= '9') {
            res = 10 * res + ch - '0';
        }

        if (ch != expected) {
            throw new ParseFormatException("unexpected character");
        }

        return res;
    }
