public BigInteger nextBigInteger() throws IOException, ParseFormatException {
        StringBuilder stb = new StringBuilder();
        char currentChar = skipSpaces();
        if (currentChar == '-') {
            stb.append(currentChar);
            currentChar = (char) this.in.read();
        } else if (currentChar == '+') {
            currentChar = (char) this.in.read();
        } else if (currentChar >= '0' && currentChar <= '9') {
            stb.append(currentChar);
            currentChar = (char) this.in.read();
        } else {
            throw new ParseFormatException("Unknown character " + currentChar);
        }
        while (currentChar >= '0' && currentChar <= '9') {
            stb.append(currentChar);
            currentChar = (char) this.in.read();
        }
        return new BigInteger(stb.toString());
    }
