public ISolver parseString(String json)
            throws ParseFormatException, ContradictionException {
        String trimmed = json.trim();
        if (!trimmed.matches(formula)) {
            throw new ParseFormatException("Wrong input " + json);
        }
        Matcher matcher = constraintPattern.matcher(trimmed);
        while (matcher.find()) {
            handleConstraint(matcher.group());
        }
        return solver;
    }
