private void ajouterClauses(char car)
            throws IOException, ContradictionException, ParseFormatException {
        final IVecInt lit = new VecInt();
        int val = 0;
        boolean neg = false;
        for (;;) {
            /* on lit le signe du literal */
            if (car == 'c') {
                manageCommentLine();
                car = (char) this.in.read();
                continue;
            } else if (car == '-') {
                neg = true;
                car = (char) this.in.read();
            } else if (car == '+') {
                car = (char) this.in.read();
            } else /* on le 1er chiffre du literal */
            if (car >= '0' && car <= '9') {
                val = car - '0';
                car = (char) this.in.read();
            } else {
                throw new ParseFormatException("Unknown character " + car);
            }
            /* on lit la suite du literal */
            while (car >= '0' && car <= '9') {
                val = val * 10 + car - '0';
                car = (char) this.in.read();
            }
            if (val == 0) { // on a lu toute la clause
                this.s.addClause(lit);
                lit.clear();
            } else {
                /* on ajoute le literal au vecteur */
                // s.newVar(val-1);
                lit.push(neg ? -val : val);
                neg = false;
                val = 0; /* on reinitialise les variables */
            }
            if (car != EOF) {
                car = passerEspaces();
            }
            if (car == EOF) {
                if (!lit.isEmpty()) {
                    this.s.addClause(lit);
                }
                break; /* on a lu tout le fichier */
            }
        }
    }
