@Override
    public final IProblem parseInstance(final InputStream input)
            throws ParseFormatException, ContradictionException, IOException {
        mapping = null;
        this.in = new BufferedInputStream(input, LecteurDimacs.TAILLE_BUF);
        this.s.reset();
        passerCommentaire();
        if (this.nbVars < 0) {
            throw new ParseFormatException(
                    "DIMACS error: wrong max number of variables");
        }
        this.s.newVar(this.nbVars);
        this.s.setExpectedNumberOfClauses(this.nbClauses);
        char car = passerEspaces();
        if (this.nbClauses > 0) {
            if (car == EOF) {
                throw new ParseFormatException(
                        "DIMACS error: the clauses are missing");
            }
            ajouterClauses(car);
        }
        input.close();
        return this.s;
    }
