public IConstr[] and(int y, IVecInt literals)
            throws ContradictionException {
        // y &lt;=&gt; AND x1 ... xn
        IConstr[] constrs = new IConstr[literals.size() + 1];
        // y <= x1 .. xn
        IVecInt clause = new VecInt(literals.size() + 2);
        clause.push(y);
        for (int i = 0; i < literals.size(); i++) {
            clause.push(-literals.get(i));
        }
        constrs[0] = processClause(clause);
        clause.clear();
        for (int i = 0; i < literals.size(); i++) {
            // y => xi
            clause.clear();
            clause.push(-y);
            clause.push(literals.get(i));
            constrs[i + 1] = processClause(clause);
        }
        return constrs;
    }
