public IConstr[] or(int y, IVecInt literals) throws ContradictionException {
        // y &lt;=&gt; OR x1 x2 ...xn
        // y => x1 x2 ... xn
        IConstr[] constrs = new IConstr[literals.size() + 1];
        IVecInt clause = new VecInt(literals.size() + 2);
        literals.copyTo(clause);
        clause.push(-y);
        constrs[0] = processClause(clause);
        clause.clear();
        for (int i = 0; i < literals.size(); i++) {
            // xi => y
            clause.clear();
            clause.push(y);
            clause.push(-literals.get(i));
            constrs[i + 1] = processClause(clause);
        }
        return constrs;
    }
