public void printStat(PrintWriter out) {
        int realNumberOfVariables = 0;
        int realNumberOfLiterals = 0;
        int pureLiterals = 0;
        int minOccV = Integer.MAX_VALUE;
        int maxOccV = Integer.MIN_VALUE;
        int sumV = 0;
        int sizeL, sizeV;
        int minOccL = Integer.MAX_VALUE;
        int maxOccL = Integer.MIN_VALUE;
        int sumL = 0;
        IVecInt list;
        boolean oneNull;
        if (sizeoccurrences == null) {
            return;
        }
        int max = sizeoccurrences.length - 1;
        for (int i = 2; i < max; i += 2) {
            sizeV = 0;
            oneNull = false;
            for (int k = 0; k < 2; k++) {
                list = sizeoccurrences[i + k];
                if (list == null) {
                    oneNull = true;
                } else {
                    realNumberOfLiterals++;
                    sizeL = list.size();
                    sizeV += sizeL;
                    if (minOccL > sizeL) {
                        minOccL = sizeL;
                    }
                    if (sizeL > maxOccL) {
                        maxOccL = sizeL;
                    }
                    sumL += sizeL;
                }
            }

            if (sizeV > 0) {
                if (oneNull) {
                    pureLiterals++;
                }
                realNumberOfVariables++;
                if (minOccV > sizeV) {
                    minOccV = sizeV;
                }
                if (sizeV > maxOccV) {
                    maxOccV = sizeV;
                }
                sumV += sizeV;
            }

        }
        if (realNumberOfVariables > 0 && realNumberOfLiterals > 0) {
            System.out.println("c Distribution of constraints size:");
            int nbclauses = 0;
            for (Map.Entry<Integer, Counter> entry : sizes.entrySet()) {
                System.out.printf("c %d => %d%n", entry.getKey(),
                        entry.getValue().getValue());
                nbclauses += entry.getValue().getValue();
            }

            System.out.printf(
                    "c Real number of variables, literals, number of clauses, size (#literals), #pureliterals, ");
            System.out.printf("variable occurrences (min/max/avg) ");
            System.out.printf("literals occurrences (min/max/avg) ");
            System.out.println(
                    "Specific clauses: #positive  #negative #horn  #dualhorn #binary #binarynegative #binarypositive #binaryhorn #remaining");
            Counter binaryCounter = sizes.get(2);
            int nbBinary = binaryCounter == null ? 0 : binaryCounter.getValue();
            System.out.printf(Locale.US,
                    "%d %d %d %d %d %d %d %.2f %d %d %.2f ",
                    realNumberOfVariables, realNumberOfLiterals, nbclauses,
                    sumL, pureLiterals, minOccV, maxOccV,
                    sumV / (realNumberOfVariables * 1.0), minOccL, maxOccL,
                    sumL / (realNumberOfLiterals * 1.0));
            System.out.printf("%d %d %d %d %d %d %d %d %d%n", allpositive,
                    allnegative, horn, dualhorn, nbBinary, binarynegative,
                    binarypositive,
                    (nbBinary - binarynegative - binarypositive),
                    nbclauses - allpositive - allnegative - horn - dualhorn);
        }
    }
