@Override
    public IConstr addAtLeast(ISolver solver, IVecInt literals, int n)
            throws ContradictionException {
        if (n == 1) {
            if (this.atLeastOneEncoding != null) {
                return this.atLeastOneEncoding.addAtLeastOne(solver, literals);
            }
        } else if (this.atLeastKEncoding != null) {
            return this.atLeastKEncoding.addAtLeast(solver, literals, n);
        }

        return super.addAtLeast(solver, literals, n);

    }
