@Override
    public IConstr addExactly(ISolver solver, IVecInt literals, int n)
            throws ContradictionException {
        if (n == 1 && this.exactlyOneEncoding != null) {
            return this.exactlyOneEncoding.addExactlyOne(solver, literals);
        } else if (this.exactlyKEncoding != null) {
            if (n == 1) {
                return this.exactlyKEncoding.addExactlyOne(solver, literals);
            } else {
                return this.exactlyKEncoding.addExactly(solver, literals, n);
            }
        }

        return super.addExactly(solver, literals, n);
    }
