@Test
    public void testGlobalInconsistency() throws ContradictionException,
            TimeoutException {
        this.solver.newVar(2);
        IVecInt clause = new VecInt();
        clause.push(1).push(2);
        this.solver.addClause(clause);
        clause.clear();
        clause.push(1).push(-2);
        this.solver.addClause(clause);
        clause.clear();
        clause.push(-1).push(2);
        this.solver.addClause(clause);
        clause.clear();
        clause.push(-1).push(-2);
        this.solver.addClause(clause);
        clause.clear();
        assertFalse(this.solver.isSatisfiable());
        Collection<IConstr> explanation = this.solver.explain();
        assertEquals(4, explanation.size());
    }
