@Before
    public void setUp() throws ContradictionException {
        solver = new OptToSatAdapter(new MinOneDecorator(
                SolverFactory.newDefault()));
        solver.newVar(100);
        IVecInt clause = new VecInt();
        for (int i = 2; i < 100; i++) {
            clause.push(-1).push(i);
            solver.addClause(clause);
            clause.clear();
            clause.push(-i).push(i + 1);
            solver.addClause(clause);
        }
        clause.clear();
        for (int i = 1; i <= 10; i++) {
            clause.push(i);
        }
        solver.addClause(clause);

    }
