@Test
    public void testNoSolutionExists() throws ContradictionException,
            TimeoutException {
        IVecInt clause = new VecInt();
        clause.push(100).push(99);
        solver.addClause(clause);
        clause.clear();
        clause.push(-99);
        solver.addClause(clause);
        clause.clear();
        clause.push(-100);
        solver.addClause(clause);
        clause.clear();
        assertFalse(solver.isSatisfiable());
    }
