@Test
    public void testModelIterator() throws ContradictionException,
            TimeoutException {
        ModelIterator iterator = new ModelIterator(SolverFactory.newDefault());
        iterator.addClause(new VecInt(new int[] { 1, 2 }));
        iterator.addClause(new VecInt(new int[] { -1, -2 }));
        iterator.addClause(new VecInt(new int[] { -3, -4 }));
        iterator.addClause(new VecInt(new int[] { 5, 6 }));
        iterator.addClause(new VecInt(new int[] { -5, -6 }));
        iterator.addClause(new VecInt(new int[] { -1, 3 }));
        int counter = 0;
        int[] sub = new int[0];
        while (iterator.isSatisfiable()) {
            sub = iterator.model();
            counter++;
        }
        assertEquals(8, counter);
        assertEquals(6, sub.length);
    }
