@Test
    public void testNonEmptyStats()
            throws ContradictionException, TimeoutException {
        IVecInt lits = new VecInt(new int[] { 1, 2, 3 });

        ISolver solver = SolverFactory.newDefault();
        solver.newVar(3);
        solver.addAtMost(lits, 2);

        assertTrue(solver.getStat().keySet().size() >= 17);
        solver.isSatisfiable();
        assertTrue(solver.getStat().keySet().size() >= 17);

    }
