@Test(expected = TimeoutException.class)
    public void test3() throws ContradictionException, TimeoutException {
        Solver<DataStructureFactory> solver = SolverFactory.newGlucose();
        solver.setSearchListener(new TextOutputTracing<Object>(null));
        int[] backdoor = { 1, 2, 3 };
        IOrder order = new SubsetVarOrder(backdoor);
        solver.setOrder(order);
        IVecInt clause = new VecInt();
        clause.push(-1).push(4).push(7);
        solver.addClause(clause);
        clause = new VecInt();
        clause.push(-2).push(5).push(7);
        solver.addClause(clause);
        clause = new VecInt();
        clause.push(-3).push(6).push(5);
        solver.addClause(clause);
        clause = new VecInt();
        clause.push(1).push(2).push(3).push(7).push(8);
        solver.addClause(clause);
        solver.isSatisfiable();
    }
