@Test
    public void test04SuccessiveCallsWithDifferentSolversInsideDecorators()
            throws TimeoutException, ContradictionException,
            InterruptedException {
        int nbthreads = Thread.activeCount();
        ISolver localSolver;
        for (int i = 0; i < 10; i++) {
            localSolver = new GateTranslator(SolverFactory.newDefault());
            localSolver.addClause(new VecInt(new int[] { 1, -2, 3 }));
            localSolver.isSatisfiable(false);
            Thread.sleep(500);
            assertEquals(nbthreads, Thread.activeCount());
        }
    }
