@Before
    public void setUp() throws ContradictionException {
        solver = SolverFactory.newDefault();
        minOne = new MinOneDecorator(solver);
        adapter = new OptToSatAdapter(minOne);
        IVecInt clause = new VecInt();
        clause.push(1).push(2);
        minOne.addClause(clause);
        clause.clear();
        clause = new VecInt();
        clause.push(1).push(-3);
        minOne.addClause(clause);
        clause.clear();
        clause = new VecInt();
        clause.push(1).push(3).push(4);
        minOne.addClause(clause);
        clause.clear();
    }
