@Test
    public void testExternalEnumerationOnExampleFromRomain() {
        try {
            ISolver solver = SolverFactory.newDefault();
            ModelIterator iterator = new ModelIterator(solver);
            solver.newVar(6);
            IVecInt clause = new VecInt();
            clause.push(1).push(3).push(5);
            solver.addClause(clause);
            clause.clear();
            clause.push(1).push(3).push(6);
            solver.addClause(clause);
            clause.clear();
            clause.push(1).push(4).push(5);
            solver.addClause(clause);
            clause.clear();
            clause.push(1).push(4).push(6);
            solver.addClause(clause);
            clause.clear();
            clause.push(2).push(3).push(5);
            solver.addClause(clause);
            clause.clear();
            clause.push(2).push(3).push(6);
            solver.addClause(clause);
            clause.clear();
            clause.push(2).push(4).push(5);
            solver.addClause(clause);
            clause.clear();
            clause.push(2).push(4).push(6);
            solver.addClause(clause);
            clause.clear();
            while (iterator.isSatisfiable()) {
                iterator.model();
            }
            assertEquals(37, iterator.numberOfModelsFoundSoFar());
        } catch (ContradictionException e) {
            fail();
        } catch (TimeoutException e) {
            fail();
        }
    }
