@Test(timeout = 12000)
    public void testGlobalTimeoutCounter() {
        SolutionCounter counter = new SolutionCounter(
                SolverFactory.newDefault());
        IVecInt clause = new VecInt();
        for (int i = 1; i < 100; i++) {
            clause.push(i);
        }
        try {
            counter.addClause(clause);
            counter.setTimeout(3);
            counter.countSolutions();
        } catch (TimeoutException e) {
            assertTrue(counter.lowerBound() > 0);
        } catch (ContradictionException e) {
            fail();
        }
    }
