public void testHasNoSingleSolutionUNSAT() throws ContradictionException,
            TimeoutException {
        IVecInt clause = new VecInt();
        clause.push(1).push(2);
        this.detector.addClause(clause);
        clause.clear();
        clause.push(-1).push(-2);
        this.detector.addClause(clause);
        assertTrue(this.detector.isSatisfiable());
        clause.clear();
        clause.push(-1).push(2);
        this.detector.addClause(clause);
        assertTrue(this.detector.isSatisfiable());
        clause.clear();
        clause.push(1).push(-2);
        this.detector.addClause(clause);
        assertFalse(this.detector.isSatisfiable());
        try {
            assertFalse(this.detector.hasASingleSolution());
            fail();
        } catch (UnsupportedOperationException e) {
            // OK
        }
    }
