@Test
    public void testIncrementalFeed() throws ContradictionException {
        assertEquals(1, this.solver.nextFreeVarId(false));
        IVecInt clause = new VecInt();
        clause.push(3).push(-5);
        this.solver.addClause(clause);
        assertEquals(6, this.solver.nextFreeVarId(false));
        clause.clear();
        clause.push(1).push(-2);
        this.solver.addClause(clause);
        assertEquals(6, this.solver.nextFreeVarId(false));
        clause.clear();
        clause.push(1000).push(-31);
        this.solver.addClause(clause);
        assertEquals(1001, this.solver.nextFreeVarId(false));
    }
