@Test
    public void testJsonOutput() throws ParseFormatException,
            ContradictionException, TimeoutException {
        String json = "[[1,-2,3],[1,2,3],[1,-3],[-1,-3],[-1,2,3]]";
        ISolver realSolver = SolverFactory.newDefault();
        JSONReader jsonReader = new JSONReader(realSolver);
        jsonReader.parseString(json);
        int[] model = realSolver.findModel();
        StringWriter strw = new StringWriter();
        PrintWriter out = new PrintWriter(strw);
        jsonReader.decode(model, out);
        assertEquals("[1,2,-3]", strw.toString());
    }
