@Test
    public void testMixOfClausesAndCard() throws ParseFormatException,
            ContradictionException {
        String json = "[[-1,-2,-3],[[1,-2,3],'>',2],[4,-3,6]]";
        reader.parseString(json);
        IVecInt clause1 = new VecInt().push(-1).push(-2).push(-3);
        IVecInt card = new VecInt().push(1).push(-2).push(3);
        IVecInt clause2 = new VecInt().push(4).push(-3).push(6);
        verify(solver).addClause(clause1);
        verify(solver).addAtLeast(card, 3);
        verify(solver).addClause(clause2);
    }
