@Test
    public void testReadingTwoClauses() throws ParseFormatException,
            ContradictionException, IOException {
        when(solver.addClause(VecInt.EMPTY)).thenThrow(
                new ContradictionException());
        String json = "[[1,2,5],[3,-6]]";
        reader.parseString(json);
        IVecInt clause1 = new VecInt().push(1).push(2).push(5);
        IVecInt clause2 = new VecInt().push(3).push(-6);
        InOrder inOrder = inOrder(solver);
        inOrder.verify(solver).addClause(clause1);
        inOrder.verify(solver).addClause(clause2);

    }
