public void testTrivialSat() throws TimeoutException {
        this.solver.reset();
        this.solver.newVar(2);
        try {
            IVecInt vec = new VecInt();
            vec.push(1);
            this.solver.addClause(vec);
            vec.clear();
            vec.push(-2);
            this.solver.addClause(vec);
            assertTrue(this.solver.isSatisfiable());
        } catch (ContradictionException e) {
            fail();
        }
    }
