@Test
    public void checkNumberOfSolution()
            throws TimeoutException, ContradictionException {
        solver.newVar(3);
        IVecInt lits = new VecInt(new int[] { 1, 2, 3 });
        solver.addParity(lits, true);
        ModelIterator iterator = new ModelIterator(solver);
        while (iterator.isSatisfiable()) {
            iterator.model(); // to go to the next model
        }
        assertEquals(4, iterator.numberOfModelsFoundSoFar());
        System.out.println(new VecInt(solver.model()));
    }
