@Test
    public void clauseParityAndCard()
            throws TimeoutException, ContradictionException {
        solver.newVar(5);
        IVecInt clause = new VecInt(new int[] { -1, -2, -3 });
        solver.addClause(clause);
        clause.clear();
        clause.push(-4).push(-5);
        solver.addClause(clause);
        clause.clear();
        clause.push(-1).push(-5);
        solver.addClause(clause);
        IVecInt lits = new VecInt(new int[] { 1, 2, 3, 4, 5 });
        solver.addParity(lits, false);
        solver.addAtMost(lits, 2);
        assertTrue(solver.isSatisfiable());
        System.out.println(new VecInt(solver.model()));
    }
