@Test
    public void twoLargeOppositeParity() throws TimeoutException {
        int size = 16;
        solver.newVar(size);
        IVecInt lits = new VecInt(size);
        for (int i = 0; i < size; i++) {
            lits.push(i + 1);
        }
        solver.addParity(lits, true);
        solver.addParity(lits, false);
        assertFalse(solver.isSatisfiable());
        solver.printStat(new PrintWriter(System.out, true));
    }
