public void testInHeap() {
        Heap heap = new Heap(new LevelAndActivityVariableComparator(
                new double[] { 0.0, 3.0, 9.0, 2.0 }, new int[] {
                        Integer.MAX_VALUE, 1, 1, 1 }));
        heap.setBounds(5);
        assertFalse(heap.inHeap(1));
        assertFalse(heap.inHeap(2));
        assertFalse(heap.inHeap(3));
        heap.insert(1);
        assertTrue(heap.inHeap(1));
        assertFalse(heap.inHeap(2));
        assertFalse(heap.inHeap(3));
        heap.insert(2);
        assertTrue(heap.inHeap(1));
        assertTrue(heap.inHeap(2));
        assertFalse(heap.inHeap(3));
        heap.insert(3);
        assertTrue(heap.inHeap(1));
        assertTrue(heap.inHeap(2));
        assertTrue(heap.inHeap(3));
        assertEquals(2, heap.getmin());
        assertTrue(heap.inHeap(1));
        assertFalse(heap.inHeap(2));
        assertTrue(heap.inHeap(3));
        assertEquals(1, heap.getmin());
        assertFalse(heap.inHeap(1));
        assertFalse(heap.inHeap(2));
        assertTrue(heap.inHeap(3));
        assertEquals(3, heap.getmin());
        assertFalse(heap.inHeap(1));
        assertFalse(heap.inHeap(2));
        assertFalse(heap.inHeap(3));

    }
