@Test
    public void testImplicantPascal() throws ContradictionException,
            TimeoutException {
        IVecInt clause = new VecInt();
        clause.push(1).push(-2).push(3).push(-4);
        this.solver.addClause(clause);
        assertTrue(this.solver.isSatisfiable());
        int[] model = this.solver.model();
        assertEquals(4, model.length);
        int[] implicant = prime.compute(solver);
        assertEquals(1, implicant.length);
    }
