@Test
    public void testOtherImplicant() throws ContradictionException,
            TimeoutException {
        IVecInt clause = new VecInt();
        clause.push(1).push(-2).push(3);
        this.solver.addClause(clause);
        clause.clear();
        clause.push(1).push(2).push(3);
        this.solver.addClause(clause);
        clause.clear();
        clause.push(1).push(2).push(-3);
        this.solver.addClause(clause);
        clause.clear();
        assertTrue(this.solver.isSatisfiable());
        int[] model = this.solver.model();
        assertEquals(3, model.length);
        int[] implicant = prime.compute(solver);
        assertEquals(2, implicant.length);
        clause.push(1).push(-2).push(-3);
        this.solver.addBlockingClause(clause);
        assertTrue(this.solver.isSatisfiable());
        clause.clear();
        model = this.solver.model();
        assertEquals(3, model.length);
        implicant = prime.compute(solver);
        assertEquals(1, implicant.length);
    }
