@Test
    public void testNegatingASingleClause() throws TimeoutException,
            ContradictionException {
        solver.newVar(3);
        IVecInt clause = new VecInt();
        clause.push(1).push(2).push(3);
        solver.addClause(clause);
        assertTrue(solver.isSatisfiable());
        int[] model = solver.model();
        assertEquals(-1, model[0]);
        assertEquals(-2, model[1]);
        assertEquals(-3, model[2]);
    }
