@Test
    public void testTheCaseOfTwoMUSes() throws ContradictionException,
            TimeoutException {
        this.solver.newVar(4);
        IVecInt clause = new VecInt();
        clause.push(1).push(2);
        this.checkListener.addOriginalClause(clause);
        IConstr c1 = this.solver.addClause(clause);
        clause.clear();
        clause.push(1).push(-2);
        this.checkListener.addOriginalClause(clause);
        IConstr c2 = this.solver.addClause(clause);
        clause.clear();
        clause.push(-1).push(3);
        this.checkListener.addOriginalClause(clause);
        this.solver.addClause(clause);
        clause.clear();
        clause.push(-1).push(-3);
        this.checkListener.addOriginalClause(clause);
        this.solver.addClause(clause);
        clause.clear();
        clause.push(-1).push(4);
        this.checkListener.addOriginalClause(clause);
        this.solver.addClause(clause);
        clause.clear();
        clause.push(-1).push(-4);
        this.checkListener.addOriginalClause(clause);
        this.solver.addClause(clause);
        clause.clear();
        List<IVecInt> muses = allMUSes.computeAllMUSes(checkListener);
        assertEquals(2, muses.size());
    }
