@Test
    public void testSimpleCase() {
        IVecInt c1 = new VecInt();
        IVecInt c2 = new VecInt();
        IVecInt c3 = new VecInt();
        IVecInt c4 = new VecInt();
        IVecInt c5 = new VecInt();

        c1.push(1);
        c2.push(2);
        c3.push(-1).push(-2);
        c4.push(3);
        c5.push(-3);

        this.solver.newVar(3);
        System.out.println("mus should be = [1,2,3 / 4,5]");

        try {
            this.solver.addClause(c1, 1);
            this.solver.addClause(c2, 2);
            this.solver.addClause(c3, 3);
            this.solver.addClause(c4, 4);
            this.solver.addClause(c5, 5);

            List<IVecInt> muses = allMUSes.computeAllMUSes();

            assertEquals(muses.size(), 2);

        } catch (ContradictionException e) {
            e.printStackTrace();
        }

    }
