@Before
    public void setUp() {
        this.policy = new Policy();
        this.policy.setAtMostOneEncoding(EncodingStrategy.BINARY);
        this.policy.setAtMostKEncoding(EncodingStrategy.BINARY);
        this.policy.setAtLeastOneEncoding(EncodingStrategy.BINARY);
        this.policy.setAtLeastKEncoding(EncodingStrategy.BINARY);
        this.policy.setExactlyOneEncoding(EncodingStrategy.BINARY);
        this.policy.setExactlyKEncoding(EncodingStrategy.BINARY);

        this.solver = new ClausalCardinalitiesDecorator<ISolver>(
                SolverFactory.newDefault(), this.policy);
    }
