@Before
    public void setUp() {
        this.policy = new Policy();
        this.policy.setAtMostOneEncoding(EncodingStrategy.COMMANDER);
        this.policy.setAtMostKEncoding(EncodingStrategy.COMMANDER);
        this.policy.setAtLeastOneEncoding(EncodingStrategy.COMMANDER);
        this.policy.setAtLeastKEncoding(EncodingStrategy.COMMANDER);
        this.policy.setExactlyOneEncoding(EncodingStrategy.COMMANDER);
        this.policy.setExactlyKEncoding(EncodingStrategy.COMMANDER);

        this.solver = new ClausalCardinalitiesDecorator<ISolver>(
                SolverFactory.newDefault(), policy);
    }
