private void createInstanceConstraints(int n, int nbVoters) throws ContradictionException {
		int nbconstrs = 0;
		for (int i = 0; i < n; i++) {
			for (int j = i + 1; j < n; j++) {
				if (prefers(i, j).getNumberOfVotes() == nbVoters) {
					helper.setTrue(prefers(i, j), "Unanimity P");
					nbconstrs++;
				} else if (prefers(j, i).getNumberOfVotes() == nbVoters) {
					helper.setTrue(prefers(j, i), "Unanimity P");
					nbconstrs++;
				} else {
					if (prefers(i, j).getNumberOfVotes() == 0 && prefers(j, i).getNumberOfVotes() == 0) {
						helper.setTrue(indif(i, j), "Unanimity I");
						nbconstrs++;
					}
				}
			}
		}
		System.out.printf("Created %d instance specific constraints\n", nbconstrs);
	}
