public void generateRandomCase(int n, int nbv) throws ContradictionException {
		String[] alternatives = new String[n];
		for (int i = 0; i < n; i++) {
			alternatives[i] = "alt" + (i + 1);
		}
		createPreferenceObjects(alternatives);
		numberOfAlternatives = n;
		numberOfVoters = nbv;
		createStructuralConstraints(n);
		int[][] matrix = generateRandomCompactMatrix(n, nbv);
		System.out.println("Compact Matrix");
		displayMatrix(matrix);
		handleMatrix(numberOfAlternatives, numberOfVoters, matrix);
		System.out.println("Creating hard constraints");
		createHardConstraints(numberOfAlternatives, numberOfVoters);
		System.out.println("Creating optimization function");
		createOptimizationFunction(numberOfAlternatives, numberOfVoters);
	}
