private int[][] generateRandomVote(int n) {
		int[][] vote = new int[n][n];
		Interval[] intervals = new Interval[n];
		int a, b, high, low;
		final int maxIntervalValue = n * 100;
		// generate n intervals
		for (int i = 0; i < n; i++) {
			a = rand.nextInt(maxIntervalValue) + 1;
			b = a + rand.nextInt(n) + 1;
			high = b;
			low = a;
			intervals[i] = new Interval(high, low);
		}
		System.out.println(Arrays.asList(intervals));
		for (int i = 0; i < n; i++) {
			for (int j = i + 1; j < n; j++) {
				switch (intervals[i].compareTo(intervals[j])) {
				case 0:
					vote[i][j] = 0;
					vote[j][i] = 0;
					break;
				case -1:
					vote[i][j] = 1;
					vote[j][i] = 0;
					break;
				case 1:
					vote[i][j] = 0;
					vote[j][i] = 1;
					break;
				default:
					throw new IllegalStateException("Should never happen");
				}
			}
			vote[i][i] = 0;
		}
		return vote;
	}
