@Override
    protected Reader createReader(ISolver aSolver, String problemname) {
        Reader reader;
        if (problemname.contains(".wcnf")) { //$NON-NLS-1$
            reader = new WDimacsReader(this.wmsd);
        } else {
            reader = new LecteurDimacs(aSolver);
        }
        reader.setVerbosity(true);
        return reader;
    }
