private void solve(Reader reader) {
        try {
            if (solver.isSatisfiable()) {
                System.out.println("s SATISFIABLE");
                System.out.print("v ");
                PrintWriter out = new PrintWriter(System.out, true);
                int[] model = solver.model();
                reader.decode(model, out);
                out.flush();
                System.out.println();
            } else {
                System.out.println("s UNSATISFIABLE");
            }
        } catch (TimeoutException e) {
            Logger.getLogger("org.sat4j.pb").log(Level.INFO, "Timeout", e);
        }
    }
