public boolean admitABetterSolution(IVecInt assumps)
            throws TimeoutException {
        boolean isSatisfiable;

        if (this.optimumFound) {
            return false;
        }
        int maxValue = getObjectiveFunction().minValue().intValue();
        while (true) {
            if (this.addedConstr != null) {
                this.decorated().removeConstr(this.addedConstr);
            }
            try {
                forceObjectiveValueTo(maxValue++);
            } catch (ContradictionException e) {
                if (isVerbose()) {
                    System.out.println(decorated().getLogPrefix()
                            + "no solution for objective value "
                            + (maxValue - 1));
                }
                continue;
            }
            isSatisfiable = super.isSatisfiable(assumps, true);
            if (isSatisfiable) {
                this.optimumFound = true;
                if (getObjectiveFunction() != null) {
                    calculateObjective();
                }
                this.decorated().removeConstr(this.addedConstr);
                return true;
            }
            if (isVerbose()) {
                System.out.println(decorated().getLogPrefix()
                        + "no solution for objective value " + (maxValue - 1));
            }
        }
    }
