@Override
    public IConstr addAtMost(IVecInt literals, int degree)
            throws ContradictionException {
        StringBuilder out = getOut();
        this.nbOfConstraints++;
        int negationweight = 0;
        int p;
        boolean first = true;
        for (IteratorInt iterator = literals.iterator(); iterator.hasNext();) {
            p = iterator.next();
            assert p != 0;
            if (first) {
                if (p > 0) {
                    getOut().append("- x" + p + " ");
                } else {
                    getOut().append("x" + -p + " ");
                    negationweight++;
                }
                first = false;
            } else {
                if (p > 0) {
                    out.append("- x" + p + " ");
                } else {
                    out.append("+ x" + -p + " ");
                    negationweight++;
                }
            }
        }
        out.append(">= " + (-degree + negationweight) + " \n");
        return FakeConstr.instance();
    }
