@Override
    public IConstr addClause(IVecInt literals) throws ContradictionException {
        StringBuilder out = getOut();
        this.nbOfConstraints++;
        int lit;
        boolean first = true;
        int negationweight = 0;
        for (IteratorInt iterator = literals.iterator(); iterator.hasNext();) {
            lit = iterator.next();

            if (first) {
                if (lit > 0) {
                    out.append("x" + lit + " ");
                } else {
                    out.append("-x" + -lit + " ");
                    negationweight++;
                }
                first = false;
            } else {
                if (lit > 0) {
                    out.append("+ x" + lit + " ");
                } else {
                    out.append("- x" + -lit + " ");
                    negationweight++;
                }
            }
        }
        out.append(">= " + (1 - negationweight) + "\n");
        return FakeConstr.instance();
    }
