@Override
    public IConstr addAtLeast(IVecInt literals, int degree)
            throws ContradictionException {
        StringBuilder out = getOut();
        this.nbOfConstraints++;
        int negationweight = 0;
        int p;
        for (IteratorInt iterator = literals.iterator(); iterator.hasNext();) {
            p = iterator.next();
            assert p != 0;
            if (p > 0) {
                out.append("+1 x" + p + " ");
            } else {
                out.append("-1 x" + -p + " ");
                negationweight++;
            }
        }
        out.append(">= " + (degree - negationweight) + " ;\n");
        return FakeConstr.instance();
    }
