@Override
    public IConstr addClause(IVecInt literals) throws ContradictionException {
        StringBuilder out = getOut();
        this.nbOfConstraints++;
        int negationweight = 0;
        int lit;
        for (IteratorInt iterator = literals.iterator(); iterator.hasNext();) {
            lit = iterator.next();
            if (lit > 0) {
                out.append("+1 x" + lit + " ");
            } else {
                out.append("-1 x" + -lit + " ");
                negationweight++;
            }
        }
        out.append(">= " + (1 - negationweight) + " ;\n");
        return FakeConstr.instance();
    }
