public ObjectiveFunction add(final IVecInt otherVars,
            final IVec<BigInteger> otherCoeffs) {
        final IVecInt newVars = new VecInt();
        final IVec<BigInteger> newCoeffs = new Vec<BigInteger>();
        for (int i = 0; i < this.coeffs.size(); ++i) {
            newVars.push(this.vars.get(i));
            newCoeffs.push(this.coeffs.get(i));
        }
        for (int i = 0; i < otherCoeffs.size(); ++i) {
            newVars.push(otherVars.get(i));
            newCoeffs.push(otherCoeffs.get(i));
        }
        this.vars = new ReadOnlyVecInt(newVars);
        this.coeffs = new ReadOnlyVec<BigInteger>(newCoeffs);
        return this;
    }
