@Override
    public String toString() {
        StringBuilder stb = new StringBuilder();
        IVecInt lits = getVars();
        IVec<BigInteger> coefs = getCoeffs();
        BigInteger coef;
        int lit;
        for (int i = 0; i < lits.size(); i++) {
            coef = coefs.get(i);
            lit = lits.get(i);
            if (lit < 0) {
                lit = -lit;
                coef = coef.negate();
            }
            stb.append(
                    (coef.signum() < 0 ? "" : "+") + coef + " x" + lit + " ");
        }
        return stb.toString();
    }
