public IConstr addPseudoBoolean(IVecInt lits, IVec<BigInteger> coeffs,
            boolean moreThan, BigInteger d) throws ContradictionException {
        StringBuilder out = getOut();
        assert lits.size() == coeffs.size();
        this.nbOfConstraints++;
        if (moreThan) {
            for (int i = 0; i < lits.size(); i++) {
                out.append(coeffs.get(i) + " " + this.mapping.get(lits.get(i))
                        + " + ");
            }
            out.append(">= " + d + " ;\n");
        } else {
            for (int i = 0; i < lits.size(); i++) {
                out.append(coeffs.get(i) + " " + this.mapping.get(lits.get(i))
                        + " + ");
            }
            out.append("<= " + d + " ;\n");
        }
        return FakeConstr.instance();
    }
