public Constr constructClause(UnitPropagationListener solver, ILits voc,
            IVecInt v) {
        if (v == null) {
            // tautological clause
            return Constr.TAUTOLOGY;
        }
        if (v.size() == 1) {
            return new UnitClausePB(v.last(), voc);
        }
        if (v.size() == 2) {
            return OriginalBinaryClausePB.brandNewClause(solver, voc, v);
        }
        return OriginalHTClausePB.brandNewClause(solver, voc, v);
    }
