public static PBConstr atLeastNew(UnitPropagationListener s, ILits voc,
            IVecInt ps, int n) throws ContradictionException {
        int degree = niceParameters(s, voc, ps, n);
        if (degree == 0) {
            return new UnitClausesPB(ps);
        }
        if (degree == 1) {
            if (ps.size() == 2) {
                return OriginalBinaryClausePB.brandNewClause(s, voc, ps);
            }
            return OriginalHTClausePB.brandNewClause(s, voc, ps);
        }
        return atLeastNew(voc, ps, degree);
    }
