public static IConflictFactory factory() {
        return new IConflictFactory() {
            @Override
            public IConflict createConflict(PBConstr cpb, int level,
                    boolean noRemove, boolean skip, IPostProcess postprocess,
                    IWeakeningStrategy weakeningStrategy,
                    AutoDivisionStrategy autoDivisionStrategy,
                    PBSolverStats stats) {
                return ConflictMap.createConflict(cpb, level, noRemove, skip,
                        postprocess, weakeningStrategy, autoDivisionStrategy,
                        stats);
            }

            @Override
            public String toString() {
                return "Use constraints as they come during conflict analysis";
            }
        };
    }
