boolean isImplyingLiteralOrdered(int dl, BigInteger slack,
            IVecInt literals) {
        assert literals.size() == 0;
        int ilit, litLevel;
        for (int i = 0; i < size(); i++) {
            ilit = this.weightedLits.getLit(i);
            litLevel = this.voc.getLevel(ilit);
            if ((litLevel >= dl || this.voc.isUnassigned(ilit))
                    && slack.compareTo(this.weightedLits.getCoef(i)) < 0) {
                literals.push(i);
            }
        }
        return literals.size() > 0;
    }
