private void cuttingPlaneStep(final int lit, final BigInteger coef) {
        assert coef.signum() >= 0;
        int nlit = lit ^ 1;
        if (coef.signum() > 0) {
            if (this.weightedLits.containsKey(nlit)) {
                assert !this.weightedLits.containsKey(lit);
                assert this.weightedLits.get(nlit) != null;
                if (this.weightedLits.get(nlit).compareTo(coef) < 0) {
                    BigInteger tmp = this.weightedLits.get(nlit);
                    setCoef(lit, coef.subtract(tmp));
                    assert this.weightedLits.get(lit).signum() > 0;
                    this.degree = this.degree.subtract(tmp);
                    removeCoef(nlit);
                } else {
                    if (this.weightedLits.get(nlit).equals(coef)) {
                        this.degree = this.degree.subtract(coef);
                        removeCoef(nlit);
                    } else {
                        decreaseCoef(nlit, coef);
                        assert this.weightedLits.get(nlit).signum() > 0;
                        this.degree = this.degree.subtract(coef);
                    }
                }
            } else {
                assert !this.weightedLits.containsKey(lit)
                        || this.weightedLits.get(lit).signum() > 0;
                if (this.weightedLits.containsKey(lit)) {
                    increaseCoef(lit, coef);
                } else {
                    setCoef(lit, coef);
                }
                assert this.weightedLits.get(lit).signum() > 0;
            }
        }
        assert !this.weightedLits.containsKey(nlit)
                || !this.weightedLits.containsKey(lit);
    }
