protected final void sort(int from, int to) {
        int width = to - from;
        if (width <= LIMIT_SELECTION_SORT) {
            selectionSort(from, to);
        } else {
            assert this.coefs.length == this.bigCoefs.length;
            int indPivot = width / 2 + from;
            long pivot = this.coefs[indPivot];
            int litPivot = this.lits[indPivot];
            long tmp;
            BigInteger bigTmp;
            int i = from - 1;
            int j = to;
            int tmp2;

            for (;;) {
                do {
                    i++;
                } while (this.coefs[i] > pivot
                        || this.coefs[i] == pivot && this.lits[i] < litPivot);
                do {
                    j--;
                } while (pivot > this.coefs[j]
                        || this.coefs[j] == pivot && this.lits[j] > litPivot);

                if (i >= j) {
                    break;
                }

                tmp = this.coefs[i];
                this.coefs[i] = this.coefs[j];
                this.coefs[j] = tmp;
                bigTmp = this.bigCoefs[i];
                this.bigCoefs[i] = this.bigCoefs[j];
                this.bigCoefs[j] = bigTmp;
                tmp2 = this.lits[i];
                this.lits[i] = this.lits[j];
                this.lits[j] = tmp2;
                assert this.coefs[i] >= 0;
                assert this.coefs[j] >= 0;
            }

            sort(from, i);
            sort(i, to);
        }

    }
