public void calcReasonOnTheFly(int p, IVecInt trail, IVecInt outReason) {
        BigInteger sumfalsified = BigInteger.ZERO;
        IVecInt vlits = new VecInt(this.lits);
        int index;
        for (IteratorInt it = trail.iterator(); it.hasNext();) {
            int q = it.next();
            if (vlits.contains(q ^ 1)) {
                assert voc.isFalsified(q ^ 1);
                outReason.push(q);
                index = vlits.indexOf(q ^ 1);
                sumfalsified = sumfalsified.add(this.coefs[index]);
                if (this.sumcoefs.subtract(sumfalsified)
                        .compareTo(this.degree) < 0) {
                    return;
                }
            }
        }
    }
