public IConstr addAtMost(IVecInt literals, IVec<BigInteger> coeffs,
            IVec<IntegerVariable> integerVars,
            IVec<BigInteger> integerVarsCoeffs, BigInteger degree)
            throws ContradictionException {
        literals = new VecInt(
                Arrays.copyOf(literals.toArray(), literals.size()));
        coeffs = copyBigIntVec(coeffs);
        pushIntegerVariables(literals, coeffs, integerVars, integerVarsCoeffs);
        return decorated.addAtMost(literals, coeffs, degree);
    }
