public IConstr addExactly(IVecInt literals, IVec<BigInteger> coeffs,
            IVec<IntegerVariable> integerVars,
            IVec<BigInteger> integerVarsCoeffs, BigInteger weight)
            throws ContradictionException {
        literals = new VecInt(
                Arrays.copyOf(literals.toArray(), literals.size()));
        coeffs = copyBigIntVec(coeffs);
        pushIntegerVariables(literals, coeffs, integerVars, integerVarsCoeffs);
        return decorated.addExactly(literals, coeffs, weight);
    }
