@Override
    public void printStat(PrintWriter out, String prefix) {
        super.printStat(out, prefix);
        out.println(
                prefix + "number of reductions to clauses (during analyze)\t: "
                        + this.getNumberOfReductions());
        out.println(prefix
                + "number of learned constraints concerned by reduction\t: "
                + this.numberOfLearnedConstraintsReduced);
        out.println(prefix + "number of learning phase by resolution\t: "
                + this.numberOfResolution);
        out.println(prefix + "number of learning phase by cutting planes\t: "
                + this.numberOfCP);
        out.println(prefix + "number of rounding to 1 operations\t: "
                + this.numberOfRoundingOperations);
        out.println(prefix
                + "number of easy rounding to 1 operations (no literal elimination needed)\t: "
                + this.numberOfEasyRoundingOperations);
        out.println(prefix
                + "number of reductions of the coefficients by power 2 \t: "
                + this.getNumberOfReductionsByPower2());
        out.println(
                prefix + "number of right shift for reduction by power 2 \t: "
                        + this.numberOfRightShiftsForCoeffs);
        out.println(prefix
                + "number of reductions of the coefficients by GCD over coefficients \t: "
                + this.numberOfReductionsByGCD);
        out.println(prefix + "number of ending skipping \t: "
                + this.numberOfEndingSkipping);
        out.println(prefix + "number of internal skipping \t: "
                + this.numberOfInternalSkipping);
        out.println(prefix + "number of derivation steps \t: "
                + this.getNumberOfDerivationSteps());
        out.println(prefix + "number of skipped derivation steps \t: "
                + (this.numberOfInternalSkipping
                        + this.numberOfEndingSkipping));
        out.println(prefix + "number of remaining unassigned \t: "
                + this.numberOfRemainingUnassigned);
        out.println(prefix + "number of remaining assigned \t: "
                + this.numberOfRemainingAssigned);
    }
