public void compute() {
        opts = new BigInteger[this.objs.size()];
        this.lock = new Semaphore(this.objs.size());
        this.timeoutOccured = false;
        for (int i = 0; i < this.objs.size(); ++i) {
            OptToPBSATAdapter optimizer = new OptToPBSATAdapter(
                    new PseudoOptDecorator(this.solvers.getSolvers().get(i)));
            optimizer.setObjectiveFunction(objs.get(i));
            optimizer.setSolutionFoundListener(new OptimumValueWriter(this, i));
            new SolverLauncher(optimizer).start();
            try {
                this.lock.acquire();
            } catch (InterruptedException e) {
                Thread.currentThread().interrupt();
            }
        }
    }
