private void init() {
        setInitConstraints();
        super.objs = new ArrayList<ObjectiveFunction>();
        for (IntegerVariable boundVar : this.objBoundVariables) {
            IVec<BigInteger> weights = new Vec<BigInteger>();
            BigInteger factor = BigInteger.ONE;
            for (int i = 0; i < boundVar.getVars().size(); ++i) {
                weights.push(factor);
                factor = factor.shiftLeft(1);
            }
            super.objs.add(new ObjectiveFunction(boundVar.getVars(), weights));
        }
    }
