@Override
    protected void setInitConstraints() {
        try {
            objBoundVar = this.integerSolver.newIntegerVar(globalObjBound());
            for (List<Integer> permutation : new PermutationComputer(
                    super.objs.size())) {
                addConstraint(objBoundVar, permutation);
            }
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }
