@Override
    protected void setGlobalObj() {
        try {
            decorated().setObjectiveFunction(
                    new ObjectiveFunction(new VecInt(), new Vec<BigInteger>()));
            for (int i = 0; i < objBoundVariables.size(); ++i) {
                this.integerSolver.addIntegerVariableToObjectiveFunction(
                        objBoundVariables.get(i),
                        weights[weights.length - i - 1]);
            }
        } catch (Exception e) {
            Logger.getLogger("org.sat4j.pb").log(Level.INFO, "Exception", e);
            throw new RuntimeException(e);
        }
    }
