public boolean admitABetterSolution(IVecInt assumps)
            throws TimeoutException {
        boolean sat = false;
        if (!sumLexStepDone) {
            if (!this.initDone) {
                this.initDone = true;
                setInitConstraints();
                createGlobalObj();
                this.optPb = new PseudoOptDecorator(this.solver);
            }
        }
        if (!sumLexStepDone) {
            this.solver.setObjectiveFunction(sumObj);
            sat = launchSubOpt();
            if (!sat) {
                this.sumLexStepDone = true;
                this.initDone = false;
            }
        }
        if (!sumLexStepDone) {
            this.solver.setObjectiveFunction(lexObj);
            sat = launchSubOpt();
            if (!sat) {
                this.sumLexStepDone = true;
                this.initDone = false;
            }
        }
        if (sumLexStepDone) {
            boolean optFound = checkLeximinSumDecomposition();
            if (optFound) {
                return false;
            }
            if (!this.initDone) {
                System.out.println(this.solver.getLogPrefix()
                        + "Sum-Lex optimization step done");
                this.optPb = new PseudoOptDecorator(this.solver);
                this.optPb.setObjectiveFunction(owaObj);
                this.initDone = true;
            }
            sat = launchSubOpt();
        }
        return sat;
    }
