private boolean checkLeximinSumDecomposition() {
        BigInteger weightsSum = BigInteger.ZERO;
        for (int i = 0; i < weights.length; ++i) {
            weightsSum = weightsSum.add(weights[i]);
        }
        BigInteger minDiv = weights[weights.length - 1];
        for (int i = 0; i < weights.length - 1; ++i) {
            minDiv = minDiv.min(
                    weights[i + 1].multiply(weightsSum).divide(weights[i]));
        }
        BigInteger objBound = weightsSum.divide(weights[weights.length - 1])
                .multiply(getObjectiveValues()[weights.length - 1]);
        return (objBound.compareTo(minDiv) <= 0);
    }
