protected void endConstraint() throws ContradictionException {

        assert !(this.lits.size() == 0);
        assert !(this.coeffs.size() == 0);
        assert this.lits.size() == this.coeffs.size();

        if ("=".equals(this.operator)) {
            this.solver.addExactly(this.lits, this.coeffs, this.d);
        } else if ("<=".equals(this.operator)) {
            this.solver.addAtMost(this.lits, this.coeffs, this.d);
        } else {
            assert ">=".equals(this.operator);
            this.solver.addAtLeast(this.lits, this.coeffs, this.d);
        }
        this.nbConstraintsRead++;
    }
