protected IProblem parseInstance(LineNumberReader input)
            throws ParseFormatException, ContradictionException {
        this.solver.reset();
        this.in = input;
        try {
            parse();
            return this.solver;
        } catch (ContradictionException ce) {
            throw ce;
        } catch (ParseFormatException pfe) {
            throw new ParseFormatException(" line "
                    + (input.getLineNumber() + 1) + ", "
                    + pfe.getMessage().substring(
                            ParseFormatException.PARSING_ERROR.length()));
        } catch (Exception e) {
            throw new ParseFormatException(" line "
                    + (input.getLineNumber() + 1) + ", " + e.toString());

        }
    }
