public void readInteger(StringBuilder s) throws IOException {
        char c;

        skipSpaces();
        s.setLength(0);

        c = get();
        if (c == '-' || Character.isDigit(c)) {
            s.append(c);
            // note: BigInteger don't like a '+' before the number, we just skip
            // it
        }

        while (Character.isDigit(c = get()) && !eol() && !eof()) {
            s.append(c);
        }

        putback(c);
    }
