@Override
    public IProblem parseInstance(final java.io.Reader input)
            throws ParseFormatException, ContradictionException {
        super.parseInstance(input);
        if (this.isWbo && this.softLimit != SAT4J_MAX_BIG_INTEGER) {
            this.solver.addPseudoBoolean(getVars(), getCoeffs(), false,
                    this.softLimit.subtract(BigInteger.ONE));
        }
        return this.solver;
    }
