@Override
    protected void readMetaData() throws IOException, ParseFormatException {
        super.readMetaData();
        skipSpaces();
        char c = get();
        if (c != '*') {
            // no aggregation line
            putback(c);
            return;
        }
        skipWhiteSpacesButNewline();
        c = get();
        if (c == '\n') {
            return;
        }
        putback(c);
        String s = readWord();
        if ("#aggregation=".equals(s)) {
            s = readWord();
            assert "lexico".equals(s);
            PBSolverHandle handle = (PBSolverHandle) solver;
            lexico = new LexicoDecoratorPB(handle.decorated());
            handle.changeDecorated(lexico);
        }
        if ("beginMapping".equals(s)) {
            startsMapping();
            get();
        } else {
            if (savedChar != '\n') {
                this.in.readLine();
            }
            get(); // remove trailing \n
        }
    }
