private BitSet computeInitialCandidates(BitSet atMostLits, int degree) {
        BitSet candidates = null;
        CombinationIterator combIt = new CombinationIterator(degree,
                atMostLits);
        while (combIt.hasNext()) {
            BitSet nextBitSet = combIt.nextBitSet();
            BitSet implied = impliedBy(nextBitSet);
            if (candidates == null) {
                candidates = implied;
            } else {
                candidates.and(implied);
            }
            if (candidates.isEmpty())
                return candidates;
        }
        return candidates;
    }
