public void searchCards() {
        this.initNumberOfConstraints = this.atLeastCards.size();
        int cpt = 0;
        Timer timerStatus = new Timer();
        timerStatus.scheduleAtFixedRate(new TimerTask() {
            @Override
            public void run() {
                shouldDisplayStatus = true;
            }
        }, 30L * 1000, 30L * 1000);
        for (Iterator<AtLeastCard> itCard = this.atLeastCards.iterator(); itCard
                .hasNext();) {
            AtLeastCard atLeastCard = itCard.next();
            BitSet atLeastLits = new BitSet(atLeastCard.getLits().size());
            for (IteratorInt itLits = atLeastCard.getLits().iterator(); itLits
                    .hasNext();) {
                atLeastLits.set(
                        itLits.next() + this.coSolver.realNumberOfVariables());
            }
            if (!cardIsSubsumed(atLeastLits, atLeastCard.getDegree())) {
                BitSet cardFound = searchCardFromAtLeastCard(atLeastLits,
                        atLeastCard.getDegree());
                if (cardFound != null) {
                    itCard.remove();
                }
            } else {
                itCard.remove();
            }
            ++cpt;
            if (this.shouldDisplayStatus) {
                System.out.println("c processed " + cpt + "/"
                        + this.initNumberOfConstraints + " constraints");
                this.shouldDisplayStatus = false;
            }
        }
        timerStatus.cancel();
        this.cardIt = this.atLeastCardDegree.keySet().iterator();
    }
