public IConstr addPseudoBoolean(IVecInt lits, IVec<BigInteger> coeffs,
            boolean moreThan, BigInteger d) throws ContradictionException {
        if (isCardinality(coeffs)) {
            if (moreThan) {
                return super.addAtLeast(lits, d.intValue());
            } else {
                return super.addAtMost(lits, d.intValue());
            }
        } else {
            return solver.addPseudoBoolean(lits, coeffs, moreThan, d);
        }
    }
