public void discardSolutionsWithObjectiveValueGreaterThan(long value)
            throws ContradictionException {
        ObjectiveFunction obj = this.solver.getObjectiveFunction();
        IVecInt literals = new VecInt(obj.getVars().size());
        obj.getVars().copyTo(literals);
        IVec<BigInteger> coeffs = new Vec<BigInteger>(obj.getCoeffs().size());
        obj.getCoeffs().copyTo(coeffs);
        this.solver.addPseudoBoolean(literals, coeffs, false,
                BigInteger.valueOf(value));
    }
