public void impliedBy(Collection<T> assumptions, Collection<T> satisfied,
            Collection<T> falsified) throws TimeoutException {
        IVecInt assump = new VecInt(assumptions.size());
        for (T thing : assumptions) {
            assump.push(getIntValue(thing));
        }
        IVecInt implied = Backbone.instance().compute(solver, assump);
        int p;
        for (IteratorInt it = implied.iterator(); it.hasNext();) {
            p = it.next();
            if (p > 0) {
                satisfied.add(mapToDomain.get(p));
            } else {
                falsified.add(mapToDomain.get(-p));
            }
        }
    }
