public Set<C> why() throws TimeoutException {
        if (!this.explanationEnabled) {
            throw new UnsupportedOperationException("Explanation not enabled!");
        }
        Collection<IConstr> explanation = this.xplain.explain();
        Set<C> ezexplain = new TreeSet<C>();
        for (IConstr constr : explanation) {
            C desc = this.descs.get(constr);
            if (desc != null) {
                ezexplain.add(desc);
            }
        }
        return ezexplain;
    }
