private void tryToExtendConstraint(PBConstr confl) {
        // translation from Minisat literals to Dimacs literals
        IVecInt atMostLits = new VecInt(confl.getLits().length);
        for (int lit : confl.getLits()) {
            atMostLits.push((lit >> 1) * ((lit & 1) == 1 ? -1 : 1));
        }
        IVecInt discovered = this.cardFinder
                .searchCardFromAtMostCard(atMostLits, atMostLits.size() - 1);
        if (discovered != null) {
            IConstr constr = this.addAtMostOnTheFly(discovered,
                    new VecInt(discovered.size(), 1), atMostLits.size() - 1);
            // if (this.isVerbose())
            // this.out.log(getLogPrefix() + "newCard " + constr
            // + " discovered from " + confl);
            this.sharedConflict = null;
            this.extendedConstr = (Constr) constr;
        }
        // else {
        // if (this.isVerbose())
        // this.out.log(getLogPrefix() + "noCard from " + confl);
        // }
    }
