@Override
    public IConstr addAtLeast(IVecInt literals, IVecInt coeffs, int degree)
            throws ContradictionException {
        for (int i = 0; i < coeffs.size(); ++i) {
            int coeff = coeffs.get(i);
            if (coeff < 0) {
                literals.set(i, -literals.get(i));
                coeffs.set(i, -coeff);
                degree -= coeff;
            }
        }
        if (degree == 1)
            return addClause(literals);
        return super.addAtLeast(literals, coeffs, degree);
    }
