public void init() {
        if (getObjectiveFunction() != null) {
            this.objWeightsMap = new HashMap<Integer, BigInteger>();
            IteratorInt litsIt = getObjectiveFunction().getVars().iterator();
            Iterator<BigInteger> weightsIt = getObjectiveFunction().getCoeffs()
                    .iterator();
            for (; litsIt.hasNext();)
                this.objWeightsMap.put(litsIt.next(), weightsIt.next());
        }
        if (this.preprocessing) {
            sat4jPreprocessing();
        } else if (this.rissLocation != null) {
            rissPreprocessing();
        } else {
            noPreprocessing();
        }
        if (this.outputCardsAndExit)
            System.exit(0);
    }
