private void updateObjMinBound(AtLeastCard card) {
        AtMostCard atMost = card.toAtMost();
        if (this.objWeightsMap == null)
            return;
        List<BigInteger> weights = new ArrayList<BigInteger>();
        for (IteratorInt it = atMost.getLits().iterator(); it.hasNext();) {
            BigInteger weight = this.objWeightsMap.get(-it.next());
            if (weight != null)
                weights.add(weight);
        }
        Collections.sort(weights);
        BigInteger newMinBound = BigInteger.ZERO;
        for (int i = 0; i < weights.size() - atMost.getDegree(); ++i) {
            newMinBound = newMinBound.add(weights.get(i));
        }
        if (this.objMinBound == null
                || this.objMinBound.compareTo(newMinBound) < 0) {
            this.objMinBound = newMinBound;
        }
    }
