@Override
    public IConstr addAtLeast(IVecInt literals, int degree)
            throws ContradictionException {
        IVecInt coeffs = new VecInt(literals.size(), 1);
        int newvar = createNewVar(literals);
        literals.push(newvar);
        coeffs.push(degree);
        IConstr constr = decorated().addAtLeast(literals, coeffs, degree);
        if (constr == null) {
            // constraint trivially satisfied
            discardLastestVar();
        } else {
            getConstrs().put(newvar, constr);
        }
        return constr;
    }
