@Test
    public void testDavidTestCaseAtLeast()
            throws ContradictionException, TimeoutException {
        IVecInt coeffs = new VecInt();
        coeffs.push(1);
        this.solver.newVar(2);
        IVecInt clause = new VecInt();
        clause.push(1);
        this.solver.addAtLeast(clause, coeffs, 1);
        clause.clear();
        clause.push(2);
        this.solver.addAtLeast(clause, 1);
        clause.clear();
        clause.push(-1);
        this.solver.addAtLeast(clause, 1);
        clause.clear();
        clause.push(1).push(2);
        this.solver.addAtLeast(clause, 1);
        clause.clear();
        clause.push(-1).push(-2);
        this.solver.addAtLeast(clause, 1);
        clause.clear();
        assertFalse(this.solver.isSatisfiable());
        Collection<IConstr> explanation = this.solver.explain();
        assertEquals(2, explanation.size());
    }
