@Test
    public void testEclipseTestCase2()
            throws ContradictionException, TimeoutException {
        this.solver.newVar(4);
        IVecInt clause = new VecInt();
        clause.push(-1).push(2);
        this.solver.addClause(clause);
        clause.clear();
        clause.push(-1).push(3);
        this.solver.addClause(clause);
        clause.clear();
        clause.push(-2).push(-3);
        this.solver.addClause(clause);
        clause.clear();
        clause.push(-4).push(1);
        this.solver.addClause(clause);
        clause.clear();
        IVecInt assump = new VecInt();
        assump.push(4);
        assertFalse(this.solver.isSatisfiable(assump));
        Collection<IConstr> explanation = this.solver.explain();
        assertEquals(4, explanation.size());
    }
