@Test
    public void musesWithOnlyCLauses() throws ContradictionException {
        solver.newVar(2);
        IVecInt clause = new VecInt();
        clause.push(-1).push(-2);
        solver.addClause(clause, 1);
        clause.clear();
        clause.push(1);
        solver.addClause(clause, 2);
        clause.clear();
        clause.push(2);
        solver.addClause(clause, 3);
        clause.clear();
        clause.push(1).push(-2);
        solver.addClause(clause, 4);
        clause.clear();
        List<IVecInt> allMUSes = muses.computeAllMUSes();
        assertEquals(2, allMUSes.size());
        for (IVecInt mus : allMUSes) {
            assertEquals(3, mus.size());
        }
    }
