@Test
    public void testJoUnit()
            throws ParseFormatException, ContradictionException, IOException {
        IPBSolver solver = SolverFactory.newDefault();
        Reader reader = new OPBReader2012(
                new PBSolverHandle(new PseudoOptDecorator(solver)));
        reader.parseInstance(new StringReader(
                "* #variable= 1 #constraint= 1\n*\n+1 x1 >= 1 ;\n"));
        assertEquals(1, solver.realNumberOfVariables());
        assertEquals(1, solver.nConstraints());

    }
