@Test
    public void testTimeoutOnConflict() throws ContradictionException,
            TimeoutException, NoSuchFieldException, SecurityException,
            IllegalArgumentException, IllegalAccessException {

        solver.setTimeoutOnConflicts(100);
        assertTrue(solver.isSatisfiable());
        Field field = solver.getClass().getSuperclass().getSuperclass()
                .getDeclaredField("timer");
        field.setAccessible(true);
        assertNull(field.get(solver));
    }
