@Test
    public void testTimeoutOnConflictGlobal() throws ContradictionException,
            TimeoutException, NoSuchFieldException, SecurityException,
            IllegalArgumentException, IllegalAccessException {
        solver.setTimeoutOnConflicts(100);
        assertTrue(solver.isSatisfiable(true));
        Field field = solver.getClass().getSuperclass().getSuperclass()
                .getDeclaredField("timer");
        field.setAccessible(true);
        assertNull(field.get(solver));
    }
