@Test
    public void testMissSecondValue() throws ContradictionException,
            TimeoutException {
        IVecInt vars = new VecInt();
        vars.push(1).push(2).push(3);
        IVec<BigInteger> coefs = new Vec<BigInteger>(3, BigInteger.ONE);
        solver.addExactly(new VecInt(new int[] { 1, 3 }), 1);
        solver.setObjectiveFunction(new ObjectiveFunction(vars, coefs));
        IVecInt sol = new VecInt(solver.findModel());
        assertTrue(sol.contains(-2));
    }
