@Test
    public void testWBO1() throws ContradictionException, TimeoutException,
            ParseFormatException, IOException {
        String wbo = "* #variable= 1 #constraint= 2 #soft= 2 mincost= 2 maxcost= 3 sumcost= 5\nsoft: 6 ;\n [2] +1 x1 >= 1 ;\n[3] -1 x1 >= 0 ;\n";
        reader.parseInstance(new StringBufferInputStream(wbo));
        assertTrue(solver.isSatisfiable());
        IVecInt sol = new VecInt(solver.model());
        assertTrue(sol.contains(-1));
        assertEquals(BigInteger.valueOf(2), solver.getCurrentObjectiveValue());
    }
