@Test
    public void testBasicDump4PB() throws ContradictionException {
        IPBSolver solver = SolverFactory.newDefault();
        IVecInt literals = new VecInt(new int[] { 1, 2, 3 });
        IVec<BigInteger> coeffs = new Vec<>();
        coeffs.push(BigInteger.valueOf(2)).push(BigInteger.ONE)
                .push(BigInteger.ONE);
        IConstr c1 = solver.addAtLeast(literals, coeffs, BigInteger.valueOf(2));
        assertEquals("+2 x1 +1 x2 +1 x3 >= 2", c1.dump());
    }
