@Test(expected = IllegalStateException.class)
    public void testMissingNewVarWithPBInXplainPB()
            throws ContradictionException {
        XplainPB solver = new XplainPB(SolverFactory.newDefault());
        IVecInt clause = new VecInt();
        clause.push(-1).push(-2).push(-3);
        IVec<BigInteger> coeffs = new Vec<BigInteger>();
        coeffs.push(BigInteger.valueOf(5));
        coeffs.push(BigInteger.valueOf(15));
        coeffs.push(BigInteger.valueOf(30));
        solver.addPseudoBoolean(clause, coeffs, true, BigInteger.valueOf(10));
        fail("Should not accept clauses if newvar has not been called!!!");
    }
