private void assertRightDetection(int expectedRemainingConstrs) {
        ccFinder.searchCards();
        int nCards = this.expectedCards.size();
        StringBuilder actual = new StringBuilder();
        actual.append('[');
        for (AtLeastCard card : ccFinder) {
            assertTrue(card + " is not valid here",
                    this.expectedCards.contains(card));
            actual.append(card + " ");
            --nCards;
        }
        if (nCards != 0) {
            actual.append(']');
            fail("found " + (this.expectedCards.size() - nCards)
                    + " cards instead of " + this.expectedCards.size()
                    + " (expected=" + this.expectedCards + ", actual="
                    + actual.toString());
        }
        assertEquals(expectedRemainingConstrs, ccFinder.remainingAtLeastCards()
                .size());
    }
