@Test
    public void testReadingSimplePseudoAtLeast() throws ParseFormatException,
            ContradictionException, IOException {
        String json = "[[[[1,1],[23,-2],[-64,3]],'>=',24]]";
        reader.parseString(json);
        IVecInt clause = new VecInt().push(1).push(-2).push(3);
        IVecInt coefs = new VecInt().push(1).push(23).push(-64);
        verify(solver).addAtLeast(clause, coefs, 24);

    }
