static boolean solve(PseudoOptDecorator optproblem) throws TimeoutException {
        boolean isSatisfiable = false;

        try {
            while (optproblem.admitABetterSolution()) {
                if (!isSatisfiable) {
                    if (optproblem.nonOptimalMeansSatisfiable()) {
                        if (optproblem.hasNoObjectiveFunction()) {
                            return true;
                        }
                    }
                    isSatisfiable = true;
                }
                optproblem.discardCurrentSolution();
            }
        } catch (ContradictionException ex) {
            assertTrue(isSatisfiable);
        }
        return isSatisfiable;
    }
