@Test
	public void testBasicRequirements() throws ContradictionException,
			TimeoutException {
		this.helper.implication("A").implies("B").and("C").and("D").named("I1");
		this.helper.implication("B").impliesNot("C").named("I2");
		this.helper.setTrue("A", "User selection");
		assertFalse(this.helper.hasASolution());
		// assertEquals("C",helper.getConflictingElement());
		Set<String> cause = this.helper.why();
		assertEquals(3, cause.size());
		Iterator<String> it = cause.iterator();
		assertEquals("I1", it.next());
		assertTrue(it.hasNext());
		assertEquals("I2", it.next());
		assertTrue(it.hasNext());
		assertEquals("User selection", it.next());
	}
