@Test
	public void testBasicRequirementsDetailedExplanation()
			throws ContradictionException, TimeoutException {
		this.helper.implication("A").implies("B").named("I1b");
		this.helper.implication("A").implies("C").named("I1c");
		this.helper.implication("A").implies("D").named("I1d");
		this.helper.implication("B").impliesNot("C").named("I2");
		this.helper.setTrue("A", "User selection");
		assertFalse(this.helper.hasASolution());
		// assertEquals("C",helper.getConflictingElement());
		Set<String> cause = this.helper.why();
		assertEquals(4, cause.size());
		Iterator<String> it = cause.iterator();
		assertEquals("I1b", it.next());
		assertEquals("I1c", it.next());
		assertEquals("I2", it.next());
		assertEquals("User selection", it.next());
	}
