@Test
	public void testCardinalityConstraints() throws ContradictionException,
			TimeoutException {
		this.helper.setNegator(StringNegator.INSTANCE);
		// A + B + C <= 2
		this.helper.atMost("C1", 2, "A", "B", "C");
		this.helper.atLeast("C2", 2, "A", "B", "C");
		this.helper.setFalse("C3", "A");
		assertTrue(this.helper.hasASolution());
		IVec<String> solution = this.helper.getSolution();
		assertTrue(solution.contains("B"));
		assertTrue(solution.contains("C"));
	}
