@Test
	public void testCathyExamples() throws ContradictionException,
			TimeoutException {
		this.helper.setNegator(StringNegator.INSTANCE);
		// A <=> B and C and D
		this.helper.and("C1", "A", "B", "C", "D");
		// not A or B implies E
		this.helper.implication("-A", "B").implies("E").named("C2");
		this.helper.setFalse("D", "InitState");
		this.helper.setTrue("B", "InitState");
		this.helper.setFalse("E", "InitState");
		this.helper.atMost(1, "A", "B", "C", "D", "E").named("C5");
		assertFalse(this.helper.hasASolution());
		assertEquals(3, this.helper.why().size());
	}
