@Test
	public void testDisjunctionExplanation() throws ContradictionException,
			TimeoutException {
		this.helper.implication("A").implies("B").and("C").and("D").named("I1");
		this.helper.implication("B").impliesNot("C1").named("I2");
		this.helper.implication("D").impliesNot("C2").named("I3");
		this.helper.implication("C").implies("C1", "C2").named("C versions");
		this.helper.atMost(1, "C1", "C2", "C3").named("Singleton on C");
		this.helper.setTrue("A", "User selection");
		assertFalse(this.helper.hasASolution());
		// assertTrue(helper.getConflictingElement().startsWith("C"));
		Set<String> cause = this.helper.why();
		assertEquals(5, cause.size());
		Iterator<String> it = cause.iterator();
		assertEquals("C versions", it.next());
		assertEquals("I1", it.next());
		assertEquals("I2", it.next());
		assertEquals("I3", it.next());
		assertEquals("User selection", it.next());
	}
