@Test
	public void testImpliedObjects() throws ContradictionException,
			TimeoutException {
		this.helper.setNegator(StringNegator.INSTANCE);
		this.helper.clause("C0", "A", "B", "C");
		this.helper.clause("C1", "-A", "-B");
		this.helper.clause("C2", "-A", "-C");
		this.helper.clause("C2", "-B", "-C");
		assertTrue(this.helper.hasASolution());
		Collection<String> assumptions = new ArrayList<String>();
		assumptions.add("A");
		Collection<String> satisfied = new ArrayList<String>();
		Collection<String> falsified = new ArrayList<String>();
		this.helper.impliedBy(assumptions, satisfied, falsified);
		assertEquals(">>>" + satisfied, 1, satisfied.size());
		assertTrue(satisfied.contains("A"));
		assertEquals(2, falsified.size());
		assertTrue(falsified.contains("B"));
		assertTrue(falsified.contains("C"));
	}
