@Test
	public void testObjectiveFunction() throws ContradictionException,
			TimeoutException {
		this.helper.implication("A").implies("B").and("C").and("D").named("I1");
		this.helper.implication("C").implies("C1", "C2", "C3")
				.named("C versions");
		this.helper.atMost(1, "C1", "C2", "C3").named("Singleton on C");
		this.helper.setTrue("A", "User selection");
		this.helper.setObjectiveFunction(newWO("C1", 4), newWO("C2", 2),
				newWO("C3", 1));
		assertTrue(this.helper.hasASolution());
		IVec<String> solution = this.helper.getSolution();
		assertTrue(solution.contains("A"));
		assertTrue(solution.contains("B"));
		assertTrue(solution.contains("C"));
		assertTrue(solution.contains("C3"));
		assertFalse(solution.contains("C2"));
		assertFalse(solution.contains("C1"));
		assertTrue(solution.contains("D"));
	}
