@Test
	public void testPseudoConstraintsNegativeLiterals()
			throws ContradictionException, TimeoutException {
		this.helper.setNegator(StringNegator.INSTANCE);
		// 3A + 2B + C <= 5
		this.helper.atMost("C1", BigInteger.valueOf(5),
				WeightedObject.newWO("A", 3), WeightedObject.newWO("B", 2),
				WeightedObject.newWO("C", 1));
		this.helper.atMost("C2", BigInteger.valueOf(1),
				WeightedObject.newWO("-A", 3), WeightedObject.newWO("-B", 2),
				WeightedObject.newWO("-C", 1));
		assertTrue(this.helper.hasASolution());
		IVec<String> solution = this.helper.getSolution();
		assertTrue(solution.contains("A"));
		assertTrue(solution.contains("B"));
		assertFalse(solution.contains("C"));
	}
