@Test
	public void testVariablesIntroducedInNegativeFormFirstStoredCorrectly()
			throws ContradictionException, TimeoutException {
		this.helper.setNegator(StringNegator.INSTANCE);
		this.helper.clause("C0", "-A", "-B");
		this.helper.clause("C1", "A", "-B");
		this.helper.clause("C3", "A", "B");
		assertTrue(this.helper.hasASolution());
		IVec<String> solution = this.helper.getSolution();
		assertTrue(solution.contains("A"));
		assertFalse(solution.contains("B"));
	}
