@Test
    public void testReserveVarsButUseLess() throws ContradictionException,
            TimeoutException, FileNotFoundException, ParseFormatException,
            IOException {
        IPBSolver solver = SolverFactory.newEclipseP2();
        Reader reader = new OPBEclipseReader2007(solver);
        reader.parseInstance(PREFIX + "bug247567.opb");
        assertTrue(solver.isSatisfiable());
        assertTrue(solver.model(1));
        assertTrue(solver.model(2));
        assertTrue(solver.model(3));
        assertFalse(solver.model(4));
        assertFalse(solver.model(5));
        assertFalse(solver.model(6));
    }
