@Before
    public void setUp() throws ContradictionException {
        PseudoOptDecorator pbsolver = new PseudoOptDecorator(
                SolverFactory.newDefault());
        IVecInt clause = new VecInt();
        pbsolver.newVar(1000);
        for (int i = 1; i <= 1000; i++) {
            clause.push(-i);
        }
        pbsolver.addClause(clause);
        Vec<BigInteger> weights = new Vec<BigInteger>();
        for (int i = 1; i <= 1000; i++) {
            weights.push(BigInteger.valueOf(5));
        }
        pbsolver.setObjectiveFunction(new ObjectiveFunction(clause, weights));
        this.solver = new ModelIterator(pbsolver);
    }
