private static IPBSolver buildSolver1() {
        IPBSolver solver = new OptToPBSATAdapter(new PseudoOptDecorator(
                SolverFactory.newResolution()));

        try {
            solver.addClause(new VecInt(new int[] { 1, 2, 3 }));
            solver.addClause(new VecInt(new int[] { -1, -2 }));
            solver.addClause(new VecInt(new int[] { -2, -3 }));
        } catch (ContradictionException e) {
            fail();
        }
        return solver;
    }
