private static IPBSolver buildSolver3() {
        IPBSolver solver = buildSolver1();
        IVecInt vars = new VecInt(new int[] { 1, 2, 3 });
        IVec<BigInteger> coeffs = new Vec<BigInteger>(new BigInteger[] {
                BigInteger.valueOf(8), BigInteger.valueOf(4),
                BigInteger.valueOf(2) });
        ObjectiveFunction func = new ObjectiveFunction(vars, coeffs);

        solver.setObjectiveFunction(func);
        return solver;
    }
