@Test
    public void testIteratingWithObjectiveFunctionCard() {
        IPBSolver solver = buildSolver2();
        IProblem problem = solver;
        int nbModel = 0;
        try {
            while (problem.isSatisfiable()) {
                int[] mod = problem.model();
                solver.addBlockingClause(new VecInt(invert(mod)));
                nbModel++;
            }
        } catch (TimeoutException e) {
            fail();
        } catch (ContradictionException e) {
            fail();
        }
        assertEquals(4, nbModel);
    }
