@Test
    public void testIteratingWithObjectiveFunctionWithDecorator() {
        IPBSolver solver = buildSolver2();

        IProblem problem = new ModelIterator(solver);
        int nbModel = 0;
        try {
            while (problem.isSatisfiable()) {
                problem.model(); // needed to discard that model
                nbModel++;
            }
        } catch (TimeoutException e) {
            fail();
        }
        assertEquals(4, nbModel);
    }
