@Test
    public void testObjectiveFunctionWithAllWeightsToNull()
            throws ContradictionException, TimeoutException {
        this.helper.clause("C1", "A1", "A2");
        this.helper.clause("C2", "A1", "A3");
        this.helper.addToObjectiveFunction("A2", 0);
        this.helper.addToObjectiveFunction("A3", 0);
        IVec<String> assump = new Vec<String>();
        assump.push("A1");
        assertTrue(this.helper.hasASolution(assump));
        IVec<String> solution = this.helper.getSolution();
        assertEquals(1, solution.size());
        assertTrue(solution.contains("A1"));
    }
