protected boolean solveInstance(String filename)
            throws FileNotFoundException, ParseFormatException, IOException {
        try {
            this.reader.parseInstance(filename);
            this.solver.setTimeout(600); // set timeout to 10 minutes.
            return this.solver.isSatisfiable();
        } catch (ContradictionException ce) {
            return false;
        } catch (TimeoutException ce) {
            fail("Timeout: need more time to complete!");
            return false;
        }
    }
