public List<EncodingStrategy> getListOfEncodings(String typeOfConstraint) {
        List<EncodingStrategy> v = new ArrayList<EncodingStrategy>();

        v.add(EncodingStrategy.NATIVE);

        if (typeOfConstraint.equals(AT_MOST_K)
                || typeOfConstraint.equals(AT_MOST_1)) {
            v.add(EncodingStrategy.BINARY);
            v.add(EncodingStrategy.BINOMIAL);
            v.add(EncodingStrategy.COMMANDER);
        }
        if (typeOfConstraint.equals(AT_MOST_K)) {
            v.add(EncodingStrategy.SEQUENTIAL);
        }
        if (typeOfConstraint.equals(AT_MOST_1)
                || typeOfConstraint.equals(EXACTLY_1)) {
            v.add(EncodingStrategy.LADDER);
        }
        if (typeOfConstraint.equals(AT_MOST_1)) {
            v.add(EncodingStrategy.PRODUCT);
        }

        return v;
    }
