public List<String> getListOfSolvers() {
        ASolverFactory<?> factory;

        List<String> result = new ArrayList<String>();

        factory = org.sat4j.minisat.SolverFactory.instance();
        for (String s : factory.solverNames()) {
            result.add(MINISAT_PREFIX + "." + s);
        }

        factory = org.sat4j.pb.SolverFactory.instance();
        for (String s : factory.solverNames()) {
            result.add(PB_PREFIX + "." + s);
        }

        Collections.sort(result);

        factory = org.sat4j.maxsat.SolverFactory.instance();
        for (String s : factory.solverNames()) {
            result.add(MAXSAT_PREFIX + "." + s);
        }

        Collections.sort(result);

        return result;
    }
