public static Set<String> find(String pckname, String tosubclassname,
            boolean fullname) {
        Set<String> v = new HashSet<String>();
        try {
            Class<?> tosubclass = Class.forName(tosubclassname);
            v = find(pckname, tosubclass, fullname);
        } catch (ClassNotFoundException ex) {
            System.err.println("Class " + tosubclassname + " not found!");
        }
        return v;
    }
