private void createAndShowGUI() {
        Container c = this.getContentPane();
        c.setLayout(new BorderLayout());

        createMenuBar();

        this.commandePanel = new DetailedCommandPanel(this.filename,
                this.ramdisk, this.args, this);

        this.commandePanel.setChartBased(true);
        this.commandePanel.activateGnuplotTracing(true);

        this.visuFrame = new VisuPreferencesFrame(
                this.commandePanel.getGnuplotPreferences());

        JScrollPane scrollPane = new JScrollPane(this.commandePanel);

        this.add(scrollPane);

        this.addWindowListener(new WindowAdapter() {

            @Override
            public void windowClosing(WindowEvent e) {
                RemoteControlFrame.this.commandePanel.stopVisu();
                setVisible(false);
                dispose();
            }

        });

        this.pack();
        this.setVisible(true);
    }
