public void createMenuBar() {
        JMenuBar barreMenu = new JMenuBar();
        JMenu menu = new JMenu("File");
        barreMenu.add(menu);

        this.activateTracing = new JMenuItem(DEACTIVATE);
        menu.add(this.activateTracing);

        this.activateTracing.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                activateTracing(RemoteControlFrame.this.activateTracing
                        .getText().equals(ACTIVATE));
            }
        });

        menu.addSeparator();

        gnuplotBasedRadio = new JRadioButtonMenuItem("Trace with Gnuplot");
        jChartBasedRadio = new JRadioButtonMenuItem("Trace with Java");

        ButtonGroup visuGroup = new ButtonGroup();
        visuGroup.add(gnuplotBasedRadio);
        visuGroup.add(jChartBasedRadio);

        menu.add(gnuplotBasedRadio);

        gnuplotBasedRadio.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                RemoteControlFrame.this.commandePanel.setGnuplotBased(true);
                RemoteControlFrame.this.commandePanel.setChartBased(false);
                RemoteControlFrame.this.commandePanel
                        .activateGnuplotTracing(RemoteControlFrame.this.activateTracing
                                .getText().equals(DEACTIVATE));
                log("Use gnuplot tracing");
            }
        });
        jChartBasedRadio.setSelected(true);

        menu.add(jChartBasedRadio);

        jChartBasedRadio.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                RemoteControlFrame.this.commandePanel.setGnuplotBased(false);
                RemoteControlFrame.this.commandePanel.setChartBased(true);
                RemoteControlFrame.this.commandePanel
                        .activateGnuplotTracing(RemoteControlFrame.this.activateTracing
                                .getText().equals(DEACTIVATE));
                log("Use java tracing");
            }
        });

        menu.addSeparator();

        JMenuItem quit = new JMenuItem("Exit");
        menu.add(quit);

        quit.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                RemoteControlFrame.this.commandePanel.stopVisu();
                System.exit(NORMAL);
            }
        });

        JMenu preferences = new JMenu("Preferences");
        JMenuItem gnuplotPreferencesItem = new JMenuItem(
                "Visualisation preferences");

        gnuplotPreferencesItem.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                RemoteControlFrame.this.visuFrame.setVisible(true);
            }
        });

        preferences.add(gnuplotPreferencesItem);

        barreMenu.add(preferences);

        barreMenu.add(Box.createHorizontalGlue());

        // ...create the rightmost menu...
        JLabel version = new JLabel(getVersion());
        barreMenu.add(version);

        this.setJMenuBar(barreMenu);

    }
