@Override
    public void createPanel() {

        this.setLayout(new GridBagLayout());

        GridBagConstraints c = new GridBagConstraints();
        c.anchor = GridBagConstraints.PAGE_START;
        c.fill = GridBagConstraints.HORIZONTAL;
        c.weightx = 1;
        c.gridx = 0;

        JPanel chooseRestartPanel = new JPanel();
        chooseRestartPanel.setLayout(new GridBagLayout());

        GridBagConstraints c1 = new GridBagConstraints();
        c1.anchor = GridBagConstraints.PAGE_START;
        c1.fill = GridBagConstraints.HORIZONTAL;
        c1.weightx = 1;
        c1.gridx = 0;

        chooseRestartPanel.setBorder(new CompoundBorder(new TitledBorder(null,
                this.getName(), TitledBorder.LEFT, TitledBorder.TOP),
                DetailedCommandPanel.BORDER5));

        JPanel tmpPanel1 = new JPanel();
        tmpPanel1.setLayout(new FlowLayout());

        this.chooseRestartStrategyLabel = new JLabel(CHOOSE_RESTART_STRATEGY);

        this.listeRestarts = new JComboBox(getListOfRestartStrategies()
                .toArray());

        this.listeRestarts.setSelectedItem(this.currentRestart);

        this.listeRestarts.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                modifyRestartParamPanel();
            }
        });

        tmpPanel1.add(this.chooseRestartStrategyLabel);
        tmpPanel1.add(this.listeRestarts);

        this.changeRestartMode = new JButton(CHANGE_RESTART_STRATEGY);

        this.changeRestartMode.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                hasClickedOnChange();
            }
        });

        tmpPanel1.add(this.changeRestartMode);

        this.noParameterLabel = new JLabel(NO_PARAMETER_FOR_THIS_STRATEGY);

        Font newLabelFont = new Font(this.noParameterLabel.getFont().getName(),
                Font.ITALIC, this.noParameterLabel.getFont().getSize());

        this.noParameterLabel.setFont(newLabelFont);

        this.restartPropertiesPanel = new JPanel();
        this.restartPropertiesPanel.add(this.noParameterLabel);

        this.restartButton = new JButton(RESTART);

        this.restartButton.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                hasClickedOnRestart();
            }
        });

        JPanel restartButtonPanel = new JPanel();
        restartButtonPanel.setName(MANUAL_RESTART);
        restartButtonPanel.setBorder(new CompoundBorder(new TitledBorder(null,
                restartButtonPanel.getName(), TitledBorder.LEFT,
                TitledBorder.TOP), DetailedCommandPanel.BORDER5));

        restartButtonPanel.add(this.restartButton);

        c1.gridy = 0;
        chooseRestartPanel.add(tmpPanel1, c1);

        c1.gridy = 1;
        chooseRestartPanel.add(this.restartPropertiesPanel, c1);

        c.gridy = 0;
        this.add(chooseRestartPanel, c);

        c.gridy = 1;
        this.add(restartButtonPanel, c);
    }
