public void init() {
        this.visuFrame = new JFrame("Visualisation");

        Container c = this.visuFrame.getContentPane();

        int nbGraphs = this.pref.getNumberOfDisplayedGraphs();
        int[] nbLinesTab = new int[] { 1, 2, 3, 2 };

        int nbLines = 3;
        if (nbGraphs < 5) {
            nbLines = nbLinesTab[nbGraphs - 1];
        }

        int nbCols = (nbGraphs - 1) / 3 + 1;

        c.setLayout(new GridLayout(nbLines, nbCols, 5, 5));

        initCharts();

        addChartsToFrame();

        initTraces();

        this.visuFrame.setBackground(this.pref.getBackgroundColor());
        this.visuFrame.setForeground(this.pref.getBorderColor());

        this.visuFrame.setSize(800, 400);

        // Enable the termination button [cross on the upper right edge]:
        this.visuFrame.addWindowListener(new WindowAdapter() {
            @Override
            public void windowClosing(WindowEvent e) {
                visuFrame.setVisible(false);
            }
        });

    }
