@Override
    public boolean equals(final Object obj) {
        if (this == obj) {
            return true;
        }
        if (!super.equals(obj)) {
            return false;
        }
        if (this.getClass() != obj.getClass()) {
            return false;
        }
        final TracePainterPlus other = (TracePainterPlus) obj;
        if (this.mPointPainter == null) {
            if (other.mPointPainter != null) {
                return false;
            }
        } else if (!this.mPointPainter.equals(other.mPointPainter)) {
            return false;
        }
        return true;
    }
