public String[] createCommandLine(String gnuplotFilename) {
        String rgb = Integer.toHexString(this.backgroundColor.getRGB());
        rgb = rgb.substring(2, rgb.length());
        String rgbBorder = Integer.toHexString(this.borderColor.getRGB());
        rgbBorder = rgbBorder.substring(2, rgbBorder.length());

        String[] cmd = new String[6];
        cmd[0] = "gnuplot";
        cmd[1] = "-bg";
        cmd[2] = "#" + rgb;
        cmd[3] = "-xrm";
        cmd[4] = "gnuplot*borderColor:#" + rgbBorder;
        cmd[5] = gnuplotFilename;

        return cmd;
    }
