void createMenuBar(JMenuBar menuBar) {
        if (mainProgramWindow.fileAccess()) {
            FileCommandHandler fileCommandHandler = new FileCommandHandler(
                    sudoku);
            FileMenu fileMenu = new FileMenu(fileCommandHandler, sudoku);
            menuBar.add(fileMenu);
        }

        EditCommandHandler editCommandHandler = new EditCommandHandler(sudoku);
        EditMenu editMenu = new EditMenu(editCommandHandler, sudoku);
        menuBar.add(editMenu);

        HelpCommandHandler helpCommandHandler = new HelpCommandHandler(sudoku);
        HelpMenu helpMenu = new HelpMenu(helpCommandHandler, sudoku);
        menuBar.add(helpMenu);
    }
