public void parseLine(String line, CellGrid cellGrid) {
        if ((line.length() > 0) && (line.charAt(0) == 'v')) {
            WordScanner wordScanner = new WordScanner(line);
            wordScanner.next();
            int v1;
            while (wordScanner.hasNext()) {
                String w = wordScanner.next();
                try {
                    v1 = Integer.parseInt(w);

                    if ((v1 > 0) && (v1 % sdSize.getBase() > 0)) {
                        cellGrid.solverSetIntValue(v1 / sdSize.getBase2(),
                                (v1 % sdSize.getBase2()) / sdSize.getBase(), v1
                                        % sdSize.getBase());
                    }
                } catch (Exception e) {
                }
            }
            wordScanner.close();
        }
    }
