public void randomCellHint(CellGrid cellGrid) {
        try {
            int freeCells = sdSize.getLargeSide() * sdSize.getLargeSide();
            for (int r = 1; r <= sdSize.getLargeSide(); r++) {
                for (int c = 1; c <= sdSize.getLargeSide(); c++) {
                    if (cellGrid.getIntValue(r, c) != 0) {
                        freeCells--;
                    }
                }
            }

            int cell = randomCellChooser.nextInt(freeCells);
            // System.out.println ("cell " + cell + ", freeCells " + freeCells);
            int thisCell = -1;
            int thisRow = 1, thisColumn = 1;
            for (int r = 1; (r <= sdSize.getLargeSide()) && (thisCell < cell); r++) {
                for (int c = 1; (c <= sdSize.getLargeSide())
                        && (thisCell < cell); c++) {
                    if (cellGrid.getIntValue(r, c) == 0) {
                        thisCell++;
                        if (thisCell == cell) {
                            thisRow = r;
                            thisColumn = c;
                        }
                    }
                }
            }

            graphicalSolveOneCell(cellGrid, thisRow, thisColumn);
        } catch (Exception e) {
        }
    }
